﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master"  AutoEventWireup="true" CodeBehind="Knockout.aspx.cs" Inherits="WebSampleBrowser.BulletGraph.Knockout" %>

<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="SampleHeading">
    <span class="sampleName">BulletGraph / Knockout</span>
</asp:Content>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <script src="../Scripts/knockout-min.js"></script>
    <script src="../Scripts/ej/ej.widget.ko.min.js"></script>
<div id="bulletCore" style="width:100%" data-bind="ejBulletGraph:({value:samplevalue ,comparativeMeasureValue:measurevalues})"></div>
</asp:Content>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="PropertySection">
    <div id="sampleProperties">
 <div class="prop-grid">
                    <div class="row">
                        <div class="col-md-3">
                            Value
                        </div>
                        <div class="col-md-3 aligntop">
                            <input type="text" id="txtValue" data-bind="value:samplevalue" Style="width:110px"/>
                        </div>
                    </div>
                     <div class="row">
                        <div class="col-md-3">
                            Comparitive Measure Value
                        </div>
                        <div class="col-md-3 aligntop">
                            <input type="text" id="txtcmpValue" data-bind="value:measurevalues" Style="width:110px"/>
                        </div>
                    </div>
    <%--</div>--%>
                </div>
    </div>
      <script type="text/javascript">
          window.viewModel = {
              samplevalue: ko.observable(7),
              measurevalues: ko.observable(5)
          };

          $(function () {
              ko.applyBindings(viewModel);
              $("#bulletCore").ejBulletGraph("option", "quantitativeScaleSettings", { majorTickSettings: { width: 1, size: 13, stroke: 'gray' }, minorTickSettings: { width: 1, size: 5, stroke: 'gray' }, labelSettings: { offset: 14, size: 10 } });
          });
          $("#txtValue").ejNumericTextbox({ minValue: 0, maxValue: 10, decimals: 2, showSpinButton: false, width: 110 });
          $("#txtcmpValue").ejNumericTextbox({ minValue: 0, maxValue: 10, decimals: 2, showSpinButton: false, width: 110 });
          $("#sampleProperties").ejPropertiesPanel();
</script>   
</asp:Content>

<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
  
</asp:Content>

<asp:Content ID="Content6" ContentPlaceHolderID="StyleSection" runat="server">
     <style>
        .col-md-3 .e-ddl .e-input {
            line-height:20px;
        }
    </style>
</asp:Content>