﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true"
    CodeBehind="APIs.aspx.cs" Inherits="WebSampleBrowser.Buttons.methods" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">
    <div class="frame">
        <div class="control">
            <table>
                <tr>
                    <td class="btnsht">Button
                    </td>
                    <td class="btnsht">
                        <ej:Button ID="ButtonLarge" runat="server" Type="Button" Text="Button" Size="Large" ShowRoundedCorner="true"></ej:Button>
                    </td>
                </tr>
                <tr>
                    <td class="btnsht">Toggle Button
                    </td>
                    <td class="btnsht">
                        <ej:ToggleButton ID="ToggleButtonLarge" runat="server" Size="Large" ShowRoundedCorner="true" DefaultText="Play" ActiveText="Stop"></ej:ToggleButton>
                    </td>
                </tr>
                <tr>
                    <td class="btnsht">Split Button
                    </td>
                    <td class="splttd btnsht">
                        <ej:SplitButton ID="SplitButtonLarge" runat="server" Text="Save" Size="Large" ShowRoundedCorner="true">
                            <Items>
                                <ej:SplitItem Text="Open..."></ej:SplitItem>
                                <ej:SplitItem Text="Save"></ej:SplitItem>
                                <ej:SplitItem Text="Delete"></ej:SplitItem>
                            </Items>
                        </ej:SplitButton>
                    </td>
                </tr>
                 <tr>
                    <td class="btnsht">Dropdown Button
                    </td>
                    <td class="splttd btnsht">
                        <ej:SplitButton ID="dropbtnlarge" runat="server" Text="Save" Size="Large" ShowRoundedCorner="true" ButtonMode="Dropdown">
                            <Items>
                                <ej:SplitItem Text="Open..."></ej:SplitItem>
                                <ej:SplitItem Text="Save"></ej:SplitItem>
                                <ej:SplitItem Text="Delete"></ej:SplitItem>
                            </Items>
                        </ej:SplitButton>
                    </td>
                </tr>
            </table>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PropertySection" runat="server">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                    Disable\Enable
                </div>
                <div class="col-md-3">
                    <ej:ToggleButton ID="ToggleButtonChange" runat="server" ClientSideOnChange="onCheckUncheckAll" DefaultText="Disable" ActiveText="Enable"></ej:ToggleButton>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">Arrowposition</div>
                <div class="col-md-3">
                    <ej:DropDownList ID="arrowpos" runat="server" Width="120px" SelectedItemIndex="0" ClientSideOnChange="onArrowChange">
                        <Items>
                            <ej:DropDownListItem Text="Right" Value="right"></ej:DropDownListItem>
                            <ej:DropDownListItem Text="Left" Value="left"></ej:DropDownListItem>
                            <ej:DropDownListItem Text="Top" Value="top"></ej:DropDownListItem>
                            <ej:DropDownListItem Text="Bottom" Value="bottom"></ej:DropDownListItem>
                        </Items>
                    </ej:DropDownList>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="EventSection" runat="server">
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
    <script type="text/javascript">
        var buttonObject, toggleButtonObject, splitButtonObject, dropbtnobject;
        $(function () {
            //  declaration 

            buttonObject = $("#ButtonLarge").data("ejButton");
            toggleButtonObject = $("#ToggleButtonLarge").data("ejToggleButton");
            splitButtonObject = $("#SplitButtonLarge").data("ejSplitButton");
            dropbtnobject = $("#dropbtnlarge").data("ejSplitButton");

            $("#sampleProperties").ejPropertiesPanel();
        });
        function onCheckUncheckAll(args) {
            if (args.isChecked) {
                buttonObject.disable();
                toggleButtonObject.disable();
                splitButtonObject.disable();
                dropbtnobject.disable();
            }
            else if (buttonObject) {
                buttonObject.enable();
                toggleButtonObject.enable();
                splitButtonObject.enable();
                dropbtnobject.enable();
            }
        }
        function onArrowChange(args) {
            if (args.value == "top" || args.value == "bottom")
                $(".splttd").css("padding", "6px 0 6px 1px");
            else
                $(".splttd").css("padding", "0 0 0 1px");
            $(".e-splitbutton").ejSplitButton({ "arrowPosition": args.value });
        }
    </script>
</asp:Content>

