﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="ClientSideEvents.aspx.cs" Inherits="WebSampleBrowser.Buttons.ClientSideEvents" %>


<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">
    <div class="frame">
        <div class="control">
            <table>
                <tr>
                    <td class="btnsht">Button
                    </td>
                    <td class="btnsht">
                        <ej:Button ID="ButtonNormal" runat="server" Size="Large" Type="Reset" ClientSideOnCreate="btnLoad" ClientSideOnClick="btnClick" ShowRoundedCorner="true" Text="Button"></ej:Button>
                    </td>
                </tr>
                <tr>
                    <td class="btnsht">Toggle Button
                    </td>
                    <td class="btnsht">
                        <ej:ToggleButton ID="ToggleButton" runat="server" Size="Large" ClientSideOnClick="tglebtnClick" ClientSideOnChange="tglebtnChange" ClientSideOnCreate="tglebtnLoad" ShowRoundedCorner="true" DefaultText="Play" ActiveText="Stop"></ej:ToggleButton>
                    </td>
                </tr>
                <tr>
                    <td class="btnsht">Split Button
                    </td>
                    <td class="splttd btnsht">
                        <ej:SplitButton ID="SplitButton" runat="server" Size="Large" ShowRoundedCorner="true" Text="Save" ClientSideOnCreate="spltbtnLoad" ClientSideOnItemSelected="spltbtnitmSelected" ClientSideOnItemMouseOut="spltbtnitmOut" ClientSideOnClick="spltbtnClick" ClientSideOnItemMouseOver="spltbtnitmHover">
                            <Items>
                                <ej:SplitItem Text="Open..."></ej:SplitItem>
                                <ej:SplitItem Text="Save"></ej:SplitItem>
                                <ej:SplitItem Text="Delete"></ej:SplitItem>
                            </Items>
                        </ej:SplitButton>
                    </td>
                </tr>
            </table>
        </div>
    </div>
</asp:Content>

<asp:Content ID="Content4" ContentPlaceHolderID="EventSection" runat="server">
<%--    <asp:UpdatePanel ID="UpdatePanelProp" UpdateMode="Always" runat="server">
        <ContentTemplate>--%>
            <div class="cols-prop-area event-tracer">
                <div>
                    <div class="heading">
                        <span>Event Trace</span>
                        <div class="pull-right">
                            <ej:DropDownList ID="selectControls" ClientSideOnPopupShown="adjustpopupposition" TargetID="eventList" ClientSideOnCheckChange="evtpropscheckedevent" ShowCheckbox="true" CheckAll="true" runat="server">
                               <Items>
                                   <ej:DropDownListItem Value="create" Text="Create"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="itemSelected" Text="Select"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="click" Text="Click"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="itemMouseOver" Text="MouseOver"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="itemMouseOut" Text="MouseOut"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="change" Text="Change"></ej:DropDownListItem>
                               </Items>
                            </ej:DropDownList>
                         
                        </div>
                    </div>
                    <div class="prop-grid content">
                        <div class="eventarea">
                            <div class="EventLog" id="EventLog" runat="server" clientidmode="Static">
                            </div>
                        </div>
                        <div class="evtbtn">                           
                            <ej:Button ID="ClearButton" Type="Button"  CssClass="eventclear e-btn"  ClientSideOnClick="onClear" runat="server" Text="Clear"></ej:Button>
                        </div>
                    </div>
                </div>
            </div>
<%--        </ContentTemplate>
    </asp:UpdatePanel>--%>
</asp:Content>
<asp:Content ID="Content1" ContentPlaceHolderID="ScriptSection" runat="server">
    <script type="text/javascript" class="jsScript">
      
        function btnLoad(e) {
            jQuery.addEventLog("Button has been <span class='eventTitle'>created</span>.");
        }
        function btnClick(e) {
            jQuery.addEventLog("Button has been <span class='eventTitle'>clicked</span>.");
        }
        function tglebtnLoad(e) {
            jQuery.addEventLog("ToggleButton has been <span class='eventTitle'>created</span>.");
        }
        function tglebtnClick(e) {
            jQuery.addEventLog("ToggleButton has been <span class='eventTitle'>clicked</span>.");
        }
        function tglebtnChange(e) {
            jQuery.addEventLog("ToggleButton value has been <span class='eventTitle'>changed</span> to " + e.isChecked + ".");
        }
        function spltbtnLoad(e) {
            jQuery.addEventLog("SplitButton has been <span class='eventTitle'>created</span>.");
        }
        function spltbtnClick(e) {
            jQuery.addEventLog("SplitButton has been <span class='eventTitle'>clicked</span>.");
        }
        function spltbtnitmHover(e) {
            jQuery.addEventLog("SplitButton item <span class='eventTitle'>hovered-in</span>.");
        }
        function spltbtnitmOut(e) {
            jQuery.addEventLog("SplitButton item <span class='eventTitle'>hovered-out</span>.");
        }
        function spltbtnitmSelected(e) {
            jQuery.addEventLog(e.text + " item has been <span class='eventTitle'>selected</span>.");
        }

        function onClear() {
            jQuery.clearEventLog();
        }

        function evtpropscheckedevent(args) {
            btnObj = $("#ButtonNormal").data("ejButton");
            tglbtnObj = $("#ToggleButton").data("ejToggleButton");
            spltbtnObj = $("#SplitButton").data("ejSplitButton");
            if (args.isChecked) {
                switch (args.data.itemValue) {
                    case "create":
                        btnObj.option(args.data.itemValue, "btnLoad");
                        tglbtnObj.option(args.data.itemValue, "tglebtnLoad");
                        spltbtnObj.option(args.data.itemValue, "spltbtnLoad");
                        break;
                    case "click":
                        btnObj.option(args.data.itemValue, "btnClick");
                        tglbtnObj.option(args.data.itemValue, "tglebtnClick");
                        spltbtnObj.option(args.data.itemValue, "spltbtnClick");
                        break;
                    case "change": tglbtnObj.option(args.data.itemValue, "tglebtnChange"); break;
                    case "itemMouseOver": spltbtnObj.option(args.data.itemValue, "spltbtnitmHover"); break;
                    case "itemMouseOut": spltbtnObj.option(args.data.itemValue, "spltbtnitmOut"); break;
                    case "itemSelected": spltbtnObj.option(args.data.itemValue, "spltbtnitmSelected"); break;
                }
            }
            else {
                btnObj.option(args.data.itemValue, null);
                tglbtnObj.option(args.data.itemValue, null);
                spltbtnObj.option(args.data.itemValue, null);
            }
        }
    </script>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        .frame {
            margin-top: 5%;
            width: 50%;
        }
    </style>
</asp:Content>
