﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true"
    CodeBehind="SplitButton.aspx.cs" Inherits="WebSampleBrowser.Buttons.splitbuttons" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">
    <div class="frame">
        <div class="control">
            <table>
                <tr>
                    <td>Split Button Normal
                    </td>
                    <td class="btnsht">
                        <div class="spltspan">
                            <ej:SplitButton ID="ButtonSizeNormal" runat="server" Text="login" Size="Normal" ShowRoundedCorner="true" ContentType="ImageOnly" PrefixIcon="e-uiLight e-login">
                                <Items>
                                    <ej:SplitItem Text="User"></ej:SplitItem>
                                    <ej:SplitItem Text="Guest"></ej:SplitItem>
                                    <ej:SplitItem Text="Admin"></ej:SplitItem>
                                </Items>
                            </ej:SplitButton>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td>Split Button Mini
                    </td>
                    <td>
                        <ej:SplitButton ID="ButtonSizeMini" runat="server" Text="login" Size="Mini" ShowRoundedCorner="true">
                            <Items>
                                <ej:SplitItem Text="User"></ej:SplitItem>
                                <ej:SplitItem Text="Guest"></ej:SplitItem>
                                <ej:SplitItem Text="Admin"></ej:SplitItem>
                            </Items>
                        </ej:SplitButton>
                    </td>
                </tr>
                <tr>
                    <td>Split Button Small
                    </td>
                    <td class="btnsht">
                        <ej:SplitButton ID="ButtonSizeSmall" runat="server" Text="login" Size="Small" ShowRoundedCorner="true">
                            <Items>
                                <ej:SplitItem Text="User"></ej:SplitItem>
                                <ej:SplitItem Text="Guest"></ej:SplitItem>
                                <ej:SplitItem Text="Admin"></ej:SplitItem>
                            </Items>
                        </ej:SplitButton>
                    </td>
                </tr>
                <tr>
                    <td>Split Button Medium
                    </td>
                    <td class="btnsht">
                        <ej:SplitButton ID="ButtonSizeMedium" runat="server" Text="login" Size="Medium" ShowRoundedCorner="true">
                            <Items>
                                <ej:SplitItem Text="User"></ej:SplitItem>
                                <ej:SplitItem Text="Guest"></ej:SplitItem>
                                <ej:SplitItem Text="Admin"></ej:SplitItem>
                            </Items>
                        </ej:SplitButton>
                    </td>
                </tr>
                <tr>
                    <td>Split Button Large
                    </td>
                    <td class="btnsht">
                        <ej:SplitButton ID="ButtonSizeLarge" runat="server" Text="login" Size="Large" ShowRoundedCorner="true" ContentType="TextAndImage" PrefixIcon="e-login e-uiLight">
                            <Items>
                                <ej:SplitItem Text="User"></ej:SplitItem>
                                <ej:SplitItem Text="Guest"></ej:SplitItem>
                                <ej:SplitItem Text="Admin"></ej:SplitItem>
                            </Items>
                        </ej:SplitButton>
                    </td>
                </tr>
            </table>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PropertySection" runat="server">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">ButtonMode</div>
                <div class="col-md-3">
                    <ej:DropDownList ID="btnmode" runat="server" Width="120px" SelectedItemIndex="0" ClientSideOnChange="onChange">
                        <Items>
                            <ej:DropDownListItem Text="Split" Value="split"></ej:DropDownListItem>
                            <ej:DropDownListItem Text="Dropdown" Value="dropdown"></ej:DropDownListItem>
                        </Items>
                    </ej:DropDownList>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
    <script type="text/javascript">
        $(function () {
            $("#sampleProperties").ejPropertiesPanel();
        });
        function onChange(args) {
            $(".e-splitbutton").ejSplitButton({ "buttonMode": args.value });
        }
    </script>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        .e-bgdefault:hover .e-splitbuttondiv .e-icon.e-uiLight.e-login, .e-bgdefault:active .e-splitbuttondiv .e-icon.e-login.e-uiLight {
            background-image: url('../Content/ej/common-images/icons-white.png');
        }

        .frame {
            width: 500px;
        }

        .control {
            margin-left: 100px;
            width: 500px;
        }

        .spltspan {
            width: 50px;
        }
    </style>
</asp:Content>
