﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="AngularBinding.aspx.cs" Inherits="WebSampleBrowser.Chart.AngularBinding" %>

<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="SampleHeading">
    <span class="sampleName">Chart / DataBinding / Angular Support</span>
</asp:Content>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <script src="../Scripts/angular.min.js"></script>
    <script src="../Scripts/ej/ej.widget.angular.min.js"></script>
    <ej:WaitingPopup runat="server" ID="waitingpopup" ShowOnInit="false"></ej:WaitingPopup>
   
<div ng-app="syncApp">
  <div ng-controller="Chart">
    <div id="chartContainer" style="width:100%" ej-chart e-primaryxaxis-title-text="Days" e-primaryyaxis-title-text="Sales(%)" e-commonSeriesOptions-type="line" e-zooming-enable="enable" e-load="loadTheme" e-size-height="600" e-legend-visible="false" e-title-text="Angular Support"  e-xzoomfactor="xZoomFactor" e-yzoomfactor="yZoomFactor" e-xzoomposition="xZoomPosition" e-yzoomposition="yZoomPosition" >
				</div>
  </div>
</div>
</asp:Content>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="PropertySection">
     <div id="sampleProperties">
                <div class="prop-grid">
				PrimaryXAxis:
				<br/>
                    <div class="row">
                        <div class="col-md-3">
                           ZoomFactor
                        </div>
                        <div class="col-md-3 aligntop">
                            <input type="text" name="name" class="e-ejinputtext" value="" ej-numerictextbox e-value="xZoomFactor" e-incrementStep="0.1" e-decimalplaces="4" e-maxvalue="1" e-minValue ="0" e-width="100px" e-enableStrictMode=true />
                        </div>
                    </div>
                     <div class="row"> 
                        <div class="col-md-3">
                           ZoomPosition
                        </div>
                        <div class="col-md-3 aligntop">
                           
							 <input type="text" name="name" class="e-ejinputtext" value="" ej-numerictextbox e-value="xZoomPosition" e-incrementStep="0.1" e-decimalplaces="4" e-maxvalue="1" e-minValue ="0" e-width="100px" e-enableStrictMode=true />
                        </div>
                    </div>
					PrimaryYAxis:<br/>
                     <div class="row">
                        <div class="col-md-3">
                             ZoomFactor
                        </div>
                        <div class="col-md-3 aligntop">
                            
							 <input type="text" name="name" class="e-ejinputtext" value="" ej-numerictextbox e-value="yZoomFactor" e-incrementStep="0.1" e-decimalplaces="4"  e-maxvalue="1" e-minValue ="0" e-width="100px" e-enableStrictMode=true />
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-3">
                             ZoomPosition
                        </div>
                        <div class="col-md-3 aligntop">
                            
							<input type="text" name="name" class="e-ejinputtext" value="" ej-numerictextbox e-value="yZoomPosition" e-incrementStep="0.1" e-decimalplaces="4" e-maxvalue="1" e-minValue ="0" e-width="100px" e-enableStrictMode=true />
                        </div>
                    </div>
                    <%----%>
                </div>
            </div>
     <script type="text/javascript">
         angular.module('syncApp', ['ejangular'])
             .controller('Chart', function ($scope) {
                 $scope.xZoomFactor = 0.1;
                 $scope.yZoomFactor = 0.1;
                 $scope.xZoomPosition = 0.5;
                 $scope.yZoomPosition = 0.5;
                 $scope.enable = true;

             });

         $("#sampleProperties").ejPropertiesPanel();
    </script>
</asp:Content>
<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="ScriptSection">
        
</asp:Content>
<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="StyleSection">
    <style>
        .col-md-3 .e-ddl .e-input {
            line-height:20px;
        }
         
    </style>
</asp:Content>