﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="KOBinding.aspx.cs" Inherits="WebSampleBrowser.Chart.KOBinding" %>

<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="SampleHeading">
    <!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"></html>
    <span class="sampleName">Chart / DataBinding / KO Support</span>
</asp:Content>


<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <script src="../Scripts/knockout-min.js"></script>
    <script src="../Scripts/ej/ej.widget.ko.min.js"></script>
    <ej:WaitingPopup runat="server" ID="waitingpopup" ShowOnInit="false"></ej:WaitingPopup>
      <div id="Container" data-bind="ejChart: { primaryXAxis:{title:{text:'Days'}} , primaryYAxis:{title:{text:'Sales(%)'}},title:{ text:'Knockout Support'},  commonSeriesOptions:{ dataSource:dataSource}, series:[{xName:'EmployeeID', yName:'Value', name:'Product', type:'line'}], xZoomFactor:xZoomFactor , yZoomFactor:yZoomFactor,xZoomPosition:xZoomPosition ,yZoomPosition:yZoomPosition,zooming:{enable:enable},load:'loadTheme', canResize:true, size:{height:'600'} }"></div>
</asp:Content>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="PropertySection">
    <div id="sampleProperties">
                <div class="prop-grid">
				  <b>  PrimaryXAxis: </b>
                    <div class="row">
                        <div class="col-md-3">
                            ZoomFactor
                        </div>
                        <div class="col-md-3">
                            <input type="text" value="" data-bind="ejNumericTextbox: { value: xZoomFactor, minValue: 0, maxValue: 1, incrementStep: 0.1, decimalPlaces: 4, width: '100px', enableStrictMode: true }" data-bind="value: xZoomFactor" />
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-3">
                           ZoomPosition
                        </div>
                        <div class="col-md-3">
                            <input type="text" value="" data-bind="ejNumericTextbox: { value: xZoomPosition, minValue: 0, maxValue: 1, incrementStep: 0.1, decimalPlaces: 4, width: '100px', enableStrictMode: true }" data-bind="value: xZoomPosition" />
                        </div>
                    </div>
					<b>PrimaryYAxis:</b>
                    <div class="row">
                        <div class="col-md-3">
                            ZoomFactor
                        </div>
                        <div class="col-md-3">
                            <input type="text" value="" data-bind="ejNumericTextbox: { value: yZoomFactor, minValue: 0, maxValue: 1, incrementStep: 0.1, decimalPlaces: 4, width: '100px', enableStrictMode: true }" data-bind="value: yZoomFactor" />
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-3">
                           ZoomPosition
                        </div>
                        <div class="col-md-3">
                            <input type="text" value="" data-bind="ejNumericTextbox: { value: yZoomPosition, minValue: 0, maxValue: 1, incrementStep: 0.1, decimalPlaces: 4, width: '100px', enableStrictMode: true }" data-bind="value: yZoomPosition" />
                        </div>
                    </div>
                    <%----%>
                </div>
            </div>
</asp:Content>
<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="ScriptSection">
    <script type="text/javascript">
        $(function () {
            var obj = [
                 { "EmployeeID": 1, "Value": 200 },
                 { "EmployeeID": 2, "Value": 150 },
                 { "EmployeeID": 3, "Value": 80 },
                 { "EmployeeID": 4, "Value": 140 },
                 { "EmployeeID": 5, "Value": 100 },
                 { "EmployeeID": 6, "Value": 180 },
                 { "EmployeeID": 7, "Value": 190 },
                 { "EmployeeID": 8, "Value": 200 },
                 { "EmployeeID": 9, "Value": 250 }

            ];
            $("#sampleProperties").ejPropertiesPanel();
            $(".e-ejinputtext").ejNumericTextbox();
            window.employeeView = {
                enable: ko.observable(true),
                xZoomFactor: ko.observable(1),
                yZoomFactor: ko.observable(1),
                xZoomPosition: ko.observable(0),
                yZoomPosition: ko.observable(0),

                dataSource: ko.observableArray(obj)
            };
            ko.applyBindings(employeeView);
        });
        
        
    </script>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="StyleSection" runat="server">
    <style  >
          
    </style>
</asp:Content>