﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="Live.aspx.cs" Inherits="WebSampleBrowser.Chart.Live" %>

 <asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
     <div>
         <ej:WaitingPopup runat="server" ID="waitingpopup" ShowOnInit="false"></ej:WaitingPopup>
        <ej:Chart ID="Chart1" runat="server" Width="970" Height="600" CanResize="true" OnClientLoad="onchartload" Background="transparent" EnableCanvasRendering="true">
            <PrimaryXAxis MajorGridLines-Visible="false" ValueType="Datetime" LabelFormat="dd, hh:mm" />
            <Series>
                <ej:Series Fill="#E46455" Opacity="0.8" Type="Line" EnableAnimation="False"/>
                <ej:Series Opacity="0.8" Type="Line" EnableAnimation="False"/>
            </Series>
            <Legend Visible="false"></Legend>
        </ej:Chart>
    </div>
     <script>
         var chartobj;
         var intervalId;
         var count = 0;

         function OnRefresh() {

             if (chartobj.model.series[0].points.length > 50) {
                 chartobj.model.series[0].points.splice(0, 2);
                 chartobj.model.series[1].points.splice(0, 2);
                 count += 2;
             }
             AddPoint(chartobj.model.series[0], count, 1000);
             AddPoint(chartobj.model.series[1], count, 1001);
             $("#Chart1").ejChart("redraw");
         }


         function onchartload(sender) {
             loadTheme(sender);

             for (var i = 0; i < 50; i = i + 1) {
                 AddPoint(sender.model.series[0], 0, 1000);
                 AddPoint(sender.model.series[1], 0, 1001);
             }
             chartobj = this;
             intervalId = window.setInterval(OnRefresh, 20);

         }

         function AddPoint(series, count, value) {
             if (series.points == undefined)
                 series.points = [];

             series.points[series.points.length] = { x: new Date(1500, series.points.length + count, series.points.length + count), y: getRandomNum(value) };
         }

         function getRandomNum(value) {

             var value2 = 1002;
             if ((Math.random() + value2) < 1004.85) {
                 var random = Math.random();
                 value += (random + 2);

             }
             else {
                 var random = Math.random();
                 value -= (random + 2);

             }
             return value;
         }

     </script>
</asp:Content>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="ScriptSection">
        
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="StyleSection" runat="server">
    <style  >
         
    </style>
</asp:Content>