﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master"  CodeBehind="Pie3D.aspx.cs" Inherits="WebSampleBrowser.Chart.Pie3D" %>

 <asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
        <ej:Chart ID="Chart1" runat="server" Width="970"  Height="600" Depth="30" OnClientLoad="OnChartLoad" WallSize="10" Tilt="-30" Rotation="-30" PerspectiveAngle="90" SideBySideSeriesPlacement="false" EnableRotation="true" Enable3D="true"  CanResize="true">
            <Title Text="Expenditure Shares on a Child from Birth Through age 17"></Title>
            <Legend Visible="false"/>
              <Series>
                <ej:Series Type="Pie" Width="970" LabelPosition="Outside" StartAngle="145" ExplodeIndex="0">
                    <points>
                        <ej:points Text="Housing" X="Housing" Y="31"/>
                        <ej:points Text="Food" X="Food" Y="16"/>
                        <ej:points Text="Transporation" X="Transporation" Y="14"/>
                        <ej:points Text="Clothing" X="Clothing" Y="6"/>
                        <ej:points Text="Health care" X="Health care" Y="8"/>
                        <ej:points Text="Education" X="Education" Y="17"/>
                        <ej:points Text="Miscellaneous" X="Miscellaneous" Y="8"/>
                    </points>
                    <Border Width="2" Color="White" />
                </ej:Series>
          </Series>
            <CommonSeriesOptions  LabelPosition="Outside">
                <Tooltip Visible="true" Format="#point.x# : #point.y#%" />
                <Marker>
                    <DataLabel Shape="None" Visible="true" TextPosition="Top">
                        <Border Width="1" />
                        <ConnectorLine Height="70" Color="Black" />
                    </DataLabel>
                </Marker>
            </CommonSeriesOptions>

        </ej:Chart>
</asp:Content>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="PropertySection">
</asp:Content>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="ScriptSection">
    <script>
        function OnChartLoad(sender) {
            loadTheme(sender);
            if (sender.model.theme == "flatdark" || sender.model.theme == "gradientdark")
                sender.model.commonSeriesOptions.marker.dataLabel.connectorLine.stroke = "white";
        }
    </script>
</asp:Content>
 
 

 