﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="RangeArea.aspx.cs" Inherits="WebSampleBrowser.Chart.RangeArea" %>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
   
    <ej:WaitingPopup runat="server" ID="waitingpopup" ShowOnInit="false"></ej:WaitingPopup>
    <ej:Chart ID="Chart1" runat="server" Width="970" Height="600" CanResize="true" OnClientLoad="onchartload">
        <PrimaryXAxis Title-Text="Year" MajorGridLines-Visible="false"/>
        <PrimaryYAxis Title-Text="Gold Price in Billion U.S Dollars" />
        
        <Title Text="World Gold Price"></Title>
        <Zooming EnableMouseWheel="true" Enable="true"/>
        <Legend Visible="true"></Legend>
        <Series>
            <ej:Series Name="Gold value" EnableAnimation="True" Type="RangeArea" Border-Width="1" Border-Color="Indigo" Fill="Indigo" Opacity="0.5"/>
            
        </Series>
    </ej:Chart>
    <script>
        function onchartload(sender) {
            //loadTheme(sender);
            var data = GetData();
            sender.model.series[0].dataSource = data.Open;
            sender.model.series[0].xName = "XValue";
            sender.model.series[0].high = "High";
            sender.model.series[0].low = "Low";
        }
        function GetData() {
            var series1 = [];
            var value = 70;
            for (var i = 1; i < 1000; i++) {
                if (Math.random() > .5) {
                    value += Math.random();
                } else {
                    value -= Math.random();
                }
                var point1 = { XValue: new Date(1930, i + 2, i), High: value, Low: value + 20 };
                series1.push(point1);
            }
            var data = { Open: series1 };
            return data;
        }

    </script>
</asp:Content>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="ScriptSection">
       
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="StyleSection" runat="server">
    <style  >
         
    </style>
</asp:Content>
