﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="SmartAxisLabel.aspx.cs" Inherits="WebSampleBrowser.Chart.SmartAxisLabel" %>

<asp:Content ID="Content1" runat="server" contentplaceholderid="ControlsSection">
    <div>
        <ej:WaitingPopup runat="server" ID="waitingpopup" ShowOnInit="false"></ej:WaitingPopup>
        <ej:Chart ID="Chart1" runat="server" Width="700" Height="600" CanResize="true" OnClientLoad="loadTheme">
            <PrimaryXAxis LabelIntersectAction="Rotate45" Title-Text="Countries" />
            <PrimaryYAxis Title-Text="People (In millions)" />
            <CommonSeriesOptions Type="Column" EnableAnimation="true" Tooltip-Visible="true" />
                <Series>
                <ej:Series  XName="Xvalue" YName="YValue1" Tooltip-Visible="true"  ></ej:Series>
              </Series>
            <Title Text="Internet users"></Title>
            <Legend Visible="false"></Legend>
        </ej:Chart>
    </div>
</asp:Content>

<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="PropertySection">
     <div id="sampleProperties">
   
     <div id="select">
                           <b> Xaxis </b>
                        <br/>
						 EdgeLabelPlacement
                            <select name="edgesupport1" autocomplete="off" id="edgeLabelX">
                                <option value="0" selected>None</option>
                                <option value="1">Shift</option>
                                <option value="2">Hide</option>
                            </select>
							<br/><br/>
							LabelIntersectAction
                            <select name="selectIndex" autocomplete="off"  id="optXaxisChange">
                               <option value="0" selected>Rotate45</option>
                               <option value="1">Rotate90</option>
                               <option value="2">Wrap</option>
                               <option value="3">Trim</option>
                               <option value="4">Hide</option>
                               <option value="5">MultipleRows</option>
							    <option value="6">None</option>
                            </select>
                        <br/><br/>
                        	 LabelPosition&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            <select name="xlabels" autocomplete="off"  id="xlabelposition">
                                <option value="0" selected>None</option>
                                <option value="1">Inside</option>
                                <option value="2">Outside</option>
                            </select>
							<br/><br/>
                             Tick Lines Position &nbsp;&nbsp;&nbsp;
                            <select name="xticks"  id="xtickposition">
                                <option value="0" selected>None</option>
                                <option value="1">Inside</option>
                                <option value="2">Outside</option>
                            </select>
							<br/><br/>
                        

                           <b>Yaxis</b>
                    <br/>
					EdgeLabelPlacement
				        <select name="edgesupport2" autocomplete="off" id="edgeLabelY">
				            <option value="0">None</option>
				            <option value="1">Shift</option>
				            <option value="2">Hide</option>
				        </select>
						<br/><br/>
					LabelIntersectAction
                            <select name="disableItem" autocomplete="off" id="optYaxisChange">
                                <option value="0">None</option>
                                <option value="1">Hide</option>
                                <option value="2">MultipleRows</option>
                            </select>
         <br/><br/>
                      LabelPosition&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            <select name="ylabels" autocomplete="off" id="ylabelposition">
                                <option value="0" selected>None</option>
                                <option value="1">Inside</option>
                                <option value="2">Outside</option>
                            </select>
							<br/><br/>
                      Tick Lines Position&nbsp;&nbsp;&nbsp;&nbsp;
                            <select name="yticks" autocomplete="off" id="ytickposition">
                                <option value="0" selected>None</option>
                                <option value="1">Inside</option>
                                <option value="2">Outside</option>
                            </select>
							<br/><br/>
                    </div>		
         <%----%>			
         </div>
    <script>
        $('#optXaxisChange').change(function () {
            var option = $("#optXaxisChange option:selected").text();
            var chart = $("#Chart1").ejChart("instance");
            switch (option) {
                case 'None':
                    chart.model.primaryXAxis.labelIntersectAction = '';
                    chart.redraw();
                    break;
                case 'Rotate90':
                    chart.model.primaryXAxis.labelIntersectAction = 'rotate90';
                    chart.redraw();
                    break;
                case 'Rotate45':
                    chart.model.primaryXAxis.labelIntersectAction = 'rotate45';
                    chart.redraw();
                    break;
                case 'Wrap':
                    chart.model.primaryXAxis.labelIntersectAction = 'wrap';
                    chart.redraw();
                    break;
                case 'Hide':
                    chart.model.axes[0].labelIntersectAction = 'hide';
                    chart.redraw();
                    break;
                case 'Trim':
                    chart.model.primaryXAxis.labelIntersectAction = 'trim';
                    chart.redraw();
                    break;
                case 'MultipleRows':
                    chart.model.primaryXAxis.labelIntersectAction = 'multiplerows';
                    chart.redraw();
                    break;
                default:

            }
        });

        $('#optYaxisChange').change(function () {
            var option1 = $("#optYaxisChange option:selected").text();
            var chart = $("#Chart1").ejChart("instance");
            switch (option1) {
                case 'None':
                    chart.model.primaryYAxis.labelIntersectAction = '';
                    chart.redraw();
                    break;
                case 'Hide':
                    chart.model.primaryYAxis.labelIntersectAction = 'hide';
                    chart.redraw();
                    break;
                case 'MultipleRows':
                    chart.model.primaryYAxis.labelIntersectAction = 'multiplerows';
                    chart.redraw();
                    break;
                default:

            }
        });
        $('#edgeLabelX').change(function () {
            var option2 = $("#edgeLabelX option:selected").text();
            var chart = $("#Chart1").ejChart("instance");
            switch (option2) {
                case 'None':
                    chart.model.primaryXAxis.edgeLabelPlacement = 'none';
                    chart.redraw();
                    break;
                case 'Shift':
                    chart.model.primaryXAxis.edgeLabelPlacement = 'shift';
                    chart.redraw();
                    break;
                case 'Hide':
                    chart.model.primaryXAxis.edgeLabelPlacement = 'hide';
                    chart.redraw();
                    break;
                default:
            }
        });
        $('#xlabelposition').change(function () {
            var option5 = $("#xlabelposition option:selected").text();
            var chart = $("#Chart1").ejChart("instance");
            switch (option5) {
                case 'None':
                    chart.model.primaryXAxis.labelPosition = 'outside';
                    chart.redraw();
                    break;
                case 'Inside':
                    chart.model.primaryXAxis.labelPosition = 'inside';
                    chart.redraw();
                    break;
                case 'Outside':
                    chart.model.primaryXAxis.labelPosition = 'outside';
                    chart.redraw();
                    break;
                default:
            }
        });

        $('#xtickposition').change(function () {
            var option6 = $("#xtickposition option:selected").text();
            var chart = $("#Chart1").ejChart("instance");
            switch (option6) {
                case 'None':
                    chart.model.primaryXAxis.tickLinesPosition = 'outside';
                    chart.redraw();
                    break;
                case 'Inside':
                    chart.model.primaryXAxis.tickLinesPosition = 'inside';
                    chart.redraw();
                    break;
                case 'Outside':
                    chart.model.primaryXAxis.tickLinesPosition = 'outside';
                    chart.redraw();
                    break;
                default:
            }
        });

        $('#ylabelposition').change(function () {
            var option7 = $("#ylabelposition option:selected").text();
            var chart = $("#Chart1").ejChart("instance");
            switch (option7) {
                case 'None':
                    chart.model.primaryYAxis.labelPosition = 'outside';
                    chart.redraw();
                    break;
                case 'Inside':
                    chart.model.primaryYAxis.labelPosition = 'inside';
                    chart.redraw();
                    break;
                case 'Outside':
                    chart.model.primaryYAxis.labelPosition = 'outside';
                    chart.redraw();
                    break;
                default:
            }
        });

        $('#ytickposition').change(function () {
            var option8 = $("#ytickposition option:selected").text();
            var chart = $("#Chart1").ejChart("instance");
            switch (option8) {
                case 'None':
                    chart.model.primaryYAxis.tickLinesPosition = 'outside';
                    chart.redraw();
                    break;
                case 'Inside':
                    chart.model.primaryYAxis.tickLinesPosition = 'inside';
                    chart.redraw();
                    break;
                case 'Outside':
                    chart.model.primaryYAxis.tickLinesPosition = 'outside';
                    chart.redraw();
                    break;
                default:
            }
        });

        $('#edgeLabelY').change(function () {
            var option3 = $("#edgeLabelY option:selected").text();
            var chart = $("#Chart1").ejChart("instance");
            switch (option3) {
                case 'None':
                    chart.model.primaryYAxis.edgeLabelPlacement = 'none';
                    chart.redraw();
                    break;
                case 'Shift':
                    chart.model.primaryYAxis.edgeLabelPlacement = 'shift';
                    chart.redraw();
                    break;
                case 'Hide':
                    chart.model.primaryYAxis.edgeLabelPlacement = 'hide';
                    chart.redraw();
                    break;
                default:
            }
        });
        $("#sampleProperties").ejPropertiesPanel();</script>
</asp:Content>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="ScriptSection">
        
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="StyleSection" runat="server">
    <style  >
          
    </style>
</asp:Content>
