﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="Spline.aspx.cs" Inherits="WebSampleBrowser.Chart.Spline" %>

 <asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <div>
        <ej:WaitingPopup runat="server" ID="waitingpopup" ShowOnInit="false"></ej:WaitingPopup>
        <ej:Chart ID="Chart1" runat="server" Width="970" CanResize="true" Height="600">
            <PrimaryXAxis Title-Text="Year" LabelFormat="yyyy" RangePadding="Additional" />
            <PrimaryYAxis Title-Text="Temperature in Celsius" LabelFormat="{value}C" />
            <CommonSeriesOptions EnableAnimation="True" Type="Spline" DoughnutSize="0.2" Tooltip-Visible="true" Tooltip-Format="#point.x# <br/> #series.name# : #point.y# " Marker-Visible="true" Marker-Size-Height="10" Marker-Size-Width="10" Marker-Border-Width="2" />
           <Series>
                <ej:Series Name="London" XName="Xvalue" YName="YValue1"></ej:Series>
             <ej:Series Name="Germany" XName="Xvalue" YName="YValue2"></ej:Series>
             <ej:Series Name="France" XName="Xvalue" YName="YValue3"></ej:Series>
           </Series>
             <Title Text="Climate Graph-2012"></Title>
        </ej:Chart>
    </div>
</asp:Content>

         
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="ScriptSection">
        
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="StyleSection" runat="server">
    <style  >
       
    </style>
</asp:Content>