﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" 
    AutoEventWireup="true" CodeBehind="StriplineSample.aspx.cs" Inherits="WebSampleBrowser.Chart.StriplineSample" %>
<%@ Register Assembly="Syncfusion.EJ.Web" TagPrefix="ej" Namespace="Syncfusion.JavaScript.Web" %>
<%@ Register Assembly="Syncfusion.EJ" TagPrefix="ej" Namespace="Syncfusion.JavaScript.Web" %>
<%@ Register Assembly="Syncfusion.EJ" Namespace="Syncfusion.JavaScript.DataVisualization.Models" TagPrefix="ejChart" %>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <div>
        <ej:WaitingPopup runat="server" ID="waitingpopup" ShowOnInit="false"></ej:WaitingPopup>
        <ej:Chart ID="Chart1" runat="server" Width="970" Height="600" CanResize="true">
            <ChartArea Background="transparent" Border-Color="#686868" Border-width="4" Border-Opacity="1" />
            <PrimaryXAxis Title-Text="Month" MajorGridLines-Visible="false" />
            <PrimaryYAxis Title-Text="Temperature in Celcius" AxisLine-Color="#808080" LabelFormat="{value} C" >
            <Stripline>
                <ejChart:StripLine Start="30" End="40" Text="High Temperature" TextAlignment="MiddleCenter" Color="#0D97D4" ZIndex="Behind" BorderWidth="0" Font-FontSize="18px" Font-Color="white" />
                 <ejChart:StripLine Start="20" End="30" Text="Average Temperature" TextAlignment="MiddleCenter" Color="#00AEFF" ZIndex="Behind" BorderWidth="0" Font-FontSize="18px" Font-Color="white" />
                 <ejChart:StripLine Start="10" End="20" Text="Low Temperature" TextAlignment="MiddleCenter" Color="#14B9FF" ZIndex="Behind" BorderWidth="0" Font-FontSize="18px" Font-Color="white" />
            </Stripline>
             </PrimaryYAxis>
              <Series>
               <ej:Series EnableAnimation="True" Name="Course" XName="Xvalue" YName="YValue1" Width="4" Marker-Visible="true" Marker-Border-Width="4" Marker-Fill="Black" Tooltip-Visible="true" Tooltip-Format="#point.x# : #point.y#" Tooltip-Font-Color="Black" Tooltip-Fill="White" Tooltip-Border-Width="1" Tooltip-Border-Color="Black" Marker-Size-Height="12" Marker-Size-Width="12" Type="Line" Fill="#ffffff" ></ej:Series>
              </Series>
            
            <Title Text="Weather Report"></Title>
            <Legend Visible="false"></Legend>
        </ej:Chart>
    </div>
</asp:Content>


<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="EventSection">
     
</asp:Content>



<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="ScriptSection">
      
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="StyleSection" runat="server">
    <style  >
       
    </style>
</asp:Content>
