﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="SubTitle.aspx.cs" Inherits="WebSampleBrowser.Chart.SubTitle" %>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="ScriptSection">
      
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">
    <div id="Tooltip" style="display: none;">
		<div id="icon">	
       <div id="eficon"></div>
	   </div>
        <div id="value">
            <div>
            <label id="efpercentage">&nbsp;#point.y#%</label>
                <label id="ef">Efficiency</label>
             </div>
        </div>

    </div>
  <div>
      
      <ej:WaitingPopup runat="server" ID="waitingpopup" ShowOnInit="false"></ej:WaitingPopup>
      <ej:Chart ID="Chart1" runat="server" Width="690" Height="600" CanResize="true">
         <PrimaryXAxis Title-Text="year"/>
          <PrimaryYAxis LabelFormat="{value}%" RangePadding="Round" Title-Text="Efficiency"/>
          <CommonSeriesOptions Type="column" DoughnutSize="0.2" Tooltip-Visible="true" Tooltip-Template="Tooltip" Marker-Size-Height="10" Marker-Size-Width="10" Marker-Border-Width="2"  Marker-Visible="false" EnableAnimation="True"/>
           <Series>
             <ej:Series Name="India" XName="Xvalue" YName="YValue1" Fill="#69D2E7"></ej:Series>
             <ej:Series Name="Germany" XName="Xvalue" YName="YValue2"  Fill="#E27F2D"></ej:Series>
             
         </Series>
           <Legend Visible="true"></Legend>
          <Title Text="Efficiency of oil-fired power production">
              <SubTitle Text="(in a week)" TextAlignment="Far">
                  </SubTitle>
          </Title>
      </ej:Chart>
  </div>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="PropertySection" runat="server">
     <div id="sampleProperties">
                <div class="prop-grid">
                    <div class="row">
                        <div class="col-md-3">
                            Title Placement
                        </div>
                        <div class="col-md-3">
                            <select name="selectIndex" autocomplete="off"  id="optPositionChange">
                               <option value="0">Center</option>
                                                    <option value="1">Near</option>
                                                    <option value="2">Far</option>
                            </select>
                        </div>
                        <div class="col-md-3">
                           Subtitle Placement
                        </div>
                        <div class="col-md-3">
                            <select name="disableItem" autocomplete="off"   id="optAlignmentChange">
                                <option value="0">Far</option>
                                                    <option value="1">Near</option>
                                                    <option value="2">Center</option>
                            </select>
                        </div>
                    </div>
                    <%----%>
                </div>
            </div>
    <script type="text/javascript">
        var chartObj = $("#Chart1").data("ejChart");
        $("#optPositionChange").ejDropDownList({ "change": "positionChanged", width: "120px", selectedItemIndex: 0 });
        $("#optAlignmentChange").ejDropDownList({ "change": "alignmentChanged", width: "120px", selectedItemIndex: 0 });


        function positionChanged(sender) {
            $("#Chart1").ejChart("option", { "title": placement(sender, sender.selectedText) });
        }
        function alignmentChanged(sender) {
            $("#Chart1").ejChart("option", { title: { "subTitle": placement(sender, sender.selectedText) } });
        }
        function placement(sender, data) {
            if (sender.model.change.indexOf("positionChanged") >= 0) {
                var legendPosition = data.toLowerCase();
                return {
                    textAlignment: legendPosition
                };
            }
            else {
                var legendAlignment = data.toLowerCase();
                return {
                    textAlignment: legendAlignment
                };
            }
        }
        $("#sampleProperties").ejPropertiesPanel();
            </script>
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="StyleSection" runat="server">
    <style  >
       
    </style>
</asp:Content>
