﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="Windrose.aspx.cs" Inherits="WebSampleBrowser.Chart.Windrose" %>

<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="SampleHeading">
    <span class="sampleName">Chart / DataBinding / LocalData</span>
</asp:Content>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <ej:WaitingPopup runat="server" ID="waitingpopup" ShowOnInit="false"></ej:WaitingPopup>
    <ej:Chart ID="Chart1" runat="server" Height="600" Width="970" CanResize="true" OnClientLoad="loadTheme">
        <ChartBorder Color="black" Width="1" />
        <PrimaryXAxis LabelPlacement="onticks" Title-Text="Year" />
        <PrimaryYAxis LabelFormat="{value}%" Title-Text="Efficiency" />
        <CommonSeriesOptions Tooltip-Visible="true" Type="Polar" EnableAnimation="true" IsStacking="true" DrawType="Column" Marker-Visible="false" Marker-Size-Width="10" Marker-Size-Height="10" Border-Color="white" Border-Width="0.5" />
       <Series>
           <ej:Series Name="23 Above" Fill="#F37021" XName="Xvalue" YName="YValue1"></ej:Series>
           <ej:Series Name="17 - 20" Fill="#FD9D6F" XName="Xvalue" YName="YValue2"></ej:Series>
           <ej:Series Name="14 - 17" Fill="#FEE378" XName="Xvalue" YName="YValue3"></ej:Series>
           <ej:Series Name="11 - 14" Fill="#97D6E8" XName="Xvalue" YName="YValue4"></ej:Series>
           <ej:Series Name="9 - 11" Fill="#4DB797" XName="Xvalue" YName="YValue5"></ej:Series>
           <ej:Series Name="6 - 9" Fill="#6666FF" XName="Xvalue" YName="YValue6"></ej:Series>
           <ej:Series Name="3 - 6" Fill="#6251B5" XName="Xvalue" YName="YValue7"></ej:Series>
           <ej:Series Name="0 - 3" Fill="#2326AF" XName="Xvalue" YName="YValue8"></ej:Series>
       </Series>
         <Title Text="Wind Rose Chart"></Title>
        <Legend Visible="true" Alignment="Near" Position="Right"></Legend>
    </ej:Chart>
</asp:Content>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="ScriptSection">
       
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="StyleSection" runat="server">
    <style  >
         
    </style>
</asp:Content>