﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true"
    CodeBehind="AngularSupport.aspx.cs" Inherits="WebSampleBrowser.ColorPicker.AngularSupport" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">
    <div ng-app="syncApp">
        <div ng-controller="ColorPickerCtrl">
            <div class="frame">
                <div>
                    <div id="control" style="float: left; width: 68%; margin-left: 10px">
                        <input id="colorpick" ej-colorpicker e-value="colorValue" e-modeltype="palette" />
                        <h6>
                            <span style="font-style: italic; font-weight: normal; position: absolute; margin-top: 4px;">Note:Two Way Angular Support</span>
                        </h6>
                    </div>
                    <div id="binding" style="float: left; width: 24%;">
                        <input id="colorpick1" ej-colorpicker e-value="colorValue" e-modeltype="picker" />
                    </div>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
    <script src='<%= Page.ResolveClientUrl("~/Scripts/angular.min.js")%>' type="text/javascript"></script>
    <script src='<%= Page.ResolveClientUrl("~/Scripts/ej/ej.widget.angular.min.js")%>' type="text/javascript"></script>
    <script type="text/javascript">
        angular.module('syncApp', ['ejangular'])
                    .controller('ColorPickerCtrl', function ($scope) {
                        $scope.colorValue = "#278787";
                        $scope.palette = "palette";
			            $scope.picker = "picker"
                    });
    </script>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css" class="cssStyles">
        .frame .control {
            margin-left: 23px;
            width:400px;
        }
        .frame {
            width:400px;
        }
    </style>
</asp:Content>
