﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="KnockoutSupport.aspx.cs" Inherits="WebSampleBrowser.ColorPicker.KnockoutSupport" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">
    <div class="frame">
        <div id="control" style="float: left; width: 68%; margin-left: 10px">
            <label>Select a color </label>
            <input id="colorpicker" data-bind="ejColorPicker: { value: value, modelType: palette }" />
            <h6><span style="font-style: italic; font-weight: normal; position: absolute; margin-top: 5px;">Note:Two Way Knockout Support</span></h6>
        </div>
        <div id="binding" style="float: left; width: 26%">
            <label>Select a color </label>
            <input id="colorpicker1" data-bind="ejColorPicker: { value: value, modelType: picker }" />
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
   <script src='<%= Page.ResolveClientUrl("~/Scripts/knockout-min.js")%>' type="text/javascript"></script>
    <script src='<%= Page.ResolveClientUrl("~/Scripts/ej/ej.widget.ko.min.js")%>' type="text/javascript"></script>
    <script type="text/javascript">

        window.viewModel = {
            value: ko.observable("#278787"),
            palette: ko.observable("palette"),
	        picker: ko.observable("picker")
        };

        $(function () {
            // declaration
            ko.applyBindings(viewModel);
        });

    </script>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css" class="cssStyles">
        .frame {
            height: 60px;
            width: 400px;
        }
    </style>
</asp:Content>
