﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true"
    CodeBehind="Presets.aspx.cs" Inherits="WebSampleBrowser.ColorPicker.Presets" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">
    <div class="frame">
        <div class="control">
            <div class="presets-col">
                <label>Basic</label>                
                <ej:ColorPicker ID="basicPreset" runat="server" TagName="div" DisplayInline="true" ModelType="Palette" PresetType="Basic" Value="#9494c8"></ej:ColorPicker>
            </div>
            <div class="presets-col">
                <label>Mono Chrome</label>
                <ej:ColorPicker ID="monoChromePreset" runat="server" TagName="div" DisplayInline="true" ModelType="Palette" PresetType="MonoChrome" Value="#8e8e8e"></ej:ColorPicker>
            </div>
            <div class="presets-col">
                <label>Flat Colors</label>
                <ej:ColorPicker ID="flatColorsPreset" runat="server" TagName="div" DisplayInline="true" ModelType="Palette" PresetType="FlatColors" Value="#f79853"></ej:ColorPicker>
            </div>
            <div class="presets-col">
                <label>Sea Wolf</label>
                <ej:ColorPicker ID="seaWolfPreset" runat="server" TagName="div" DisplayInline="true" ModelType="Palette" PresetType="SeaWolf" Value="#13647F"></ej:ColorPicker>
            </div>
            <div class="presets-col">
                <label>Web Colors</label>
                <ej:ColorPicker ID="webColorsPreset" runat="server" TagName="div" DisplayInline="true" ModelType="Palette" PresetType="WebColors" Value="#E7C36F"></ej:ColorPicker>
            </div>
            <div class="presets-col">
                <label>Sandy</label>
                <ej:ColorPicker ID="sandyPreset" runat="server" TagName="div" DisplayInline="true" ModelType="Palette" PresetType="Sandy" Value="#EFECCA"></ej:ColorPicker>
            </div>
            <div class="presets-col">
                <label>Pink Shades</label>
                <ej:ColorPicker ID="pinkShadesPreset" runat="server" TagName="div" DisplayInline="true" ModelType="Palette" PresetType="PinkShades" Value="#996072"></ej:ColorPicker>
            </div>
            <div class="presets-col">
                <label>Misty</label>
                <ej:ColorPicker ID="mistyPreset" runat="server" TagName="div" DisplayInline="true" ModelType="Palette" PresetType="Misty" Value="#0A0D0C"></ej:ColorPicker>
            </div>
            <div class="presets-col">
                <label>Citrus</label>
                <ej:ColorPicker ID="citrusPreset" runat="server" TagName="div" DisplayInline="true" ModelType="Palette" PresetType="Citrus" Value="#F29727"></ej:ColorPicker>
            </div>
            <div class="presets-col">
                <label>Vintage</label>
                <ej:ColorPicker ID="vintagePreset" runat="server" TagName="div" DisplayInline="true" ModelType="Palette" PresetType="Vintage" Value="#557359"></ej:ColorPicker>
            </div>
            <div class="presets-col">
                <label>Moon Light</label>
                <ej:ColorPicker ID="moonLightPreset" runat="server" TagName="div" DisplayInline="true" ModelType="Palette" PresetType="MoonLight" Value="#383A47"></ej:ColorPicker>
            </div>
            <div class="presets-col">
                <label>Candy Crush</label>
                <ej:ColorPicker ID="candyCrushPreset" runat="server" TagName="div" DisplayInline="true" ModelType="Palette" PresetType="CandyCrush" Value="#97cacb"></ej:ColorPicker>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        .presets-col {
            margin-bottom: 25px;
            display: inline-block;
            margin-right: 35px;
        }

        .frame {
            width: auto;
            border: 0px;
            padding-left: 30px;
        }
    </style>
</asp:Content>


