﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true"
    CodeBehind="Keyboard-Interaction.aspx.cs" Inherits="WebSampleBrowser.DatePicker.keyboard" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">
    <div class="frame">
        <div class="control">
            <ej:DatePicker ID="datepickkey" runat="server"></ej:DatePicker>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PropertySection" runat="server">
    <div id="sampleProperties">
        <div class="prop-grid keyboard">
            <div class="row">
                <div class="col-md-3">
                    <b>Alt+ j </b>
                </div>
                <div class="col-md-3">
                    Focuses the control
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Alt + Down</b>
                </div>
                <div class="col-md-3">
                    Opens the popup
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Left</b>
                </div>
                <div class="col-md-3">
                    Moves to previous date
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Right</b>
                </div>
                <div class="col-md-3">
                    Moves to next date
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Up</b>
                </div>
                <div class="col-md-3">
                    Moves one week upward
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Down</b>
                </div>
                <div class="col-md-3">
                    Moves one week downward
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Enter</b>
                </div>
                <div class="col-md-3">
                    Selects the focused date
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Esc</b>
                </div>
                <div class="col-md-3">
                    Closes the popup
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Ctrl + Up</b>
                </div>
                <div class="col-md-3">
                    Navigates to top view
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Ctrl + Down</b>
                </div>
                <div class="col-md-3">
                    Navigates to lower view
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Ctrl + Left</b>
                </div>
                <div class="col-md-3">
                    Navigates to previous month
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Ctrl + Right</b>
                </div>
                <div class="col-md-3">
                    Navigates to next month
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
    <script type="text/javascript">
        $(function () {
            $("#sampleProperties").ejPropertiesPanel();
            $(document).on("keydown", function (e) {
                if (e.altKey && e.keyCode === 74) { // j- key code.
                    $("#datepickkey").focus();
                }
            });
        });
    </script>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        .frame .control {
            margin-left: 23px;
        }
    </style>
</asp:Content>
