﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true"
    CodeBehind="KnockoutSupport.aspx.cs" Inherits="WebSampleBrowser.DatePicker.knockout" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">
    <div class="frame">
        <div class="control">
            <label>
                Select Show Date
            </label>
            <input id="datepick1" data-bind="ejDatePicker: { value: value, strictMode: true }" />
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PropertySection" runat="server">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                    Selected Date
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <input id="datepick2" data-bind="ejDatePicker: { value: value, strictMode: true }" />
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
  <script src='<%= Page.ResolveClientUrl("~/Scripts/knockout-min.js")%>' type="text/javascript"></script>
    <script src='<%= Page.ResolveClientUrl("~/Scripts/ej/ej.widget.ko.min.js")%>' type="text/javascript"></script>
    <script type="text/javascript">
        window.viewModel = {
            value: ko.observable(new Date(2014, 05, 15))
        };
        $(function () {
            // declaration
            ko.applyBindings(viewModel);
            $("#sampleProperties").ejPropertiesPanel();
        });
    </script>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        .frame .control {
            margin-left: 23px;
        }
    </style>
</asp:Content>
