﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true"
    CodeBehind="APIs.aspx.cs" Inherits="WebSampleBrowser.DateTimePicker.methods" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">
    <div class="frame">
        <div class="control">
            <ej:DateTimePicker ID="dateTime" runat="server" ClientSideOnChange="isChange" ClientSideOnClose="isClose" Width="180px" ClientSideOnOpen="isOpen"></ej:DateTimePicker>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PropertySection" runat="server">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                    State
                </div>
                <div class="col-md-3">
                    <ej:ToggleButton ID="check21" DefaultText="Disable" ActiveText="Enable" Width="107px" ClientSideOnClick="changeState" runat="server"></ej:ToggleButton>
                    <label for="check21">
                        Toggle</label>
                </div>
                <div class="col-md-3">
                    Get Value
                </div>
                <div class="col-md-3">
                    <input type="button" class="e-btn inputbtn" id="getdatetime" value="Get Value" />
                </div>
                <div class="col-md-3">
                    Visible
                </div>
                <div class="col-md-3">
                    <ej:ToggleButton ID="check22" DefaultText="Show" ActiveText="Hide" ClientSideOnClick="changeVisible" Width="107px" runat="server"></ej:ToggleButton>
                    <label for="check22">
                        Toggle</label>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
    <script type="text/javascript">
        var dateTimeObj, togObj;
        $(function () {
            dateTimeObj = $('#dateTime').data("ejDateTimePicker");

            togObj = $("#check22").data('ejToggleButton');
            $("#getdatetime").click(function () {
                alert("Selected time is : " + dateTimeObj.getValue());
            });

            $("#updatetime").click(function () {
                dateTimeObj.setCurrentDateTime();
            });

            $("#sampleProperties").ejPropertiesPanel();
        });
        function changeVisible(args) {
            if (args.isChecked)
                dateTimeObj.show();
            else dateTimeObj.hide();
        }
        function changeState(args) {
            if (args.isChecked) dateTimeObj.disable();
            else dateTimeObj.enable();
        }
    </script>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css" class="cssStyles">
        putbtn {
            width: 95px;
        }

        .control .e-datetime-wrap {
            width: 175px;
        }

        .control {
            margin: 0 auto;
            width: 210px;
        }
    </style>
</asp:Content>
