﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true"
    CodeBehind="Keyboard-Interaction.aspx.cs" Inherits="WebSampleBrowser.DateTimePicker.keyboardnavigation" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadSection" runat="server">
    <style type="text/css">
        .control {
            margin: 0 auto;
            width: 210px;
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">
    <div class="frame">
        <div class="control">
            <ej:DateTimePicker ID="dateTime" Width="180px" runat="server"></ej:DateTimePicker>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PropertySection" runat="server">
    <div id="sampleProperties">
        <div class="prop-grid keyboard">
            <div class="row">
                <div class="col-md-3">
                    <b>Alt+ j </b>
                </div>
                <div class="col-md-3">
                    Focuses the control
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Alt + Down</b>
                </div>
                <div class="col-md-3">
                    Opens/Hides the popup
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>While popup opened:</b>
                </div>
            </div>
            <br />
            <div class="row">
                <div class="col-md-3">
                    <b>Alt + Left</b>
                </div>
                <div class="col-md-3">
                    Focus through out the popup container in forward direction
                </div>
                <div class="col-md-3">
                </div>
            </div>
            <br />
            <div class="row">
                <div class="col-md-3">
                    <b>Alt + Right</b>
                </div>
                <div class="col-md-3">
                    Focus through out the popup container in backward direction
                </div>
                <div class="col-md-3">
                </div>
            </div>
            <br />
            <div class="row">
                <div class="col-md-3">
                    <b>Enter</b>
                </div>
                <div class="col-md-3">
                    select the focused control/selects the focused element
                </div>
                <div class="col-md-3">
                </div>
            </div>
            <br />
            <div class="row">
                <div class="col-md-3">
                    <b>Esc</b>
                </div>
                <div class="col-md-3">
                    Closes the popup
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
    <script type="text/javascript">
        $(function () {
            $("#sampleProperties").ejPropertiesPanel();
            $(document).on("keydown", function (e) {
                if (e.altKey && e.keyCode === 74) { // j- key code.
                    $("#dateTime").focus();
                }
            });
        });
    </script>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css" class="cssStyles">
        .e-datetime-popup .e-focus {
            box-shadow: 0 0 2px rgba(0, 0, 0, 0.5);
        }

        .darktheme .e-datetime-popup .e-focus {
            box-shadow: 0 0 2px rgba(255, 255, 255, 0.5);
        }
    </style>
</asp:Content>
