﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="ModelDialog.aspx.cs" Inherits="WebSampleBrowser.Dialog.ModelDialog" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">
    <asp:UpdatePanel ID="Update" runat="server" UpdateMode="Always">
        <ContentTemplate>
            <ej:Button ID="btnOpen" Type="Button" Text="Click to open dialog" ClientSideOnClick="btnclick" CssClass="e-btn" runat="server"  ClientSideOnCreate="onButtonCreate"></ej:Button>
            <div class="control">
                <ej:Dialog ID="lognForm" Title="Login Form" ClientSideOnClose="onDialogClose" EnableModal="true" EnableResize="false" runat="server">
                    <DialogContent>
                        <table>
                            <tr>
                                <td>Please register to receive e-mail updates abut new features when they’re available.
                                </td>
                            </tr>
                            <tr>
                                <td>Name (required)
                                          <input type="text" id="txtName" class="ejinputtext" style="width: 100%" />
                                </td>
                            </tr>
                            <tr>
                                <td>Company (required)
                                          <input type="text" id="Text1" class="ejinputtext" style="width: 100%" />
                                </td>
                            </tr>
                            <tr>
                                <td>E-mail (required)
                                          <input type="text" id="Text2" class="ejinputtext" style="width: 100%" />
                                </td>
                            </tr>
                            <tr>
                                <td>Phone (required)
                                          <input type="text" id="Text3" class="ejinputtext" style="width: 100%" />
                                </td>
                            </tr>
                            <tr>
                                <td align="center">
                                    <ej:Button ID="downloadBtn" Text="Free Download" CssClass="e-btn" runat="server"></ej:Button>

                                </td>
                            </tr>
                            <tr>
                                <td align="center">Existing User – <a href="#">Log in</a>
                                </td>
                            </tr>
                        </table>
                    </DialogContent>
                </ej:Dialog>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
    <script src='<%= Page.ResolveClientUrl("~/Scripts/Dialog/ModalDialog.js")%>' type="text/javascript"></script>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        .control {
            height: 450px;
        }
    </style>
</asp:Content>
