﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="Knockout.aspx.cs" Inherits="WebSampleBrowser.DigitalGauge.Knockout" %>
<%@ Register Assembly="Syncfusion.EJ" Namespace="Syncfusion.JavaScript.DataVisualization.Models" TagPrefix="ej" %>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="HeadSection">
    <script src='<%= Page.ResolveClientUrl("~/Scripts/excanvas.min.js")%>' type="text/javascript"></script>
</asp:Content>



<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <div align="center">
                <div id="digitalCore" style="width:100%" data-bind="ejDigitalGauge:({value:samplevalue,width:510,height:300,
                items: [{ segmentSettings:{width: 2, spacing: 0},characterSettings:{opacity: 0.8}, value: 'Syncfusion', position: { x: 52, y: 52 } }]
                })"></div>               
     </div>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
    <script src='<%= Page.ResolveClientUrl("~/Scripts/knockout-min.js")%>' type="text/javascript"></script>
    <script src='<%= Page.ResolveClientUrl("~/Scripts/ej/ej.widget.ko.min.js")%>' type="text/javascript"></script>
    <script type="text/javascript">
        window.viewModel = {
            samplevalue: ko.observable("Syncfusion"),
        };
        $(function () {
            ko.applyBindings(viewModel);
            $("#sampleProperties").ejPropertiesPanel();
        });

    </script>
</asp:Content>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="PropertySection">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                   Value
                </div>
                <div class="col-md-3">
                   <input type="text" name="slide" class="ejinputtext" value="" data-bind="value: samplevalue" class="e-inputText" style="width:105px"/> 
                </div>
            </div>
        </div>
    </div>
</asp:Content>
