﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="Cascading.aspx.cs" Inherits="WebSampleBrowser.DropDownList.Cascading" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">
    <div class="frame">
        <div class="control" style="float: left;">
            <span class="txt">Select Group</span>
            <ej:DropDownList ID="groupsList" runat="server" DataValueField="parentId" CascadeTo="countryList" ClientSideOnChange="onChange"></ej:DropDownList>
        </div>

        <div class="control" style="float: right;">
            <span class="txt">Select Country</span>
            <ej:DropDownList ID="countryList" runat="server" Enabled="false"></ej:DropDownList>
        </div>
    </div>

</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
    <script type="text/javascript">
        function onChange() {
            var ctry = $('#countryList').data("ejDropDownList");
            ctry.element.val("");
        }
    </script>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        .control {
            margin-left: 20px;
        }

        .frame {
            height: 55px;
            width: 400px;
        }

        .txt {
            display: block;
            margin-bottom: 12px;
        }
    </style>
</asp:Content>
