﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="KnockoutSupport.aspx.cs" Inherits="WebSampleBrowser.DropDownList.KnockoutSupport" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">

    <div class="frame">
        <div class="control">
            <div class="ctrllabel">Select a section</div>
            <input id="controlSelect" data-bind="ejDropDownList: { dataSource: dataList, value: value }">
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PropertySection" runat="server">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">Value</div>
                <div class="col-md-3">
                    <input type="text" id="dropValue" class="input ejinputtext" data-bind="value: value" />
                </div>
            </div>
            <div class="row">

                <div class="col-md-3">TextBox Value</div>
                <div class="col-md-3">
                    <ej:Button ID="Button8" Type="Button" Text="Value" ClientSideOnClick="valuetext" runat="server"></ej:Button>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">Disable\Enable</div>
                <div class="col-md-3">
                    <ej:ToggleButton ID="btnchkunchk" runat="server" ClientSideOnChange="enabledisable" DefaultText="Disable" ActiveText="Enable" Width="107px"></ej:ToggleButton>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
       <script src='<%= Page.ResolveClientUrl("~/Scripts/knockout-min.js")%>' type="text/javascript"></script>
    <script src='<%= Page.ResolveClientUrl("~/Scripts/ej/ej.widget.ko.min.js")%>' type="text/javascript"></script>
    <script type="text/javascript">
        var target;
        $(function () {
            var carList = [
                { empid: "cr1", text: "Accordion", value: "Accordion" },
                { empid: "cr2", text: "Autocomplete", value: "Autocomplete" },
                { empid: "cr3", text: "Button", value: "Button" },
                { empid: "cr4", text: "Tab", value: "Tab" },
                { empid: "cr5", text: "Menu", value: "Menu" },
                { empid: "cr6", text: "Rating", value: "Rating" },
                { empid: "cr7", text: "Slider", value: "Slider" },
                { empid: "cr8", text: "Splitter", value: "Splitter" },
                { empid: "cr9", text: "Tagcloud", value: "Tagcloud" },
                { empid: "cr10", text: "Scroller", value: "Scroller" },
                { empid: "cr11", text: "TreeView", value: "TreeView" },
                { empid: "cr12", text: "WaitingPopup", value: "WaitingPopup" }
            ];
            window.viewModel = {
                dataList: ko.observable(carList),
                value: ko.observable("Button"),
            }
            ko.applyBindings(viewModel);
            target = $('#controlSelect').data("ejDropDownList");
            $("#sampleProperties").ejPropertiesPanel();
        });
        function enabledisable(args) {

            if (args.isChecked) {
                if (target) target.disable();
            }
            else
                if (target) target.enable();
        }
        function valuetext(e, ui) {
            alert("Selected Item is " + target.getValue());
        }

    </script>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        .control {
            margin-left: 20px;
        }

        .ctrllabel {
            padding-bottom: 3px;
        }

        #dropValue {
            text-indent: 5px;
        }

        .input {
            height: 22px;
            text-indent: 10px;
            width: 106px;
        }

        .inputBtn {
            width: 97px;
            text-align: center;
        }
    </style>
</asp:Content>
