﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="TimeOption.aspx.cs" Inherits="WebSampleBrowser.Gantt.TimeOption" %>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="HeadSection">
    <script src="../Scripts/Gantt/GanttData.js" type="text/javascript"></script>
</asp:Content>

<asp:Content ID="Content1" ContentPlaceHolderID="SampleHeading" runat="server">
    <span class="sampleName">Gantt / TimeOptions</span>
</asp:Content>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <div>
        <div style="float:right; padding-bottom:5px;padding-right:1px;">
            <select name="selectIndex"  id="options">
                <option value="0">24 Hour Timescale</option>
                <option value="1">8 Hour Timescale</option>
            </select>
        </div>   
        <ej:Gantt ID="GanttTimeOptions" runat="server" TaskIdMapping="TaskID" TaskNameMapping="TaskName" ScheduleStartDate="02/23/2014 12:00:00 AM"
            ScheduleEndDate="02/28/2014 23:59:59" StartDateMapping="StartDate" DurationMapping="duration" ProgressMapping="Progress" 
            ChildMapping="Children" TreeColumnIndex="1" DurationUnit="Hour" DateFormat="M/d/yyyy hh:mm:ss tt" WorkingTimeScale="TimeScale24Hours"
             AllowGanttChartEditing="true" EnableResize="true">
            <ScheduleHeaderSettings ScheduleHeaderType="Day" />
            <SizeSettings Width="100%" Height="450px" />
        </ej:Gantt>    
     </div>    
     <script type="text/javascript">
         $("#options").ejDropDownList({ "change": "onChange", Value: "24 Hour Timescale", Text: "24 Hour Timescale", width: "155px", selectedItemIndex: 0 });
     </script>
</asp:Content>
<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="ScriptSection">
      <script type="text/javascript">

          function onChange(args) {
              var ganttObject = $("#GanttTimeOptions").data("ejGantt");
              if (args.text === "24 Hour Timescale") {
                  ganttObject.model.workingTimeScale = ej.Gantt.workingTimeScale.TimeScale24Hours;
                  ganttObject.setModel({ dataSource: data });
              }
              if (args.text === "8 Hour Timescale") {
                  ganttObject.model.workingTimeScale = ej.Gantt.workingTimeScale.TimeScale8Hours;
                  ganttObject.setModel({ dataSource: data });
              }
          }
    </script> 
</asp:Content>
