﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="AdaptiveGrid.aspx.cs" Inherits="WebSampleBrowser.Grid.AdaptiveGrid" %>

<asp:Content ID="Content1" ContentPlaceHolderID="SampleHeading" runat="server">
    <span class="sampleName">Grid / Default</span>
</asp:Content>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="PropertySection">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                    Details View
                </div>
                <div class="col-md-3">
                    <input type="checkbox" id="enableDetailsView" />
                </div>
            </div>
        </div>
    </div>
</asp:Content>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <div class="emulatordesk">
        <div class="sample-container" style="padding-left: 31px; padding-top: 113px">
            <iframe src="Adaptive.aspx" id="sample" frameborder="0" tabindex="1" style="height: 493px; width: 319px"></iframe>
        </div>
    </div>
</asp:Content>

<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
    <script type="text/javascript">
        $(function () {
            var browser = ej.Grid.prototype.getBrowserDetails();
            $("#sampleProperties").ejPropertiesPanel();
            $("#enableDetailsView").ejCheckBox({
                "change": function (args) {
                    var iframe = document.getElementById('sample');
                    iframe.contentWindow.postMessage(args.isChecked,iframe.src);
                }, checked: false,enabled: !(browser.browser == "msie" && parseInt(browser.version,10) <= 9) 
            });
            window.loadGridFrameTheme = function () {
                var iframe = document.getElementById('sample');
                iframe.contentWindow.postMessage("theme_"+window.theme,iframe.src);
            }
        });
    </script>
</asp:Content>


