#region Copyright Syncfusion Inc. 2001 - 2014
// Copyright Syncfusion Inc. 2001 - 2014. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WebSampleBrowser.Grid
{
    public partial class ColumnFormatting : System.Web.UI.Page
    {
        List<Orders> order = new List<Orders>();
        protected void Page_Load(object sender, EventArgs e)
        {
            BindDataSource();
        }

        private void BindDataSource()
        {
            order.Add(new Orders(3233333.233876, 3500044, DateTime.Today));
            order.Add(new Orders(16166662, 175002, DateTime.Today));
            order.Add(new Orders(107777774,1166681,DateTime.Today));
            order.Add(new Orders(80833331, 875011, DateTime.Today));
            order.Add(new Orders(64666665, 700008, DateTime.Today));
            order.Add(new Orders(53888887, 583340, DateTime.Today));
            order.Add(new Orders(46190475, 500006, DateTime.Today));
            order.Add(new Orders(40416665, 437505, DateTime.Today));
            order.Add(new Orders(35925925, 388893, DateTime.Today));
            this.FormatGrid.DataSource = order;
            this.FormatGrid.DataBind();
        }

        [Serializable]
        public class Orders
        {
            public Orders()
            {

            }
            public Orders(double Number, long Currency, DateTime Date)
            {
                this.Number = Number;
                this.Currency = Currency;
                this.Date = Date;
            }
            public double Number { get; set; }
            public long Currency { get; set; }
            public DateTime Date { get; set; }
        }
    }
}