﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ObservableAngular.aspx.cs" MasterPageFile="~/Samplebrowser.Master" Inherits="WebSampleBrowser.Grid.ObservableAngular" %>


<asp:Content ID="Content1" ContentPlaceHolderID="SampleHeading" runat="server">
    <span class="sampleName">Grid / ObservableArray Binding / Angular Support</span>
</asp:Content>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <div>
        <div ng-app="employeeView">
            <div ng-controller="GridCtrl">
              <div ej-grid id="Grid" e-datasource="data" e-selectedrowindex="selectedRowIndex" e-allowgrouping="true" e-pagesettings-pagesize="4" e-pagesettings-currentpage="page" e-allowsorting="true" e-allowpaging="true" e-actionbegin="actionBegin">
                <div e-columns>
                    <div e-column e-field="EmployeeID" e-headertext="Employee ID" e-textalign="right" e-width="80"></div>
                    <div e-column e-field="LastName" e-headertext="Last Name" e-textalign="left" e-width="80"></div>
                    <div e-column e-field="FirstName" e-headertext="FirstName" e-textalign="left" e-width="80"></div>
                    <div e-column e-field="Title" e-headertext="Title" e-textalign="left" e-width="80"></div>
                    <div e-column e-field="City" e-headertext="City" e-textalign="left" e-width="80"></div>
                    <div e-column e-field="Country" e-headertext="Country" e-textalign="left" e-width="80"></div>
                </div>
             </div>
                <div class="property">
                    <div class="row">
                        <div class="col-md-2"></div>
                        <div class="col-md-2">
                            Selected Row
                        </div>
                        <div class="col-md-2">
                            <input type="text" id="selectedRow" name="name" class="ejinputtext" value="" ej-numerictextbox e-value="selectedRowIndex" e-maxvalue="3" e-minvalue="-1" e-width="100px" />
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-2"></div>
                        <div class="col-md-2">
                            Current Page
                        </div>
                        <div class="col-md-2">
                            <input type="text" name="name" class="ejinputtext" value="" ej-numerictextbox e-value="page" e-maxvalue="4" e-minvalue="1" e-width="100px" />
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</asp:Content>

<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
    <script src="../Scripts/angular.min.js"></script>
    <script src="../Scripts/ej/ej.widget.angular.min.js"></script>
    <script type="text/javascript">
        var obj = [
        { "EmployeeID": 1, "LastName": "Davolio", "FirstName": "Nancy", "Title": "Sales Representative", "City": "Seattle", "Country": "USA" },
        { "EmployeeID": 2, "LastName": "Fuller", "FirstName": "Andrew", "Title": "Vice President, Sales", "City": "Tacoma", "Country": "USA" },
        { "EmployeeID": 3, "LastName": "Leverling", "FirstName": "Janet", "Title": "Sales Representative", "City": "Kirkland", "Country": "USA" },
        { "EmployeeID": 4, "LastName": "Peacock", "FirstName": "Margaret", "Title": "Sales Representative", "City": "Redmond", "Country": "USA" },
        { "EmployeeID": 5, "LastName": "Buchanan", "FirstName": "Steven", "Title": "Sales Manager", "City": "London", "Country": "UK" },
        { "EmployeeID": 6, "LastName": "Suyama", "FirstName": "Michael", "Title": "Sales Representative", "City": "London", "Country": "UK" },
        { "EmployeeID": 7, "LastName": "King", "FirstName": "Robert", "Title": "Sales Representative", "City": "London", "Country": "UK" },
        { "EmployeeID": 8, "LastName": "Callahan", "FirstName": "Laura", "Title": "Inside Sales Coordinator", "City": "Seattle", "Country": "USA" },
        { "EmployeeID": 9, "LastName": "Dodsworth", "FirstName": "Anne", "Title": "Sales Representative", "City": "London", "Country": "UK" },
        { "EmployeeID": 4, "LastName": "Peacock", "FirstName": "Margaret", "Title": "Sales Representative", "City": "Redmond", "Country": "USA" },
        { "EmployeeID": 5, "LastName": "Buchanan", "FirstName": "Steven", "Title": "Sales Manager", "City": "London", "Country": "UK" },
        { "EmployeeID": 6, "LastName": "Suyama", "FirstName": "Michael", "Title": "Sales Representative", "City": "London", "Country": "UK" },
        { "EmployeeID": 7, "LastName": "King", "FirstName": "Robert", "Title": "Sales Representative", "City": "London", "Country": "UK" },
        { "EmployeeID": 8, "LastName": "Callahan", "FirstName": "Laura", "Title": "Inside Sales Coordinator", "City": "Seattle", "Country": "USA" },
        { "EmployeeID": 9, "LastName": "Dodsworth", "FirstName": "Anne", "Title": "Sales Representative", "City": "London", "Country": "UK" },
        { "EmployeeID": 10, "LastName": "Peacock", "FirstName": "Margaret", "Title": "Sales Representative", "City": "London", "Country": "UK" }
        ];
        $("#sampleProperties").ejPropertiesPanel();
        angular.module('employeeView', ['ejangular'])
        .controller('GridCtrl', function ($scope) {
            $scope.selectedRowIndex = 2;
            $scope.page = 2;
            $scope.data = obj;
            $scope.actionBegin = function (args) {
                if (args.requestType == "grouping")
                    $("#selectedRow").ejNumericTextbox("option", { value: -1 });
            }
        });
    </script>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        b {
            white-space: nowrap;
        }

        .property {
            border: 1px solid #AAAAAA;
            margin-top: 30px;
            padding: 30px;
        }

            .property .col-md-2 {
                margin-bottom: 3px;
                margin-top: 3px;
            }
    </style>
</asp:Content>
