#region Copyright Syncfusion Inc. 2001 - 2014
// Copyright Syncfusion Inc. 2001 - 2014. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Syncfusion.JavaScript.Web;

namespace WebSampleBrowser.Grid
{
    public partial class SQLBinding : System.Web.UI.Page
    {
        SqlConnection myConnection = new SqlConnection(ConfigurationManager.ConnectionStrings["SQLConnectionString"].ToString());        

        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void EditEvents_ServerEditRow(object sender, GridEventArgs e)
        {
            EditAction(e.EventType, e.Arguments["data"]);
        }

        protected void EditEvents_ServerAddRow(object sender, GridEventArgs e)
        {
            EditAction(e.EventType, e.Arguments["data"]);
        }

        protected void EditEvents_ServerDeleteRow(object sender, GridEventArgs e)
        {
            EditAction(e.EventType, e.Arguments["data"]);
        }

        protected void EditAction(string eventType, object record)
        {
            Dictionary<string, object> KeyVal = record as Dictionary<string, object>;
            if (eventType == "endEdit")
            {
                var Order = KeyVal.Values.ToArray();
                myConnection.Open();
                SqlCommand cmdupd = new SqlCommand("update Orders set EmployeeID = " + Order[1] + ",Freight=" + Order[2] + ",ShipCity = '" + Order[3] + "',ShipCountry = '" + Order[4] + "' where OrderID = " + Order[0] + "", myConnection);
                cmdupd.ExecuteNonQuery();
                myConnection.Close();
            }

            else if (eventType == "endAdd")
            {
                var Order = KeyVal.Values.ToArray();
                try
                {
                    myConnection.Open();
                    SqlCommand cmdidentityon = new SqlCommand("SET IDENTITY_INSERT Orders ON", myConnection);
                    cmdidentityon.ExecuteNonQuery();
                    SqlCommand cmdadd = new SqlCommand("insert into Orders(OrderID,EmployeeID,Freight,ShipCity,ShipCountry) values(" + Order[0] + "," + Order[1] + "," + Order[2] + ",'" + Order[3] + "','" + Order[4] + "')", myConnection);
                    cmdadd.ExecuteNonQuery();
                    SqlCommand cmdidentityoff = new SqlCommand("SET IDENTITY_INSERT Orders OFF", myConnection);
                    cmdidentityoff.ExecuteNonQuery();
                    myConnection.Close();
                }
                catch (SqlException e)
                {

                }

            }

            else if (eventType == "endDelete")
            {
                var Order = KeyVal.Values.ToArray();
                try
                {
                    myConnection.Open();
                    //Disable all the constraints in the Order Details
                    SqlCommand cmddisableConstraint = new SqlCommand("alter table [Order Details] nocheck constraint all", myConnection);
                    cmddisableConstraint.ExecuteNonQuery();

                    SqlCommand cmddelParent = new SqlCommand("delete from Orders where OrderID = " + Order[0] + "", myConnection);
                    cmddelParent.ExecuteNonQuery();

                    //Enable all the constraints in the table Order Details
                    SqlCommand cmdenableConstraint = new SqlCommand("alter table [Order Details] check constraint all", myConnection);
                    cmdenableConstraint.ExecuteNonQuery();
                    myConnection.Close();
                }
                catch (SqlException e)
                { }
            }
            this.OrdersGrid.DataBind();
        }

    }
}