﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="API.aspx.cs" Inherits="WebSampleBrowser.ListBox.API" %>
<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">
                       <div class="control">
                        <div class="ctrllabel">Select a section</div>
                        <ej:ListBox runat="server" ID="select1" Width="240">
                            <Items>
                                <ej:ListBoxItems Text="ASP.NET"></ej:ListBoxItems>
                                <ej:ListBoxItems Text="ActionScript"></ej:ListBoxItems>
                                <ej:ListBoxItems Text="Basic"></ej:ListBoxItems>
                                <ej:ListBoxItems Text="C++"></ej:ListBoxItems>
                                <ej:ListBoxItems Text="C#"></ej:ListBoxItems>
                                <ej:ListBoxItems Text="dBase"></ej:ListBoxItems>
                                <ej:ListBoxItems Text="Delphi"></ej:ListBoxItems>
                                <ej:ListBoxItems Text="ESPOL"></ej:ListBoxItems>
                                <ej:ListBoxItems Text="F#"></ej:ListBoxItems>
                            </Items>
                        </ej:ListBox>
                    </div>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PropertySection" runat="server">
            <div id="sampleProperties">
                <div class="prop-grid">
                    <div class="row">
                        <div class="col-md-3">Enable/Disable All</div>
                        <div class="col-md-3">
                            <ej:ToggleButton runat="server" ID="btnendis" CssClass="button" ClientSideOnChange="onEnableDiasableAll" ActiveText="Enable All" DefaultText="Disable All"></ej:ToggleButton>
                        </div>
                    </div>
                        <div class="row">
                        <div class="col-md-3">Remove Item</div>
                        <div class="col-md-3">
                           <ej:Button runat="server" Type="Button" ID="Remove" CssClass="button" Size="Normal" Text="Remove" ClientSideOnClick="remove"></ej:Button>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-3"><input id="additem" style="width:95px;opacity:0.5;" type="text" value="Java"/></div>
                        <div class="col-md-3">
                            <ej:Button runat="server" Type="Button" ID="Add" ClientSideOnClick="add" CssClass="button" Size="Normal" Text="Add Item"></ej:Button>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col-md-3"><input id="selects" style="width:95px;opacity:0.5;" type="text" value="3,4"/></div>
                        <div class="col-md-3">
                            <ej:Button runat="server" Type="Button" ID="Button3" Size="Normal" CssClass="button" Text="Select Items by index" ClientSideOnClick="selects"></ej:Button>
                        </div>
                    </div><br />
                    <div class="row">
                        <div class="col-md-3"><input id="unselects" style="width:95px;opacity:0.5;" type="text" value="3,4"/></div>
                        <div class="col-md-3">
                            <ej:Button runat="server" Type="Button" ID="Button4" Size="Normal" CssClass="button" Text="UnSelect Items by index" ClientSideOnClick="unselects"></ej:Button>
                        </div>
                    </div>
                </div>
            </div>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
    <script type="text/javascript">
        function add(e) {
            var target = $('#select1').data("ejListBox");
            var value = $("#additem").val();
            target.addItem(value);
        }
        function remove(e) {
            var target = $('#select1').data("ejListBox");
            target.removeItem();
        }
        function onEnableDiasableAll(args) {
            var target = $('#select1').data("ejListBox");
            if (args.isChecked)
                target.disable();
            else
                target.enable();
        }

        function selects(e) {
            var target = $('#select1').data("ejListBox");
            var value = $("#selects").val();
            if (value != "")
                target.selectItemsByIndex(value);
            else alert("Please enter the item index");
        }
        function unselects(e) {
            var target = $('#select1').data("ejListBox");
            var value = $("#unselects").val();
            var select = new Array();
            select = value.split(",");
            var arraylen = select.length;
            var unselected = new Array();
            if (value != "") {
                for (i = 0; i < arraylen; i++) {
                    var activeitem = $($('#select1').children("li")[select[i]]);
                    if (!activeitem.hasClass('e-select')) {
                        unselected.push("unselected");
                    }
                }
                target.unselectItemsByIndex(value);
                if (unselected.length == arraylen)
                    alert("Please select the item");
            }
            else alert("Please enter the item index");
        }
        $(function () {
            $("#sampleProperties").ejPropertiesPanel();
        });
    </script>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        .control {
            margin-left: 20px;
        }

        .ctrllabel {
            padding-bottom: 3px;
        }
             .button {
         font-size:12px;
     }
    </style>
</asp:Content>