﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="KnockoutSupport.aspx.cs" Inherits="WebSampleBrowser.ListBox.KnockoutSupport" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">
   <script src='<%= Page.ResolveClientUrl("~/Scripts/knockout-min.js")%>' type="text/javascript"></script>
    <script src='<%= Page.ResolveClientUrl("~/Scripts/ej/ej.widget.ko.min.js")%>' type="text/javascript"></script>
	   <script type="text/javascript">
	       var target;
	       $(function () {
	           var carList = [
                   { empid: "cr1", text: "Accordion" },
                   { empid: "cr2", text: "Autocomplete" },
                   { empid: "cr3", text: "Button" },
                   { empid: "cr4", text: "Tab", },
                   { empid: "cr5", text: "Menu", },
                   { empid: "cr6", text: "Rating", },
                   { empid: "cr7", text: "Slider", },
                   { empid: "cr8", text: "Splitter", },
                   { empid: "cr9", text: "Tagcloud", },
                   { empid: "cr10", text: "Scroller", },
                   { empid: "cr11", text: "TreeView", },
                   { empid: "cr12", text: "WaitingPopup", }
	           ];
	           window.viewModel = {
	               dataList: ko.observable(carList),
	               value: ko.observable("Button"),
	           }
	           ko.applyBindings(viewModel);
	           $("#btnchkunchk").ejToggleButton({ "change": "onCheckUncheckAll", "defaultText": "Disable", "activeText": "Enable", "width": "110px" });

	           $("#Button8").ejButton({
	               click: "valuetext",
	           });
			   var target = $('#controlSelect').data("ejListBox");
			   target.selectItemByIndex(2);
	       });
	       function onCheckUncheckAll(args) {
	           var target = $("#controlSelect").data("ejListBox");
	           if (args.isChecked)

	               target.disable();
	           else
	               target.enable();
	       }
	       function valuetext(e, ui) {
	           var target = $("#controlSelect").data("ejListBox");
	           alert("Selected Item is " + target.value());
	       }
    </script>
    <div class="content-container-fluid">
        <div class="row">
            <div class="cols-sample-area">
                    <div class="control">
                        <div class="ctrllabel">Select a section</div>
         <ul id="controlSelect" data-bind="ejListBox: { dataSource: dataList,value:value }">
                </ul>
      </div>
	  </div>
	  </div>
	  </div>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PropertySection" runat="server">
  <div id="sampleProperties">
                <div class="prop-grid">
                    <div class="row">
                        <div class="col-md-3">Value</div>
                        <div class="col-md-3">
                            <input type="text" id="dropValue" class="input ejinputtext" data-bind="value: value" />
                        </div>
                    </div>                    
                        <div class="row">
                            
                            <div class="col-md-3">TextBox Value</div>
                            <div class="col-md-3">
                                <input type="button" id="Button8" name="check me" class="e-btn inputBtn" value="Value" />
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-3">Disable\Enable</div>
                            <div class="col-md-3">
                                <input type="checkbox" id="btnchkunchk" class="e-togglebtn" value="checkuncheck" checked="checked" />
                            </div>
                        </div>
                    </div>
                </div>
    <script type="text/javascript">
        $("#sampleProperties").ejPropertiesPanel();
</script>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="StyleSection" runat="server">
   <style type="text/css" class="cssStyles">
        .control {
            margin-left: 20px;
        }

        .ctrllabel {
            padding-bottom: 3px;
        }

        #dropValue {
            text-indent: 5px;
        }

        .input {
            height: 22px;
            text-indent: 10px;
            width: 106px;
        }

        .inputBtn {
            width: 97px;
            text-align: center;
        }
    </style>
</asp:Content>
