﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="LoadOnDemand.aspx.cs" Inherits="WebSampleBrowser.ListBox.LoadOnDemand" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">

     <div class="content-container-fluid">
        <div class="row">
            <div class="cols-sample-area">
                    <div class="control">
                        <div class="ctrllabel">Select a country</div>
                    
                    <ej:ListBox ID="selectlang" runat="server" EnableLoadOnDemand="true" ItemsCount="91" ClientSideOnItemRequest="itemRequested" DataTextField="CustomerID"></ej:ListBox>
                    </div>
            </div>
        </div>
        </div>
   
</asp:Content>
 <asp:Content ID="Content6" ContentPlaceHolderID="StyleSection" runat="server">
	   <style type="text/css" class="cssStyles">
        .control {
            margin-left: 20px;
        }

        .ctrllabel {
            padding-top: 15px;
            padding-bottom:5px;
        }
    </style>

 </asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PropertySection" runat="server">
   <div id="sampleProperties">
                <div class="prop-grid">
                    <div class="row">
                         <div class="col-md-3">Select Dropdown</div>
						  <div class="col-md-3">
                              <ej:DropDownList ID="dropdwn" Width="120" SelectedItemIndex="0" ClientSideOnChange="onValueChange" runat="server">
                                  <Items>
                                  <ej:DropDownListItem Text="Normal Mode" Value="disablevirtual"></ej:DropDownListItem>
                                  <ej:DropDownListItem Text="Continuous Mode" Value="enablevirtual"></ej:DropDownListItem>
                                  </Items>
                              </ej:DropDownList>
                    </div> 
                    </div>
               
                </div>
            </div>

</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
     <script type="text/javascript" class="jsScript">

         function itemRequested(args) {
             var target = $("#selectlang").data("ejListBox");
             target.model.query = ej.Query().from("Customers").range(args.start, args.start + 20);
             target.model.itemsCount = 20;
         }
         function onValueChange(args) {
             var target = $('#selectlang').data("ejListBox");
             target.destroy();
             var dataManger = ej.DataManager({
                 url: "http://mvc.syncfusion.com/Services/Northwnd.svc/"
             });
             // Query creation
             var query = ej.Query()
                    .from("Customers");
             if (args.value == "enablevirtual") {
                 $("#selectlang").ejListBox({
                     dataSource: dataManger,
                     fields: { text: "CustomerID" },itemRequest:"itemRequested",
                     query: query, itemsCount:91, enableVirtualScrolling: true

                 });
             }
             if (args.value == "disablevirtual") {
                 $("#selectlang").ejListBox({
                     dataSource: dataManger,
                     fields: { text: "CustomerID" }, itemRequest: "itemRequested",
                     query: query, itemsCount:91,enableLoadOnDemand: true
                 });
             }
         }
         $(function () {
             $("#sampleProperties").ejPropertiesPanel();
         });
    </script>

</asp:Content>