﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="AngularBinding.aspx.cs" Inherits="WebSampleBrowser.AngularBinding" %>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="ControlsSection">
          
      <div ng-app="chartCtrl">
        <div ng-controller="OlapChartCtrl">
            <div class="content-container-fluid">
                <div class="row">
                    <div class="control">
                        <div id="OlapChart" ej-olapchart e-url="url" e-title-text="title" e-showtooltip="showTooltip"
                            e-animation="animation" e-commonseriesoptions-type="ctype" e-commonseriesoptions-tooltip-visible="showTooltip"
                            e-size="size" e-primaryxaxis="primaryYAxis" e-primaryxaxis="primaryYAxis" e-legend="legend" e-load='loadTheme'
                            style="min-height: 275px; width: 68%; float: left;" />
                    </div>    
                </div>
            </div></div>
    <div id="sampleProperties">
        <div class="prop-grid propertiesdlg">
            <div class="row">
                <div class="col-md-3" style="width:35%; padding-top:3px; margin-top:6px">
                    Change Type
                </div>
                <div class="col-md-3 aligntop" style="margin-left:10px">
                    <input type="text" name="name" class="e-ejinputtext" value="" ej-dropdownlist e-datasource="list"
                                    e-value="ctype" e-selectedItemIndex="0" e-width="100px" />
                </div>
            </div>
            <div class="row">
                <div class="col-md-3" style="width:35%; padding-top:10px; margin-top:10px">
                    Edit Title
                </div>
                <div class="col-md-3 aligntop">
                    <textarea type="text" class="input ejinputtext" name="title" value="" ng-model="title" style="resize:none;width:100px;margin-left:10px;height:45px"></textarea>
                </div>
            </div>
        </div>
    </div>
    </div>
</asp:Content>

<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="ScriptSection">

    <script src='<%= Page.ResolveClientUrl("~/Scripts/angular.min.js")%>' type="text/javascript"></script>    
      <script src='<%= Page.ResolveClientUrl("~/Scripts/ej/ej.widget.angular.min.js")%>' type="text/javascript"></script>
	  
    <script type="text/javascript" >
        angular.module('chartCtrl', ['ejangular'])
            .controller('OlapChartCtrl', function ($scope) {
                $scope.url = "../wcf/OlapChartService.svc";
                $scope.title = "OLAP Chart in Essential JS";
                $scope.ctype = ej.olap.OlapChart.ChartTypes.Column;
                $scope.showTooltip = true;
                $scope.size = { height: "460px", width: "650px" };
                $scope.primaryXAxis = { title: { text: "Fiscal Year" }, labelRotation: 0 };
                $scope.primaryYAxis = { title: { text: "Customer Count"} };
                $scope.legend = { visible: true, rowCount: 2 };
                $scope.list = ["column", "line", "spline", "area", "bar", "pie", "pyramid", "stepline", "splinearea", "steparea",
                "stackingarea", "stackingcolumn", "stackingbar"];
            });
        $(function () {
            $("#sampleProperties").ejPropertiesPanel();
        });
    </script>
</asp:Content>

<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="StyleSection">
    <style>
        #OlapChart1 {
            min-height: 275px; 
            min-width: 325px; 
            height: 460px; 
            width: 660px;
            float:left;
        }
        .row .cols-prop-area {
            min-height: 140px;
            margin-top: -462px;
            width: 27%;
            float: right;
            height:180px;
        }
        .cols-prop-area .content {
            height:200px;
        }
    </style>
</asp:Content>

