﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master"  AutoEventWireup="true" CodeBehind="AngularBinding.aspx.cs" Inherits="WebSampleBrowser.AngularBinding" %>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="ControlsSection" >

        <div ng-app="clientCtrl">
        <div ng-controller="OlapClientCtrl">
            <div class="content-container-fluid">
                <div class="row">
                    <div class="control">
                        <div id="OlapClient1" ej-olapclient e-url="url" e-title="title" e-gridlayout="gridLayout" e-chartload='setChartProperties'/>
                    </div>
                </div>
            </div>
        </div>
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3" style="width:80px;margin-top:13px">
                    Edit Layout
                </div>
                <div class="col-md-3 aligntop" style="width:80px">
                    <input type="text" name="name" class="e-ejinputtext" value="" ej-dropdownlist e-datasource="layout"
                                    e-value="gridLayout" e-selectedItemIndex="1" e-width="150px" />
                </div>
            </div>
            <div class="row">
                <div class="col-md-3" style="width:80px;line-height:2">
                    Edit Title
                </div>
                <div class="col-md-3 aligntop">
                    <textarea type="text" class="input ejinputtext" style="width: 150px; resize: none"
                            name="title" value="" ng-model="title"></textarea>
                </div>
            </div>
        </div>
    </div>
    </div>
</asp:Content>

<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="ScriptSection">

     <script src='<%= Page.ResolveClientUrl("~/Scripts/angular.min.js")%>' type="text/javascript"></script>    
    <script src='<%= Page.ResolveClientUrl("~/Scripts/ej/ej.widget.angular.min.js")%>' type="text/javascript"></script>

    <script type="text/javascript" class="jsScript">
        angular.module('clientCtrl', ['ejangular'])
            .controller('OlapClientCtrl', function ($scope) {
                $scope.url = "../wcf/OlapClientService.svc";
                $scope.title = "OLAP Browser";
                $scope.gridLayout = ej.PivotGrid.Layout.NoSummaries;
                $scope.layout = ["normal", "noSummaries", "normalTopSummary", "excelLikeLayout"];
            });
        $(function () {
            $("#sampleProperties").ejPropertiesPanel();
        });
        function setChartProperties(args) {
            this.model.load = "loadTheme";
        }
    </script>
</asp:Content>

<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="StyleSection">
    <style type="text/css">
        #OlapClient1 {
            min-height: 275px; 
            min-width: 950px; 
            overflow:auto;
            float:left;
            margin-left:-16px;
        }
        .row .cols-prop-area {
            min-height: 180px;
            width: 28%;
            margin-top: 25px;
            float: left;
        }
        .cols-prop-area .content {
            height:120px;
        }        
    </style>
</asp:Content>