﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="KOModelBinding.aspx.cs" Inherits="WebSampleBrowser.KOModelBinding" %>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="ControlsSection">

    <html xmlns="http://www.w3.org/1999/xhtml">
        <body>
            <div class="control">
                <div id="OlapClient1" data-bind="ejOlapClient: { url: url, title: title, gridLayout: gridLayout, chartLoad: 'setChartProperties' }" />
            </div>
        </body>      
    </html>
</asp:Content>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="PropertySection">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3" style="width:80px; padding-top:2px;margin-top:6px">
                    Edit layout
                </div>
                <div class="col-md-3">
                    <input type="text" id="gLayout" name="name" class="e-ejinputtext" data-bind="ejDropDownList: {dataSource: layout, value: gridLayout, width: width}" />
                </div>
            </div>
            <div class="row">
                <div class="col-md-3" style="width:80px; padding-top:4px;line-height:2">
                    Edit title
                </div>
                <div class="col-md-3 aligntop">
                    <textarea type="text" class="input ejinputtext" style="width: 150px; resize: none" name="slide" value="" data-bind="value: title"></textarea>
                </div>
            </div>
        </div>
    </div>
</asp:Content>

<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="ScriptSection">

      <script src='<%= Page.ResolveClientUrl("~/Scripts/knockout-min.js")%>' type="text/javascript"></script>
      <script src='<%= Page.ResolveClientUrl("~/Scripts/ej/ej.widget.ko.min.js")%>' type="text/javascript"></script>  

    <script type="text/javascript" class="jsScript">
        var dispOptions = {
            mode: ej.olap.OlapClient.DisplayMode.ChartAndGrid,
            defaultView: ej.olap.OlapClient.DefaultView.Grid
        }
        var layouts = [{ text: "Normal", value: "normal" }, { text: "NoSummaries", value: "nosummaries" }, { text: "NormalTopSummary", value: "normaltopsummary" }, { text: "ExcelLikeLayout", value: "excelLikeLayout" }];
        window.viewModel = {
            url: ko.observable("../wcf/OlapClientService.svc"),
            title: ko.observable("OLAP Browser"),
            gridLayout: ko.observable(ej.PivotGrid.Layout.NoSummaries),
            layout: ko.observable(layouts),
            width: ko.observable("150px")
        };
        function setChartProperties(args) {
            this.model.load = "loadTheme";
        }
        $(function () {
            ko.applyBindings(viewModel);
            $("#sampleProperties").ejPropertiesPanel();
        });
    </script>
</asp:Content>

<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="StyleSection">
    <style type="text/css">
        #OlapClient1 {
            overflow:auto;
            float:left;
            min-height: 300px; 
            min-width: 950px;
            margin-left:-16px;
        }        
        .row .cols-prop-area {
            margin-top:20px;
            min-height:180px;
            width:28%;
        }
        .row .cols-sample-area {
            width:100%;
        }
        .cols-prop-area .content {
            height:110px;
        }        
    </style>
</asp:Content>