﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="Localization.aspx.cs" Inherits="WebSampleBrowser.Localization" %>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="ControlsSection">
    <ej:OlapClient ID="OlapClient1" runat="server" Url="../wcf/OlapClientService.svc" Locale="en-US">
        <ClientSideEvents ChartLoad="setChartProperties" />
    </ej:OlapClient>
</asp:Content>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="PropertySection">
    <div id="sampleProperties">
        <div class="prop-grid content" >
            <div class="row" >
                <div class="col-md-3 " style="margin-top:25px;margin-left:8px">
                    Select Type
                </div>
                <div class="gridlayout" style="margin-top:20px">
                    <select id="drpdwn">
                        <option value="en-US">en-US</option>
                        <option value="fr-FR">fr-FR</option>
                        <option value="zh-CN">zh-CN</option>        
                    </select>
                </div>                                      
            </div>                  
        </div>
    </div>
</asp:Content>

<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="ScriptSection">
    <script type="text/javascript">
        var clientTarget;
        $(function () {
            $("#sampleProperties").ejPropertiesPanel();
            $("#drpdwn").ejDropDownList({
                fields: { text: "option" },
                width:"100px"
            });
            ddlTarget = $('#drpdwn').data("ejDropDownList");
            ddlTarget.setSelectedText(ddlTarget.items[0].innerHTML);
            $("#drpdwn").ejDropDownList("option", "change", "Language");
            clientTarget = $("#OlapClient1").data("ejOlapClient");
        });
        function Language(args) {
            clientTarget.model.locale = args.value;
            var serializedCustomObject = JSON.stringify({ Language: args.value });
            var oclientWaitingPopup = $("#" + clientTarget._id).data("ejWaitingPopup");
            oclientWaitingPopup.show();
            clientTarget.doAjaxPost("POST", clientTarget.model.url + "/" + clientTarget.model.serviceMethodSettings.initialize, JSON.stringify({
                "action": "initializeClient", "customObject": serializedCustomObject, "clientParams": clientTarget.model.enableMeasureGroups + "-" + clientTarget.model.chartType
            }), clientTarget._renderControlSuccess);
        }
        ej.olap.OlapClient.locale["fr-FR"] = {
            Column: "Colonne",
            Row: "Rangée",
            Slicer: "Tranche",
            CubeSelector: "Sélecteur de Cube",
            ReportName: "Nom du rapport",
            NewReport: "Nouveau rapport",
            CubeDimensionBrowser: "Cube navigateur dimnesion",
            AddReport: "Ajouter un rapport",
            RemoveReport: "Retirer rapport",
            CannotRemoveSingleReport: "Vous ne pouvez pas supprimer Rapport unique",
            AreYouSureToDeleteTheReport: "Etes-vous sûr de vouloir supprimer le rapport",
            RenameReport: "Renommer rapport",
            SaveReport: "Enregistrer le rapport",
            LoadReport: "Rapport de charge",
            ExportToExcel: "Exporter vers Excel",
            FullScreen: "Plein écran",
            Grid: "Grille",
            Chart: "Graphiq",
            OK: "Bien",
            Cancel: "Annuler",
            MeasureEditor: "Mesurer éditeur",
            MemberEditor: "Sous la direction de membres",
            Measures: "Mesures",
            OpeningDialog: "Dialogue d'ouverture",
            OpeningDialogSucceeded: "Dialogue d'ouverture réussi",
            RenderingLayoutStarted: "Disposition rendant commencé",
            RenderingLayoutCompleted: "disposition rendant terminé",
            MDXqueryExecutionFailed: "L'exécution de la requête MDX pas",
            PreparingAndExecutingMDXquery: "la préparation et l'exécution de la requête MDX",
            MDXqueryExecutedSuccessfully: "MDX requête exécutée avec succès",
            RenderingStarted: "Rendu commencé",
            RenderingSucceeded: "Rendu Réussi",
            RenderingFailed: "Rendant pas",
            SortOrFilterColumn: " Tri/filtrage (colonne)",
            SortOrFilterRow: "Tri/filtrage (ligne)",
            SortingAndFiltering: " Trier et filtrer",
            Sorting: " Tri",
            Measure: "Mesurer",
            Order: " Ordre",
            Filtering: " Filtrage",
            Condition: " Condition ",
            Value: " Valeur ",
            PreserveHierarchy: "Préserver hiérarchie ",
            Ascending: " Croissant ",
            Descending: " Descendant ",
            Enable: " Permettre ",
            Disable: " Désactiver ",
            and: " et ",
			Line: "ligne",
            Spline:"spline",
            Column:"colonne",
            Area:"zone",
            SplineArea:"spline zone",
            StepLine:"étape ligne",
            StepArea:"étape zone",
            Pie:"tarte",
            Bar: "bar",
            StackingArea:"Stacking zone",
            StackingColumn:"Colonne d'empilage",
            StackingBar: "Stacking bar",
            Pyramid:"pyramide",
            Funnel: "entonnoir",
            ChartTypes:"Types de graphiques"
        }
        ej.olap.OlapChart.locale["fr-FR"] = {
            Row: "Rangée",
            Column: "Colonne",
            Value: "Valeur",
            Expand: "Développer",
            Collapse: "Effondrement",
            Exit: "Quitter"
        }
        ej.olap.OlapClient.locale["zh-CN"] = {
            Column: "柱",
            Row: "排",
            Slicer: "切片机",
            CubeSelector: "多维数据集选择",
            ReportName: "报告名称",
            NewReport: "新报告",
            CubeDimensionBrowser: "多维数据集维度浏览器",
            AddReport: "添加报告",
            RemoveReport: "删除报告",
            CannotRemoveSingleReport: "不能删除单个报告",
            AreYouSureToDeleteTheReport: "您确定要删除的报告",
            RenameReport: "重命名报告",
            SaveReport: "保存报告",
            LoadReport: "负载报告",
            ExportToExcel: "导出到高强",
            FullScreen: "全屏",
            Grid: "格",
            Chart: "图",
            OK: "行",
            Cancel: "取消",
            MeasureEditor: "测量编辑器",
            MemberEditor: "编辑委员",
            Measures: "措施",
            OpeningDialog: "打开对话框",
            OpeningDialogSucceeded: "成功打开对话框",
            PreparingAndExecutingMDXquery: "准备和执行MDX查询",
            RenderingLayoutStarted: "渲染开始布局",
            RenderingSucceeded: "绘制成功",
            MDXqueryExecutionFailed: "MDX查询执行失败",
            MDXqueryExecutedSuccessfully: "MDX查询执行成功",
            RenderingLayoutCompleted: "绘制布局已完成",
            RenderingStarted: "渲染开始",
            RenderingSucceeded: "绘制成功",
            SortOrFilterColumn: "排序/过滤器（列）",
            SortOrFilterRow: "排序/过滤器（行）)",
            SortingAndFiltering: "排序和筛选",
            Sorting: " 排序",
            Measure: " 测量",
            Order: " 顺序",
            Filtering: " 过滤",
            Condition: " 条件 ",
            Value: " 值 ",
            PreserveHierarchy: "保留层次结构",
            Ascending: " 升序 ",
            Descending: " 降 ",
            Enable: " 启用 ",
            Disable: " 关闭 ",
            and: " 和 ",
			 Line: "線",
            Spline: "樣條",
            Column: "列",
            Area: "區",
            SplineArea: "花鍵區",
            StepLine: "步線",
            StepArea: "步區",
            Pie: "餡餅",
            Bar: "酒吧",
            StackingArea: "堆疊區",
            StackingColumn: "堆積柱",
            StackingBar: "堆積柱狀圖",
            Pyramid: "金字塔",
            Funnel: "漏斗",
            ChartTypes: "圖表類型"
        }
        ej.olap.OlapChart.locale["zh-CN"] = {
            Measure: "措施 ",
            Row: "排",
            Column: "柱",
            Value: "值",
            Expand: "扩大",
            Collapse: "崩溃",
            Exit: "出口"
        };
        function setChartProperties(args) {
            this.model.load = "loadTheme";
        }
    </script>
</asp:Content>

<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="StyleSection">
    <style type="text/css">
        #OlapClient1 {
            min-height: 275px; 
            min-width: 950px; 
            overflow:auto;
            float:left;
            margin-left:-16px;
        }
        .cols-sample-area {
            width: 100%!important;
            padding:8px;
        }
        .row .cols-prop-area
        {
            min-height: 130px;
            width: 24%;
            float:left;
            margin-top:-5px;
            margin-left:-1px;
        }
    </style>
</asp:Content>
