﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="AngularBinding.aspx.cs" Inherits="WebSampleBrowser.AngularBinding" %>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="ControlsSection">

     <script src='<%= Page.ResolveClientUrl("~/Scripts/excanvas.min.js")%>' type="text/javascript"></script>
    <div ng-app="gaugeCtrl">
        <div ng-controller="OlapGaugeCtrl">
            <div class="row">
                <div class="control">
                    <div id="OlapGauge1" ej-olapgauge e-url="url" e-enabletooltip="enableTooltip" e-rowscount="rowsCount"
                        e-columnscount="columnsCount" e-scales="scales" e-backgroundcolor="backgroundColor" />
                </div>
            </div>
            <div id="sampleProperties">
                <div class="prop-grid propertiesdlg">
                    <div class="row">
                        <div class="col-md-3" style="line-height: 3">
                            Edit row count
                        </div>
                        <div class="col-md-3 aligntop">
                            <input type="text" name="name" class="e-ejinputtext" value="" ej-numerictextbox e-value="rowsCount"
                                e-maxvalue="3" e-minvalue="0" e-width="100px" />
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-3" style="margin-top: 13px">
                            Edit column count
                        </div>
                        <div class="col-md-3 aligntop">
                            <input type="text" name="name" class="e-ejinputtext" value="" ej-numerictextbox e-value="columnsCount"
                                e-maxvalue="3" e-minvalue="0" e-width="100px" />
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</asp:Content>

<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="ScriptSection">

    <script src='<%= Page.ResolveClientUrl("~/Scripts/angular.min.js")%>' type="text/javascript"></script>    
    <script src='<%= Page.ResolveClientUrl("~/Scripts/ej/ej.widget.angular.min.js")%>' type="text/javascript"></script>

    <script type="text/javascript" class="jsScript">
        var scale = [{
            showRanges: true,
            radius: 150, showScaleBar: true, size: 1,
            border: {
                width: 0.5
            },
            showIndicators: true, showLabels: true,
            pointers: [{
                showBackNeedle: true,
                backNeedleLength: 20,
                length: 125,
                width: 7,
            },
                        {
                            type: "marker",
                            markerType: "diamond",
                            distanceFromScale: 5,
                            placement: "center",
                            backgroundColor: "#29A4D9",
                            length: 25,
                            width: 15
                        }],
            ticks: [{
                type: "major",
                distanceFromScale: 2,
                height: 16,
                width: 1, color: "#8c8c8c"
            },
                {
                    type: "minor",
                    height: 6,
                    width: 1,
                    distanceFromScale: 2,
                    color: "#8c8c8c"
                }],
            labels: [{
                color: "#8c8c8c"
            }],
            ranges: [{
                distanceFromScale: -5,
                backgroundColor: "#fc0606",
                border: { color: "#fc0606" }
            }, {
                distanceFromScale: -5
            }],
            customLabels: [{
                position: { x: 180, y: 290 },
                font: { size: "10px", fontFamily: "Segoe UI", fontStyle: "Normal" }, color: "#666666"
            }, {
                position: { x: 180, y: 320 },
                font: { size: "10px", fontFamily: "Segoe UI", fontStyle: "Normal" }, color: "#666666"
            }, {
                position: { x: 180, y: 150 },
                font: { size: "12px", fontFamily: "Segoe UI", fontStyle: "Normal" }, color: "#666666"
            }]
        }];
        angular.module('gaugeCtrl', ['ejangular'])
            .controller('OlapGaugeCtrl', function ($scope) {
                $scope.url = "../wcf/OlapGaugeService.svc";
                $scope.enableTooltip = true;
                $scope.rowsCount = 2;
                $scope.columnsCount = 3;
                $scope.scales = scale;
                $scope.backgroundColor = "transparent";
            });
        $(function () {
            $("#sampleProperties").ejPropertiesPanel();
        });
    </script>
</asp:Content>

<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="StyleSection">
    <style type="text/css">
        #OlapGauge1 {
            overflow: auto;
            width: 69%;
            height: 400px;
            float: left;
            position:relative;
        }

        .row .cols-prop-area {
            min-height: 140px;
            margin-top: -400px;
            float: right;
            height: 156px;
            width: 29%;
        }
    </style>
</asp:Content>
