﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="KOModelBinding.aspx.cs" Inherits="WebSampleBrowser.KOModelBinding" %>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="ControlsSection">

    <html xmlns="http://www.w3.org/1999/xhtml">
        <body>
            <div class="control">
                <div id="PivotGrid1" data-bind="ejPivotGrid: { url: url, layout: gridLayout}" />
            </div>
        </body>
    </html>
</asp:Content>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="PropertySection">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3" style="width:80px;padding-top:3px;margin-top:25px">
                    Grid Layout
                </div>
                <div class="col-md-3" style="margin-top:22px">
                    <input type="text" id="gLayout" name="name" class="e-ejinputtext" data-bind="ejDropDownList: {dataSource: layout, value: gridLayout, width: width}" />
                </div>
            </div>
        </div>
    </div>
</asp:Content>

<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="ScriptSection">
      <script src='<%= Page.ResolveClientUrl("~/Scripts/knockout-min.js")%>' type="text/javascript"></script>
      <script src='<%= Page.ResolveClientUrl("~/Scripts/ej/ej.widget.ko.min.js")%>' type="text/javascript"></script>  
    <script type="text/javascript" class="jsScript">
        var layouts = [{ text: "Normal", value: "normal" }, { text: "NoSummaries", value: "nosummaries" }, { text: "NormalTopSummary", value: "normaltopsummary" }, { text: "ExcelLikeLayout", value: "excelLikeLayout" }];
        window.viewModel = {
            url: ko.observable("../wcf/OLAPService.svc"),
            gridLayout: ko.observable(ej.PivotGrid.Layout.Normal),
            layout: ko.observable(layouts),
            width: ko.observable("140px")
        };
        $(function () {
            ko.applyBindings(viewModel);
            $("#sampleProperties").ejPropertiesPanel();
        });
    </script>
</asp:Content>

<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="StyleSection">
    <style type="text/css">
        #PivotGrid1 {
            height: 350px; 
            width: 71%; 
            overflow: auto;
            float:left;
        }
        /*.row .cols-prop-area {
            min-height: 140px;
            width: 26%;
            float: right;
            height:140px;
        }*/
        .cols-sample-area {
            width: 100%!important;
        }
    </style>
</asp:Content>