﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="Layout.aspx.cs" Inherits="WebSampleBrowser.Grid_Layout" %>

<%@ Register Assembly="Syncfusion.EJ.Olap" Namespace="Syncfusion.JavaScript.Web" TagPrefix="ej" %>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="ControlsSection">
    <ej:PivotGrid ID="PivotGrid1" runat="server" Url="../wcf/OLAPService.svc"></ej:PivotGrid>
</asp:Content>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="PropertySection">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3" style="width:90px;padding-top:3px;margin-top:28px">
                    Select Layout
                </div>
                <div class="col-md-3" style="padding:0px;margin-top:25px">
                    <select id="gridLayout">
                        <option value="normal">Normal</option>
                        <option value="normalTopSummary">NormalTopSummary</option>
                        <option value="excelLikeLayout">ExcelLikeLayout</option>
                        <option value="noSummaries">NoSummaries</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
</asp:Content>

<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
    <script type="text/javascript">
        var ddlTarget, gridTarget;
        $(function () {
            $("#sampleProperties").ejPropertiesPanel();
            $("#gridLayout").ejDropDownList({
                fields: { text: "option" },
                width: "140px"
            });
            ddlTarget = $('#gridLayout').data("ejDropDownList");
            ddlTarget.setSelectedText(ddlTarget.items[0].innerHTML);
            gridTarget = $('#PivotGrid1').data("ejPivotGrid");
            $("#gridLayout").ejDropDownList("option", "change", "LayoutChanged");
        });
        function LayoutChanged(args) {
            gridTarget.model.layout = args.text.toLowerCase();
            window.clearInterval(oGridTimer);
            var ogridWaitingPopup = $("#" + gridTarget._id).data("ejWaitingPopup");
            ogridWaitingPopup.show();
            gridTarget.doAjaxPost("POST", gridTarget.model.url + "/" + gridTarget.model.serviceMethodSettings.initialize, JSON.stringify({ "action": "initializeGrid", "gridLayout": args.text.toLowerCase(), "customObject": "{}" }), gridTarget._renderControlSuccess);
        }
        function onClear() {
            jQuery.clearEventLog();
        }
    </script>
</asp:Content>

<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="StyleSection">
    <style type="text/css">
        #PivotGrid1 {
            height: 350px;
            width: 100%;
            overflow: auto;
            float:left;
        }

         .row .cols-prop-area {
            min-height: 150px;
            width:25%;
        }  

           .row .cols-sample-area {
    width: 72%;
}
    </style>
</asp:Content>