﻿
<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="Localization.aspx.cs" Inherits="WebSampleBrowser.Localization" %>

<%@ Register Assembly="Syncfusion.EJ.Olap" Namespace="Syncfusion.JavaScript.Web" TagPrefix="ej" %>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="ControlsSection">
    <ej:PivotGrid ID="PivotGrid1" runat="server" Url="../wcf/OLAPService.svc" Locale="en-US"></ej:PivotGrid>
</asp:Content>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="PropertySection">
    <div id="sampleProperties">
        <div class="prop-grid content" >
            <div class="row">
                <div class="col-md-3"style="margin-top:28px">
                    Select Type
                </div>
                <div class="col-md-3"style="margin-top:25px">
                    <select id="drpdwn">
                        <option value="en-US">en-US</option>
                        <option value="fr-FR">fr-FR</option>
                        <option value="zh-CN">zh-CN</option>        
                    </select>
                </div>                                      
            </div>                  
        </div>
    </div>
</asp:Content>

<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
    <script type="text/javascript">
        var gridTarget;
        $(function () {
            $("#sampleProperties").ejPropertiesPanel();
            $("#drpdwn").ejDropDownList({
                fields: { text: "option" },
                width: "100px"
            });
            ddlTarget = $('#drpdwn').data("ejDropDownList");
            ddlTarget.setSelectedText(ddlTarget.items[0].innerHTML);
            $("#drpdwn").ejDropDownList("option", "change", "Language");
            gridTarget = $('#PivotGrid1').data("ejPivotGrid");
        });
        function Language(args) {
            gridTarget.model.locale = args.value;
            var serializedCustomObject = JSON.stringify({ Language: args.value });
            gridTarget.model.customObject = { Language: args.value };
            var ogridWaitingPopup = $("#" + gridTarget._id).data("ejWaitingPopup");
            ogridWaitingPopup.show();
            gridTarget.doAjaxPost("POST", gridTarget.model.url + "/" + gridTarget.model.serviceMethodSettings.initialize, JSON.stringify({ "action": "initializeGrid", "layout": "Normal", "customObject": serializedCustomObject }), gridTarget._renderControlSuccess);
        }
        ej.PivotGrid.locale["fr-FR"] = {
            SeriesPage: "Série Page",
            CategoricalPage: "Catégorique Page",
            MDXqueryExecutionFailed: "L'exécution de la requête MDX pas",
            PreparingAndExecutingMDXquery: "la préparation et l'exécution de la requête MDX",
            MDXqueryExecutedSuccessfully: "MDX requête exécutée avec succès",
            RenderingStarted: "Rendu commencé",
            RenderingSucceeded: "Rendu réussi",
            RenderingFailed: "Rendant pas"
        };
        ej.PivotPager.locale["fr-FR"] = {
            SeriesPage: "Série Page",
            CategoricalPage: "Catégorique Page",
        };
        ej.PivotGrid.locale["zh-CN"] = {
            SeriesPage: "系列 页面",
            CategoricalPage: "明确的 页面",
            PreparingAndExecutingMDXquery: "准备和执行MDX查询",
            RenderingSucceeded: "绘制成功",
            MDXqueryExecutionFailed: "MDX查询执行失败",
            MDXqueryExecutedSuccessfully: "MDX查询执行成功",
            RenderingStarted: "渲染开始",
            RenderingFailed: "渲染失败"
        };
        ej.PivotPager.locale["zh-CN"] = {
            SeriesPage: "系列 页面",
            CategoricalPage: "明确的 页面"
        };
    </script>
</asp:Content>

<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="StyleSection">
    <style type="text/css">
        #PivotGrid1 {
            height: 350px;
            width: 100%;
            overflow: auto;
            float: left;
        }

         .row .cols-prop-area {
            min-height: 150px;
            width:25%;
        }  

          .row .cols-sample-area {
    width: 72%;
}
    </style>
</asp:Content>