﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="Angular.aspx.cs" Inherits="WebSampleBrowser.ReportViewer.Angular" %>

<asp:Content ID="Content1" ContentPlaceHolderID="SampleHeading" runat="server">
    <span class="sampleName">ReportViewer / Angular</span>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">
        <div ng-app="syncApp">
        <div ng-controller="angularReportViewer">
            <div class="control">
                <div style="width:100%">
                    <div id="reportviewer" ej-reportviewer e-reportserviceurl="samplevalue" e-reportpath="path" e-processingmode="mode" e-datasources="ds"></div>
                </div>
            </div>
         </div>
    </div>
</asp:Content>

<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
        <style type="text/css">
            #reportviewer {
                width: 980px;
                height: 650px;
            }
        </style>

    <script type="text/javascript" src="../Scripts/angular.min.js")"></script>
    <script type="text/javascript" src="../Scripts/ej/ej.unobtrusive.min.js")"></script>
    <script type="text/javascript" src="../Scripts/ej/ej.widget.angular.min.js")"></script>
            <script type="text/javascript">
                angular.module('syncApp', ['ejangular']).controller('angularReportViewer', function ($scope) {
                    $scope.samplevalue = '<%= VirtualPathUtility.ToAbsolute("~/api/RDLCReport") %>';
                    $scope.path = "AreaCharts.rdlc";
                    $scope.mode = ej.ReportViewer.ProcessingMode.Local;
                    $scope.ds = [{
                        value: [
                             {
                                 SalesPersonID: 281, FullName: "Ito", Title: "Sales Representative", SalesTerritory: "South West", Y2002: 0, Y2003: 28000, Y2004: 3018725
                             },
                             {
                                 SalesPersonID: 282, FullName: "Saraiva", Title: "Sales Representative", SalesTerritory: "Canada", Y2002: 25000, Y2003: 14000, Y2004: 3189356
                             },
                             {
                                 SalesPersonID: 283, FullName: "Cambell", Title: "Sales Representative", SalesTerritory: "North West", Y2002: 12000, Y2003: 13000, Y2004: 1930885
                             },
                             {
                                 SalesPersonID: 275, FullName: "Blythe", Title: "Sales Representative", SalesTerritory: "North East", Y2002: 19000, Y2003: 47000, Y2004: 4557045
                             },
                             {
                                 SalesPersonID: 276, FullName: "Mitchell", Title: "Sales Representative", SalesTerritory: "South West", Y2002: 28000, Y2003: 46000, Y2004: 5240075
                             },
                             {
                                 SalesPersonID: 277, FullName: "Carson", Title: "Sales Representative", SalesTerritory: "Central", Y2002: 33000, Y2003: 49000, Y2004: 3857163
                             },
                             {
                                 SalesPersonID: 278, FullName: "Vargas", Title: "Sales Representative", SalesTerritory: "Canada", Y2002: 11000, Y2003: 14000, Y2004: 1764938
                             },
                             {
                                 SalesPersonID: 279, FullName: "Reiter", Title: "Sales Representative", SalesTerritory: "South East", Y2002: 32000, Y2003: 26000, Y2004: 2811012
                             }],
                        name: "AdventureWorksXMLDataSet"
                    }];
                });
        </script>
</asp:Content>