﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="DefaultFunctionalities.aspx.cs" Inherits="WebSampleBrowser.Ribbon.DefaultFunctionalities" %>

<asp:Content ID="Content1" ContentPlaceHolderID="SampleHeading" runat="server">
    <span class="sampleName">Ribbon / DefaultFunctionalities</span>
</asp:Content>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    
                <div>
                    <ej:Ribbon ID="defaultRibbon" runat="server" Width="100%" ClientSideOnCreate="createControl">
                        <ApplicationTab ItemID="menu" Type="ApplicationMenu">
                            <MenuSettings OpenOnClick="false"></MenuSettings>               
                        </ApplicationTab>
                        <RibbonTabs>
                            <ej:RibbonTab Id="home" Text="HOME">
                                <TabGroupsCollection>
                                    <ej:TabGroup Text="New" AlignType="Columns">
                                        <ContentCollection>
                                            <ej:TabContent>
                                                <ContentGroupsCollection>
                                                    <ej:ContentGroup Id="new" Text="New" ToolTip="New" Type="Button">
                                                        <ButtonSettings Type="Button" ContentType="ImageOnly" ImagePosition="ImageTop" PrefixIcon="e-ribbon e-new" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                </ContentGroupsCollection>
                                                <ContentDefaults Width="60" Height="70" Type="Button" />
                                            </ej:TabContent>
                                        </ContentCollection>
                                    </ej:TabGroup>
                                    <ej:TabGroup Text="Clipboard" AlignType="Columns">
                                        <ContentCollection>
                                            <ej:TabContent>
                                                <ContentDefaults Width="50" Height="75" Type="SplitButton"/>
                                                <ContentGroupsCollection>
                                                    <ej:ContentGroup Id="paste" ToolTip="Paste">
                                                        <SplitButtonSettings ButtonMode="Dropdown" ArrowPosition="Bottom" TargetID="pasteul" ContentType="TextAndImage" PrefixIcon="e-ribbon e-ribbonpaste" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                </ContentGroupsCollection>
                                            </ej:TabContent>
                                            <ej:TabContent>
                                                <ContentDefaults Width="60" IsBig="false" Type="Button" />
                                                <ContentGroupsCollection>
                                                    <ej:ContentGroup Id="cut" ToolTip="Cut"  Text="Cut">
                                                        <ButtonSettings ContentType="TextAndImage" Type="Button" PrefixIcon="e-ribbon e-ribboncut" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="copy" ToolTip="Copy" Text="Copy">
                                                        <ButtonSettings ContentType="TextAndImage" Type="Button" PrefixIcon="e-ribbon e-ribboncopy" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="clear" ToolTip="Clear All " Text="Clear">
                                                        <ButtonSettings ContentType="TextAndImage" Type="Button" PrefixIcon="e-ribbon clearAll" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                </ContentGroupsCollection>
                                            </ej:TabContent>
                                        </ContentCollection>
                                    </ej:TabGroup>
                                    <ej:TabGroup Text="Font" AlignType="Rows">
                                        <ContentCollection>
                                            <ej:TabContent>
                                                <ContentDefaults Height="28" Type="DropDownList" />
                                                <ContentGroupsCollection>
                                                    <ej:ContentGroup Id="fontfamily" ToolTip="Font" Type="DropDownList">
                                                        <DropdownSettings Text="Segoe UI" Width="150" Select="executeAction"></DropdownSettings>
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="fontsize" ToolTip="FontSize" Type="DropDownList">
                                                        <DropdownSettings Text="1pt" Width="65" Select="executeAction"></DropdownSettings>
                                                    </ej:ContentGroup>
                                                </ContentGroupsCollection>
                                            </ej:TabContent>
                                            <ej:TabContent>
                                                <ContentGroupsCollection>
                                                    <ej:ContentGroup Id="bold" Text="Bold" ToolTip="Bold" Type="ToggleButton">
                                                        <toggleButtonSettings ContentType="ImageOnly" ActiveText="Bold" ActivePrefixIcon="e-ribbon bold" DefaultPrefixIcon ="e-ribbon bold" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="italic" Text="Italic" ToolTip="Italic" Type="ToggleButton">
                                                        <toggleButtonSettings ContentType="ImageOnly" ActiveText="Italic" ActivePrefixIcon="e-ribbon e-ribbonitalic" DefaultPrefixIcon="e-ribbon e-ribbonitalic" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="underline" Text="Underline" ToolTip="Underline" Type="ToggleButton">
                                                        <toggleButtonSettings ContentType="ImageOnly" ActiveText="Underline" ActivePrefixIcon="e-ribbon e-ribbonunderline" DefaultPrefixIcon="e-ribbon e-ribbonunderline" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="strikethrough" Text="strikethrough" ToolTip="Strikethrough" Type="ToggleButton">
                                                        <toggleButtonSettings ContentType="ImageOnly" ActiveText="Strikethrough" ActivePrefixIcon="e-ribbon strikethrough" DefaultPrefixIcon="e-ribbon strikethrough" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="superscript" Text="superscript" ToolTip="Superscript">
                                                        <ButtonSettings ContentType="ImageOnly" Type="Button" PrefixIcon="e-ribbon e- e-superscripticon" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="subscript" Text="subscript" ToolTip="Subscript" EnableSeparator="true">
                                                        <ButtonSettings ContentType="ImageOnly" Type="Button" PrefixIcon="e-ribbon e-subscripticon" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="font" Text="Font Color" ToolTip="Font Color" Type="Custom" ContentID="fontcolor">                                                   
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="fill" Text="Fill Color" ToolTip="Fill Color" Type="Custom" ContentID="fillcolor">                                                        
                                                    </ej:ContentGroup>
                                                </ContentGroupsCollection>
                                                <ContentDefaults Type="Button" IsBig="false" />
                                            </ej:TabContent>
                                        </ContentCollection>
                                    </ej:TabGroup>
                                    <ej:TabGroup Text="Alignment" Type="rows">
                                        <ContentCollection>
                                            <ej:TabContent>
                                                <ContentDefaults Type="Button" IsBig="false" />
                                                <ContentGroupsCollection>
                                                    <ej:ContentGroup Id="bullet" Text="Bullet Format" ToolTip="Paragraph">
                                                        <ButtonSettings ContentType="ImageOnly" Type="Button" PrefixIcon="e-ribbon e-bullet" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="number" Text="Paragraph" ToolTip="Paragraph" EnableSeparator="true">
                                                        <ButtonSettings ContentType="ImageOnly" Type="Button" PrefixIcon="e-ribbon e-numbericon" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="textindent" Text="Indent" ToolTip="Text Indent">
                                                        <ButtonSettings ContentType="ImageOnly" Type="Button" PrefixIcon="e-ribbon e-indent" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="textoudent" Text="Oudent" ToolTip="Text Oudent" EnableSeparator="true">
                                                        <ButtonSettings ContentType="ImageOnly" Type="Button" PrefixIcon="e-ribbon e-outdent" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="sortascending" Text="Sort" ToolTip="Sort" EnableSeparator="true">
                                                        <ButtonSettings ContentType="ImageOnly" Type="Button" PrefixIcon="e-ribbon e-sort" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="border" Text="Border" ToolTip="Border">
                                                        <ButtonSettings ContentType="ImageOnly" Type="Button" PrefixIcon="e-ribbon e-border" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                </ContentGroupsCollection>
                                            </ej:TabContent>
                                            <ej:TabContent>
                                                <ContentDefaults IsBig="false" Type="Button" />
                                                <ContentGroupsCollection>
                                                    <ej:ContentGroup Id="alignleft" Text="JustifyLeft" ToolTip="Align Left">
                                                        <ButtonSettings ContentType="ImageOnly" Type="Button" PrefixIcon="e-ribbon alignleft" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="aligncenter" Text="JustifyCenter" ToolTip="Align Center">
                                                        <ButtonSettings ContentType="ImageOnly" Type="Button" PrefixIcon="e-ribbon aligncenter " Click="executeAction" />
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="alignright" Text="JustifyRight" ToolTip="Align Right">
                                                        <ButtonSettings ContentType="ImageOnly" Type="Button" PrefixIcon="e-ribbon alignright" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="justify" Text="JustifyFull" ToolTip="Justify" EnableSeparator="true">
                                                        <ButtonSettings ContentType="ImageOnly" Type="Button" PrefixIcon="e-ribbon justify" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="uppercase" Text="uppercase" ToolTip="Upper case">
                                                        <ButtonSettings ContentType="ImageOnly" Type="Button" PrefixIcon="e-ribbon e-uppercase" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="lowercase" Text="Lower Case" ToolTip="Lower Case">
                                                        <ButtonSettings ContentType="ImageOnly" Type="Button" PrefixIcon="e-ribbon e-lowercase" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                </ContentGroupsCollection>
                                            </ej:TabContent>
                                        </ContentCollection>
                                    </ej:TabGroup>
                                    <ej:TabGroup Text="Actions" AlignType="Rows">
                                        <ContentCollection>
                                            <ej:TabContent>
                                                <ContentDefaults Type="Button" Height="70" Width="45" />
                                                <ContentGroupsCollection>
                                                    <ej:ContentGroup Id="undo" Text="Undo" ToolTip="Undo" IsBig="false">
                                                        <ButtonSettings ContentType="TextAndImage" ImagePosition="ImageTop" PrefixIcon="e-ribbon e-undo" Click="executeAction" Type="Button" />
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="redo" Text="Redo" ToolTip="Redo">
                                                        <ButtonSettings ContentType="TextAndImage" ImagePosition="ImageTop" PrefixIcon="e-ribbon e-redo" Click="executeAction" Type="Button" />
                                                    </ej:ContentGroup>
                                                </ContentGroupsCollection>
                                            </ej:TabContent>
                                        </ContentCollection>
                                    </ej:TabGroup>
                                    <ej:TabGroup Text="Views" AlignType="Rows">
                                        <ContentCollection>
                                            <ej:TabContent>
                                                <ContentDefaults Type="Button" IsBig="false" Height="75" Width="69" />
                                                <ContentGroupsCollection>
                                                    <ej:ContentGroup Id="zoomin" Text="Zoom In" ToolTip="Zoom In">
                                                        <ButtonSettings ContentType="TextAndImage" ImagePosition="ImageTop" PrefixIcon="e-ribbon e-undoe-ribbon e-zoomin" Click="executeAction" Type="Button" />
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="zoomout" Text="Zoom Out" ToolTip="Zoom Out">
                                                        <ButtonSettings ContentType="TextAndImage" ImagePosition="ImageTop" PrefixIcon="e-ribbon e-zoomout" Click="executeAction" Type="Button" />
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="fullscreen" Text="Full Screen" ToolTip="Full Screen">
                                                        <ButtonSettings ContentType="TextAndImage" ImagePosition="ImageTop" PrefixIcon="e-ribbon e-redo" Click="executeAction" Type="Button" />
                                                    </ej:ContentGroup>
                                                </ContentGroupsCollection>
                                            </ej:TabContent>
                                        </ContentCollection>
                                    </ej:TabGroup>
                                </TabGroupsCollection>
                            </ej:RibbonTab>
                            <ej:RibbonTab Id="insert" Text="INSERT">
                                <TabGroupsCollection>
                                    <ej:TabGroup Text="Tables" AlignType="Columns">
                                        <ContentCollection>
                                            <ej:TabContent>
                                                <ContentDefaults Height="70" Width="50" Type="Button" />
                                                <ContentGroupsCollection>
                                                    <ej:ContentGroup Id="tables" Text="Tables" ToolTip="Tables">
                                                        <ButtonSettings Type="Button" ContentType="TextAndImage" ImagePosition="ImageTop" PrefixIcon="e-ribbon e-table" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                </ContentGroupsCollection>
                                            </ej:TabContent>
                                        </ContentCollection>
                                    </ej:TabGroup>
                                    <ej:TabGroup Text="Illustrations" AlignType="Rows">
                                        <ContentCollection>
                                            <ej:TabContent>
                                                <ContentDefaults Height="70" Width="50" Type="Button" />
                                                <ContentGroupsCollection>
                                                    <ej:ContentGroup Id="pictures" Text="Pictures" ToolTip="Pictures">
                                                        <ButtonSettings Type="Button" ContentType="TextAndImage" ImagePosition="ImageTop" PrefixIcon="e-ribbon e-picture" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="videos" Text="Videos" ToolTip="Videos">
                                                        <ButtonSettings Type="Button" ContentType="TextAndImage" ImagePosition="ImageTop" PrefixIcon="e-ribbon e-video" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="shapes" Text="Shapes" ToolTip="Shapes">
                                                        <ButtonSettings Type="Button" ContentType="TextAndImage" ImagePosition="ImageTop" PrefixIcon="e-ribbon e-shape" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="chart" Text="Chart" ToolTip="Chart">
                                                        <ButtonSettings Type="Button" ContentType="TextAndImage" ImagePosition="ImageTop" PrefixIcon="e-ribbon e-chart" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                </ContentGroupsCollection>
                                            </ej:TabContent>
                                        </ContentCollection>
                                    </ej:TabGroup>
                                    <ej:TabGroup Text="Comments" AlignType="rows">
                                        <ContentCollection>
                                            <ej:TabContent>
                                                <ContentDefaults Height="70" Width="70" Type="Button" />
                                                <ContentGroupsCollection>
                                                    <ej:ContentGroup Id="comments" Text="Comments" ToolTip="Comments">
                                                        <ButtonSettings Type="Button" ContentType="TextAndImage" ImagePosition="ImageTop" PrefixIcon="e-ribbon e-comment" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                </ContentGroupsCollection>
                                            </ej:TabContent>
                                        </ContentCollection>
                                    </ej:TabGroup>
                                    <ej:TabGroup Text="Text" AlignType="rows">
                                        <ContentCollection>
                                            <ej:TabContent>
                                                <ContentDefaults Height="75" Type="Button" />
                                                <ContentGroupsCollection>
                                                    <ej:ContentGroup Id="text" Text="Text" ToolTip="Text">
                                                        <ButtonSettings Type="Button" ContentType="TextAndImage" ImagePosition="ImageTop" PrefixIcon="e-ribbon e-text" Width="50" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="datetime" Text="DateTime" ToolTip="Date Time">
                                                        <ButtonSettings Type="Button" ContentType="TextAndImage" ImagePosition="ImageTop" PrefixIcon="e-ribbon e-datetime" Width="65" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                </ContentGroupsCollection>
                                            </ej:TabContent>
                                        </ContentCollection>
                                    </ej:TabGroup>
                                    <ej:TabGroup Text="Hyperlink" AlignType="Rows">
                                        <ContentCollection>
                                            <ej:TabContent>
                                                <ContentDefaults Height="70" Width="65" Type="Button" />
                                                <ContentGroupsCollection>
                                                    <ej:ContentGroup Id="hyperlink" Text="Hyperlink" ToolTip="Hyperlink">
                                                        <ButtonSettings Type="Button" ContentType="TextAndImage" ImagePosition="ImageTop" PrefixIcon="e-ribbon e-hyperlink" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                </ContentGroupsCollection>
                                            </ej:TabContent>
                                        </ContentCollection>
                                    </ej:TabGroup>
                                    <ej:TabGroup Text="Equation" AlignType="Rows">
                                        <ContentCollection>
                                            <ej:TabContent>
                                                <ContentDefaults Height="70" Width="60" Type="Button" />
                                                <ContentGroupsCollection>
                                                    <ej:ContentGroup Id="equation" Text="Equation" ToolTip="Equation">
                                                        <ButtonSettings Type="Button" ContentType="TextAndImage" ImagePosition="ImageTop" PrefixIcon="e-ribbon e-equation" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                </ContentGroupsCollection>
                                            </ej:TabContent>
                                        </ContentCollection>
                                    </ej:TabGroup>
                                    <ej:TabGroup Text="Print Layout" AlignType="Rows">
                                        <ContentCollection>
                                            <ej:TabContent>
                                                <ContentDefaults Height="70" Width="80" Type="Button" />
                                                <ContentGroupsCollection>
                                                    <ej:ContentGroup Id="printlayout" Text="Print Layout" ToolTip="Print Layout">
                                                        <ButtonSettings Type="Button" ContentType="TextAndImage" ImagePosition="ImageTop" PrefixIcon="e-ribbon e-printlayout" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                </ContentGroupsCollection>
                                            </ej:TabContent>
                                        </ContentCollection>
                                    </ej:TabGroup>
                                    <ej:TabGroup Text="Save" AlignType="Rows">
                                        <ContentCollection>
                                            <ej:TabContent>
                                                <ContentDefaults Height="70" Width="50" Type="Button" />
                                                <ContentGroupsCollection>
                                                    <ej:ContentGroup Id="print" Text="Print" ToolTip="Print">
                                                        <ButtonSettings Type="Button" ContentType="TextAndImage" ImagePosition="ImageTop" PrefixIcon="e-ribbon e-print" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                    <ej:ContentGroup Id="save" Text="Save" ToolTip="Save">
                                                        <ButtonSettings Type="Button" ContentType="TextAndImage" ImagePosition="ImageTop" PrefixIcon="e-ribbon e-save" Click="executeAction" />
                                                    </ej:ContentGroup>
                                                </ContentGroupsCollection>
                                            </ej:TabContent>
                                        </ContentCollection>
                                    </ej:TabGroup>
                                </TabGroupsCollection>
                            </ej:RibbonTab>
                        </RibbonTabs>
                    </ej:Ribbon>
                    <div id="contenteditor" class="e-contenteditor" contenteditable="true" spellcheck="false">
                        <p>Integer dui elit, cursus vel metus maximus, dictum semper magna. Donec volutpat porta gravida. Fusce dapibus cursus tellus et pulvinar. Fusce porta dolor eget consectetur ultricies.</p>
                        <p>Cras et quam scelerisque, blandit lorem a, tristique velit. Quisque sagittis sapien augue. Quisque tincidunt sit amet libero sed luctus.</p>
                        <p>Pellentesque rutrum mauris mi. Ut rutrum quam ac quam tincidunt elementum. Nullam pulvinar mattis velit, nec rutrum enim laoreet quis.Vestibulum ipsum leo, molestie convallis vehicula at, dictum non purus.</p>
                    </div>
                </div>
                <ul id="menu">
                    <li><a>FILE</a>
                        <ul>
                            <li><a>New</a></li>
                            <li><a>Open</a></li>
                            <li><a>Save</a></li>
                            <li><a>Save as</a></li>
                            <li><a>Print</a></li>
                        </ul>
                    </li>
                </ul>
                <ul id="pasteul">
                    <li><a>Paste</a></li>
                </ul>
                <input id="fontcolor"/>
                <input id="fillcolor"/>

</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ScriptSection" runat="server">
    <script type="text/javascript">
        var action1 = ["New", "Clear"], fontfamily = ["Segoe UI", "Arial", "Times New Roman", "Tahoma", "Helvetica"], fontsize = ["1pt", "2pt", "3pt", "4pt", "5pt"],
            action2 = ["Bold", "Italic", "Underline", "strikethrough", "superscript", "subscript", "JustifyLeft", "JustifyCenter", "JustifyRight", "JustifyFull", "Undo", "Redo"];
        var fontsize = []; 
        for(var i=1;i<=100;i++)
        {
            fontsize.push(i + "pt");
        }
        function executeAction(args) {
            var val, prop = args.text;
            val = (ej.isNullOrUndefined(args.model.text)) ? args.model.activeText : args.model.text;
            if (action1.indexOf(val) != -1)
                $("#contenteditor").empty();
            else if (action2.indexOf(val) != -1)
                document.execCommand(val, false, null);
            else if (fontfamily.indexOf(prop) != -1)
                document.execCommand("FontName", false, prop);
            else if (fontsize.indexOf(prop) != -1)
                document.execCommand("FontSize", false, prop.replace("pt", ""));
            else
                $("#contenteditor").append("<p> Action: " + val + " Triggered </p>");

        }
        function createControl(args) {
            $("#fontcolor").ejColorPicker({ value: "#FFFF00", modelType: "palette", cssClass: "e-ribbon", toolIcon: "e-icon e-fontcoloricon", select: colorHandler });
            $("#fillcolor").ejColorPicker({ value: "#FF0000", modelType: "palette", cssClass: "e-ribbon", toolIcon: "e-icon e-fillcoloricon", select: colorHandler });
        }
        function colorHandler(args) {
            (this._id.indexOf("fillcolor") != -1)? $("#contenteditor").css('background-color', args.value): document.execCommand('forecolor', false, args.value);
        }
    </script>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="StyleSection" runat="server">
    <link href="<%=ResolveClientUrl("~/Content/ej/ej.icons.css")%>" rel="stylesheet" />
    <style type="text/cs">
        .e-contenteditor {
            width: 100%;
            height: 220px;
            border: 1px solid #D9DFDE;
            border-top: 0;
            overflow: auto;
        }
        .e-btn .e-btntxt {
            padding:0px!important;
        }
        .e-contenteditor p {
            margin: 20px;
        }
    </style>
</asp:Content>
