﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="AngularSupport.aspx.cs" Inherits="WebSampleBrowser.RichTextEditor.AngularSupport" %>


<asp:Content ID="Content2" ContentPlaceHolderID="SampleHeading" runat="server">
    Angular Support
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="ControlsSection" runat="server">
    <div ng-app="syncApp">
        <div ng-controller="RTECtrl">
            <div style="margin: auto;">
                <div id="control" style="float: left; width: 69%;">
                    <textarea id="rteSample" ej-rte e-width="100%" e-height="266" e-value="rteValue"></textarea>
                    <h6><span style="font-style: italic; font-weight: normal; position: absolute; margin-top: 15px;">Note:Two Way Angular Support</span></h6>
                </div>
                <div id="binding" style="float: left; margin-left: 20px; width: 27%">
                    <textarea name="scroll" class="input ejinputarea" ng-model="rteValue"></textarea>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="ScriptSection" runat="server">
    <script src='<%= Page.ResolveClientUrl("~/Scripts/angular.min.js")%>' type="text/javascript"></script>
    <script src='<%= Page.ResolveClientUrl("~/Scripts/ej/ej.widget.angular.min.js")%>' type="text/javascript"></script>
    <script>
        angular.module('syncApp', ['ejangular'])
            .controller('RTECtrl', function ($scope) {
                $scope.rteValue = "Description:The Rich Text Editor (RTE) control is an easy to render in client side. Customer easy to edit the contents and get the HTML content for";
            });
    </script>
</asp:Content>

<asp:Content ID="Content7" ContentPlaceHolderID="StyleSection" runat="server">

    <style>
        .input {
            height: 262px;
            width: 100%;
            resize: none;
            text-indent: 23px;
        }
    </style>
</asp:Content>
