﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="Angular.aspx.cs" Inherits="WebSampleBrowser.Schedule.Angular" %>


<asp:Content ID="Content1" ContentPlaceHolderID="SampleHeading" runat="server">
    <span class="sampleName">Schedule / Angular Binding</span>
</asp:Content>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <div ng-app="syncApp">
        <div ng-controller="ScheduleCtrl">
             <div style="float: left" id="Schedule1" ej-schedule e-appointmentsettings-datasource="appointments" e-appointmentsettings-id="Id" e-appointmentsettings-subject="Subject" e-appointmentsettings-starttime="StartTime"  
                    e-appointmentsettings-endtime="EndTime" e-appointmentsettings-description="Description" e-appointmentsettings-allday="AllDay" e-appointmentsettings-recurrence="Recurrence" e-appointmentsettings-recurrencerule="RecurrenceRule"
                    e-width="100%" e-height="525px" e-currentview="setView" e-currentdate="setDate" e-contextMenuSettings-enable="true">
                    <div e-contextmenusettings-menuitems-appointments>
                        <div e-contextmenusettings-menuitems-appointment e-id="open" e-text="Open Appointment"></div>
                        <div e-contextmenusettings-menuitems-appointment e-id="delete" e-text="Delete Appointment"></div>
                    </div>
                    <div e-contextmenusettings-menuitems-cells>
                        <div e-contextmenusettings-menuitems-cell e-id="new" e-text="Create New Appointment"></div>
                        <div e-contextmenusettings-menuitems-cell e-id="recurrence" e-text="Create recurrence Appointment"></div>
                        <div e-contextmenusettings-menuitems-cell e-id="today" e-text="Today"></div>
                        <div e-contextmenusettings-menuitems-cell e-id="gotodate" e-text="Go to date"></div>
                        <div e-contextmenusettings-menuitems-cell e-id="settings" e-text="Settings"></div>
                        <div e-contextmenusettings-menuitems-cell e-id="view" e-text="View" e-parentid="settings"></div>
                        <div e-contextmenusettings-menuitems-cell e-id="timemode" e-text="TimeMode" e-parentid="settings"></div>
                        <div e-contextmenusettings-menuitems-cell e-id="view_Day" e-text="Day" e-parentid= "view"></div>
                        <div e-contextmenusettings-menuitems-cell e-id="view_Week" e-text="Week" e-parentid= "view"></div>
                        <div e-contextmenusettings-menuitems-cell e-id="view_Workweek" e-text="Workweek" e-parentid= "view"></div>
                        <div e-contextmenusettings-menuitems-cell e-id="view_Month" e-text="Month" e-parentid= "view"></div>
                        <div e-contextmenusettings-menuitems-cell e-id="timemode_Hour12" e-text="12 Hours" e-parentid="timemode"></div>
                        <div e-contextmenusettings-menuitems-cell e-id="timemode_Hour24" e-text="24 Hours" e-parentid="timemode"></div>
                        <div e-contextmenusettings-menuitems-cell e-id="businesshours" e-text="Business Hours" e-parentid="settings"></div>
                        <div e-contextmenusettings-menuitems-cell e-id="customMenu1" e-text="Menu Item 1"></div>
                        <div e-contextmenusettings-menuitems-cell e-id="customMenu2" e-text="Menu Item 2"></div>
                    </div>
                </div>
            <div id="sampleProperties">
                <div class="prop-grid">
                    <div class="row">
                        <div class="col-md-3">
                            Current View
                        </div>
                        <div class="col-md-3"></div>
                        <div class="col-md-3">
                            <input type="text" name="view" value="" style="width: 100px" ng-model="setView" />
                        </div>
                        <div class="col-md-3"></div>
                    </div>
                    <div class="row">
                        <div class="col-md-3">
                            Current Date
                        </div>
                         <div class="col-md-3"></div>
                        <div class="col-md-3">
                            <input id="datepick1" ej-datepicker e-value="setDate" e-width="107px" />
                        </div>
                         <div class="col-md-3"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</asp:Content>

<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
    <script src='<%= Page.ResolveClientUrl("~/Scripts/angular.min.js")%>' type="text/javascript"></script>    
    <script src='<%= Page.ResolveClientUrl("~/Scripts/ej/ej.widget.angular.min.js")%>' type="text/javascript"></script>
    <script type="text/javascript">
        var data = [
                     { "Id": 1, "Subject": "Meeting", "StartTime": new Date(2014, 4, 1, 4), "EndTime": new Date(2014, 4, 1, 6), "AllDay": false, "Recurrence": false },
                     { "Id": 2, "Subject": "Testing", "StartTime": new Date(2014, 4, 2, 4), "EndTime": new Date(2014, 4, 2, 6), "AllDay": false, "Recurrence": false },
                     { "Id": 3, "Subject": "Review", "StartTime": new Date(2014, 4, 2, 2), "EndTime": new Date(2014, 4, 2, 3), "AllDay": false, "Recurrence": false },
                     { "Id": 4, "Subject": "Conference", "StartTime": new Date(2014, 4, 3, 4), "EndTime": new Date(2014, 4, 3, 6), "AllDay": false, "Recurrence": false },
                     { "Id": 5, "Subject": "Deployment", "StartTime": new Date(2014, 4, 3, 1), "EndTime": new Date(2014, 4, 3, 3), "AllDay": false, "Recurrence": false }

        ];
        angular.module('syncApp', ['ejangular'])
             .controller('ScheduleCtrl', function ($scope) {
                 $scope.appointments = data;
                 $scope.setView = "week";
                 $scope.setDate = new Date(2014, 4, 2);
             });
        $(document).ready(function () { $("#sampleProperties").ejPropertiesPanel(); });
        </script>
</asp:Content>

