﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="CustomView.aspx.cs" Inherits="WebSampleBrowser.Schedule.CustomView" %>

<asp:Content ID="Content1" ContentPlaceHolderID="SampleHeading" runat="server">
    <span class="sampleName">Schedule / Time Mode</span>
</asp:Content>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <div>
<ej:Schedule runat="server" ID="Schedule1" DataSourceID="SqlData" Width="100%" Height="800px" Views="CustomView" CurrentView="CustomView" CurrentDate="5/2/2014">
    <RenderDates Start="11/07/2014" End="12/10/2014" />
    <AppointmentSettings Id="Id" Subject="Subject" AllDay="AllDay" StartTime="StartTime" EndTime="EndTime" Description="Description" Recurrence="Recurrence" RecurrenceRule="RecurrenceRule"/>
</ej:Schedule>

    </div>
    <asp:SqlDataSource ID="SqlData" runat="server" ConnectionString="<%$ ConnectionStrings:ScheduleConnectionString %>"
            SelectCommand="SELECT * FROM [DefaultSchedule]"></asp:SqlDataSource>
</asp:Content>
<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
    <script type="text/javascript">
        $(document).ready(function () { $("#sampleProperties").ejPropertiesPanel(); });
        function onChange(args) {
            $("#Schedule1").ejSchedule("option","currentView")!=args.value.toLowerCase() && $("#Schedule1").ejSchedule({ views:[args.value], currentView:args.value.toLowerCase()});
        }
        function ChangeDate(args) {
            var startDate = $("#customstartdate").ejDatePicker("option", "value");
            var endDate = $("#customenddate").ejDatePicker("option", "value");
            if (startDate <= endDate) {             
                $("#Schedule1").ejSchedule({
                    CurrentView: "CustomView",
                    views:["CustomView"],
                    renderDates: {
                        start: new Date(startDate),
                        end: new Date(endDate)
                    }
                });
            }
            else
                alert("Start hour should be lesser than end hour");
        }
    </script>
</asp:Content>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="PropertySection">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                   Select View
                </div>
                <div class="col-md-3">
                   <ej:DropDownList runat="server" ID="ddlView" Width="115px" SelectedItemIndex="4" ClientSideOnChange="onChange" ClientSideOnSelect="onChange">
                        <Items>
                            <ej:DropDownListItem  Text="Day" Value="Day"/>
                            <ej:DropDownListItem  Text="Week" Value="Week"/>
                            <ej:DropDownListItem  Text="WorkWeek" Value="WorkWeek"/>
                            <ej:DropDownListItem  Text="Month" Value="Month"/>
                            <ej:DropDownListItem  Text="CustomView" Value="CustomView"/>
                        </Items>
                    </ej:DropDownList>
                </div>
            </div>
             <div class="row">
                <div class="col-md-3">
                    Start Date
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <ej:DatePicker runat="server" ID="customstartdate" Width="120px" Value="11/07/2014"></ej:DatePicker>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    End Date
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <ej:DatePicker runat="server" ID="customenddate" Width="120px" Value="12/10/2014"></ej:DatePicker>
                </div>
            </div>
            <br />
            <div class="row">
                <div class="col-md-3">
                  <ej:Button Type="Button" ID="BtnSubmit" runat="server" Text="Submit" ClientSideOnClick="ChangeDate"></ej:Button>
                 </div>
            </div>
        </div>
    </div>
</asp:Content>
