﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="Events.aspx.cs" Inherits="WebSampleBrowser.Schedule.Events" %>


<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <div>
<ej:Schedule runat="server" ID="Schedule1" DataSourceID="SqlData" Width="100%" Height="525px" CurrentDate="5/2/2014" AppointmentClick="onAppointmentClick" AppointmentDeleted="onAppointmentDeleted" AppointmentEdited="onAppointmentEdited" AppointmentSaved="onAppointmentSaved" AppointmentWindowOpen="onAppointmentWindowOpen" CellDoubleClick="onCellDoubleClick" CellClick="onCellClick" Create="onCreate" Navigation="onNavigation" ResizeStart="onResizeStart" ResizeStop="onResizeStop" DragStart="onDragStart" DragStop="onDragStop">
    <AppointmentSettings Id="Id" Subject="Subject" AllDay="AllDay" StartTime="StartTime" EndTime="EndTime" Description="Description" Recurrence="Recurrence" RecurrenceRule="RecurrenceRule"/>
</ej:Schedule>

    </div>
    <asp:SqlDataSource ID="SqlData" runat="server" ConnectionString="<%$ ConnectionStrings:ScheduleConnectionString %>"
            SelectCommand="SELECT * FROM [DefaultSchedule]"></asp:SqlDataSource>
</asp:Content>
<asp:Content ID="eventsection" ContentPlaceHolderID="EventSection" runat="server">
     <div class="cols-prop-area event-tracer">
        <div>
            <div class="heading">
                <span>Event Trace</span>
                <div class="pull-right">
                    <ej:DropDownList ID="selectControls" runat="server" SelectedItemIndex="0" Width="150px" ShowCheckbox="True"
                        CheckAll="True" ClientSideOnChange="evtpropscheckedevent">
                        <Items>
                            <ej:DropDownListItem Text="Create" Value="create" />
                            <ej:DropDownListItem Text="Cell Click" Value="cellClick" />
                            <ej:DropDownListItem Text="App Click" Value="appointmentClick" />
                            <ej:DropDownListItem Text="Double Click" Value="cellDoubleClick" />
                            <ej:DropDownListItem Text="Window Open" Value="appointmentWindowOpen" />
                            <ej:DropDownListItem Text="App Saved" Value="appointmentSaved" />
                            <ej:DropDownListItem Text="App Edited" Value="appointmentEdited" />
                            <ej:DropDownListItem Text="App Deleted" Value="appointmentDeleted" />
                            <ej:DropDownListItem Text="Navigation" Value="navigation" />
                            <ej:DropDownListItem Text="Resize Start" Value="resizeStart" />
                            <ej:DropDownListItem Text="Resize Stop" Value="resizeStop" />
                            <ej:DropDownListItem Text="Drag Start" Value="dragStart" />
                            <ej:DropDownListItem Text="Drag Stop" Value="dragStop" />
                        </Items>
                    </ej:DropDownList>
                </div>
            </div>
            <div class="prop-grid content">
                <div class="eventarea">
                    <div class="EventLog" id="EventLog">
                    </div>
                </div>
                <div class="evtbtn">
                    <ej:Button ID="Clear" runat="server" Type="Button" Text="Clear" ClientSideOnClick="onClear"></ej:Button>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
    <script type="text/javascript">
        function evtpropscheckedevent(args) {
            var scheObj = $("#Schedule1").data("ejSchedule");
            if (args.isChecked && scheObj != undefined) {
                switch (args.value) {
                    case "create": scheObj.option(args.value, "create"); break;
                    case "cellClick": scheObj.option(args.value, "cellClick"); break;
                    case "appointmentClick": scheObj.option(args.value, "appointmentClick"); break;
                    case "cellDoubleClick": scheObj.option(args.value, "cellDoubleClick"); break;
                    case "appointmentWindowOpen": scheObj.option(args.value, "appointmentWindowOpen"); break;
                    case "appointmentSaved": scheObj.option(args.value, "appointmentSaved"); break;
                    case "appointmentEdited": scheObj.option(args.value, "appointmentEdited"); break;
                    case "appointmentDeleted": scheObj.option(args.value, "appointmentDeleted"); break;
                    case "navigation": scheObj.option(args.value, "navigation"); break;
                    case "resizeStart": scheObj.option(args.value, "resizeStart"); break;
                    case "resizeStop": scheObj.option(args.value, "resizeStop"); break;
                    case "dragStart": scheObj.option(args.value, "dragStart"); break;
                    case "dragStop": scheObj.option(args.value, "dragStop"); break;
                }
            }
            else scheObj.option(args.value, null);
        }
        function onCellClick(args) {
            jQuery.addEventLog("Cell has been <span class='eventTitle'>Clicked.</span>");
        }
        function onCreate(args) {
            jQuery.addEventLog("Schedule has been <span class='eventTitle'>created.</span>");
        }
        function onAppointmentClick(args) {
            jQuery.addEventLog("Appointment has been <span class='eventTitle'>Clicked.</span>");
        }
        function onCellDoubleClick(args) {
            jQuery.addEventLog("<span class='eventTitle'>Double Clicked</span> the cells");
        }
        function onAppointmentWindowOpen(args) {
            jQuery.addEventLog("Appointment window has been <span class='eventTitle'>Opened.</span>");
        }
        function onAppointmentSaved(args) {
            jQuery.addEventLog("Appointment has been <span class='eventTitle'>Saved.</span>");
        }
        function onAppointmentEdited(args) {
            jQuery.addEventLog("Appointment opened for<span class='eventTitle'>Edit.</span>");
        }
        function onAppointmentDeleted(args) {
            jQuery.addEventLog("Appointment has been <span class='eventTitle'>Deleted.</span>");
        }
        function onNavigation(args) {
            jQuery.addEventLog("Changed the <span class='eventTitle'>Date / View </span>");
        }
        function onResizeStart(args) {
            jQuery.addEventLog("Appointment <span class='eventTitle'>Resize Started </span>");
        }
        function onResizeStop(args) {
            jQuery.addEventLog("Appointment <span class='eventTitle'>Resize Stopped </span>");
        }
        function onDragStart(args) {
            jQuery.addEventLog("Appointment <span class='eventTitle'>Drag Started </span>");
        }
        function onDragStop(args) {
            jQuery.addEventLog("Appointment <span class='eventTitle'>Drag Stopped </span>");
        }
        function onClear() {
            jQuery.clearEventLog();
        }
    </script>
</asp:Content>