﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="Knockout.aspx.cs" Inherits="WebSampleBrowser.Schedule.Knockout" %>


<asp:Content ID="Content1" ContentPlaceHolderID="SampleHeading" runat="server">
    <span class="sampleName">Schedule / Knockout Binding</span>
</asp:Content>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <div>
<div style="float: left" id="Schedule1" data-bind="ejSchedule: { width: '100%', height: '525px', appointmentSettings: { dataSource: appointments, id: 'Id', subject: 'Subject', location: 'Location', description: 'Description', startTime: 'StartTime', endTime: 'EndTime', allDay: 'AllDay', recurrence: 'Recurrence', recurrenceRule: 'RecurrenceRule' }, currentView: view, currentDate: date }">
    </div>
    </div>
    <asp:SqlDataSource ID="SqlData" runat="server" ConnectionString="<%$ ConnectionStrings:ScheduleConnectionString %>"
            SelectCommand="SELECT * FROM [Localization]"></asp:SqlDataSource>
</asp:Content>

<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
  <script src='<%= Page.ResolveClientUrl("~/Scripts/knockout-min.js")%>' type="text/javascript"></script>
  <script src='<%= Page.ResolveClientUrl("~/Scripts/ej/ej.widget.ko.min.js")%>' type="text/javascript"></script>
    <script type="text/javascript">
        $(function () {
            var data = [
                 { "Id": 1, "Subject": "Meeting", "StartTime": new Date(2014, 4, 1, 4), "EndTime": new Date(2014, 4, 1, 6), "AllDay": false, "Recurrence": false },
                 { "Id": 2, "Subject": "Testing", "StartTime": new Date(2014, 4, 2, 4), "EndTime": new Date(2014, 4, 2, 6), "AllDay": false, "Recurrence": false },
                 { "Id": 3, "Subject": "Review", "StartTime": new Date(2014, 4, 2, 2), "EndTime": new Date(2014, 4, 2, 3), "AllDay": false, "Recurrence": false },
                 { "Id": 4, "Subject": "Conference", "StartTime": new Date(2014, 4, 3, 4), "EndTime": new Date(2014, 4, 3, 6), "AllDay": false, "Recurrence": false },
                 { "Id": 5, "Subject": "Deployment", "StartTime": new Date(2014, 4, 3, 1), "EndTime": new Date(2014, 4, 3, 3), "AllDay": false, "Recurrence": false }

            ];
            window.viewModel = {
                appointments: ko.observable(data),
                view: ko.observable("week"),
                date: ko.observable(new Date(2014, 4, 2))
            };
            $(function () {
                ko.applyBindings(viewModel);
            });
            $("#sampleProperties").ejPropertiesPanel();
        });
        </script>
</asp:Content>
<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="PropertySection">
    <div id="sampleProperties">
       <div class="row">
            <div class="col-md-3">
                Current View
            </div>
            <div class="row"></div>
            <div class="col-md-3">
                <input type="text" name="view" value="" style="width: 100px" data-bind="value: view" />
            </div>
            <div class="row"></div>
        </div>
        <div class="row">
            <div class="col-md-3">
                Current Date
            </div>
            <div class="col-md-3"></div>
            <div class="col-md-3">
                <input id="datepick" data-bind="ejDatePicker: { value: date, width: '107px' }" />
            </div>
            <div class="col-md-3"></div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="styleSection" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        b {
            white-space: nowrap;
        }
    </style>
</asp:Content>

