﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="localization.aspx.cs" Inherits="WebSampleBrowser.Schedule.localization" %>

<asp:Content ID="HeaderSection" ContentPlaceHolderID="HeadSection" runat="server">
    <script type="text/javascript" src="../Scripts/jquery.globalize.min.js"></script>
    <script type="text/javascript" src="../Scripts/ej/cultures/globalize.culture.en-US.min.js"></script>
    <script type="text/javascript" src="../Scripts/ej/cultures/globalize.culture.fr-FR.min.js"></script>
    <script type="text/javascript" src="../Scripts/ej/cultures/globalize.culture.vi-VN.min.js"></script>
</asp:Content>
<asp:Content ID="Content1" ContentPlaceHolderID="SampleHeading" runat="server">
    <span class="sampleName">Schedule / Localization</span>
</asp:Content>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <div>
<ej:Schedule runat="server" ID="Schedule1" DataSourceID="SqlData" Locale="en-US" Width="100%" Height="525px" CurrentDate="5/2/2014">
    <AppointmentSettings Id="Id" Subject="Subject" AllDay="AllDay" StartTime="StartTime" EndTime="EndTime" Description="Description" Recurrence="Recurrence" RecurrenceRule="RecurrenceRule"/>
</ej:Schedule>

    </div>
    <asp:SqlDataSource ID="SqlData" runat="server" ConnectionString="<%$ ConnectionStrings:ScheduleConnectionString %>"
            SelectCommand="SELECT * FROM [DefaultSchedule]"></asp:SqlDataSource>
</asp:Content>

<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
    <script type="text/javascript">
        $(function () {
            ej.Schedule.Locale["fr-FR"] = {
                ReminderWindowTitle: "Fenêtre de rappel",
                CreateAppointmentTitle: "créer un rendez-",
                RecurrenceEditTitle: "Modifier répétition nomination",
                RecurrenceEditMessage: "Comment voulez-vous changer le cas dans la série?",
                RecurrenceEditOnly: "Seulement cette nomination",
                
                RecurrenceEditSeries: "La série entière",
                AppointmentSubject: "sujet",
                StartTime: "Heure de début",
                EndTime: "Heure de fin",
                AllDay: "toute la journée",
                Today: "aujourd'hui",
                Recurrence: "répétition",
                Done: "Terminé",
                Cancel: "annuler",
                RepeatBy: "Répétez par",
                RepeatEvery: "répéter chaque",
                RepeatOn: "répéter l'opération sur",
                StartsOn: "démarre sur",
                Ends: "extrémités",
                Summary: "résumé",
                Daily: "quotidien",
                Weekly: "hebdomadaire",
                Monthly: "mensuel",
                Yearly: "annuel",
                Every: "tous",
                EveryWeekDay: "chaque jour de la semaine",
                Never: "jamais",
                After: "après",
                Occurence: "apparition",
                On: "sur",
                Edit: "Modifier",
                RecurrenceDay: "Jour (s)",
                RecurrenceWeek: "Semaine (s)",
                RecurrenceMonth: "Mois (s)",
                RecurrenceYear: "Année (s)",
                The: "la",
                OfEvery: "de chaque",
                First: "première",
                Second: "deuxième",
                Third: "troisième",
                Fourth: "quatrième",
                Last: "dernier",
                WeekDay: "jour de la semaine",
                WeekEndDay: "Jour de week-end",
                Subject: "sujet",
                DueIn: "En raison",
                DismissAll: "rejeter tout",
                Dismiss: "rejeter",
                OpenItem: "Ouvrir l'élément",
                Snooze: "répétition",
                Day: "jour",
                Week: "semaine",
                WorkWeek: "Semaine de travail",
                Month: "mois",
                Agenda: "ordre du jour",
                Detailed: "détaillé",
                CreateEvent: "créer un rendez-",
                EventBeginsin: "Nomination commence dans",
                Editevent: "Modifier nomination",
                Editseries: "Modifier série",
                Times: "fois",
                Until: "jusqu'à",
                Eventwas: "rendez-vous était",
                Hours: "hrs",
                Minutes: "minutes",
                Overdue: "en retard",
                Days: "jour (s)",
                Event: "sujet",
                Select: "sélectionner",
                Previous: "prev",
                Next: "suivant",
                Close: "proche",
                Delete: "effacer"
            };

            ej.Schedule.Locale["vi-VN"] = {
                ReminderWindowTitle: "cửa sổ nhắc nhở",
                CreateAppointmentTitle: "tạo bổ nhiệm",
                RecurrenceEditTitle: "Chỉnh sửa bổ nhiệm lại",
                RecurrenceEditMessage: "Làm thế nào bạn muốn thay đổi các sự kiện trong chuỗi?",
                RecurrenceEditOnly: "Chỉ bổ nhiệm này",
                RecurrenceEditSeries: "toàn bộ loạt",
                AppointmentSubject: "Tiêu đề",
                StartTime: "Thời gian bắt đầu",
                EndTime: "Thời gian kết thúc",
                AllDay: "mọi ngày",
                Today: "hôm nay",
                Recurrence: "lặp lại",
                Done: "done",
                Cancel: "hủy bỏ",
                RepeatBy: "lặp lại bởi",
                RepeatEvery: "lặp lại mỗi",
                RepeatOn: "lặp lại",
                StartsOn: "bắt đầu từ ngày",
                Ends: "đầu",
                Summary: "Tóm tắt",
                Daily: "hàng ngày",
                Weekly: "hàng tuần",
                Monthly: "hàng tháng",
                Yearly: "hàng năm",
                Every: "mỗi",
                EveryWeekDay: "mỗi ngày trong tuần",
                Never: "không bao giờ",
                After: "sau khi",
                Occurence: "sự xuất hiện",
                On: "trên",
                Edit: "chỉnh sửa",
                RecurrenceDay: "Ngày (s)",
                RecurrenceWeek: "Tuần (s)",
                RecurrenceMonth: "Tháng (s)",
                RecurrenceYear: "Năm (s)",
                The: "các",
                OfEvery: "của mỗi",
                First: "đầu tiên",
                Second: "thứ hai",
                Third: "thứ ba",
                Fourth: "thứ tư",
                Last: "cuối cùng",
                WeekDay: "các ngày trong tuần",
                WeekEndDay: "Ngày cuối tuần",
                Subject: "Tiêu đề",
                DueIn: "Trong do",
                DismissAll: "Tất cả bỏ",
                Dismiss: "miễn nhiệm",
                OpenItem: "mở hàng",
                Snooze: "giấc ngu ngắn",
                Day: "ngày",
                Week: "tuần",
                WorkWeek: "Tuần làm việc",
                Month: "tháng",
                Agenda: "chương trình nghị sự",
                Detailed: "chi tiết",
                CreateEvent: "tạo bổ nhiệm",
                EventBeginsin: "Bắt đầu hẹn trong",
                Editevent: "chỉnh sửa bổ nhiệm",
                Editseries: "chỉnh sửa hàng loạt",
                Times: "lần",
                Until: "đến",
                Eventwas: "được bổ nhiệm",
                Hours: "hrs",
                Minutes: "phút",
                Overdue: "quá hạn",
                Days: "ngày(s)",
                Event: "Tiêu đề",
                Select: "chọn",
                Previous: "trước",
                Next: "tiếp theo",
                Close: "gần",
                Delete: "xóa"
            };
            $("#sampleProperties").ejPropertiesPanel();
        });
        function onChange(args) {
            $("#Schedule1").ejSchedule({ locale: args.value });
        }
        </script>
</asp:Content>
<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="PropertySection">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                   Select Culture
                </div>
                <div class="col-md-3">
                   <ej:DropDownList runat="server" ID="ddlLocale" Width="115px" SelectedItemIndex="1" ClientSideOnChange="onChange" ClientSideOnSelect="onChange">
                        <Items>
                            <ej:DropDownListItem  Text="fr-FR" Value="fr-FR"/>
                            <ej:DropDownListItem  Text="en-US" Value="en-US"/>
                            <ej:DropDownListItem  Text="vi-VN" Value="vi-VN"/>
                        </Items>
                    </ej:DropDownList>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
