﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="APIs.aspx.cs" Inherits="WebSampleBrowser.Slider.APIs" %>



<asp:Content ID="Content5" ContentPlaceHolderID="ControlsSection" runat="server">

    <div class="frame">
        <ej:Slider ID="rangeSlider" runat="server" Height="16px" SliderType="Range" Values="20,70"></ej:Slider>
    </div>

</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="PropertySection" runat="server">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                    State
                </div>
                <div class="col-md-3">
                    <ej:ToggleButton Type="Button" ID="Toggle" runat="server" DefaultText="Disable" ActiveText="Enable" ClientSideOnClick="changeState" Width="97px"></ej:ToggleButton>
                </div>
                <div class="col-md-3">
                    Current value
                </div>
                <div class="col-md-3">
                    <ej:Button ID="Button" Type="Button" runat="server" Text="GetValue" ClientSideOnClick="getValue"></ej:Button>
                </div>
            </div>

        </div>
    </div>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ScriptSection" runat="server">
    <script type="text/javascript">
        var target;
        $(function () {
            // declaration
            target = $("#rangeSlider").data("ejSlider");
            $("#sampleProperties").ejPropertiesPanel();
        });

        function changeState(args) {
            if (args.isChecked) target.disable();
            else target.enable();
        }
        function getValue() {
            alert(target.getValue());
        }

    </script>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        .e-slider-wrap.e-horizontal .e-handle {
            top: -3px;
        }

        .e-slider-wrap.e-vertical .e-handle {
            left: -3px;
        }

        .frame {
            width: 400px;
        }

        .e-button, .e-togglebutton {
            width: 87px;
        }
    </style>
</asp:Content>
