﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="Events.aspx.cs" Inherits="WebSampleBrowser.Slider.Events" %>

<asp:Content ID="Content5" ContentPlaceHolderID="ControlsSection" runat="server">
    <asp:UpdatePanel ID="UpdatePanel1" UpdateMode="Always" runat="server">
        <ContentTemplate>
            <div class="frame">
                <ej:Slider ID="sliderEvents" runat="server" Height="16px" SliderType="MinRange" Value="30" OnChangeEvent="sliderEvents_ChangeEvent"></ej:Slider>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>

</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="EventSection" runat="server">
    <asp:UpdatePanel ID="UpdatePanelProp" UpdateMode="Conditional" runat="server">
        <Triggers>
            <asp:AsyncPostBackTrigger ControlID="Clear" EventName="click" />
        </Triggers>
        <ContentTemplate>
            <div class="cols-prop-area event-tracer">
                <div>
                    <div class="heading">
                        <span>Event Trace</span>
                    </div>
                    <div class="prop-grid content">
                        <div class="eventarea">
                            <div class="EventLog" id="EventLog" runat="server">
                            </div>
                        </div>
                        <div class="evtbtn">
                            <ej:Button ID="Clear" Type="Reset" OnClick="Clear_Click" Text="Clear" CssClass="eventclear e-btn" runat="server"></ej:Button>
                        </div>
                    </div>
                </div>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>

<%--<asp:Content ID="Content2" ContentPlaceHolderID="ScriptSection" runat="server">
    <script type="text/javascript">
        var sliderObj;
        $(document).ready(function () {
            sliderObj = $("#sliderEvents").data("ejSlider");
        });

        function evtpropscheckedevent(args) {
            if (args.isChecked) {
                switch (args.model.text) {
                    case "start": sliderObj.option(args.model.text, "onstart"); break;
                    case "stop": sliderObj.option(args.model.text, "onstop"); break;
                    case "change": sliderObj.option(args.model.text, "onchange"); break;
                    case "slide": sliderObj.option(args.model.text, "onslide"); break;
                }
            }
            else sliderObj.option(args.model.text, null);
        }

        function oncreate() {
            jQuery.addEventLog("Slider has been <span class='eventTitle'>created</span>.");
        }
        function onstart(args) {
            jQuery.addEventLog("Slider has been <span class='eventTitle'>started</span> at " + args.value + ". <br/>");
        }
        function onstop(args) {
            jQuery.addEventLog("Slider has been <span class='eventTitle'>stopped</span> at " + args.value + ". <br/>");
        }
        function onchange(args) {
            jQuery.addEventLog("Slider value has been <span class='eventTitle'>changed</span> to " + args.value + ". <br/>");
        }
        function onslide(args) {
            jQuery.addEventLog("Slider is being <span class='eventTitle'>changed</span> to " + args.value + ".");
        }
        function onClear() {
            $("#EventLog").html("");
        }
    </script>
</asp:Content>--%>
<asp:Content ID="Content3" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        .e-slider-wrap.e-horizontal .e-handle {
            top: -3px;
        }

        .e-slider-wrap.e-vertical .e-handle {
            left: -3px;
        }

        .frame {
            width: 400px;
        }
    </style>
</asp:Content>
