﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true"
    CodeBehind="Keyboard-Interaction.aspx.cs" Inherits="WebSampleBrowser.Slider.Keyboard_Interaction" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadSection" runat="server">
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ControlsSection" runat="server">

    <div class="frame">
        <ej:Slider ID="minSlider" runat="server" Height="16px" SliderType="MinRange" Value="20"></ej:Slider>
        <br />
        <br />
        <ej:Slider ID="rangeSlider" runat="server" Height="16px" SliderType="Range" Values="40,80"></ej:Slider>
    </div>

</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="PropertySection" runat="server">
    <div id="sampleProperties">
        <div class="prop-grid keyboard">
            <div class="row">
                <div class="col-md-3">
                    <b>Alt + j</b>
                </div>
                <div class="col-md-3">
                    Focuses the control
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Up / Right</b>
                </div>
                <div class="col-md-3">
                    Increments the slider value
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Down / Left</b>
                </div>
                <div class="col-md-3">
                    Decrements the slider value
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Home</b>
                </div>
                <div class="col-md-3">
                    Moves to the start value
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>End</b>
                </div>
                <div class="col-md-3">
                    Moves to the end value
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Esc</b>
                </div>
                <div class="col-md-3">
                    Focuses out from the handle
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Tab</b>
                </div>
                <div class="col-md-3">
                    Focus to next control
                </div>
            </div>
        </div>
    </div>
    </div>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ScriptSection" runat="server">
    <script type="text/javascript">
        $(function () {
            //Control focus key
            $(document).on("keydown", function (e) {
                if (e.altKey && e.keyCode === 74) { // j- key code.
                    $("#minSlider a")[0].focus();
                }
            });
            $("#sampleProperties").ejPropertiesPanel();
        });
    </script>
</asp:Content>
<asp:Content ID="Content7" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css" class="cssStyles">
        .e-slider-wrap.e-horizontal .e-handle {
            top: -3px;
        }

        .e-slider-wrap.e-vertical .e-handle {
            left: -3px;
        }

        .frame {
            width: 400px;
        }
    </style>
</asp:Content>
