﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true"
    CodeBehind="KnockoutSupport.aspx.cs" Inherits="WebSampleBrowser.Slider.KnockoutSupport" %>

<asp:Content ID="Content5" ContentPlaceHolderID="ControlsSection" runat="server">
    <div class="frame">
        <div id="rangeSlider" data-bind="ejSlider: {value:sliderValue}">
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="PropertySection" runat="server">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                    State</div>
                <div class="col-md-3">
                    <ej:ToggleButton ID="Toggle" runat="server" DefaultText="Disable" ActiveText="Enable" ClientSideOnClick="changeState" Width="100px"></ej:ToggleButton>
                </div>
                <div class="col-md-3">
                    Current value</div>
                <div class="col-md-3">
                    <ej:Button ID="Button" Type="Button" runat="server" Text="GetValue" ClientSideOnClick="getValue"></ej:Button>
                </div>
                <div class="col-md-3">
                    Set value</div>
                <div class="col-md-3">
                    <input type="text" name="slider" class="input ejinputtext" value="" data-bind="value: sliderValue" />
                </div>
            </div>
        </div>
    </div>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ScriptSection" runat="server">
    <script src='<%= Page.ResolveClientUrl("~/Scripts/knockout-min.js")%>' type="text/javascript"></script>
    <script src='<%= Page.ResolveClientUrl("~/Scripts/ej/ej.widget.ko.min.js")%>' type="text/javascript"></script>
    <script type="text/javascript">
        var target;
        $(function () {
            // declaration            
			 window.viewModel = {           
            sliderValue: ko.observable(40),            
        };
       
        $(function () {            
            ko.applyBindings(viewModel); 
			target = $("#rangeSlider").data("ejSlider");			
        });
            target = $("#rangeSlider").data("ejSlider");
             $("#sampleProperties").ejPropertiesPanel();
        });
        
        function changeState(args) {
            if (args.isChecked) target.disable();
            else target.enable();
        }
        function getValue() {
            alert(target.getValue());
        }
       
    </script>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css" class="cssStyles">
        .frame
        {
            width: 400px;
        }
        .input
        {
            height: 22px;
            text-indent: 10px;
            width: 100px;
        }
        .inputBtn
        {
            width: 87px;
            text-align: center;
        }
        .e-slider-wrap.e-horizontal .e-handle {
            top: -3px;
        }

        .e-slider-wrap.e-vertical .e-handle {
            left: -3px;
        }

    </style>
</asp:Content>
