﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="Events.aspx.cs" Inherits="WebSampleBrowser.Tab.Events" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">

    <div style="width: 500px">
        <ej:Tab ID="eventTab" Collapsible="true" OnTabItemActive="eventTab_TabItemActive" SelectedItemIndex="0" runat="server" Width="600px">
            <Items>
                <ej:TabItem Id="Tools" Text="Essential Tools">
                    <ContentSection>
                        <div>
                            Essential Tools is an collection of user interface components used to create interactive
                ASP.NET MVC applications. Essential Tools can be used to create robust and high
                performance ASP.NET MVC application interfaces using Editors (including Masked-Edit,
                Numeric and Percentage text box) and much more.

                        </div>
                    </ContentSection>
                </ej:TabItem>
                <ej:TabItem Id="Chart" Text="Essential Chart">
                    <ContentSection>
                        <div>
                            Essential Chart is a business-oriented charting component. It offers an innovative
                data object model that makes it easy to populate the chart with any kind of data
                source. Essential Chart features an advanced styles architecture that makes complex
                multi-level formatting very easy. 
                        </div>
                    </ContentSection>
                </ej:TabItem>
                <ej:TabItem Id="Grid" Url="../Tab/AjaxContents/gridcontent.html" Text="Essential Grid">
                </ej:TabItem>
            </Items>
        </ej:Tab>
    </div>


</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PropertySection" runat="server">
    <asp:UpdatePanel ID="UpdatePanelProp" UpdateMode="Conditional" runat="server">
        <Triggers>
            <asp:AsyncPostBackTrigger ControlID="Clear" EventName="click" />
        </Triggers>
        <ContentTemplate>
            <div class="cols-prop-area event-tracer">
                <div>
                    <div class="heading">
                        <span>Event Trace</span>
                    </div>
                    <div class="prop-grid content">
                        <div class="eventarea">
                            <div class="EventLog" id="EventLog" runat="server">
                            </div>
                        </div>
                        <div class="evtbtn">
                            <ej:Button ID="Clear" Text="Clear" Type="Reset" OnClick="Clear_Click" CssClass="eventclear e-btn" runat="server"></ej:Button>
                        </div>
                    </div>
                </div>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>
    <script type="text/javascript">
        Sys.WebForms.PageRequestManager.getInstance().add_endRequest(EndRequestHandler);
        function EndRequestHandler(sender, args) {
            if (args.get_error() != undefined) {
                args.set_errorHandled(true);
            }
        }
</script>
</asp:Content>
