﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="HeaderOrientation.aspx.cs" Inherits="WebSampleBrowser.Tab.HeaderOrientation" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">

    <ej:Tab ID="tabDirection" runat="server" HeaderPosition="Top" Width="600px" Height="300px">
        <Items>
            <ej:TabItem Id="tools" Text="Essential Tools">
                <ContentSection>
                    Essential Tools is an collection of user interface components used to create interactive
                                        ASP.NET MVC applications. Essential Tools can be used to create robust and high
                                        performance ASP.NET MVC application interfaces using Editors (including Masked-Edit,
                                        Numeric and Percentage text box) and much more.
                </ContentSection>
            </ej:TabItem>
            <ej:TabItem Id="chart" Text="Essential Chart">
                <ContentSection>
                    Essential Chart is a business-oriented charting component. It offers an innovative
                                        data object model that makes it easy to populate the chart with any kind of data
                                        source. Essential Chart features an advanced styles architecture that makes complex
                                        multi-level formatting very easy.
                </ContentSection>
            </ej:TabItem>
            <ej:TabItem Id="grid" Text="Essential Grid">
                <ContentSection>
                    Essential Mvc Grid offers full featured a Grid control with extensive support for
                                        Grouping and the display of hierarchical data. The Grouping Grid control uses Syncfusion's
                                        industry leading Essential Grouping engine to provide a Mvc grid with support for
                                        grouping, nested tables and foreign-key relations.Essential Grid also offers a display
                                        only cell oriented Grid control for use cases where a ? Windows-Forms like? rich,
                                        read only grid UI is desired.
                </ContentSection>
            </ej:TabItem>
        </Items>
    </ej:Tab>

</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PropertySection" runat="server">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                    Disable Item
                </div>
                <div class="col-md-3">
                    <ej:DropDownList ID="selectDirection" SelectedItemIndex="0" TargetID="optDirectionList" Width="120px" ClientSideOnChange="onSelectChange" runat="server"></ej:DropDownList>
                    <div id="optDirectionList">
                        <ul>
                            <li value="top">Header Top</li>
                            <li value="bottom">Header Bottom</li>
                            <li value="left">Header Left</li>
                            <li value="right">Header Right</li>
                        </ul>
                    </div>
                </div>
            </div>

        </div>
    </div>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
    <script type="text/javascript">
        $(function () {
            $("#sampleProperties").ejPropertiesPanel();
        });
        function onSelectChange(args) {
            $("#tabDirection").ejTab("setModel", { headerPosition: args.value })
        }
    </script>
</asp:Content>

