﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="Images.aspx.cs" Inherits="WebSampleBrowser.Tab.Images" %>

<asp:Content ID="Content1" ContentPlaceHolderID="SampleHeading" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">

    <ej:Tab ID="iconTab" runat="server" Width="600px">
        <Items>
            <ej:TabItem Id="India" ImageCssClass="flagsimage sprite-India" Text="India">
                <ContentSection>
                    India officially the Republic of India (Bharat Ganrajya), is a country in South Asia. It is the seventh-largest country by area, the second-most populous country with over 1.2 billion people, and the most populous democracy in the world. Bounded by the Indian Ocean on the south, the Arabian Sea on the south-west, and the Bay of Bengal on the south-east, it shares land borders with Pakistan to the west;China, Nepal, and Bhutan to the north-east; and Burma and Bangladesh to the east. In the Indian Ocean, India is in the vicinity of Sri Lanka and the Maldives; in addition, India's Andaman and Nicobar Islands share a maritime border with Thailand and Indonesia.
                </ContentSection>
            </ej:TabItem>
            <ej:TabItem Id="Australia" ImageCssClass="flagsimage sprite-Australia" Text="Australia">
                <ContentSection>
                    Australia, officially the Commonwealth of Australia, is a country comprising the mainland of the Australian continent, the island of Tasmania and numerous smaller islands. It is the world's sixth-largest country by total area. Neighboring countries include Indonesia, East Timor and Papua New Guinea to the north; the Solomon Islands, Vanuatu and New Caledonia to the north-east; and New Zealand to the south-east.
                </ContentSection>
            </ej:TabItem>
            <ej:TabItem Id="USA" ImageCssClass="flagsimage sprite-USA" Text="USA">
                <ContentSection>
                    The United States of America (USA or U.S.A.), commonly called the United States (US or U.S.) and America, is a federal republic consisting of fifty states and a federal district. The 48 contiguous states and the federal district of Washington, D.C. are in central North America between Canada and Mexico. The state of Alaska is west of Canada and east of Russia across the Bering Strait, and the state of Hawaii is in the mid-North Pacific. The country also has five populated and nine unpopulated territories in the Pacific and the Caribbean. 
                </ContentSection>
            </ej:TabItem>
            <ej:TabItem Id="UK" ImageCssClass="flagsimage sprite-UK" Text="UK">
                <ContentSection>
                    The United Kingdom of Great Britain and Northern Ireland, commonly known as the United Kingdom (UK) and Britain, is a sovereign state located off the north-western coast of continental Europe. The country includes the island of Great Britain, the north-eastern part of the island of Ireland and many smaller islands. Northern Ireland is the only part of the UK that shares a land border with another state—the Republic of Ireland. Apart from this land border, the UK is surrounded by the Atlantic Ocean in the west and north, the North Sea in the east, the English Channel in the south and the Irish Sea in the west.
                </ContentSection>
            </ej:TabItem>
        </Items>
    </ej:Tab>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="StyleSection" runat="server">

    <style type="text/css">
        .flagsimage {
            background-image: url("../Content/images/tab/flags.png");
            display: inline-block;
            overflow: hidden;
            background-repeat: no-repeat;
            font-size: 0;
            line-height: 0;
            text-indent: -3333px;
            text-align: center;
            vertical-align: middle;
            margin-right: -9px;
            margin-left: 9px;
        }

        .sprite-Australia {
            background-position: 0 -2px;
            width: 16px;
            height: 16px;
        }

        .sprite-Germany {
            background-position: 0 -398px;
            width: 16px;
            height: 16px;
        }

        .sprite-India {
            background-position: -3px -462px;
            width: 16px;
            height: 15px;
            margin-top: -2px;
        }

        .sprite-UK {
            background-position: -2px -1058px;
            width: 16px;
            height: 13px;
        }

        .sprite-USA {
            background-position: 0 -1121px;
            width: 16px;
            height: 16px;
        }
    </style>
</asp:Content>
