﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="KeyboardInteraction.aspx.cs" Inherits="WebSampleBrowser.Tab.KeyboardInteraction" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">

    <ej:Tab ID="tabSample" runat="server" Width="600px" Height="300px">
        <Items>
            <ej:TabItem Id="ASPNET" Text="Essential ASP.NET">
                <ContentSection>
                    Essential Studio for ASP.NET contains all the controls you need to build line-of-business web applications—including grids, charts, gauges, menus, calendars, editors, and much more. It also comes with high-performance libraries that enable your applications to read and write Excel, Word, and PDF documents.
                </ContentSection>
            </ej:TabItem>
            <ej:TabItem Id="MVC" Text="Essential MVC">
                <ContentSection>
                    Our very first natively written MVC control suite contains all the controls required to put together enterprise grade web applications including grids, charts, gauges, menus, calendars, editors, and much more. It also comes with high-performance libraries that enable your applications to read and write Excel, Word, and PDF documents. 
                                You will find several one of a kind MVC controls including OlapClient, PDF Viewer, Report Viewer, etc.
                </ContentSection>
            </ej:TabItem>
            <ej:TabItem Id="MobileMVC" Text="Essential Mobile MVC">
                <ContentSection>
                    Essential Studio for Mobile MVC contains all the controls you need to build line-of-business mobile-web applications including grids, charts, gauges, menus, calendars, editors, and much more. Mobile-web is a great way to build websites as well as native device apps with our Orubase offering.
                </ContentSection>
            </ej:TabItem>
        </Items>
    </ej:Tab>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PropertySection" runat="server">
    <div id="sampleProperties">
        <div class="prop-grid keyboard">
            <div class="row">
                <div class="col-md-3">
                    <b>Alt + j</b>
                </div>
                <div class="col-md-3">
                    Focuses the control.
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Up</b>
                </div>
                <div class="col-md-3">
                    Selected next item.
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Right</b>
                </div>
                <div class="col-md-3">
                    Selected next item.
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Down</b>
                </div>
                <div class="col-md-3">
                    Selected previous item.
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Left</b>
                </div>
                <div class="col-md-3">
                    Selected previous item.
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Home</b>
                </div>
                <div class="col-md-3">
                    Selected first item.
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>End</b>
                </div>
                <div class="col-md-3">
                    Selected last item.
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
    <script type="text/javascript">
        $(function () {
            // declaration
            $("#tabSample").ejTab();
            //Control focus key
            $(document).on("keydown", function (e) {
                if (e.altKey && e.keyCode === 74) { // j- key code.
                    $("#tabSample ul a").focus();
                }
            });
            $("#sampleProperties").ejPropertiesPanel();
        });

    </script>
</asp:Content>
