﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="KnockoutSupport.aspx.cs" Inherits="WebSampleBrowser.TagCloud.KnockoutSupport" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ControlsSection" runat="server">
    <div id="tag" data-bind="ejTagCloud: { dataSource: dataList, titleText: title }"></div>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ScriptSection" runat="server">
       <script src='<%= Page.ResolveClientUrl("~/Scripts/knockout-min.js")%>' type="text/javascript"></script>
    <script src='<%= Page.ResolveClientUrl("~/Scripts/ej/ej.widget.ko.min.js")%>' type="text/javascript"></script>
    <script>
        $(function () {
            var tagview = [
                          { text: "Google", url: "http://www.google.com", frequency: 12 },
                          { text: "a2zwebhelp", url: "http://www.a2zwebhelp.com", frequency: 3 },
                          { text: "Arts Technica", url: "http://arstechnica.com/", frequency: 8 },
                          { text: "Bxslider", url: "http://bxslider.com/examples", frequency: 2 },
                          { text: "Yahoo", url: "http://in.yahoo.com/", frequency: 12 },
                          { text: "Facebook", url: "https://www.facebook.com/", frequency: 5 },
                          { text: "Crave", url: "http://news.cnet.com/crave/", frequency: 8 },
                          { text: "Wikipedia", url: "http://www.wikipedia.org/", frequency: 20 },
                          { text: "Amazon.com", url: "http://www.amazon.com/", frequency: 1 },
                          { text: "Electronista", url: "http://www.electronista.com/", frequency: 3 },
                          { text: "Engadget", url: "http://www.engadget.com/", frequency: 5 },
                          { text: "LinkedIn", url: "http://www.linkedIn.com/", frequency: 9 },
                          { text: "Information Week", url: "http://www.informationweek.com/", frequency: 0 },
                          { text: "Menucool", url: "http://www.menucool.com", frequency: 11 },
                          { text: "Tech Republic", url: "http://techrepublic.com/", frequency: 3 },
                          { text: "Valleywag", url: "http://valleywag.gawker.com/", frequency: 6 },
                          { text: "WOWslider", url: "http://wowslider.com", frequency: 9 },
                          { text: "W3schools", url: "http://www.w3schools.com/", frequency: 2 }
            ];
            window.viewModel = {
                dataList: ko.observableArray(tagview),
                title: ko.observable("Popular Sites"),
            };
            ko.applyBindings(viewModel);
        });
    </script>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        #tag {
            margin: 40px auto 0;
        }
    </style>
</asp:Content>
