﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="DefaultFunctionalities.aspx.cs" Inherits="WebSampleBrowser.Textboxes.DefaultFunctionalities" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ControlsSection" runat="server">
    <div class="frame">
        <div class="control">
            <table class="editors">
                <tbody>
                    <tr>
                        <td>
                            <label>
                                Kilometers</label>
                        </td>
                        <td>
                            <ej:NumericTextBox ID="numeric" Value="35" Name="numeric" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label>
                                Service Tax</label>
                        </td>
                        <td>
                            <ej:PercentageTextBox ID="percent" Value="3" Name="percentage" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label>
                                Fare</label>
                        </td>
                        <td>
                            <ej:CurrencyTextBox ID="currency" Value="555" Name="currency" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label>
                                Mobile No</label>
                        </td>
                        <td>
                            <ej:MaskEdit InputMode="Text" ID="maskedit" MaskFormat="99-999-99999" runat="server"></ej:MaskEdit>
                        </td>
                    </tr>
                </tbody>
            </table>
            <div class="paybill">
                <ej:Button Type="Button" CssClass="e-btn" ID="pbill" Width="80" Height="25" runat="server" Text="Pay Bill"></ej:Button>
            </div>
        </div>
    </div>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css" class="cssStyles">
        .frame {
            width: 300px;
        }

        .editors {
            max-width: 400px;
        }

        .control .paybill {
            margin-left: 208px;
            margin-top: 15px;
        }

        .editors label {
            display: block;
            width: 130px;
        }

        .control {
            margin-top: 10px;
        }

        .ctrllabel {
            padding-bottom: 3px;
        }
    </style>
</asp:Content>
