﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="KeyboardInteractions.aspx.cs" Inherits="WebSampleBrowser.Textboxes.KeyboardInteractions" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ControlsSection" runat="server">
    <div class="frame">
        <div class="control">
            <table class="editors">
                <tbody>
                    <tr>
                        <td>
                            <label>
                                Numeric Textbox</label>
                        </td>
                        <td>
                            <ej:NumericTextBox ID="numeric" Name="numeric" Value="5" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label>
                                Percentage Textbox</label>
                        </td>
                        <td>
                            <ej:PercentageTextBox ID="percent" Name="percentage" Value="55" runat="server" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label>
                                Currency Textbox</label>
                        </td>
                        <td>
                            <ej:CurrencyTextBox ID="currency" Name="currency" Value="555" runat="server" />
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ScriptSection" runat="server">
    <script type="text/javascript">
        $(function () {
            //Control focus key
            $(document).on("keydown", function (e) {
                if (e.altKey && e.keyCode === 74) {
                    // j- key code.
                    $("#numeric").focus();
                }
            });
            $("#sampleProperties").ejPropertiesPanel();
        });

    </script>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        .editors label {
            display: block;
            width: 130px;
        }

        .frame {
            height: 280px;
            width: 100%;
            margin-top: 6%;
            margin-left: 0;
            padding: 0;
        }

        .control {
            margin: 70px 110px 0;
            color: gray;
            font-family: 'Segoe UI';
            font-size: medium;
        }
    </style>
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="PropertySection" runat="server">
    <div id="sampleProperties">
        <div class="prop-grid keyboard">
            <div class="row">
                <div class="col-md-3">
                    <b>Alt + j </b>
                </div>
                <div class="col-md-3">
                    Focuses the control.
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Up</b>
                </div>
                <div class="col-md-3">
                    Increments the value
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Down</b>
                </div>
                <div class="col-md-3">
                    Decrements the value
                </div>
            </div>
        </div>
    </div>
</asp:Content>
