﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true"
    CodeBehind="KnockoutSupport.aspx.cs" Inherits="WebSampleBrowser.TimePicker.knockout" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">
    <div class="frame">
        <div class="control" style="width: 136px;">
            <label style="width: 130px;">
                Select Show Time
            </label>
            <input id="time" type="text" data-bind="ejTimePicker: { value: tvalue }" />
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PropertySection" runat="server">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                    Time Value
                </div>
                <div class="col-md-3">
                    <input type="text" id="timeValue" class="input ejinputtext" value="" data-bind="value: tvalue" />
                </div>
                <div class="col-md-3">
                    Selected time
                </div>
                <div class="col-md-3">
                    <input type="button" class="e-btn inputBtn" id="gettime" value="Get Time" />
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
  <script src='<%= Page.ResolveClientUrl("~/Scripts/knockout-min.js")%>' type="text/javascript"></script>
    <script src='<%= Page.ResolveClientUrl("~/Scripts/ej/ej.widget.ko.min.js")%>' type="text/javascript"></script>
    <script type="text/javascript">
        window.viewModel = {
            //timepicker
            tvalue: ko.observable("11:30 AM")
        }
        $(function () {
            // declaration
            ko.applyBindings(viewModel);
            var timeObj = $('#time').data("ejTimePicker");
            $("#gettime").click(function () {
                alert("Selected time is : " + timeObj.getValue());
            });
            $("#sampleProperties").ejPropertiesPanel();
        });
    </script>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css" class="cssStyles">
        #timeValue {
            text-indent: 10px;
        }

        .input {
            height: 22px;
            text-indent: 10px;
            width: 100px;
        }

        .inputBtn {
            width: 87px;
            text-align: center;
        }

        .control {
            margin: 0 auto;
            width: 210px;
        }
    </style>
</asp:Content>
