﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="AngularSupport.aspx.cs" MasterPageFile="~/Samplebrowser.Master" Inherits="WebSampleBrowser.TreeGrid.AngularSupport" %>

<asp:Content ID="Content1" ContentPlaceHolderID="SampleHeading" runat="server">
    <span class="sampleName">Tree Grid /  Angular Support</span>
</asp:Content>
<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <div>
        <div ng-app="listCtrl">
            <div ng-controller="TreeGridCtrl">
                <div class="row">
                 <div ej-treegrid e-datasource="data" e-selectedrowindex="selectedRow" e-treecolumnindex="1" e-columns="columns" e-childmapping="subtasks" e-enablevirtualization="true" e-enableresize="true" style="width:100%;height:450px;">
                </div>
                        
                    
                <div class="property">
                    <div class="row">
                        <div class="col-md-2"></div>
                        <div class="col-md-2">
                            Selected Row
                        </div>
                        <div class="col-md-2">
                           <input type="text" disabled="disabled" name="name" class="e-ejinputtext" value="" ej-numerictextbox e-value="selectedRow" e-maxvalue="34" e-minvalue="0" e-width="80px" />
                        </div>
                    </div>
                </div>
                      </div>  
                </div>
            </div>
        </div>
    
    
</asp:Content>

<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
    <script src="../Scripts/angular.min.js"></script>
    <script src="../Scripts/ej/ej.widget.angular.min.js"></script>
    <script src="../Scripts/TreeGrid/TreeGridData.js"></script>
    <script type="text/javascript">
        var columns = [
                 { field: "taskID", headerText: "Task Id", width: "60" },
                 { field: "taskName", headerText: "Task Name" },
                 { field: "startDate", headerText: "Start Date" },
                 { field: "endDate", headerText: "End Date" },
                 { field: "progress", headerText: "Progress" }
        ];
        $("#sampleProperties").ejPropertiesPanel();
        angular.module('listCtrl', ['ejangular'])
        .controller('TreeGridCtrl', function ($scope) {
            $scope.selectedRow = 1;
            $scope.data = projectData;
            $scope.columns = columns;
        });
    </script>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        b {
            white-space: nowrap;
        }

        .property {
            border: 1px solid #AAAAAA;
            margin-top: 30px;
            padding: 30px;
        }

            .property .col-md-2 {
                margin-bottom: 3px;
                margin-top: 3px;
            }
    </style>
</asp:Content>
