﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="KOSupport.aspx.cs"  MasterPageFile="~/Samplebrowser.Master" Inherits="WebSampleBrowser.TreeGrid.KOSupport" %>

<asp:Content ID="Content1" ContentPlaceHolderID="SampleHeading" runat="server">
    <span class="sampleName">Tree Grid / Knockout Support</span>
</asp:Content>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
        <div id="TreeGrid" data-bind="ejTreeGrid: { selectedRowIndex: selectedRowIndex, dataSource: dataSource, childMapping: 'subtasks', columns: columns, treeColumnIndex: 1, enableVirtualization:true }">
    </div>
</asp:Content>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="PropertySection">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                    Selected Row
                </div>
                <div class="col-md-3">
                    <input type="text" disabled="disabled" value="" data-bind="ejNumericTextbox: { value: selectedRowIndex, minValue: 0, maxValue: 38, width: '100px' }" />
                </div>
            </div>
        </div>
    </div>
</asp:Content>

<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
    <script src="../Scripts/knockout-min.js"></script>
    <script src="../Scripts/ej/ej.widget.ko.min.js"></script>
    <script src="../Scripts/TreeGrid/TreeGridData.js"></script>
    <script type="text/javascript">
        $(function () {
            var columns = [
                   { field: "taskID", headerText: "Task Id", width: "55" },
                   { field: "taskName", headerText: "Task Name" },
                   { field: "startDate", headerText: "Start Date" },
                   { field: "endDate", headerText: "End Date" },
                   { field: "progress", headerText: "Progress" }
            ];
            $("#sampleProperties").ejPropertiesPanel();
            window.dataView = {
                selectedRowIndex: ko.observable(3),
                dataSource: ko.observableArray(projectData),
                columns:ko.observableArray(columns),
            };
            ko.applyBindings(dataView);
        });
    </script>
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        b {
            white-space: nowrap;
        }
    </style>
</asp:Content>
