﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="TreeGridRowTemplate.aspx.cs" Inherits="WebSampleBrowser.TreeGrid.TreeGridRowTemplate" %>


<asp:Content ID="Content1" ContentPlaceHolderID="SampleHeading" runat="server">
    <span class="sampleName">TreeGrid / Row Template</span>
</asp:Content>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">           
       <div>                  
        <ej:TreeGrid runat="server" ID="TreeGridControlRowTemplate" ChildMapping="Children" RowTemplateId="rowTemplateScript" AltRowTemplateId="altRowTemplateScript">
            <columns>
                <ej:TreeGridColumn HeaderText="Employee ID" Field="EmployeeID" Width="180" />
                <ej:TreeGridColumn HeaderText="Employee Name" Field="Name" />
                <ej:TreeGridColumn HeaderText="Employee picture" Field="Address" />
                <ej:TreeGridColumn HeaderText="DOB" Field="DOB" />

            </columns>            
            <SizeSettings Width="950px" Height="370px" />  
          <EditSettings AllowEditing="true" EditMode="cellEditing"/>   
        </ej:TreeGrid>
       </div>
</asp:Content>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="ScriptSection">
  
                 
         <script id="rowTemplateScript" type="text/x-jsrender">
            
              <tr>
                  <td class="border" style='height:30px;' >
                     <div>{{:#data['EmployeeID']}}</div>
                 </td>
                 <td class="border" style='height:30px;' >
                     <div style="font-size:14px;">{{:#data['Name']}}
                         <p style="font-size:8px;">{{:#data['Designation']}}</p>
                     </div>
                 </td>
                 <td class="border">
                  <div>
                 <div style="position:relative;top:-25px;display:inline-block;">
                  <img src="Images/{{:#data['FullName']}}.png" /></div>
                 <div style="display:inline-block;">
                    <div style="padding:5px;">{{:#data['Address']}}</div>
                    <div style="padding:5px;">{{:#data['Country']}}</div>
                    <div style="padding:5px;font-size:12px;">{{:#data['Contact']}}</div>
                 </div>
                 </div>                     
                 </td>
                  <td class="border" style='height:30px;' >
                     <div>{{:#data['DOB']}}</div>
                 </td>
               
             </tr>
            </script>

        <script id="altRowTemplateScript" type="text/x-jsrender">
            
            <tr>
                <td class="border" style='height:30px;' >
                     <div>{{:#data['EmployeeID']}}</div>
                 </td>
                <td class="border" style='height:30px;' >
                     <div style="font-size:14px;">{{:#data['Name']}}
                         <p style="font-size:9px;">{{:#data['Designation']}}</p>
                    </div>
                </td>
                <td class="border">
                  <div>
                 <div style="position:relative;top:-25px;display:inline-block;">
                  <img src="Images/{{:#data['FullName']}}.png" /></div>
                 <div style="display:inline-block;">
                    <div style="padding:5px;">{{:#data['Address']}}</div>
                    <div style="padding:5px;">{{:#data['Country']}}</div>
                    <div style="padding:5px;font-size:12px;">{{:#data['Contact']}}</div>
                 </div>
                 </div> 
                </td>
                <td class="border" style='height:30px;' >
                     <div>{{:#data['DOB']}}</div>
                 </td>                
            </tr>

            </script>
    
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="StyleSection" runat="server">

   <style type="text/css">

          
            .border {
                border-color:#BDBDBD;
                border-width:1px;
                border-style:solid;
            }
        </style>
    </asp:Content>