﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="Customization.aspx.cs" Inherits="WebSampleBrowser.TreeMap.Customization" %>
<%@ Register TagPrefix="a" Namespace="Syncfusion.JavaScript.DataVisualization.Models" Assembly="Syncfusion.EJ" %>

<asp:Content runat="server" ID="FeaturedContent" ContentPlaceHolderID="ScriptSection">
    
    <script>
         $(window).load(function () {
            
             $("#customization").ejTreeMap("refresh");
         });
    </script>

</asp:Content>

<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="ControlsSection">

     <div>
        <label style="color:gray;font-size:x-large;font-family:'Segoe UI';font-weight:normal;" id="Label2">US Olympic Medals FY2012</label>
    </div>

    <div style="min-height:380px">
    <ej:Treemap ID="customization" runat="server" WeightValuePath = "TotalMedals" ColorValuePath = "GoldMedals">
        <TreeMapUniColorMapping Color = "#D73028"></TreeMapUniColorMapping>
        <LeafItemSettings ShowLabels = "true" LabelPath = "GameName" ItemTemplate="imageTemplate"></LeafItemSettings>
    </ej:Treemap>
    </div>

</asp:Content>

<asp:Content runat="server" ID="stylecontent" ContentPlaceHolderID="StyleSection">

    <script id="svgTemplate" style="display: none;" type="application/jsrender">
            <svg  height="{{:Data.size}}" width="{{:Data.size}}" style="margin-left:{{:ItemWidth}}px;margin-top:{{:ItemHeight}}px">
                <path  transform="scale({{:Data.scale}})"  fill="white" d="{{:Data.GameImgSource}}"></path>
            </svg>      
    </script>

    <script id="imageTemplate" style="display: none;" type="application/jsrender">
            <img src="{{:Data.GameImage}}" style="margin-left:{{:ItemWidth}}px;margin-top:{{:ItemHeight}}px"/>
    </script>

    <script  id="tooltiptemp" type="application/jsrender">
       
	        <table style="background-color:#222222;width: 166px;height: 107px;">
            <tr>
                <td colspan="3">
                    <label style="font-size:18px;color:white;margin-left:10px;opacity:0.8;font-weight:normal;">{{:GameName}}</label>
                </td>
            </tr>
            <tr>
                <td> <label style="font-size:14px;color:white;margin-left:10px;opacity:0.8;font-weight:normal;">Gold</label></td>
				<td> <label style="font-size:14px;color:white;margin-left:10px;opacity:0.8;font-weight:normal;">:</label></td>
                <td colspan="3"> <label style="font-size:14px;color:white;margin-left:10px;opacity:0.8;font-weight:normal;">{{:GoldMedals}}</label></td>
                <td style="width:20px;"></td>
            </tr>
            <tr>
               <td> <label style="font-size:14px;color:white;margin-left:10px;opacity:0.8;font-weight:normal;">Silver</label></td>
			   <td> <label style="font-size:14px;color:white;margin-left:10px;opacity:0.8;font-weight:normal;">:</label></td>
                <td colspan="3"> <label style="font-size:14px;color:white;margin-left:10px;opacity:0.8;font-weight:normal;">{{:SilverMedals}}</label></td>
            </tr>
            <tr>
                 <td> <label style="font-size:14px;color:white;margin-left:10px;opacity:0.8;font-weight:normal;">Bronze</label></td>
				 <td> <label style="font-size:14px;color:white;margin-left:10px;opacity:0.8;font-weight:normal;">:</label></td>
                <td colspan="3"> <label style="font-size:14px;color:white;margin-left:10px;opacity:0.8;font-weight:normal;">{{:BronzeMedals}}</label></td>
            </tr>
            <tr></tr>
            <tr></tr>
        </table>      
     </script> 

</asp:Content>