﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="FlatCollection.aspx.cs" Inherits="WebSampleBrowser.TreeMap.flatcollection" %>
<%@ Register TagPrefix="a" Namespace="Syncfusion.JavaScript.DataVisualization.Models" Assembly="Syncfusion.EJ" %>

<asp:Content runat="server" ID="FeaturedContent" ContentPlaceHolderID="ScriptSection">

        <script type="text/javascript" class="jsScript">

                $(window).load(function () {
                    
                    $("#flatCollection").ejTreeMap("refresh");
                });

                function onChange(args) {
            var treemapObj = $("#flatCollection").data("ejTreeMap");
            var index = $("#selectChange")[0].selectedIndex;
            if (treemapObj != null) {
                if (index == 0) {
                    treemapObj.option("itemsLayoutMode", ej.datavisualization.TreeMap.ItemsLayoutMode.Squarified);
                }
                else if (index == 1) {
                    treemapObj.option("itemsLayoutMode", ej.datavisualization.TreeMap.ItemsLayoutMode.SliceAndDiceHorizontal);
                }
                else if (index == 2) {
                    treemapObj.option("itemsLayoutMode", ej.datavisualization.TreeMap.ItemsLayoutMode.SliceAndDiceVertical);
                }
                else if (index == 3) {
                    treemapObj.option("itemsLayoutMode", ej.datavisualization.TreeMap.ItemsLayoutMode.SliceAndDiceAuto);
                }
            }
        }
    </script> 


</asp:Content>

<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="ControlsSection">
    <div style="min-height:405px">
    <ej:Treemap ID="flatCollection" runat="server" ColorValuePath = "Growth" WeightValuePath = "Population" ShowLegend = "true" >
       <TreeMapLegend IconHeight = "17" IconWidth = "17"></TreeMapLegend>
        <LeafItemSettings ShowLabels = "true" LabelPath = "Country"></LeafItemSettings>

         <TreeMapRangeColorMappings>
             <ej:TreeMapRangeColorMapping Color = "#77D8D8" Legendlabel = "1% Growth" From = "0" To = "1"></ej:TreeMapRangeColorMapping>
             <ej:TreeMapRangeColorMapping Color = "#AED960" Legendlabel = "2% Growth" From = "0" To = "2"></ej:TreeMapRangeColorMapping>
             <ej:TreeMapRangeColorMapping Color = "#FFAF51" Legendlabel = "3% Growth" From = "0" To = "3"></ej:TreeMapRangeColorMapping>
             <ej:TreeMapRangeColorMapping Color = "#F3D240" Legendlabel = "4% Growth" From = "0" To = "4"></ej:TreeMapRangeColorMapping>
        </TreeMapRangeColorMappings>

        <Levels>
            <ej:TreeMapLevel GroupPath = "Continent" GroupGap = "5" HeaderHeight = "25"></ej:TreeMapLevel>
        </Levels>
       
    </ej:Treemap>
    </div>
</asp:Content>

<asp:Content runat="server" ID="Content1" ContentPlaceHolderID="StyleSection">

    <script  id="headertemplate" type="application/jsrender">   
	  <div>
            <label style="color:gray;font-size:16px;font-weight:normal;" id="Label1">{{:header}}</label><br />            
      </div>                        
    </script> 

   <script  id="labeltemplate" type="application/jsrender">       
	    <div style="background-color: transparent;">
            <label style="color:white;font-size:large;font-weight:normal;" id="Label2">{{:label}}</label><br />            
        </div>                        
    </script>   

</asp:Content>

<asp:Content runat="server" ID="propertycontent" ContentPlaceHolderID="PropertySection">

     
      <div id="sampleProperties">			
                <div class="prop-grid">
                    <div class="row">
                       <div class="col-md-3" style="left:55px;top:10px;position:relative;font-weight:bold">Layout Type</div>                                           
                            <select name="selectIndex" id="selectChange" style="left:58px;top:20px;position:relative" onchange="onChange()">
                                <option value="0">Squarified</option>
                                <option value="1">SliceAndDiceH</option>
                                <option value="2">SliceAndDiceV</option>
                                <option value="3">SliceAndDiceAuto</option>
                            </select>                  
                    </div>
                </div>
      </div>

</asp:Content>