﻿<%@ Page Language="C#" AutoEventWireup="true"  MasterPageFile="~/Samplebrowser.Master"  CodeBehind="ClientSideEvents.aspx.cs" Inherits="WebSampleBrowser.TreeView.ClientSideEvents" %>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <div style="width: 250px">
        <ej:TreeView ID="treeView" runat="server" Height="300px" Width="400px" ClientSideOnBeforeEdit="onEdit" ClientSideOnNodeDropped="onDropped" ClientSideOnNodeDragStoped="onDragStop" ClientSideOnNodeDraged="onDrag" ClientSideOnNodeDragStarted="onDragStart" ClientSideOnNodeUnchecked="onUnChecked" ClientSideOnNodeChecked="onChecked" ClientSideOnNodeSelected="onSelect" ClientSideOnBeforeCollapsed="onBeforeCollapse" ClientSideOnBeforeExpanded="onBeforeExpand" ClientSideOnNodeCollapsed="onCollapse" ClientSideOnNodeExpanded="onExpand" ClientSideOnCreated="onCreate" ShowCheckbox="true" AllowDragAndDrop="true" AllowDropChild="true" AllowDropSibling="true" AllowEditing="true">
            <Nodes>
                <ej:TreeViewNode Text="ASP.NET MVC" Expanded="true">
                    <Nodes>
                        <ej:TreeViewNode Text="Essential Grid"></ej:TreeViewNode>
                        <ej:TreeViewNode Text="Essential Schedule"></ej:TreeViewNode>
                        <ej:TreeViewNode Text="Essential Tools"></ej:TreeViewNode>
                        <ej:TreeViewNode Text="Essential Chart"></ej:TreeViewNode>
                        <ej:TreeViewNode Text="Essential Diagram"></ej:TreeViewNode>
                    </Nodes>
                </ej:TreeViewNode>
                <ej:TreeViewNode Text="Silverlight">
                    <Nodes>
                        <ej:TreeViewNode Text="Essential Tools"></ej:TreeViewNode>
                        <ej:TreeViewNode Text="Essential Gauge"></ej:TreeViewNode>
                        <ej:TreeViewNode Text="Essential Chart"></ej:TreeViewNode>
                        <ej:TreeViewNode Text="Essential Grid"></ej:TreeViewNode>
                    </Nodes>
                </ej:TreeViewNode>
                <ej:TreeViewNode Text="WPF">
                    <Nodes>
                        <ej:TreeViewNode Text="Essential Grid"></ej:TreeViewNode>
                        <ej:TreeViewNode Text="Essential Schedule"></ej:TreeViewNode>
                        <ej:TreeViewNode Text="Essential Tools"></ej:TreeViewNode>
                        <ej:TreeViewNode Text="Essential Chart"></ej:TreeViewNode>
                        <ej:TreeViewNode Text="Essential Diagram"></ej:TreeViewNode>
                    </Nodes>
                </ej:TreeViewNode>
            </Nodes>
        </ej:TreeView>
    </div>
</asp:Content>


<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="EventSection">
    <div class="cols-prop-area event-tracer">
        <div>
            <div class="heading">
                <span>Event Trace</span>
                     <div class="pull-right">
                            <ej:DropDownList ID="selectControls" ClientSideOnPopupShown="adjustpopupposition" ClientSideOnCheckChange="evtpropscheckedevent" ShowCheckbox="true" CheckAll="true" runat="server">
                                <Items>
                                    <ej:DropDownListItem Value="create" Text="create"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="nodeExpand" Text="expand"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="nodeCollapse" Text="collapse"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="beforeExpand" Text="beforeExpand"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="beforeCollapse" Text="beforeCollapse"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="nodeSelect" Text="select"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="nodeCheck" Text="check"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="nodeUncheck" Text="uncheck"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="nodeDragStart" Text="dragStarts"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="nodeDrag" Text="drag"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="nodeDragStop" Text="dragStop"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="nodeDropped" Text="dropped"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="beforeEdit" Text="beforeEdit"></ej:DropDownListItem>
                               </Items>
                            </ej:DropDownList>
                        </div>
            </div>
            <div class="prop-grid content">
                <div class="eventarea">
                    <div class="EventLog" id="EventLog">
                    </div>
                </div>
                <div class="evtbtn">
                    <ej:Button ID="Clear" Type="Button" Text="Clear" ClientSideOnClick="onClear" CssClass="eventclear e-btn" runat="server"></ej:Button>
                </div>
            </div>
        </div>
    </div>
</asp:Content>



<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="ScriptSection">
<script type="text/javascript">
    var treeviewObj, tabIndex = 1;
 
    // Event wire and unwire
    function evtpropscheckedevent(args) {
        treeviewObj = $("#treeView").data("ejTreeView");
        if (args.isChecked) {
               switch (args.data.itemValue) {
                case "create": treeviewObj.option(args.data.itemValue, "onCreate"); break;
                case "nodeExpand": treeviewObj.option(args.data.itemValue, "onExpand"); break;
                case "nodeCollapse": treeviewObj.option(args.data.itemValue, "onCollapse"); break;
                case "beforeExpand": treeviewObj.option(args.data.itemValue, "onBeforeExpand"); break;
                case "beforeCollapse": treeviewObj.option(args.data.itemValue, "onBeforeCollapse"); break;
                case "nodeSelect": treeviewObj.option(args.data.itemValue, "onSelect"); break;
                case "nodeCheck": treeviewObj.option(args.data.itemValue, "onChecked"); break;
                case "nodeUncheck": treeviewObj.option(args.data.itemValue, "onUnChecked"); break;
                case "nodeDragStart": treeviewObj.option(args.data.itemValue, "onDragStart"); break;
                case "nodeDrag": treeviewObj.option(args.data.itemValue, "onDrag"); break;
                case "nodeDragStop": treeviewObj.option(args.data.itemValue, "onDragStop"); break;
                case "nodeDropped": treeviewObj.option(args.data.itemValue, "onDropped"); break;
                case "beforeEdit": treeviewObj.option(args.data.itemValue, "onEdit"); break;
            }
        }
        else treeviewObj.option(args.data.itemValue, null);
    }

    function onCreate(args) {
        jQuery.addEventLog("Treeview has been <span class='eventTitle'>created </span>.");
    }
    function onExpand(args) {
        jQuery.addEventLog($.trim(args.value) + " node is <span class='eventTitle'>Expanded </span>.");
    }
    function onCollapse(args) {
        jQuery.addEventLog($.trim(args.value) + " node is <span class='eventTitle'>Collapsed </span>.");
    }
    function onBeforeExpand(args) {
        jQuery.addEventLog("<span class='eventTitle'>BeforeExpand</span> event is fired for " + $.trim(args.text) + " node.");
    }
    function onBeforeCollapse(args) {
        jQuery.addEventLog("<span class='eventTitle'>BeforeCollapse</span> event is fired for " + $.trim(args.text) + " node.")
    }
    function onSelect(args) {
        jQuery.addEventLog($.trim(args.value) + " node is <span class='eventTitle'>selected </span>.");
    }
    function onChecked(args) {
        jQuery.addEventLog($.trim(args.value) + " node is <span class='eventTitle'>checked </span>.");
    }
    function onUnChecked(args) {
        jQuery.addEventLog($.trim(args.value) + " node is <span class='eventTitle'>unchecked </span>.");
    }
    function onDragStart(args) {
        jQuery.addEventLog("Node <span class='eventTitle'>dragging has been started</span>.");
    }
    function onDrag(args) {
        jQuery.addEventLog("Node is being <span class='eventTitle'>dragged </span>.");
    }
    function onDragStop(args) {
        jQuery.addEventLog("Node dragging has been <span class='eventTitle'>stopped </span>.");
    }
    function onDropped(args) {
        jQuery.addEventLog("Node has been <span class='eventTitle'>dropped </span>.");
    }
    function onEdit(args) {
        jQuery.addEventLog("<span class='eventTitle'>BeforeEdit</span> event has been fired for the treeview node.");
    }
    function onClear() {
        jQuery.clearEventLog();
    }</script>
</asp:Content>


