﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="Events.aspx.cs" Inherits="WebSampleBrowser.TreeView.clientevents" %>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <div style="width: 250px">
        <ej:TreeView ID="treeView" runat="server" Height="300px" Width="400px" ShowCheckbox="true" OnNodeSelected="treeView_NodeSelected" OnNodeChecked="treeView_NodeChecked" AllowDragAndDrop="true" AllowDropChild="true" AllowDropSibling="true" AllowEditing="true">
            <Nodes>
                <ej:TreeViewNode Text="ASP.NET MVC" Expanded="true">
                    <Nodes>
                        <ej:TreeViewNode Text="Essential Grid"></ej:TreeViewNode>
                        <ej:TreeViewNode Text="Essential Schedule"></ej:TreeViewNode>
                        <ej:TreeViewNode Text="Essential Tools"></ej:TreeViewNode>
                        <ej:TreeViewNode Text="Essential Chart"></ej:TreeViewNode>
                        <ej:TreeViewNode Text="Essential Diagram"></ej:TreeViewNode>
                    </Nodes>
                </ej:TreeViewNode>
                <ej:TreeViewNode Text="Silverlight">
                    <Nodes>
                        <ej:TreeViewNode Text="Essential Tools"></ej:TreeViewNode>
                        <ej:TreeViewNode Text="Essential Gauge"></ej:TreeViewNode>
                        <ej:TreeViewNode Text="Essential Chart"></ej:TreeViewNode>
                        <ej:TreeViewNode Text="Essential Grid"></ej:TreeViewNode>
                    </Nodes>
                </ej:TreeViewNode>
                <ej:TreeViewNode Text="WPF">
                    <Nodes>
                        <ej:TreeViewNode Text="Essential Grid"></ej:TreeViewNode>
                        <ej:TreeViewNode Text="Essential Schedule"></ej:TreeViewNode>
                        <ej:TreeViewNode Text="Essential Tools"></ej:TreeViewNode>
                        <ej:TreeViewNode Text="Essential Chart"></ej:TreeViewNode>
                        <ej:TreeViewNode Text="Essential Diagram"></ej:TreeViewNode>
                    </Nodes>
                </ej:TreeViewNode>
            </Nodes>
        </ej:TreeView>
    </div>
</asp:Content>


<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="EventSection">
    <asp:UpdatePanel ID="UpdatePanelProp" UpdateMode="Conditional" runat="server">
        <Triggers>
            <asp:AsyncPostBackTrigger ControlID="Clear" EventName="click" />
        </Triggers>
        <ContentTemplate>
            <div class="cols-prop-area event-tracer">
                <div>
                    <div class="heading">
                        <span>Event Trace</span>
                    </div>
                    <div class="prop-grid content">
                        <div class="eventarea">
                            <div class="EventLog" id="EventLog" runat="server">
                            </div>
                        </div>
                        <div class="evtbtn">
                            <ej:Button ID="Clear" Type="Reset" Text="Clear" OnClick="Clear_Click" CssClass="eventclear e-btn" runat="server"></ej:Button>
                        </div>
                    </div>
                </div>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>



<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="ScriptSection">
    <script src='<%= Page.ResolveClientUrl("~/Scripts/TreeView/Events.js")%>' type="text/javascript"></script>
</asp:Content>


