﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="KeyboardInteractions.aspx.cs" Inherits="WebSampleBrowser.TreeView.keyboardinteract" %>

<asp:Content ID="Content3" ContentPlaceHolderID="ControlsSection" runat="server">
    <ej:TreeView ID="treeview" runat="server" Height="300px" Width="400px" AllowKeyboardNavigation="true" ShowCheckbox="true" AllowEditing="true">
        <Nodes>
            <ej:TreeViewNode Expanded="True" Text="Artwork">
                <Nodes>
                    <ej:TreeViewNode Text="Abstract">
                        <Nodes>
                            <ej:TreeViewNode Text="2 Acrylic Mediums"></ej:TreeViewNode>
                            <ej:TreeViewNode Text="Creative Acrylic"></ej:TreeViewNode>
                            <ej:TreeViewNode Text="Modern Painting"></ej:TreeViewNode>
                            <ej:TreeViewNode Text="Canvas Art"></ej:TreeViewNode>
                            <ej:TreeViewNode Text="Black white"></ej:TreeViewNode>
                        </Nodes>
                    </ej:TreeViewNode>
                    <ej:TreeViewNode Text="Children">
                        <Nodes>
                            <ej:TreeViewNode Text="Preschool Crafts"></ej:TreeViewNode>
                            <ej:TreeViewNode Text="School-age Crafts"></ej:TreeViewNode>
                            <ej:TreeViewNode Text="Fabulous Toddler"></ej:TreeViewNode>
                        </Nodes>
                    </ej:TreeViewNode>
                    <ej:TreeViewNode Text="Comic / Cartoon">
                        <Nodes>
                            <ej:TreeViewNode Text="Batman"></ej:TreeViewNode>
                            <ej:TreeViewNode Text="Adventures of Superman"></ej:TreeViewNode>
                            <ej:TreeViewNode Text="Super boy"></ej:TreeViewNode>
                        </Nodes>
                    </ej:TreeViewNode>
                </Nodes>
            </ej:TreeViewNode>

            <ej:TreeViewNode Expanded="True" Text="Books">
                <Nodes>
                    <ej:TreeViewNode Text="Comics">
                        <Nodes>
                            <ej:TreeViewNode Text="The Flash"></ej:TreeViewNode>
                            <ej:TreeViewNode Text="Human Target"></ej:TreeViewNode>
                            <ej:TreeViewNode Text="Birds of Prey"></ej:TreeViewNode>
                            <ej:TreeViewNode Text="Canvas Art"></ej:TreeViewNode>
                            <ej:TreeViewNode Text="Black white"></ej:TreeViewNode>
                        </Nodes>
                    </ej:TreeViewNode>
                    <ej:TreeViewNode Text="Entertaining"></ej:TreeViewNode>
                    <ej:TreeViewNode Text="Design"></ej:TreeViewNode>
                </Nodes>
            </ej:TreeViewNode>


            <ej:TreeViewNode Text="Music">
                <Nodes>
                    <ej:TreeViewNode Text="Classical">
                        <Nodes>
                            <ej:TreeViewNode Text="Avant-Garde"></ej:TreeViewNode>
                            <ej:TreeViewNode Text="Medieval"></ej:TreeViewNode>
                            <ej:TreeViewNode Text="Orchestral"></ej:TreeViewNode>
                        </Nodes>
                    </ej:TreeViewNode>
                    <ej:TreeViewNode Text="Mass"></ej:TreeViewNode>
                    <ej:TreeViewNode Text="Folk"></ej:TreeViewNode>
                </Nodes>
            </ej:TreeViewNode>
        </Nodes>
    </ej:TreeView>

</asp:Content>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="PropertySection">
    <div id="sampleProperties">
        <div class="prop-grid keyboard">
            <div class="row">
                <div class="col-md-3">
                    <b>Alt + j</b>
                </div>
                <div class="col-md-3">
                    Focuses the control
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>F2</b>
                </div>
                <div class="col-md-3">
                    Edit the node
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Ctrl + X</b>
                </div>
                <div class="col-md-3">
                    Cut the node 
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Ctrl + C</b>
                </div>
                <div class="col-md-3">
                    Copy the node
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Ctrl + V</b>
                </div>
                <div class="col-md-3">
                    Paste the node
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Delete</b>
                </div>
                <div class="col-md-3">
                    Delete the node
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Down</b>
                </div>
                <div class="col-md-3">
                    Selected next node
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Up</b>
                </div>
                <div class="col-md-3">
                    Selected previous node
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Right</b>
                </div>
                <div class="col-md-3">
                    Expand node
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Left</b>
                </div>
                <div class="col-md-3">
                    Collapse node
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Enter</b>
                </div>
                <div class="col-md-3">
                    Toggle expand and collapse
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Space</b>
                </div>
                <div class="col-md-3">
                    Checks / Unchecks node
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Home</b>
                </div>
                <div class="col-md-3">
                    Selects first node
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>End</b>
                </div>
                <div class="col-md-3">
                    Selects last node
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="ScriptSection" runat="server">
    <script type="text/javascript" class="jsScript">
        $(function () {
            //Control focus key
            $(document).on("keydown", function (e) {
                if (e.altKey && e.keyCode === 74) {
                    // j- key code.
                    $(".e-treeview-wrap").focus();
                }
            });
            $("#sampleProperties").ejPropertiesPanel();
        });

    </script>
</asp:Content>
