﻿<%@ Page MasterPageFile="~/samplebrowser.master" Language="C#" AutoEventWireup="true"
    CodeFile="StockPortFolio.aspx.cs" Inherits="WebSampleBrowser.XlsIO.StockPortFolio" %>

<asp:content id="Content2" contentplaceholderid="ControlsSection" runat="server">
   
    <p>
        This stock portfolio sample creates a stock report for stocks selected by the user
        at run time. Data for each stock is retrieved from a database and populated in Excel
        spreadsheets created using Essential XlsIO. The generated Excel sheet contains hyperlinks,
        comments, intuitive charts, and images.</p>
    <div>
        <table id="PanelTable" cellpadding="0" cellspacing="0" border="0">
            <tr>
                <td>
                    <table>
                        <tr>
                            <td valign="top"><br />
                                <b>Stocks</b><br /><br />
                                <font size="1pt">Select one or more stocks</font><br />
                                <div style="text-align: left; width: 50%; margin: auto;">
                                    <asp:CheckBoxList CellSpacing="10" CellPadding="0" ID="CheckBoxList1" runat="server"
                                        Height="381px" Width="200px">
                                        <asp:ListItem>AAPL</asp:ListItem>
                                        <asp:ListItem>ADBE</asp:ListItem>
                                        <asp:ListItem>AMD</asp:ListItem>
                                        <asp:ListItem>AMZN</asp:ListItem>
                                        <asp:ListItem>BF.B</asp:ListItem>
                                        <asp:ListItem>BRCM</asp:ListItem>
                                        <asp:ListItem>CSCO</asp:ListItem>
                                        <asp:ListItem>DELL</asp:ListItem>
                                        <asp:ListItem>EBAY</asp:ListItem>
                                        <asp:ListItem>GOOG</asp:ListItem>
                                        <asp:ListItem>IBM</asp:ListItem>
                                        <asp:ListItem>INTC</asp:ListItem>
                                        <asp:ListItem>JDSU</asp:ListItem>
                                        <asp:ListItem>JNPR</asp:ListItem>
                                        <asp:ListItem>MSFT</asp:ListItem>
                                        <asp:ListItem>ORCL</asp:ListItem>
                                        <asp:ListItem>QCOM</asp:ListItem>
                                        <asp:ListItem>SYMC</asp:ListItem>
                                        <asp:ListItem>YHOO</asp:ListItem>
                                    </asp:CheckBoxList>
                                </div>
                            </td>
                            <td width="5px">
                            </td>
                            <td valign="top" align="center">
                              <br /> <b>TimeLine</b><br /><br />
                                <asp:Label Height="40px" runat="server" ID="label1"><font size="1pt">Select Start Date and End Date between 1st Jan 2008 to 29th Jan 2008</font></asp:Label>
                                <br />
                                <b>Start Date</b>
                                <br />
                                <div style="margin-top: 3px">
                                    <asp:Calendar TitleStyle-BackColor="LightSteelBlue" ID="Calendar1" BorderColor="AliceBlue"
                                        runat="server" VisibleDate="2008-01-01" SelectedDate="2008-01-01"></asp:Calendar>
                                </div>
                                <br />
                                <b>End Date</b>
                                <br />
                                <div style="margin-top: 3px">
                                    <asp:Calendar TitleStyle-BackColor="LightSteelBlue" ID="Calendar2" BorderColor="AliceBlue"
                                        runat="server" SelectedDate="2008-01-29" VisibleDate="2008-01-29"></asp:Calendar>
                                </div>
                                <br />
                            </td>
                        </tr>
                        <tr>
                            <td colspan="3">
                                <br />
                                <div>
                                    <asp:Label Width="77%" Style="text-align: justify;" ID="label5" runat="server" Text="Click the button to view an Excel spreadsheet generated by Essential XlsIO. Please note that MS Excel Viewer or MS Excel is required to view the resultant document."></asp:Label>
                                </div>
                                <br />
                            </td>
                        </tr>
                        <tr>
                            <td valign="baseline" colspan="3">
                                <table height="100%" cellpadding="0" cellspacing="0" border="0">
                                    <tr height="30px">
                                        <td align="left">
                                             <asp:Label ID="Label6" runat="server" Text="SaveAs:"></asp:Label>
                                             <asp:radiobutton style="margin-left: 10px" id="rBtn2003" runat="server" groupname="formatgrp" text="Excel 2003" />
                                             <asp:radiobutton style="margin-left: 10px" id="rBtn2007" runat="server" groupname="formatgrp" text="Excel 2007" />
                                             <asp:radiobutton style="margin-left: 10px" id="rBtn2010" runat="server" groupname="formatgrp" text="Excel 2010" />
                                            <asp:radiobutton style="margin-left: 10px" id="rBtn2013" runat="server" groupname="formatgrp" text="Excel 2013" checked="true" />
                                                
                                            <asp:Button ID="Button1" runat="server" OnClick="Button1_Click" Text="Create Report"
                                                Width="106px" />&nbsp;
                                             <asp:Button ID="Button2" runat="server" OnClick="Button2_Click" Text="Input Template" Width="124px" />
                                        &nbsp;
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
        </table>
    </div>
</asp:content>
