﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="Angular.aspx.cs" Inherits="WebSampleBrowser.BulletGraph.Angular" %>

<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="SampleHeading">
    <span class="sampleName">BulletGraph / Angular</span>
</asp:Content>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <script src="../Scripts/angular.min.js"></script>
    <script src="../Scripts/ej/ej.widget.angular.min.js"></script>
    <html xmlns="http://www.w3.org/1999/xhtml" ng-app="syncApp">
     <div ng-controller="angularBullet">
    
        
                <div id="bulletCore" style="width:100%" ej-bulletgraph e-value="nvalue" e-comparativeMeasureValue="CMvalue"></div>
                <div id="sampleProperties">
                 <div class="prop-grid">
                    <div class="row">
                        <div class="col-md-3">
                            Value
                        </div>
                        <div class="col-md-3 aligntop">
                            <input type="text" id="txtValue" value="" ng-model="nvalue" Style="width:110px"/>
                        </div>
                    </div>
                     <div class="row">
                        <div class="col-md-3">
                            Comparitive Measure Value
                        </div>
                        <div class="col-md-3 aligntop">
                            <input type="text" id="txtcmpValue" ng-model="CMvalue" Style="width:110px"/>
                        </div>
                    </div>
                     </div>
                </div>
    <script type="text/javascript">
        angular.module('syncApp', ['ejangular'])
           .controller('angularBullet', function ($scope) {
               $scope.nvalue = 5;
               $scope.CMvalue = 7;
           });
        $("#txtValue").ejNumericTextbox({ minValue: 0, maxValue: 10, decimals: 2, showSpinButton: false });
        $("#txtcmpValue").ejNumericTextbox({ minValue: 0, maxValue: 10, decimals: 2, showSpinButton: false });
        $(document).ready(function () {
            $("#bulletCore").ejBulletGraph("option", "quantitativeScaleSettings", { majorTickSettings: { width: 1, size: 13, stroke: 'gray' }, minorTickSettings: { width: 1, size: 5, stroke: 'gray' }, labelSettings: { offset: 14, size: 10 } });
            $("#sampleProperties").ejPropertiesPanel();
        });
</script>
     <style>
        .col-md-3 .e-ddl .e-input {
            line-height:20px;
        }
    </style>
</div>
    </asp:Content>

<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">

</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="StyleSection" runat="server">
    
</asp:Content>