﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master"  CodeBehind="Column3D.aspx.cs" Inherits="WebSampleBrowser.Chart.Column3D" %>

 <asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
       <ej:Chart ID="Chart1" runat="server" Width="970"  Height="600" OnClientLoad="OnChartLoad" Depth="100" WallSize="2" Tilt="0" Rotation="34" PerspectiveAngle="90" SideBySideSeriesPlacement="true" EnableRotation="true" Enable3D="true"  CanResize="true">
            <Title Text="Fruits Nutrients"></Title>
            <Legend Visible="true"/>
            <PrimaryXAxis ValueType="Category" LabelFormat="MMM">
                <Title Text="Minerals" />
                <MajorGridLines Visible="true" Color="#a9a9a9" Opacity="0.12" />
            </PrimaryXAxis>
            <PrimaryYAxis>                
                <MajorGridLines Visible="true" Color="#a9a9a9" Opacity="0.12" />
            </PrimaryYAxis>
              <Series>
                <ej:Series Name="Minerals Content in Apple">
                    <points>
                        <ej:points X="Calcium" Y="11"/>
                        <ej:points X="Phosphorus" Y="20"/>
                        <ej:points X="Sodium" Y="8"/>
                        <ej:points X="Magnesium" Y="9"/>
                        <ej:points X="Manganese" Y="8.5"/>
                        <ej:points X="Iron" Y="6.3"/>
                    </points>
                </ej:Series>
                <ej:Series Name="Minerals Content in Banana">
                    <points>
                        <ej:points X="Calcium" Y="5"/>
                        <ej:points X="Phosphorus" Y="26"/>
                        <ej:points X="Sodium" Y="7"/>
                        <ej:points X="Magnesium" Y="32"/>
                        <ej:points X="Manganese" Y="9.6"/>
                        <ej:points X="Iron" Y="8.1"/>
                    </points>
                </ej:Series>
            </Series>
            <CommonSeriesOptions Type="Column">
                <Tooltip Visible="true" Format="#series.name#<br/>#point.x# : #point.y#mg" />
            </CommonSeriesOptions>
        </ej:Chart>
</asp:Content>
 <asp:Content ID="Content1" runat="server" ContentPlaceHolderID="PropertySection">
</asp:Content>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="ScriptSection">
    <script>
        function OnChartLoad(sender) {
            loadTheme(sender);
            sender.model.primaryXAxis.majorGridLines.color = "#a9a9a9";
            sender.model.primaryXAxis.majorGridLines.opacity = 0.12;
            sender.model.primaryYAxis.majorGridLines.color = "#a9a9a9";
            sender.model.primaryYAxis.majorGridLines.opacity = 0.12;
        }
    </script>
</asp:Content>

 