﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="Events.aspx.cs" Inherits="WebSampleBrowser.Chart.Events" %>

<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="SampleHeading">
    <span class="sampleName">Chart/ User Interaction / Events</span>
</asp:Content>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <ej:WaitingPopup runat="server" ID="waitingpopup" ShowOnInit="false"></ej:WaitingPopup>
<ej:Chart ID="Chart1" Height="600" OnClientTitleRendering="ontitlerender" OnClientPointRegionClick="onpointclick" OnClientPointRegionMouseMove="onpointmousemove" OnClientLegendItemMouseMove="onlegendmousemove"
    CanResize="true" OnClientLoad="loadTheme" runat="server" Width="700">
      <Series>
             <ej:Series Name="Population" XName="Xvalue" YName="YValue1" Fill="#69D2E7" Type="Column" EnableAnimation="True" Tooltip-Format="#point.x# : #point.y# millions <br/>" Tooltip-Visible="true"></ej:Series>
       </Series>
</ej:Chart>
</asp:Content>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="ScriptSection">
       
</asp:Content>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="PropertySection">
    
   <div class="cols-prop-area event-tracer">
                <div>
                    <div class="heading">
                        <span>Event Trace</span>
                        <div class="pull-right">
                            <ej:DropDownList ID="DropDownList1" TargetId="evntname" CssClass="metroblue" ShowCheckbox="true" CheckAll="true" ClientSideOnChange="evtpropscheckedevent" runat="server"></ej:DropDownList>
                             <div id="evntname">
        <ul>
            <li>pointRegionClick</li>
            <li>pointRegionMouseMove</li>
            <li>legendItemMouseMove</li>
            <li>legendItemClick</li>
        </ul>
    </div>
                        </div>
                    </div>
					<div class="prop-grid content">
						<div class="eventarea">
							<div class="EventLog" id="EventLog">
							</div>
						</div>
						<div class="evtbtn">
							<input type="button" class="eventclear e-btn" value="Clear" onclick="onClear()" />
						</div>
					</div>
                </div>
            </div>
     <script type="text/javascript">
         $("#sampleProperties").ejPropertiesPanel();
         
         function evtpropscheckedevent(args) {
             chartObj = $("#Chart1").data("ejChart");
             if (args.isChecked) {
                
                 switch (args.selectedText) {
                     case "pointRegionClick": chartObj.option(args.selectedText, "onpointclick"); break;
                     case "pointRegionMouseMove": chartObj.option(args.selectedText, "onpointmousemove"); break;
                     case "legendItemMouseMove": chartObj.option(args.selectedText, "onlegendmousemove"); break;
                     case "legendItemClick": chartObj.option(args.selectedText, "onlegendclicked"); break;
                 }
             }
             else chartObj.option(args.selectedText, null);
         }
         function onlegendclicked(sender) {
             jQuery.addEventLog("Clicked on <span class='eventTitle'>Legend</span>");
         }
         function onpointclick(sender) {
             jQuery.addEventLog("Clicked on <span class='eventTitle'> " + sender.model.primaryXAxis.labels[sender.data.region.Region.PointIndex] + "</span>");

         }
         function onpointmousemove(sender) {
             jQuery.addEventLog("Moved on <span class='eventTitle'> " + sender.model.primaryXAxis.labels[sender.data.region.Region.PointIndex] + "</span>");

         }
         function onlegendmousemove(sender) {
             jQuery.addEventLog("Moved on <span class='eventTitle'>Legend</span>");
         }
         function onClear() {
             jQuery.clearEventLog();
         }
    </script>
    
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="StyleSection" runat="server">
    <style  >
         
    </style>
</asp:Content>