﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="Export.aspx.cs" Inherits="WebSampleBrowser.Chart.Export" %>

<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="SampleHeading">
    <span class="sampleName">Chart/ Export</span>
</asp:Content>
<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    
    <a id="download" download="Chart.png" style="float: right; cursor: pointer;" >
		<img src="../Content/images/chart/export.png" title="Export Chart"  />
	</a>
    <ej:WaitingPopup runat="server" ID="waitingpopup" ShowOnInit="false"></ej:WaitingPopup>
    <ej:Chart ID="Chart1" runat="server" Width="970" Height="600" CanResize="true" EnableCanvasRendering="True" OnClientLoad="loadTheme" OnClientAxesLabelRendering="label">
        <PrimaryXAxis Visible="true" MajorGridLines-Visible="true" Title-Text="Manager" />
        <PrimaryYAxis AxisLine-Visible="false" Title-Text="Sales" />
        <Series>
            <ej:Series Tooltip-Visible="True" Name="Person" EnableAnimation="True" XName="Xvalue" YName="YValue1"></ej:Series>
        </Series>
        <Title Text="Sales Comparision"></Title>
        <Legend Visible="false"></Legend>
    </ej:Chart>
    <canvas id="canvas2" style="display:none"></canvas> 
<script>
    function  label(sender) {
        if (sender.data.axis.orientation == "Vertical") {
            var label = sender.data.label.Text / 1000;
            sender.data.label.Text = "$" + label + "K";
        }
    }
    function download() {
        var canvas = $("#Chart1").ejChart("exportChart");
        var dt = canvas.toDataURL();
        this.href = dt;
    }
    document.getElementById('download').addEventListener('click', download, false);
</script>
</asp:Content>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="ScriptSection">
    <script>        
    $("#sampleProperties").ejPropertiesPanel();
</script>
</asp:Content>