﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="LegendPosition1.aspx.cs" Inherits="WebSampleBrowser.Chart.LegendPosition1" %>


<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <div>
        <ej:WaitingPopup runat="server" ID="waitingpopup" ShowOnInit="false"></ej:WaitingPopup>
        <ej:Chart ID="Chart1" runat="server" Width="690" Height="550" CanResize="true" SeriesType="Pie">
            <CommonSeriesOptions Type="Pie">
            </CommonSeriesOptions>
            <Title Text="Internet users (per 100 people) in 2013"></Title>
            <Series>
                <ej:Series EnableAnimation="false" Marker-DataLabel-Visible="True" Marker-DataLabel-Shape="None" Name="Internet users (per 100 people) in 2013" XName="Xvalue" YName="YValue1" Type="Pie" LabelPosition="Inside" EnableSmartLabels="True" StartAngle="270">
                    <Border Width="1" Color="white" />

<Marker>
<DataLabel Visible="True">
    <Font FontSize="14px" Color="white"/>
</DataLabel>
</Marker>
                    <Points>
                        <ej:points X="Albania" Y="60.1" Fill="#E94649" />
                        <ej:points X="Argentina" Y="59.9" Fill="#6FAAB0" />
                        <ej:points X="Australia" Y="83.0" Fill="#C4C24A" />
                        <ej:points X="Austria" Y="80.6" Fill="#FB954F" />
                        <ej:points X="Bahrain" Y="90.0" Fill="#005277" />
                        <ej:points X="Belgium" Y="82.2" Fill="#8BC652" />
                        <ej:points X="Bermuda" Y="95.3" Fill="#69D2E7" />
                        <ej:points X="China" Y="45.8" Fill="#E27F2D" />
                        <ej:points X="Colombia" Y="51.7" Fill="#6A4B82" />
                        <ej:points X="France" Y="81.9" Fill="#F6B53F" />
                        <ej:points X="Germany" Y="84.0" Fill="#CC3399" />
                        <ej:points X="Italy" Y="58.5" Fill="#FF0066" />
                        <ej:points X="Malaysia" Y="67.0" Fill="#FF9900" />
                        <ej:points X="Mexico" Y="43.5" Fill="#009933" />
                        <ej:points X="Netherlands" Y="94.0" Fill="#6699FF" />
                        <ej:points X="New Zealand" Y="82.8" Fill="#CC99FF" />
                    </Points>
                </ej:Series>
            </Series>
            <Legend Visible="true" Position="Bottom" Alignment="Center">
                <Border Color="black" Width="1" />
                <Title Text="Countries" TextAlignment="center">
                    <Font FontSize="15px" Color="black" FontFamily="Segoe UI" />
                </Title>
            </Legend>
        </ej:Chart>
    </div>
</asp:Content>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="ScriptSection">

</asp:Content>

<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="PropertySection">
    
    <div id="sampleProperties">
                <div class="prop-grid">
                    <div class="row">
                        <div class="col-md-3">
                            Position
                        </div>
                        <div class="col-md-3">
                            <select name="selectIndex"  id="optPositionChange">
                               <option value="0">Right</option>
                                                    <option value="1">Left</option>
                                                    <option value="2">Top</option>
                                                    <option value="3">Bottom</option>
                            </select>
                        </div>
                        <div class="col-md-3">
                           Alignment
                        </div>
                        <div class="col-md-3">
                            <select name="disableItem"  id="optAlignmentChange">
                                <option value="0">Near</option>
                                                    <option value="1">Center</option>
                                                    <option value="2">Far</option>
                            </select>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-3">
                            Height
                        </div>
                        <div class="col-md-3">
                            <asp:TextBox runat="server" ClientIDMode="Static" ID="legendHeight" Width="104"></asp:TextBox>
                        </div>
                        <div class="col-md-3">
                            </div>
                        <div class="col-md-3">
                            (eg. 10% or 100)
                            </div>
                        <div class="col-md-3">
                            Width
                        </div>
                        <div class="col-md-3">
                            <asp:TextBox runat="server" ClientIDMode="Static" ID="legendWidth" Width="104"></asp:TextBox>
                        </div>
                        <div class="col-md-3">
                            </div>
                        <div class="col-md-3">
                            (eg. 10% or 100)
                            </div>
                    </div>
                    <div class="row">
                        <div class="col-md-3">
                           Row Count
                        </div>
                        <div class="col-md-3">
                            <select name="disableItem"  id="optRowcountChange">
                                 <option value="1">1</option>
                                 <option value="2">2</option>
                                <option value="3">3</option>
                                 <option value="4">4</option>
                                <option value="5">5</option>
                                 <option value="6">6</option>
                                <option value="7">7</option>
                                 <option value="8">8</option>
                                <option value="9">9</option>
                                 <option value="10">10</option>
                            </select>
                        </div>
                        <div class="col-md-3">
                           Column Count
                        </div>
                        <div class="col-md-3">
                            <select name="disableItem"  id="optColumncountChange">
                                 <option value="1">1</option>
                                 <option value="2">2</option>
                                <option value="3">3</option>
                                 <option value="4">4</option>
                                <option value="5">5</option>
                                 <option value="6">6</option>
                                <option value="7">7</option>
                                 <option value="8">8</option>
                                <option value="9">9</option>
                                 <option value="10">10</option>
                            </select>
                        </div>
                    </div>
                    
                </div>
            </div>
        <script>
            $("#legendHeight").val("");
            $("#legendWidth").val("");
            var chartObj = $("#Chart1").data("ejChart");
            $("#optPositionChange").ejDropDownList({ "change": "positionChanged", width: "110px", selectedItemIndex: 3 });
            $("#optAlignmentChange").ejDropDownList({ "change": "alignmentChanged", width: "110px", selectedItemIndex: 1 });
            $("#optRowcountChange").ejDropDownList({ "change": "rowcountChanged", width: "110px", selectedItemIndex: 0 });
            $("#optColumncountChange").ejDropDownList({ "change": "columncountChanged", width: "110px", selectedItemIndex: 0 });

            function alignmentChanged(sender) {
                $("#Chart1").ejChart("option", { "legend": legend(sender, sender.selectedText) });
                changeHeightWidth();
            }
            function positionChanged(sender) {
                $("#Chart1").ejChart("option", { "legend": legend(sender, sender.selectedText) });
                changeHeightWidth();
            }
            function rowcountChanged(sender) {
                $("#Chart1").ejChart("option", { "legend": legend(sender, sender.selectedText) });
                changeHeightWidth();
            }
            function columncountChanged(sender) {
                $("#Chart1").ejChart("option", { "legend": legend(sender, sender.selectedText) });
                changeHeightWidth();
            }
            function legend(sender, data) {
                switch (sender.model.change) {
                    case "positionChanged":
                        var legendPosition = data.toLowerCase();
                        return {
                            position: legendPosition
                        }; break;
                    case "alignmentChanged":
                        var legendAlignment = data.toLowerCase();
                        return {
                            alignment: legendAlignment
                        };
                        break;
                    case "rowcountChanged":
                        var count = data;
                        return { rowCount: count };
                        break;
                    case "columncountChanged":
                        var count = data;
                        return { columnCount: count };
                        break;
                }
            }
            $('#legendWidth').change(changeHeightWidth);
            $('#legendHeight').change(changeHeightWidth);
            function changeHeightWidth() {
                var width = $("#legendWidth").val();
                var height = $("#legendHeight").val();
                var chart = $("#Chart1").ejChart("instance");
                chart.model.legend.size.width = width;
                chart.model.legend.size.height = height;
                chart.redraw();
            }
            $("#sampleProperties").ejPropertiesPanel();
            </script>
    </asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="StyleSection" runat="server">
    <style  >
         
    </style>
</asp:Content>