﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="StackingArea.aspx.cs" Inherits="WebSampleBrowser.Chart.StackingArea" %>

 <asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <div>
        <ej:WaitingPopup runat="server" ID="waitingpopup" ShowOnInit="false"></ej:WaitingPopup>
        <ej:Chart ID="Chart1" runat="server" Width="970" Height="600" CanResize="true">
            <PrimaryXAxis Title-Text="Year" AxisLine-Visible="false" MajorGridLines-Visible="false" MajorTickLines-Visible="false" />
            <PrimaryYAxis Title-Text="Production in %" LabelFormat="{value} %" />
            <CommonSeriesOptions EnableAnimation="True" Type="StackingArea" Opacity="0.5" Border-Color="transparent" />
            <Series>
                  <ej:Series Name="US" XName="Xvalue" YName="YValue1" Fill="#C4C24A"></ej:Series>
             <ej:Series Name="Indonesia" XName="Xvalue" YName="YValue2" Fill="#69D2E7"></ej:Series>
             <ej:Series Name="Russia" XName="Xvalue" YName="YValue3" Fill="#6A4B82"></ej:Series>
             <ej:Series Name="Bangladesh" XName="Xvalue" YName="YValue4" Fill="#E7B0B2"></ej:Series>
            </Series>
            <Title Text="Industrial production growth"></Title>
            <Legend Visible="true"></Legend>
        </ej:Chart>
    </div>
</asp:Content>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="ScriptSection">
        
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="StyleSection" runat="server">
    <style  >

    </style>
</asp:Content>