﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="Zooming.aspx.cs" Inherits="WebSampleBrowser.Chart.Zooming" %>

<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="SampleHeading">
    <span class="sampleName">Chart/ User Interaction / Zooming</span>
</asp:Content>
<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <ej:WaitingPopup runat="server" ID="waitingpopup" ShowOnInit="false"></ej:WaitingPopup>
    <ej:Chart ID="Chart1" OnClientLoad="onchartload" CanResize="true" Height="600" runat="server" Width="970">
        <PrimaryXAxis Title-Text="Date" ValueType="Datetime" />
        
        <PrimaryYAxis LabelFormat="{value}%" Title-Text="CPU Load" />
        <Series>
                <ej:Series Name="Server" EnableAnimation="true" Type="Line"></ej:Series>
         </Series>
        <Legend Visible="false" />
           
        <Zooming Enable="true" EnableMouseWheel="true" Type="x,y" />
        <Title Text="Server CPU Load" />
    </ej:Chart>
    <script>
        function onchartload(sender) {
            //debugger;
            //loadTheme(sender);
            var data = GetData();
          
            sender.model.series[0].dataSource = data.Open;
            sender.model.series[0].xName = "XValue";
            sender.model.series[0].yName = "YValue";
        }
        function GetData() {
            var series1 = [];
            var value = 100;
            for (var i = 1; i < 250; i++) {

                if (Math.random() > .5) {
                    value += Math.random();
                } else {
                    value -= Math.random();
                }
                var point = { XValue: new Date(1970, i + 2, i), YValue: value };
                series1.push(point);
            }

            var data = { Open: series1 };
            return data;
        }
</script>     
    
</asp:Content>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="ScriptSection">
       
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="StyleSection" runat="server">
    <style  >
        
    </style>
</asp:Content>
