﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="Angular.aspx.cs" Inherits="WebSampleBrowser.CircularGauge.Angular" %>
<%@ Register Assembly="Syncfusion.EJ" Namespace="Syncfusion.JavaScript.DataVisualization.Models" TagPrefix="ej" %>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="HeadSection">
    <script src='<%= Page.ResolveClientUrl("~/Scripts/excanvas.min.js")%>' type="text/javascript"></script>
</asp:Content>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <div ng-app="syncApp">
   <div ng-controller="CircularGauge">
            <div align="center">
        <div ej-circulargauge id="circularCore" e-backgroundcolor="transparent" e-width="500" e-readonly="false" e-load= "loadGaugeTheme" e-value="nvalue" e-maximum="maxvalue" e-minimum="minvalue" e-enableanimation="false">
                        <div e-scales>
                            <div e-scale e-showranges="true" e-startangle="122" e-sweepangle="296" e-radius="130" e-showscalebar="true" e-size="1" e-maximum="120" e-majorintervalvalue="20" e-minorintervalvalue="10" e-border-width="0.5">
                                <div e-pointers>
                                    <div e-pointer e-showbackneedle="true" e-backneedlelength="20" e-length="95" e-width="7" e-value="nvalue" e-pointercap-radius="12">
                                    </div>
                                </div>
                                <div e-labels>
                                    <div e-label e-color="#8c8c8c"></div>
                                </div>
                                <div e-ticks>
                                    <div e-tick e-type="major" e-distancefromscale="2" e-height="16" e-width="1" e-color="#8c8c8c"></div>
                                    <div e-tick e-type="minor" e-distancefromscale="2" e-height="8" e-width="1" e-color="#8c8c8c"></div>
                                </div>
                                <div e-ranges>
                                    <div e-range e-distancefromscale="-30" e-startValue="0" e-endValue="70">
                                    </div>
                                    <div e-range e-distancefromscale="-30" e-startvalue="70" e-endvalue="110" e-backgroundcolor="#fc0606" e-border-color="#fc0606">
                                    </div>
                                    <div e-range e-distancefromscale="-30" e-startvalue="110" e-endvalue="120" e-backgroundcolor="#f5b43f" e-border-color="#f5b43f">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
            <div class="row">
                        
                        <div class="col-md-3 aligntop">
                            Value: <input type="text" class="ejinputtext"id="txtValue" ej-numerictextbox e-value="nvalue" e-decimalplaces="2" e-showspinbutton="false" ng-model="nvalue" Style="width:110px"/>
                        </div>
                    </div>
                    
            </div>
</div>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
    <script src='<%= Page.ResolveClientUrl("~/Scripts/angular.min.js")%>' type="text/javascript"></script>    
    <script src='<%= Page.ResolveClientUrl("~/Scripts/ej/ej.widget.angular.min.js")%>' type="text/javascript"></script>
    <script type="text/javascript">
        angular.module('syncApp', ['ejangular'])
             .controller('CircularGauge', function ($scope) {
                 $scope.nvalue = 80;
                 $scope.minvalue = 0;
                 $scope.maxvalue = 120;
             });

    </script>
</asp:Content>

