﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="Knockout.aspx.cs" Inherits="WebSampleBrowser.CircularGauge.Knockout" %>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="HeadSection">
    <script src='<%= Page.ResolveClientUrl("~/Scripts/excanvas.min.js")%>' type="text/javascript"></script>
</asp:Content>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <div align="center">
                    <div id="circularCore" data-bind="ejCircularGauge:({value:samplevalue,minimum:sampleminimum,maximum:samplemaximum,readOnly:false,enableAnimation:false,backgroundColor: 'transparent', width: 500, height:360,
                scales: [{
                    showRanges: true, 
                    startAngle: 122, sweepAngle: 296, radius: 130, showScaleBar: true, size: 1, border: { width: 0.5 }, majorIntervalValue: 20, minorIntervalValue: 10,
                    pointers: [{
                        showBackNeedle: true,
                        backNeedleLength: 20,
                        length: 95,
                        width: 7,
                        pointerCap: { radius: 12 }
                    }],
                    labels: [{
                        Color: '#8c8c8c'
                    }],
                    ticks: [{
                        type: 'major',
                        distanceFromScale: 2,
                        height: 16,
                        width: 1, Color: '#8c8c8c'
                    }, { type: 'minor', height: 8, width: 1, distanceFromScale: 2, color: '#8c8c8c' }],
                    ranges: [{
                        distanceFromScale: -28,
                        startValue: 0,
                        endValue: 60
                    },{
                        distanceFromScale: -28,
                        backgroundColor: '#fc0606',
                        border:{color: '#fc0606'},
                        startValue: 60,
                        endValue: 120
                    }]
                }]})">
       </div>
</div>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
    <script src='<%= Page.ResolveClientUrl("~/Scripts/knockout-min.js")%>' type="text/javascript"></script>
    <script src='<%= Page.ResolveClientUrl("~/Scripts/ej/ej.widget.ko.min.js")%>' type="text/javascript"></script>
    <script type="text/javascript">
        window.viewModel = {
            samplevalue: ko.observable(50),
            sampleminimum: ko.observable(0),
            samplemaximum: ko.observable(120),
        };
        $(function () {
            ko.applyBindings(viewModel);
            $("#sampleProperties").ejPropertiesPanel();
        });
    </script>
</asp:Content>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="PropertySection">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                   Value
                </div>
                <div class="col-md-3">
                   <input type="text" id="txtValue" name="Text" class="ejinputtext" value="" data-bind="ejNumericTextbox: {value: samplevalue, showSpinButton:false,decimalPlaces: 2,width:90 }" class="e-inputText" style="width:105px"/>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                   Minimum Value
                </div>
                <div class="col-md-3">
                   <input type="text" id="txtMinimum" name="slide" class="ejinputtext" value="" data-bind="ejNumericTextbox: { value: sampleminimum, showSpinButton: false, decimalPlaces: 2, width: 90 }" class="e-inputText" style="width:105px"/>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                  Maximum Value
                </div>
                <div class="col-md-3">
                   <input type="text" id="txtMaximum" name="slide" class="ejinputtext" value="" data-bind="ejNumericTextbox: { value: samplemaximum, showSpinButton: false, decimalPlaces: 2, width: 90 }" class="e-inputText" style="width:105px"/>
                </div>
            </div>
        </div>
    </div>
</asp:Content>

