﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true"
    CodeBehind="Keyboard-Interaction.aspx.cs" Inherits="WebSampleBrowser.ColorPicker.Keyboard_Interaction" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">
    <div class="frame">
        <div class="control">
            <div class="element">
                <ej:ColorPicker ID="colorpick" runat="server" Value="#278787"></ej:ColorPicker>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PropertySection" runat="server">
    <div id="sampleProperties">
        <div class="prop-grid keyboard">
            <div class="row">
                <span><b>
                    <center>KeyBoard Support</center>
                </b></span>
                <br />
            </div>
            <div class="row">
                <div class="row">
                    <div class="col-md-3">
                        Alt+J
                    </div>
                    <div class="col-md-3">
                        Focus the Control
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-3">
                        Alt+down
                    </div>
                    <div class="col-md-3">
                        Open / Close the Popup
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-3">
                        enter
                    </div>
                    <div class="col-md-3">
                        Choose the current color
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-3">
                        esc
                    </div>
                    <div class="col-md-3">
                        close the popup
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="row">
                    <span><b>
                        <center>Color Picker</center>
                    </b></span>
                </div>
                <div class="row">
                    <div class="col-md-3">
                        Tab
                    </div>
                    <div class="col-md-3">
                        choose the next element
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-3">
                        down
                    </div>
                    <div class="col-md-3">
                        Decrease the brightness
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-3">
                        up
                    </div>
                    <div class="col-md-3">
                        Increase the brightness 
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-3">
                        left
                    </div>
                    <div class="col-md-3">
                        Decrease the staturation 
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-3">
                        right
                    </div>
                    <div class="col-md-3">
                        Increase the staturation
                    </div>
                </div>
            </div>
            <div class="row">
                <br />
                <br />
                <div class="row">
                    <span><b>
                        <center>Color Palette</center>
                    </b></span>
                </div>
                <br />

                <div class="row">
                    <div class="col-md-3">
                        down
                    </div>
                    <div class="col-md-3">
                        Move to downwards cell
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-3">
                        up
                    </div>
                    <div class="col-md-3">
                        Move to upwards cell
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-3">
                        left
                    </div>
                    <div class="col-md-3">
                        Move to previous cell
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-3">
                        right
                    </div>
                    <div class="col-md-3">
                        Move to next cell
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="row">
                    <span><b>
                        <center>Slider Only</center>
                    </b></span>
                </div>
                <br />
                <div class="row">
                    <div class="col-md-3">
                        Home
                    </div>
                    <div class="col-md-3">
                        Downwards to value 0
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-3">
                        End
                    </div>
                    <div class="col-md-3">
                        Upwards to value  100
                    </div>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
    <script type="text/javascript">
        $(function () {
            $("#sampleProperties").ejPropertiesPanel();
            $(document).on("keydown", function (e) {
                if (e.altKey && e.keyCode === 74) { // j- key code.
                    $("#colorpickWrapper").focus();
                }
            });
        });
    </script>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        .element {
            padding-left: 20px;
            width: 400px;
        }

        .frame {
            margin-left: 200px;
            width: 140px;
        }

        .prop-grid .row .col-md-3 {
            font-size: 12px;
        }
    </style>
</asp:Content>
