﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true"
    CodeBehind="APIs.aspx.cs" Inherits="WebSampleBrowser.DatePicker.methods" %>


<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">
    <div class="frame">
        <div class="control">
            <ej:DatePicker ID="datepick" ClientSideOnOpen="dpOpen" ClientSideOnClose="dpClose" runat="server"></ej:DatePicker>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PropertySection" runat="server">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                    Show / Hide
                </div>
                <div class="col-md-3">
                    <ej:CheckBox runat="server" ID="chkShowHide" CssClass="e-checkbox" Value="ShowHide" ClientSideOnChange="onShowHide"></ej:CheckBox>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Enable / disable
                </div>
                <div class="col-md-3">
                    <ej:CheckBox runat="server" ID="ChkEnable" CssClass="e-checkbox" Checked="true" ClientSideOnChange="EnableDisable"></ej:CheckBox>
                </div>
            </div>
        </div>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
    <script type="text/javascript">
        var dateobject, chckobject, temp = false, id = "";
        $(function () {
            dateobject = $("#datepick").data("ejDatePicker");
            chckobject = $("#chkShowHide").data("ejCheckBox");
            $("#sampleProperties").ejPropertiesPanel();
        });
        function dpOpen(args) {
            chckobject.setModel({ checked: true });
        };
        function dpClose(args) {
            chckobject.setModel({ checked: false });
            temp = true;
        };
        function onShowHide(args) {
            if (args.isChecked) {
                if (id == "ejchkShowHide" && temp) {
                        chckobject.setModel({ checked: false });
                        temp = false;
                }
                else
                    dateobject.show();
            }
            else
                dateobject.hide();
        };
        function EnableDisable(args) {
            if (args.isChecked) {
                dateobject.enable();
                chckobject.enable();
            } else {
                dateobject.disable();
                chckobject.disable();
            }
        };
        $(document).on('click', function (event) {
            var ele = event.target;
            var ele1 = $(ele).parents("#ejchkShowHide");
            var ele2 = $(ele).parents("#datepick-img");
            id = (ele1.length == 1 || ele2.length == 1) ? "ejchkShowHide" : "";
        });        

    </script>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        .frame .control {
            margin-left: 23px;
        }
    </style>
</asp:Content>

