﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true"
    CodeBehind="Date-Range.aspx.cs" Inherits="WebSampleBrowser.DatePicker.date_range" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">
    <div class="frame">
        <span class="acc">
            <input type="text" id="autocomplete1" />
        </span><span class="firstdp"><span class="innerdp">
            <ej:DatePicker ID="daterange1" runat="server" ClientSideOnClose="selectedDate1" Value="07/16/2014" MinDate="06/01/2014" MaxDate="12/31/2020" DateFormat="MM/dd/yyyy"></ej:DatePicker>
        </span></span><span class="seconddp"><span class="innerdp">
            <ej:DatePicker ID="daterange2" runat="server" ClientSideOnClose="selectedDate2" Value="07/16/2014" MinDate="06/01/2014" MaxDate="12/31/2020" DateFormat="MM/dd/yyyy"></ej:DatePicker>
        </span></span>
    </div>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
    <script type="text/javascript">
        var maxDatepicker = $("daterange1").data("ejDatePicker");
        var minDatepicker = $("daterange2").data("ejDatePicker");
        function selectedDate1(sender) {
            $(function () {
                maxDatepicker = $("#daterange2").data("ejDatePicker");
                minDatepicker1 = $("#daterange1").data("ejDatePicker");
                maxDatepicker.setModel({ "minDate": new Date(sender.value) });
                var curDate = new Date(sender.value);
                maxDatepicker.setModel({ value: new Date(curDate.getFullYear(), curDate.getMonth(), curDate.getDate() + 7) });
            });

        }
        function selectedDate2(sender) {
            $(function () {
                minDatepicker = $("#daterange1").data("ejDatePicker");
                minDatepicker.setModel({ "maxDate": new Date(sender.value) });
            });
        }

    </script>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css" class="cssStyles">
        .darktheme .frame, .frame {
            background: url("../Content/images/datepicker/daterange-bg.png") no-repeat scroll 0 0 transparent;
            padding: 109px 0;
            margin-top: 4%;
            margin-left: 3%;
            margin-left: 12%;
            padding: 0;
            width: 600px;
            min-height: 300px;
            border: 0;
            height: 470px;
        }

        .acc {
            display: block;
            margin-bottom: 70px;
            margin-left: 275px;
            padding-top: 80px;
        }

        .firstdp {
            margin-left: 67px;
        }

        .seconddp {
            margin-left: 55px;
        }

        .innerdp {
            display: inline-block;
        }
    </style>
</asp:Content>
