﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true"
    CodeBehind="Dates-in-Other-Month.aspx.cs" Inherits="WebSampleBrowser.DatePicker.dates_in_othermonth" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">
    <div class="frame">
        <div class="control">
            <ej:DatePicker runat="server" ID="dateformat"></ej:DatePicker>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PropertySection" runat="server">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                    <label>
                        Show Other Month Dates
                    </label>
                </div>
                <div class="col-md-3">
                    <ej:CheckBox ID="othermonth" CssClass="e-checkbox" Text="ShowHide" Checked="true" runat="server" ClientSideOnChange="onStateChange"></ej:CheckBox>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
    <script type="text/javascript">
        $(function () {
            $("#sampleProperties").ejPropertiesPanel();
        });


        function onStateChange(args) {
            var datebject = $("#dateformat").data("ejDatePicker");
            if (args.isChecked)
                datebject.setModel({ showOtherMonths: true });
            else {
                datebject.setModel({ showOtherMonths: false });
            }
        }

    </script>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css" class="cssStyles">
        .cols-prop-area .content {
            overflow-y: hidden;
        }

        .frame .control {
            margin-left: 23px;
        }
    </style>
</asp:Content>

