﻿
<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master"  CodeBehind="ClientSideEvents.aspx.cs" Inherits="WebSampleBrowser.DateTimePicker.ClientSideEvents" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">
    <asp:UpdatePanel ID="UpadteDTP" UpdateMode="Always" runat="server">
        <ContentTemplate>
            <div class="frame">
                <div class="control">
                    <ej:DateTimePicker ID="dateTime" ClientSideOnCreate="onCreate" ClientSideOnOpen="onOpen" ClientSideOnChange="timeValChange" ClientSideOnClose="onClose" runat="server" Width="180px"></ej:DateTimePicker>
                </div>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>

</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="EventSection" runat="server">
<%--    <asp:UpdatePanel ID="UpdatePanelProp" UpdateMode="Always" runat="server">
        <ContentTemplate>--%>
            <div class="cols-prop-area event-tracer">
                <div>
                    <div class="heading">
                        <span>Event Trace</span>
                            <div class="pull-right">
                    <ej:DropDownList ID="selectControls" ClientSideOnPopupShown="adjustpopupposition" ClientSideOnCheckChange="evtpropscheckedevent" ShowCheckbox="true" CheckAll="true" runat="server">
                          <Items>
                                   <ej:DropDownListItem Value="open" Text="open"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="close" Text="close"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="create" Text="create"></ej:DropDownListItem>
                              <ej:DropDownListItem Value="change" Text="change"></ej:DropDownListItem>
                              </Items>
                    </ej:DropDownList>
                </div>
                    </div>
                    <div class="prop-grid content">
                        <div class="eventarea">
                            <div class="EventLog" id="EventLog">
                            </div>
                        </div>
                        <div class="evtbtn">
                            <ej:Button ID="Clear" Type="Button" Text="Clear" ClientSideOnClick="onClear" CssClass="eventclear e-btn" runat="server"></ej:Button>
                        </div>
                    </div>
                </div>
            </div>
<%--        </ContentTemplate>
    </asp:UpdatePanel>--%>
</asp:Content>
<asp:Content ID="Content1" ContentPlaceHolderID="ScriptSection" runat="server">
      <script type="text/javascript" class="jsScript">
          function onCreate(args) {
              jQuery.addEventLog("DateTimePicker has been <span class='eventTitle'>created.</span>");
          }
          function timeValChange(args) {
              jQuery.addEventLog(args.value + " was <span class='eventTitle'>selected.</span>");
          }
          function onOpen(args) {
              jQuery.addEventLog("DateTimePicker popup has been <span class='eventTitle'>opened.</span>");
          }
          function onClose(args) {
              jQuery.addEventLog("DateTimePicker popup has been <span class='eventTitle'>closed.</span>");
          }

          function onClear() {
              jQuery.clearEventLog();
          }
          function evtpropscheckedevent(args) {
              var dateTimeObj = $("#dateTime").data("ejDateTimePicker");
             if (args.isChecked) {
                  switch (args.data.itemValue) {
                      case "change": dateTimeObj.option(args.data.itemValue, "timeValChange"); break;
                      case "open": dateTimeObj.option(args.data.itemValue, "onOpen"); break;
                      case "close": dateTimeObj.option(args.data.itemValue, "onClose"); break
                      case "create": dateTimeObj.option(args.data.itemValue, "onCreate"); break;
                  }
              }
              else {
                  dateTimeObj.option(args.data.itemValue, null);
              }
          }
          </script>
</asp:Content>
