﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="OrganizationalChart.aspx.cs" Inherits="WebSampleBrowser_2010.Diagram.OrganizationalChart" %>

<%@ Register Assembly="Syncfusion.EJ.Web" Namespace="Syncfusion.JavaScript" TagPrefix="ej" %>

<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
    <script type="text/javascript">
        function nodeTemplate(diagram, node) {
            node.shape.src = node.ImageUrl;
            node.labels[0].text = node.Name;
            node.labels[1].text = node.Designation;
        }
    </script>
    <script src='<%= Page.ResolveClientUrl("~/Scripts/Diagram/DiagramCommon.js")%>' type="text/javascript"></script>
</asp:Content>

<asp:Content runat="server" ID="ControlContent" ContentPlaceHolderID="ControlsSection">
    <ej:Diagram ID="DiagramWebControl1" runat="server" Height="490px" Width="950px" EnableContextMenu="false" Tool="ZoomPan">
        <PageSettings ScrollLimit="Diagram" />
        <Layout Type="OrganizationalChart" MarginY="50" HorizontalSpacing="30" VerticalSpacing="30" />
        <SnapSettings SnapConstraints="None" />
        
    </ej:Diagram>
</asp:Content>
