﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="Swimlane.aspx.cs" Inherits="WebSampleBrowser.Diagram.Swimlane" %>

<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
    <script src='<%= Page.ResolveClientUrl("~/Scripts/Diagram/DiagramCommon.js")%>' type="text/javascript"></script>
</asp:Content>
<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <div class="control_section">
        <div class="symPalette_section">
            <ej:SymbolPalette ID="symbolpalette" runat="server">
            </ej:SymbolPalette>
        </div>
        <div class="middle_section"></div>
        <div class="diagram_section">
            <ej:Diagram ID="DiagramContent" runat="server" Height="100%" Width="100%">
                <PageSettings ScrollLimit="Diagram" />
            </ej:Diagram>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="StyleSection">
    <style>
        .control_section
        {
            height: 600px;
            width: 100%;
        }

        .diagram_section
        {
            width: 720px;
            height: 100%;
            float: left;
        }

        .middle_section
        {
            float: left;
            width: 5px;
            height: 100%;
        }

        .symPalette_section
        {
            width: 240px;
            height: 100%;
            float: left;
        }
    </style>
</asp:Content>

