﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="KeyboardIntraction.aspx.cs" Inherits="WebSampleBrowser.Dialog.KeyboardIntraction" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">
    <div class="control">
        <ej:Button ID="btnOpen" Type="Button" runat="server" ClientSideOnClick="btnclick" CssClass="e-btn" Text="Click to open dialog"  ClientSideOnCreate="onButtonCreate"></ej:Button>
        <ej:Dialog ID="keyboardDialog" ClientSideOnClose="onDialogClose" Title="WPF" runat="server" Width="450" Content=".cols-sample-area">
            <DialogContent>
                Developed by Microsoft, the Windows Presentation Foundation (or WPF) is a computer-software graphical subsystem for rendering user interfaces in Windows-based applications. 
        WPF, previously known as "Avalon", was initially released as part of .NET Framework 3.0. Rather than relying on the older GDI subsystem, WPF uses DirectX. 
        WPF attempts to provide a consistent programming model for building applications and separates the user interface from business logic. 
        It resembles similar XML-oriented object models, such as those implemented in XUL and SVG.
            </DialogContent>
        </ej:Dialog>
    </div>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PropertySection" runat="server">
    <div id="sampleProperties">
        <div class="prop-grid keyboard">
            <div class="row">
                <div class="col-md-2">
                    <b>Alt + j</b>
                </div>
                <div class="col-md-2">
                    Focuses the control.
                </div>
            </div>
            <div class="row">
                <div class="col-md-2">
                    <b>Up</b>
                </div>
                <div class="col-md-2">
                    Dialog move up.
                </div>
            </div>
            <div class="row">
                <div class="col-md-2">
                    <b>Right</b>
                </div>
                <div class="col-md-2">
                    Dialog move right.
                </div>
            </div>
            <div class="row">
                <div class="col-md-2">
                    <b>Down</b>
                </div>
                <div class="col-md-2">
                    Dialog move down.
                </div>
            </div>
            <div class="row">
                <div class="col-md-2">
                    <b>Left</b>
                </div>
                <div class="col-md-2">
                    Dialog move left.
                </div>
            </div>
            <div class="row">
                <div class="col-md-2">
                    <b>Esc</b>
                </div>
                <div class="col-md-2">
                    Dialog window close.
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
    <script src='<%= Page.ResolveClientUrl("~/Scripts/Dialog/KeyboardInteraction.js")%>' type="text/javascript"></script>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">

        .control {
            height: 400px;
        }
    </style>

</asp:Content>