﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="ClientSideEvents.aspx.cs" Inherits="WebSampleBrowser.DropDownList.ClientSideEvents" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">

    <div class="frame">
        <div class="control">
            <div class="ctrllabel">Select a country</div>
            <ej:DropDownList ID="selectCountry" runat="server" ClientSideOnCreate="drpcreate" ClientSideOnBeforePopupShown="drpbeforepopupshow" ClientSideOnDestroy="drpdestroy" ClientSideOnSelect="drpselectchange" ClientSideOnChange="drpvaluechange" ClientSideOnPopupShown="drppopupshow" ClientSideOnPopupHide="drppopuphide">
                <Items>
                    <ej:DropDownListItem Text="America" Value="America"></ej:DropDownListItem>
                    <ej:DropDownListItem Text="Australia" Value="Australia"></ej:DropDownListItem>
                    <ej:DropDownListItem Text="Austria" Value="Austria"></ej:DropDownListItem>
                    <ej:DropDownListItem Text="Bangladesh" Value="Bangladesh"></ej:DropDownListItem>
                    <ej:DropDownListItem Text="Brazil" Value="Brazil"></ej:DropDownListItem>
                    <ej:DropDownListItem Text="Canada" Value="Canada"></ej:DropDownListItem>
                    <ej:DropDownListItem Text="China" Value="China"></ej:DropDownListItem>
                    <ej:DropDownListItem Text="Denmark" Value="Denmark"></ej:DropDownListItem>
                    <ej:DropDownListItem Text="Europe" Value="Europe"></ej:DropDownListItem>
                    <ej:DropDownListItem Text="France" Value="France"></ej:DropDownListItem>
                    <ej:DropDownListItem Text="Germany" Value="Germany"></ej:DropDownListItem>
                    <ej:DropDownListItem Text="India" Value="India"></ej:DropDownListItem>
                    <ej:DropDownListItem Text="Japan" Value="Japan"></ej:DropDownListItem>
                    <ej:DropDownListItem Text="Kuwait" Value="Kuwait"></ej:DropDownListItem>
                    <ej:DropDownListItem Text="Malaysia" Value="Malaysia"></ej:DropDownListItem>
                    <ej:DropDownListItem Text="New Zealand" Value="New Zealand"></ej:DropDownListItem>
                </Items>
            </ej:DropDownList>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PropertySection" runat="server">
<%--    <asp:UpdatePanel ID="update1" runat="server" UpdateMode="Conditional">
        <ContentTemplate>--%>
            <div class="cols-prop-area event-tracer">
                <div>
                    <div class="heading">
                        <span>Event Trace</span>
                        <div class="pull-right">
                            <ej:DropDownList ID="selectControls" ClientSideOnPopupShown="adjustpopupposition" ClientSideOnCheckChange="evtpropscheckedevent" ShowCheckbox="true" CheckAll="true" runat="server">
                                <Items>
                                    <ej:DropDownListItem Value="create" Text="create"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="beforePopupShown" Text="beforePopupShown"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="popupHide" Text="popupHide"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="popupShown" Text="popupShown"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="select" Text="select"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="change" Text="Change"></ej:DropDownListItem>
                                </Items>
                            </ej:DropDownList>
                        </div>
                    </div>

                    <div class="prop-grid content">
                        <div class="eventarea">
                            <div class="EventLog" id="EventLog">
                            </div>
                        </div>
                        <div class="evtbtn">
                            <ej:Button ID="Clear" Text="Clear" Type="Button" ClientSideOnClick="onClear" CssClass="eventclear e-btn" runat="server"></ej:Button>
                        </div>
                    </div>
                </div>
            </div>
<%--        </ContentTemplate>
    </asp:UpdatePanel>--%>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
    <script src='<%= Page.ResolveClientUrl("~/Scripts/Dialog/Events.js")%>' type="text/javascript"></script>
    <script type="text/javascript" class="jsScript">

        function drpcreate(sender) {
            jQuery.addEventLog("Dropdown control has been <span class='eventTitle'>created</span>.<br/>");
        }
        function drppopuphide(sender) {
            jQuery.addEventLog("Dropdown popup is <span class='eventTitle'>closed</span>.<br/>");
        }
        function drppopupshow(sender) {
            jQuery.addEventLog("Dropdown popup is <span class='eventTitle'>opened</span>.<br/>");
        }
        function drpbeforepopupshow(sender) {
            jQuery.addEventLog("<span class='eventTitle'>BeforePopupShow</span> event is triggered.<br/>");
        }
        function drpvaluechange(sender) {
            jQuery.addEventLog("<span class='eventTitle'>Value has changed</span> to " + sender.value + ".<br/>");
        }
        function drpselectchange(sender) {
            jQuery.addEventLog(sender.text + " is <span class='eventTitle'>selected</span>.<br/>");
        }

        function onClear() {
            jQuery.clearEventLog();
        }

        function evtpropscheckedevent(args) {
            var target = $("#selectCountry").data("ejDropDownList");
            if (args.isChecked) {
                switch (args.data.itemValue) {
                    case "create":
                        target.option(args.data.itemValue, "drpcreate");
                        break;
                    case "popupHide":
                        target.option(args.data.itemValue, "drppopuphide");
                        break;
                    case "change": target.option(args.data.itemValue, "drpvaluechange"); break;
                    case "select": target.option(args.data.itemValue, "drpselectchange"); break;
                    case "popupShown": target.option(args.data.itemValue, "drppopupshow"); break;
                    case "beforePopupShown": target.option(args.data.itemValue, "drpbeforepopupshow"); break;
                }
            }
            else {
                target.option(args.data.itemValue, null);
            }
        }
    </script>

</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css" class="cssStyles">
        .control {
            margin-left: 20px;
        }

        .ctrllabel {
            padding-bottom: 3px;
        }
    </style>
</asp:Content>

