﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="KeyboardInteraction.aspx.cs" Inherits="WebSampleBrowser.DropDownList.KeyboardInteraction" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">
    <div class="frame">
        <div class="control">
            <div class="ctrllabel">Select a font style</div>
            <ej:DropDownList ID="fontnames" runat="server" DataTextField="Fonts"></ej:DropDownList>
        </div>
    </div>

</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PropertySection" runat="server">
    <div id="sampleProperties">
        <div class="prop-grid keyboard">
            <div class="row">
                <div class="col-md-3">
                    <b>Alt + j</b>
                </div>
                <div class="col-md-3">
                    Focuses the control
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>UP</b>
                </div>
                <div class="col-md-3">
                    Navigates upwards 
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Down</b>
                </div>
                <div class="col-md-3">
                    Navigates downwards
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Left</b>
                </div>
                <div class="col-md-3">
                    Navigates upwards
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Right</b>
                </div>
                <div class="col-md-3">
                    Navigates downwards
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Home</b>
                </div>
                <div class="col-md-3">
                    Navigates to the starting item
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>End</b>
                </div>
                <div class="col-md-3">
                    Navigates to the ending item
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Enter</b>
                </div>
                <div class="col-md-3">
                    Selects the focused item
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Alt + Up</b>
                </div>
                <div class="col-md-3">
                    Closes the popup window
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Alt + Down</b>
                </div>
                <div class="col-md-3">
                    Opens the popup window
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Esc</b>
                </div>
                <div class="col-md-3">
                    Closes the popup window
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
    <script type="text/javascript">
        var target;
        $(function () {
            $(document).on("keydown", function (e) {
                if (e.altKey && e.keyCode === 74) { // j- key code.
                    $("#fontnames_wrapper").focus();
                }
            });
            $("#sampleProperties").ejPropertiesPanel();
        });
    </script>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        .control {
            margin-left: 20px;
        }

        .ctrllabel {
            padding-bottom: 3px;
        }
    </style>
</asp:Content>
