﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="Events.aspx.cs" Inherits="WebSampleBrowser.Gantt.Events" %>


<asp:Content ID="Content2" ContentPlaceHolderID="SampleHeading" runat="server">
    <span class="sampleName">Gantt / Events</span>
</asp:Content>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection"> 
    <div>  
        <ej:Gantt ID="GanttControlEvents" runat="server" AllowSelection="true" AllowColumnResize="true"
             TaskIdMapping="Id" TaskNameMapping="Name" StartDateMapping="StartDate" EndDateMapping="EndDate" 
             ProgressMapping="PercentDone" ChildMapping="Children" ScheduleStartDate="02/23/2014" 
             ScheduleEndDate="03/30/2014" TreeColumnIndex="1" HighlightWeekends="true" 
             AllowSorting="true" Load="load" Create="create" ActioBegin="actionBegin" ActionComplete="actionComplete" 
             QueryCellInfo="queryCellInfo" BeginEdit="beginEdit" EndEdit="endEdit"  RowDataBound="rowDataBound"
             RowSelecting="rowSelecting" RowSelected="rowSelected" TaskbarEdited="taskbarEdited" 
             TaskbarEditing="taskbarEditing" QueryTaskbarInfo="queryTaskbarInfo" Expanding="expanding"
             Expanded="expanded" Collapsing="collapsing" Collapsed="collapsed" EnableResize="true">            
             <EditSettings   AllowEditing="true" AllowAdding="true" AllowDeleting="true" EditMode="cellEditing"/>   
             <SizeSettings Width="100%" Height="450px" />                     
        </ej:Gantt>        
    </div>
</asp:Content>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="PropertySection">
    <div class="cols-prop-area event-tracer">
                <div>
                    <div class="heading">
                        <span>Event Trace</span>
                        <div class="pull-right">
                            <ej:DropDownList ID="selectControls" runat="server" SelectedItemIndex="0"
                                 Width="150px" ShowCheckbox="true" CheckAll="True" ClientSideOnChange="evtpropscheckedevent">
                                <Items>
                                <ej:DropDownListItem Text="create" value="0"/>
                                 <ej:DropDownListItem Text="load" value="1"/>
                                    <ej:DropDownListItem Text="actionBegin" value="2"/>
                                    <ej:DropDownListItem Text="actionComplete" value="3"/>
                                    <ej:DropDownListItem Text="beginEdit" value="4"/>
                                    <ej:DropDownListItem Text="endEdit" value="5"/>
                                    <ej:DropDownListItem Text="queryCellInfo" value="6"/>
                                    <ej:DropDownListItem Text="rowDataBound" value="7"/>
                                    <ej:DropDownListItem Text="rowSelecting" value="8"/>
                                    <ej:DropDownListItem Text="rowSelected" value="9"/>
                                    <ej:DropDownListItem Text="taskbarEditing" value="10"/>
                                    <ej:DropDownListItem Text="taskbarEdited" value="11"/>
                                    <ej:DropDownListItem Text="queryTaskbarInfo" value="12"/>
                                    <ej:DropDownListItem Text="expanding" value="13"/>
                                    <ej:DropDownListItem Text="expanded" value="14"/>
                                    <ej:DropDownListItem Text="collapsing" value="15"/>
                                    <ej:DropDownListItem Text="collapsed" value="16"/>                        
                                </Items>
                            </ej:DropDownList>                         
                        </div>
                    </div>
                    <div class="prop-grid content">
                        <div class="eventarea">
                            <div class="EventLog" id="EventLog">
                            </div>
                        </div>
                        <div class="evtbtn">
                            <ej:Button ID="Clear" runat="server" Type="Button" Text="Clear" ClientSideOnClick="onClear"></ej:Button>
                        </div>
                    </div>
                </div>
            </div>    
    
</asp:Content>

<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="ScriptSection">
    <script type="text/javascript">


        function evtpropscheckedevent(args) {

            var ganttObject = $("#GanttControlEvents").data("ejGantt");
            var dropObj = $("#selectControls").data("ejDropDownList");

            if (args.isChecked && ganttObject != undefined) {
                switch (args.selectedText) {
                    case "load": ganttObject.option(dropObj.selectedTextValue, "load"); break;
                    case "create": ganttObject.option(dropObj.selectedTextValue, "create"); break;
                    case "actionBegin": ganttObject.option(dropObj.selectedTextValue, "actionBegin"); break;
                    case "actionComplete": ganttObject.option(dropObj.selectedTextValue, "actionComplete"); break;
                    case "queryCellInfo": ganttObject.option(dropObj.selectedTextValue, "queryCellInfo"); break;
                    case "beginEdit": ganttObject.option(dropObj.selectedTextValue, "beginEdit"); break;
                    case "endEdit": ganttObject.option(dropObj.selectedTextValue, "endEdit"); break;
                    case "rowDataBound": ganttObject.option(dropObj.selectedTextValue, "rowDataBound"); break;
                    case "rowSelecting": ganttObject.option(dropObj.selectedTextValue, "rowSelecting"); break;
                    case "rowSelected": ganttObject.option(dropObj.selectedTextValue, "rowSelected"); break;
                    case "taskbarEditing": ganttObject.option(dropObj.selectedTextValue, "taskbarEditing"); break;
                    case "taskbarEdited": ganttObject.option(dropObj.selectedTextValue, "taskbarEdited"); break;
                    case "queryTaskbarInfo": ganttObject.option(dropObj.selectedTextValue, "queryTaskbarInfo"); break;
                    case "expanding": ganttObject.option(dropObj.selectedTextValue, "expanding"); break;
                    case "expanded": ganttObject.option(dropObj.selectedTextValue, "expanded"); break;
                    case "collapsing": ganttObject.option(dropObj.selectedTextValue, "collapsing"); break;
                    case "collapsed": ganttObject.option(dropObj.selectedTextValue, "collapsed"); break;

                }
            }
            else {
                text = {}
                text[dropObj.selectedTextValue] = null
                $("#GanttControlEvents").ejGantt("option", text);
            }
        }
		
        function load(args) {
            jQuery.addEventLog("Gantt <span class='eventTitle'>load</span> event called");
        }
		
        function create(args) {
            jQuery.addEventLog("Gantt <span class='eventTitle'>create</span> event called");
        }
        function actionBegin(args) {
            jQuery.addEventLog("Gantt <span class='eventTitle'>actionBegin</span> event called");
        }
        function actionComplete(args) {
            jQuery.addEventLog("Gantt <span class='eventTitle'>actionComplete</span> event called");
        }
        function beginEdit(args) {
            jQuery.addEventLog("Gantt <span class='eventTitle'>beginEdit</span> event called");
        }
		
        function endEdit(args) {
            jQuery.addEventLog("Gantt <span class='eventTitle'>endEdit</span> event called");
        }
        function queryCellInfo(args) {
            jQuery.addEventLog("Gantt <span class='eventTitle'>queryCellInfo</span> event called");
        }
        function rowDataBound(args) {
            jQuery.addEventLog("Gantt <span class='eventTitle'>rowDataBound</span> event called");
        }
        function rowSelecting(args) {
            jQuery.addEventLog("Gantt <span class='eventTitle'>rowSelecting</span> event called");
        }
        function rowSelected(args) {
            jQuery.addEventLog("Gantt <span class='eventTitle'>rowSelected</span> event called");
        }

        function expanding(args) {
            jQuery.addEventLog("Gantt <span class='eventTitle'>expanding</span> event called");
        }

        function expanded(args) {
            jQuery.addEventLog("Gantt <span class='eventTitle'>expanded</span> event called");
        }

        function collapsing(args) {
            jQuery.addEventLog("Gantt <span class='eventTitle'>collapsing</span> event called");
        }

        function collapsed(args) {
            jQuery.addEventLog("Gantt <span class='eventTitle'>collapsed</span> event called");
        }

        function taskbarEditing(args) {
            jQuery.addEventLog("Gantt <span class='eventTitle'>taskbarEditing</span> event called");
        }

        function queryTaskBarInfo(args) {
            jQuery.addEventLog("Gantt <span class='eventTitle'>queryTaskBarInfo</span> event called");
        }

        function taskbarEdited(args) {
            jQuery.addEventLog("Gantt <span class='eventTitle'>taskbarEdited </span> event called");
        }

        function onClear() {
            $("#EventLog").html("");
        }
    </script>

   <style type="text/css">
    #GanttControlEvents {
         width: 690px;
        height:450px;
    }
      </style>
</asp:Content>
