﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="ScheduleModes.aspx.cs" Inherits="WebSampleBrowser.Gantt.ScheduleModes" %>

<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="HeadSection">
    <script src="../Scripts/Gantt/GanttData.js" type="text/javascript"></script>
    <style type="text/css">
   </style>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="SampleHeading" runat="server">
    <span class="sampleName">Gantt / ScheduleModes</span>
</asp:Content>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">     
    <div>
        <div style="float:right; padding-bottom:5px;padding-right:1px;">
            <select name="selectIndex"  id="modes">
                <option value="0">Day</option>
                <option value="1">Week</option>
                <option value="2">Month</option>
                <option value="3">Year</option>
            </select>
        </div>
        <ej:Gantt ID="GanttSceduleModes"  runat="server" TaskIdMapping="TaskID" TaskNameMapping="TaskName" StartDateMapping="StartDate"
             EndDateMapping="EndDate" ProgressMapping="Progress" ChildMapping="Children" DurationUnit="Day" WorkingTimeScale="TimeScale24Hours"
             AllowGanttChartEditing="false" TreeColumnIndex="1" ScheduleStartDate="02/23/2014" ScheduleEndDate="04/10/2014" EnableResize="true">
            <ScheduleHeaderSettings ScheduleHeaderType="Week" />
            <SizeSettings Height="450px" Width="100%" />
        </ej:Gantt>        
    </div>
    <script type="text/javascript">
            $("#modes").ejDropDownList({ "change": "onChange", Value: "Weeek", Text: "Week", width: "120px", selectedItemIndex: 1 });
     </script>
</asp:Content>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="ScriptSection">
      <script type="text/javascript">

          function onChange(args) {
              var ganttObject = $("#GanttSceduleModes").data("ejGantt");
              if (args.itemId == 0)
              {
                  ganttObject.model.scheduleStartDate = "02/23/2014",
	              ganttObject.model.scheduleEndDate = "03/10/2014",
	              ganttObject.model.endDateMapping = "";
                  ganttObject.model.dateFormat = "M/d/yyyy hh:mm:ss tt";
                  ganttObject.model.durationMapping = "duration";
                  ganttObject.model.durationUnit = ej.Gantt.DurationUnit.Hour;
                  ganttObject.model.scheduleHeaderSettings.scheduleHeaderType = ej.Gantt.ScheduleHeaderType.Day;
                  ganttObject.setModel({ dataSource: data });
              }
              else if (args.itemId == 1) {
                  ganttObject.model.scheduleEndDate = "04/10/2014";
                  ganttObject.model.scheduleStartDate = "02/23/2014";
                  ganttObject.model.endDateMapping = "EndDate";
                  ganttObject.model.dateFormat = "M/d/yyyy";
                  ganttObject.model.durationUnit = ej.Gantt.DurationUnit.Day;
                  ganttObject.model.durationMapping = "";
                  ganttObject.model.scheduleHeaderSettings.weekHeaderFormat = "MMM dd , yyyy";
                  ganttObject.model.scheduleHeaderSettings.scheduleHeaderType = ej.Gantt.ScheduleHeaderType.Week;
                  ganttObject.setModel({ dataSource: weekData });
               
              }
              else if (args.itemId == 2) {
                  ganttObject.model.scheduleStartDate = "03/23/2014",
                  ganttObject.model.scheduleEndDate = "05/10/2015",
                  ganttObject.model.endDateMapping = "EndDate";
                  ganttObject.model.durationMapping = "";
                  ganttObject.model.dateFormat = "M/d/yyyy";
                  ganttObject.model.scheduleHeaderSettings.monthHeaderFormat = "MMM yyyy";
                  ganttObject.model.scheduleHeaderSettings.weekHeaderFormat = "M/dd";
                  ganttObject.model.durationUnit = ej.Gantt.DurationUnit.Day;
                  ganttObject.model.scheduleHeaderSettings.scheduleHeaderType = ej.Gantt.ScheduleHeaderType.Month;
                  ganttObject.setModel({ dataSource: monthData });
              }
              else if (args.itemId == 3) {
                  ganttObject.model.scheduleEndDate = "05/10/2015",
	              ganttObject.model.endDateMapping = "EndDate";
                  ganttObject.model.dateFormat = "M/d/yyyy";
                  ganttObject.model.durationMapping = "";
                  ganttObject.model.durationUnit = ej.Gantt.DurationUnit.Day;
                  ganttObject.model.scheduleHeaderSettings.scheduleHeaderType = ej.Gantt.ScheduleHeaderType.Year;
                  ganttObject.setModel({ dataSource: monthData });
              }
          }
    </script> 
</asp:Content>

