﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Adaptive.aspx.cs" Inherits="WebSampleBrowser.Grid.Adaptive" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <link href="../Content/ej/bootstrap.min.css" rel="stylesheet" />
    <link href="../Content/ej/ej.widgets.core.min.css" rel="stylesheet" />
    <link href="../Content/ej/flat-lime/ej.theme.min.css" rel="stylesheet" />
    <link href="../Content/sampleBrowserSite.css" rel="stylesheet" />
    <link href="../Content/ej/responsive-css/ejgrid.responsive.css" rel="stylesheet" />
    <link href="../Content/sampleBrowserSite-responsive.css" rel="stylesheet" />
    <link href="../Content/SourceTabFormatter.css" rel="stylesheet" />
    <script src="../Scripts/jquery-1.10.2.min.js"></script>
    <script src="../Scripts/jquery.easing-1.3.min.js"></script>
    <script src="../Scripts/jquery.globalize.min.js"></script>
    <script src="../Scripts/jquery.validate.min.js"></script>
    <script src="../Scripts/jsrender.min.js"></script>
    <script src="../Scripts/ej/ej.web.all.min.js"></script>
	<style>
        .e-grid + span {
            display:block!important;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager runat="server"></asp:ScriptManager>
        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
            <ContentTemplate>
                <ej:Grid ID="FlatGrid" runat="server" IsResponsive="true" AllowFiltering="true" MinWidth="900" AllowPaging="True" AllowSorting="True" AllowMultiSorting="True"   AllowScrolling="True" EnableResponsiveRow="false">
                    <PageSettings PageCount="3" PageSize="10" />
                    <FilterSettings FilterType="Menu" />
                    <EditSettings AllowAdding="true" AllowDeleting="true"  AllowEditing="true" EditMode="Normal" />
                    <ToolbarSettings ShowToolbar="true" ToolbarItems="add,edit,delete,update,cancel,search"></ToolbarSettings>
                    <Columns>
                        <ej:Column Field="OrderID" HeaderText="Order ID" IsPrimaryKey="True" TextAlign="Right" Width="130">
                            <ValidationRule>
                                <ej:KeyValue Key="required" Value="true" />
                                <ej:KeyValue Key="number" Value="true" />
                            </ValidationRule>
                        </ej:Column>
                        <ej:Column Field="CustomerID" HeaderText="Customer ID" Width="130"/>
                        <ej:Column Field="EmployeeID" HeaderText="Employee ID" TextAlign="Right" Width="150" EditType="Numeric">
                            <ValidationRule>
                                <ej:KeyValue Key="number" Value="true" />
                            </ValidationRule>
                        </ej:Column>
                        <ej:Column Field="Freight" HeaderText="Freight" TextAlign="Right" Width="120" EditType="Numeric" Format="{0:C}" />
                        <ej:Column Field="OrderDate" HeaderText="Order Date" Width="130" Format="{0:MM/dd/yyyy}" EditType="Datepicker" />
                        <ej:Column Field="ShipCity" HeaderText="Ship City" Width="130" EditType="Dropdown" />
                        <ej:Column Field="ShipName" HeaderText="Ship Name" Width="130" EditType="Dropdown" />
                    </Columns>
                    <ScrollSettings  height="287" ></ScrollSettings>
                </ej:Grid>
                <script type="text/javascript">
                    $(function () {
                        if (window.addEventListener) {
                            window.addEventListener('message', function (e) {
                                if (typeof e.data == "boolean") {
                                    var gridObj = $("#FlatGrid").data('ejGrid');
									var obj = $("#FlatGrid").ejGrid("instance");
									if(obj.model.isEdit)
										obj.cancelEdit();
                                    $("#FlatGrid").ejGrid("model.enableResponsiveRow", e.data);
                                }
                                else {
                                    var links = $(document.head || document.getElementsByTagName('head')[0]).find("link");
                                    for (var i = 0; i < links.length; i++) {
                                        if (links[i].href.indexOf("ej.theme.min.css") != -1) {
                                            var cssref = links[i].href,
                                                serverconfig = cssref.substr(0, cssref.indexOf("Content") - 1),
                                                fileref = $('<link rel="stylesheet" type="text/css" href="' + serverconfig + window.parent.themes[e.data.split('_')[1]] + '" />');
                                            $(fileref).insertAfter(links[i]);
                                            $(links[i]).remove();
                                            break;
                                        }
                                    }

                                }
                            });
                        }
                    });
                </script>
            </ContentTemplate>
        </asp:UpdatePanel>
    </form>
</body>
</html>
