﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="ColumnChooser.aspx.cs" Inherits="WebSampleBrowser.Grid.ColumnChooser" %>
<asp:Content ID="Content1" ContentPlaceHolderID="SampleHeading" runat="server">
    <span class="sampleName">Grid / Column Chooser</span>
    
</asp:Content>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <div style="margin-top:10px;">
        <ej:Grid ID="FlatGrid" runat="server" ShowColumnChooser="true" ShowStackedHeader="true" AllowSorting="True" AllowPaging="True">
            <ClientSideEvents Create="Created" />
            <Columns>
                <ej:Column Field="OrderID" HeaderText="Order ID" IsPrimaryKey="True" TextAlign="Right" Width="75" />
                <ej:Column Field="CustomerID" HeaderText="Customer ID" Width="80" />
                <ej:Column Field="EmployeeID" HeaderText="Employee ID" TextAlign="Right" Width="75" />
                <ej:Column Field="Freight" HeaderText="Freight" TextAlign="Right" Width="75" Format="{0:C}" />
                <ej:Column Field="OrderDate" HeaderText="Order Date" TextAlign="Right" Width="80" Format="{0:MM/dd/yyyy}" />
                <ej:Column Field="ShipCity" HeaderText="Ship City" Width="110" />
            </Columns>
        </ej:Grid>
    </div>
</asp:Content>
<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
    <script type="text/javascript">
        function Created(args) {
            $("#FlatGridccDiv").find(".e-checkbox").attr("checked", "checked").ejCheckBox("model.change", "checkChanged");
            $("#FlatGridccDiv").find(".e-button:first").addClass("e-done");
        }

        function checkChanged(args) {
            var checked = $("#FlatGridccDiv").find(".e-checkbox:checked").length != 0;
            var operation = !checked ? "addClass" : "removeClass";
            $(".e-done")[operation]("e-disable");
        }
       
    </script>
</asp:Content>
