﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="PagerImprovements.aspx.cs" Inherits="WebSampleBrowser.Grid.PagerImprovements" %>
<asp:Content ID="Content1" ContentPlaceHolderID="SampleHeading" runat="server">
    <span class="sampleName">Grid /Paging/ Pager Templates</span>
</asp:Content>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <div>
        <ej:Grid ID="FlatGrid" runat="server"  AllowColumnChooser="true" ShowStackedHeader="true" AllowSorting="True" AllowPaging="True">
            <PageSettings ShowDefaults="false" PageSize="9" EnableTemplates="true" Template="#pagerTemplate" />
            <Columns>
                <ej:Column Field="OrderID" HeaderText="Order ID" IsPrimaryKey="True" TextAlign="Right" Width="75" />
                <ej:Column Field="CustomerID" HeaderText="Customer ID" Width="80" />
                <ej:Column Field="EmployeeID" HeaderText="Employee ID" TextAlign="Right" Width="75" />
                <ej:Column Field="Freight" HeaderText="Freight" TextAlign="Right" Width="75" Format="{0:C}" />
                <ej:Column Field="OrderDate" HeaderText="Order Date" TextAlign="Right" Width="80" Format="{0:MM/dd/yyyy}" />
                <ej:Column Field="ShipCity" HeaderText="Ship City" Width="110" />
            </Columns>
        </ej:Grid>
    </div>
</asp:Content>
<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
    <script type="text/x-jsrender" id="pagerTemplate">
        <a id="prev" value="Prev" onclick="gotoPage(this)" class="e-disable" style="border: none;height:25px; text-decoration:none;cursor: pointer" >Prev</a>
        <input type="text" id="txtPageNumber"  value="1" style="width: 45px;height:25px; border: none; cursor: text" />
        <input type="button" value="Go" style="border: none;height:25px; cursor: pointer" id="btnGo" onclick="gotoPage(this)" />
        <a onclick="gotoPage(this)" id="next" style="border: none;text-decoration:none; cursor: pointer">Next</a>
    </script>
    <script type="text/javascript">
        function gotoPage(sender) {
            var gridObj = $("#FlatGrid").data("ejGrid");
            var val = $("#txtPageNumber").val();
            var currentPage = gridObj.model.pageSettings.currentPage
            if (sender.id == "btnGo")
                gridObj.gotoPage(val);
            else if (sender.id == "prev"){
				if($("#prev").hasClass('e-disable'))
					return false;
                gridObj.gotoPage(parseInt(currentPage) - 1);
			}
            else{
				if($("#next").hasClass('e-disable'))
						return false;
                gridObj.gotoPage(parseInt(currentPage) + 1);
			}
			if(gridObj.model.pageSettings.totalPages == gridObj.model.pageSettings.currentPage)
				$("#next").addClass('e-disable');
			else	
				$("#next").removeClass('e-disable');
			if(gridObj.model.pageSettings.currentPage==1)
				$("#prev").addClass('e-disable');
			else	
			    $("#prev").removeClass('e-disable');
			if (gridObj.model.pageSettings.currentPage > gridObj.model.pageSettings.totalPages || gridObj.model.pageSettings.currentPage < 1) {
			    $("#next").addClass('e-disable');
				if (gridObj.model.pageSettings.currentPage > gridObj.model.pageSettings.totalPages + 1)
					$("#prev").addClass('e-disable');
			}
			if (gridObj.model.pageSettings.currentPage > 1 && gridObj.model.pageSettings.currentPage < gridObj.model.pageSettings.totalPages)
			    $("#prev").removeClass('e-disable');
			$("#txtPageNumber").val(gridObj.model.pageSettings.currentPage)
        }
    </script>
<style>
	.e-pager a{
		display: inline-block;
	}
</style>
	</asp:Content>