﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="VirtualPaging.aspx.cs" Inherits="WebSampleBrowser.Grid.VirtualPaging" %>

<asp:Content ID="StyleContent" runat="server" ContentPlaceHolderID="StyleSection">
    <style type="text/css">
       .e-gridcontent .e-table {
           width:100% !important;
       }
      .e-gridheader .e-table {
           width:100% !important;
      }
   </style>
    </asp:Content>
<asp:Content ID="Content1" ContentPlaceHolderID="SampleHeading" runat="server">
    <span class="sampleName">Grid / Paging /Virtual Paging</span>
</asp:Content>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <div>
        <ej:Grid ID="OrdersGrid" runat="server" AllowScrolling="True">
            <Columns>
                <ej:Column Field="OrderID" HeaderText="Order ID" IsPrimaryKey="true" TextAlign="Right" Width="80" />
                <ej:Column Field="CustomerID" HeaderText="Customer ID" />
                <ej:Column Field="Freight" HeaderText="Freight" TextAlign="Right" Width="80" Format="{0:C}" />
                <ej:Column Field="OrderDate" HeaderText="Order Date" TextAlign="Right" Format="{0:MM/dd/yyyy}" />
                <ej:Column Field="ShipCity" HeaderText="Ship City" Width="250" />
            </Columns>
            <ScrollSettings AllowVirtualScrolling="True" Height="300" Width="0" VirtualScrollMode="Normal"></ScrollSettings>
        </ej:Grid>
    </div>
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="PropertySection" runat="server">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                    Virtual Scroll Mode
                </div>
                <div class="col-md-3">
                    <ej:DropDownList ID="scrollMode" runat="server" ClientSideOnChange="selectChange"
                        SelectedItemIndex="0" Width="120px">
                        <Items>
                            <ej:DropDownListItem Text="Normal" Value="0" />
                            <ej:DropDownListItem Text="Continuous" Value="1" />
                        </Items>
                    </ej:DropDownList>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
     <script type="text/javascript">
         window.onresize = function () {
             if ($("#OrdersGrid .e-gridcontent").data("ejScroller"))
                 $("#OrdersGrid .e-gridcontent").ejScroller("refresh");
         };
         $(function () {
             $("#sampleProperties").ejPropertiesPanel();
         });
         function selectChange(args) {
             var gridObj = $("#OrdersGrid").data("ejGrid");
             if (args.itemId == 0)
                 $("#OrdersGrid").ejGrid("option", { scrollSettings: { virtualScrollMode:"normal" } });
             else
                 $("#OrdersGrid").ejGrid("option", { scrollSettings: { virtualScrollMode: "continuous" } });
         }
     </script>
</asp:Content>

