﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="Angular.aspx.cs" Inherits="WebSampleBrowser.LinearGauge.Angular" %>
<%@ Register Assembly="Syncfusion.EJ" Namespace="Syncfusion.JavaScript.DataVisualization.Models" TagPrefix="ej" %>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="HeadSection">
    <script src='<%= Page.ResolveClientUrl("~/Scripts/excanvas.min.js")%>' type="text/javascript"></script>
</asp:Content>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
   <div ng-app="syncApp">
        <div ng-controller="LinearGauge">
            <div align="center">
               <div ej-lineargauge id="linearCore" e-value="nvalue" e-maximum="maxvalue" e-minimum="minvalue" e-readonly="false" e-load="loadGaugeTheme" e-enableanimation="false" e-labelcolor="#8c8c8c">
                        <div e-scales>
                            <div e-scale e-width="4" e-border-color="transparent" e-border-width="0" e-showbarpointers="false" e-showranges="true" e-length="310" e-position-x="52" e-position-y="50">
                        <div e-markerpointers>
                            <div e-markerpointer e-length="10" e-width="10" e-backgroundcolor="#4D4D4D" e-border-color="#4D4D4D">
                            </div>
                        </div>
                            <div e-labels>
                                <div e-label  e-distancefromscale-x="-10" e-distancefromscale-y="0" e-font-fontfamily="Segoe UI" e-font-fontstyle="bold" e-font-size="12px"></div>
                            </div>
                        <div e-ticks>
                            <div e-tick e-type="majorinterval" e-width="2" e-color="#8c8c8c">
                            </div>
                        </div>
                        <div e-ranges>
                           <div e-range e-startvalue="0" e-endvalue="60" e-startwidth="4" e-endwidth="4" e-backgroundcolor="#F6B53F" e-border-color="#F6B53F">
                           </div>
                           <div e-range e-startvalue="60" e-endvalue="120" e-startwidth="4" e-endwidth="4" e-backgroundcolor="#E94649" e-border-color="#E94649">
                           </div>
                        </div>

                        </div>
                        </div>
                     </div>
            </div>
            <div class="prop-grid">
                <div class="row">
                    <div class="col-md-3 aligntop">
                       Value:  <input type="text" class="ejinputtext" id="txtValue" ej-numerictextbox e-value="nvalue" e-decimalplaces="2" e-showspinbutton="false" ng-model="nvalue" style="width: 110px" />
                    </div>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
    <script src='<%= Page.ResolveClientUrl("~/Scripts/angular.min.js")%>' type="text/javascript"></script>    
    <script src='<%= Page.ResolveClientUrl("~/Scripts/ej/ej.widget.angular.min.js")%>' type="text/javascript"></script>
    <script type="text/javascript">
        angular.module('syncApp', ['ejangular'])
              .controller('LinearGauge', function ($scope) {
                  $scope.nvalue = 50;
                  $scope.minvalue = 0;
                  $scope.maxvalue = 120;
              });


    </script>
</asp:Content>
