﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="Knockout.aspx.cs" Inherits="WebSampleBrowser.LinearGauge.Knockout" %>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="HeadSection">
    <script src='<%= Page.ResolveClientUrl("~/Scripts/excanvas.min.js")%>' type="text/javascript"></script>
</asp:Content>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <div align="center">
                   <div id="LinearCore" style="width:100%" data-bind="ejLinearGauge:({value:samplevalue,minimum:sampleminimum,maximum:samplemaximum,readOnly:false,enableAnimation: false,labelColor: '#8c8c8c', width: 500, load:'loadGaugeTheme',
                scales: [{
                    width: 4, border: { color: 'transparent', width: 0 }, showBarPointers: false, showRanges: true, length: 310,
                    position: { x: 52, y: 50 }, markerPointers: [{
                        length: 10, width: 10, backgroundColor: '#4D4D4D', border: { color: '#4D4D4D' }
                    }],
                    labels: [{ font: { size: '11px', fontFamily: 'Segoe UI', fontStyle: 'bold' }, distanceFromScale: { x: -13 } }],
                    ticks: [{ type: 'majorinterval', width: 1, color: '#8c8c8c' }],
                    ranges: [{
                        endValue: 60,
                        startValue: 0,
                        backgroundColor: '#F6B53F',
                        border: { color: '#F6B53F' }, startWidth: 4, endWidth: 4
                    }, {
                        endValue: 100,
                        startValue: 60,
                        backgroundColor: '#E94649',
                        border: { color: '#E94649' }, startWidth: 4, endWidth: 4
                    }]
                }]})"></div>
</div>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
    <script src='<%= Page.ResolveClientUrl("~/Scripts/knockout-min.js")%>' type="text/javascript"></script>
    <script src='<%= Page.ResolveClientUrl("~/Scripts/ej/ej.widget.ko.min.js")%>' type="text/javascript"></script>
    <script type="text/javascript">
        window.viewModel = {
            samplevalue: ko.observable(50),
            sampleminimum: ko.observable(0),
            samplemaximum: ko.observable(100),
        };
        $(function () {
            ko.applyBindings(viewModel);
            $("#sampleProperties").ejPropertiesPanel();
        });

    </script>
</asp:Content>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="PropertySection">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                   Value
                </div>
                <div class="col-md-3">
                   <input type="text" disabled="disabled" name="slide" value="" data-bind="ejNumericTextbox: {value: samplevalue,decimalPlaces: 2,width:90 }" class="e-inputText ejinputtext"/>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                   Minimum Value
                </div>
                <div class="col-md-3">
                   <input type="text" disabled="disabled" name="slide" value="" data-bind="ejNumericTextbox: {value: sampleminimum,decimalPlaces: 2,width:90 }" class="e-inputText ejinputtext"/>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                   Maximum Value
                </div>
                <div class="col-md-3">
                   <input type="text" disabled="disabled" name="slide" value="" data-bind="ejNumericTextbox: {value: samplemaximum,decimalPlaces: 2,width:90 }" class="e-inputText ejinputtext"/>
                </div>
            </div>
        </div>
    </div>
</asp:Content>

