﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="CheckBox.aspx.cs" Inherits="WebSampleBrowser.ListBox.CheckBox" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">


    <div class="control">
        <div class="ctrllabel">Select your skill</div>
        <ej:ListBox ID="skillsets" runat="server" ShowCheckbox="true">
            <Items>
                <ej:ListBoxItems Text="ASP.NET" Value="ASP.NET"></ej:ListBoxItems>
                <ej:ListBoxItems Text="ActionScript" Value="ActionScript"></ej:ListBoxItems>
                <ej:ListBoxItems Text="Basic" Value="Basic"></ej:ListBoxItems>
                <ej:ListBoxItems Text="C++" Value="C++"></ej:ListBoxItems>
                <ej:ListBoxItems Text="C#" Value="C#"></ej:ListBoxItems>
                <ej:ListBoxItems Text="dBase" Value="dBase"></ej:ListBoxItems>
                <ej:ListBoxItems Text="Delphi" Value="Delphi"></ej:ListBoxItems>
                <ej:ListBoxItems Text="ESPOL" Value="ESPOL"></ej:ListBoxItems>
                <ej:ListBoxItems Text="F#" Value="F#"></ej:ListBoxItems>
                <ej:ListBoxItems Text="FoxPro" Value="FoxPro"></ej:ListBoxItems>
                <ej:ListBoxItems Text="Java" Value="Java"></ej:ListBoxItems>
                <ej:ListBoxItems Text="J#" Value="J#"></ej:ListBoxItems>
                <ej:ListBoxItems Text="Lisp" Value="Lisp"></ej:ListBoxItems>
                <ej:ListBoxItems Text="Logo" Value="Logo"></ej:ListBoxItems>
                <ej:ListBoxItems Text="PHP" Value="PHP"></ej:ListBoxItems>
            </Items>
        </ej:ListBox>
    </div>

</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PropertySection" runat="server">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">Check\Uncheck All</div>
                <div class="col-md-3">
                    <ej:ToggleButton runat="server" ID="btnchkunchk" DefaultText="Check All" ActiveText="Uncheck All" ClientSideOnChange="onCheckUncheckAll"></ej:ToggleButton>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">GetCheckeditems</div>
                <div class="col-md-3">
                    <ej:Button ID="get" runat="server" ClientSideOnClick="GetCheckeditems" Type="Button" Text="GetCheckeditems"></ej:Button>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">Show/Hide CheckBox</div>
                <div class="col-md-3">
                    <ej:ToggleButton runat="server" ID="btnshwhid" DefaultText="Show Checkbox" ActiveText="Hide Checkbox" ClientSideOnChange="onShowHide"></ej:ToggleButton>

                </div>
            </div>

        </div>
    </div>

</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
    <script type="text/javascript">
        var target = $('#skillsets').data("ejListBox");;
        $(function () {

            target = $('#skillsets').data("ejListBox");
            $("#sampleProperties").ejPropertiesPanel();
        });
        function onCheckUncheckAll(args) {
            target = $('#skillsets').data("ejListBox");
            if (args.isChecked) 
                target.checkAll();            
            else
                target.unCheckAll();
        }
     
        function onShowHide(args) {
            target = $('#skillsets').data("ejListBox");
            if (args.isChecked)
                target.checkboxHideShow(false);
            else
                target.checkboxHideShow(true);
        }
        function GetCheckeditems(e) {
            var checkeditems = "";
            var target = $('#skillsets').data("ejListBox");
            for (var i = 0; i < target.getCheckedItems().length; i++) {
                 checkeditems +=  $(target.getCheckedItems()[i]).text();
                checkeditems += ", ";
            }
            if (checkeditems != "")
                alert("The Checked items were the following: " + checkeditems);
            else
                alert("No items are seleted");
        }
    </script>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        .control {
            margin-left: 20px;
        }

        .ctrllabel {
            padding-top: 15px;
        }
    </style>
</asp:Content>
