﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="ClientSideEvents.aspx.cs" Inherits="WebSampleBrowser.ListBox.ClientSideEvents" %>


<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">   
        <div class="control">
            
             <div class="control1" style="float: left;">
            <div class="ctrllabel">Select a country</div>
            <ej:ListBox ID="selectCountry" runat="server"  AllowDragAndDrop="true" ClientSideOnSelectIndexChanged="OnselectIndexchange"  ClientSideOnCreate="Oncreate"  ClientSideOnSelect="Onselected" ClientSideOnCheckChange="OncheckChange" ClientSideOnItemDrag="OnitemDrag" ClientSideOnItemDragStart="OnitemDragStart" ClientSideOnItemDragStop="OnitemDragStop" ClientSideOnItemDropped="OnitemDropped" >
                <Items>
                    <ej:ListBoxItems Text="America" Value="America"></ej:ListBoxItems>
                    <ej:ListBoxItems Text="Australia" Value="Australia"></ej:ListBoxItems>
                    <ej:ListBoxItems Text="Austria" Value="Austria"></ej:ListBoxItems>
                    <ej:ListBoxItems Text="Bangladesh" Value="Bangladesh"></ej:ListBoxItems>
                    <ej:ListBoxItems Text="Brazil" Value="Brazil"></ej:ListBoxItems>
                    <ej:ListBoxItems Text="Canada" Value="Canada"></ej:ListBoxItems>
                    <ej:ListBoxItems Text="China" Value="China"></ej:ListBoxItems>
                    <ej:ListBoxItems Text="Denmark" Value="Denmark"></ej:ListBoxItems>
                    <ej:ListBoxItems Text="Europe" Value="Europe"></ej:ListBoxItems>
                    <ej:ListBoxItems Text="France" Value="France"></ej:ListBoxItems>
                    <ej:ListBoxItems Text="Germany" Value="Germany"></ej:ListBoxItems>
                    <ej:ListBoxItems Text="India" Value="India"></ej:ListBoxItems>
                    <ej:ListBoxItems Text="Japan" Value="Japan"></ej:ListBoxItems>
                    <ej:ListBoxItems Text="Kuwait" Value="Kuwait"></ej:ListBoxItems>
                    <ej:ListBoxItems Text="Malaysia" Value="Malaysia"></ej:ListBoxItems>
                    <ej:ListBoxItems Text="New Zealand" Value="New Zealand"></ej:ListBoxItems>
                </Items>
            </ej:ListBox>
                  </div>
                    <div id="" class="control2" style="float: right;">
            <ej:ListBox ID="dragable" runat="server"  AllowDragAndDrop="true"></ej:ListBox>
                         </div>
            
        </div>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PropertySection" runat="server">
<%--    <asp:UpdatePanel ID="update1" runat="server" UpdateMode="Conditional">
        <ContentTemplate>--%>
            <div class="cols-prop-area event-tracer">
                <div>
                    <div class="heading">
                        <span>Event Trace</span>
                        <div class="pull-right">
                            <ej:DropDownList ID="selectControls"  ClientSideOnCheckChange="evtpropscheckedevent" ShowCheckbox="true" CheckAll="true" runat="server">
                                <Items>
                                    <ej:DropDownListItem Value="create" Text="create"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="selected" Text="selected"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="selectIndexChanged" Text="selectedindexchanged"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="itemDrag" Text="itemDrag"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="itemDragStart" Text="itemDragStart"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="itemDragStop" Text="OnItemDragStop"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="itemDropped" Text="OnItemDropped"></ej:DropDownListItem>
                                    </Items>
                            </ej:DropDownList>
                        </div>
                    </div>

                    <div class="prop-grid content">
                        <div class="eventarea">
                            <div class="EventLog" id="EventLog">
                            </div>
                        </div>
                        <div class="evtbtn">
                            <ej:Button ID="Clear" Text="Clear" Type="Button" ClientSideOnClick="onClear" CssClass="eventclear e-btn" runat="server"></ej:Button>
                        </div>
                    </div>
                </div>
            </div>
<%--        </ContentTemplate>
    </asp:UpdatePanel>--%>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
    <script src='<%= Page.ResolveClientUrl("~/Scripts/Dialog/Events.js")%>' type="text/javascript"></script>
    <script type="text/javascript" class="jsScript">
        function onShowHide(args) {
            var target = $('#selectCountry').data("ejListBox");
            if (args.isChecked)
                target.checkboxHideShow(false);
            else
                target.checkboxHideShow(true);
        }
        function Oncreate(args) {
            jQuery.addEventLog("ListBox control has been <span class='eventTitle'>created</span>.<br/>");

        }
        function OnselectIndexchange(args) {
            jQuery.addEventLog("SelectedIndexchanged has been  <span class='eventTitle'>fired</span>.<br/>");

        }
        function Onselected(args) {
            jQuery.addEventLog("Onselected has been <span class='eventTitle'>fired</span>.<br/>");

        }
        function OnitemDragStart(args) {
            jQuery.addEventLog("OnitemDragStart has been <span class='eventTitle'>fired</span>.<br/>");

        }
        function OnitemDrag(args) {
            jQuery.addEventLog("Listitem has been <span class='eventTitle'>dragging</span>.<br/>");

        }
        function OnitemDragStop(args) {
            jQuery.addEventLog("OnitemDragStop has been <span class='eventTitle'>fired</span>.<br/>");

        }
        function OnitemDropped(args) {
            jQuery.addEventLog("OnitemDropped has been <span class='eventTitle'>fired</span>.<br/>");

        }
        function OncheckChange(args) {
            jQuery.addEventLog("OncheckChange has been <span class='eventTitle'>fired</span>.<br/>");

        }
        function onClear() {
            jQuery.clearEventLog();
        }
        function evtpropscheckedevent(args) {
            var target = $("#selectCountry").data("ejListBox");
            if (args.isChecked) {
                switch (args.data.itemValue) {
                    case "create":
                        target.option(args.data.itemValue, "Oncreate");
                        break;
                    case "selected":
                        target.option(args.data.itemValue, "Onselected");
                        break;
                    case "selectIndexChanged": target.option(args.data.itemValue, "selectIndexChange"); break;
                    case "itemDragStart": target.option(args.data.itemValue, "OnitemDragStart"); break;
                    case "itemDragStop": target.option(args.data.itemValue, "OnitemDragStop"); break;
                    case "itemDrag": target.option(args.data.itemValue, "OnitemDrag"); break;
                    case "itemDropped": target.option(args.data.itemValue, "OnItemDropped"); break;
                      }
            }
            else {
                target.option(args.data.itemValue, null);
            }
        }
    </script>

</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css" class="cssStyles">
        .ctrllabel {
            padding-bottom: 3px;
        }
        .control1 {
            padding-left:100px;
        }
        .control2 {
            padding-right:100px;
            padding-top:17px;
        }
    </style>
</asp:Content>