#region Copyright Syncfusion Inc. 2001 - 2014
// Copyright Syncfusion Inc. 2001 - 2014. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WebSampleBrowser.ListBox
{
    public partial class ToolTip : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            List<EmployeeTool> empl = new List<EmployeeTool>();
            empl.Add(new EmployeeTool { text = "Erik Linden", eimg = "../Content/images/Employee/3.png", tooltip = "Representative" });
            empl.Add(new EmployeeTool { text = "John Linden", eimg = "../Content/images/Employee/6.png", tooltip = "Manager" });
            empl.Add(new EmployeeTool { text = "Louis", eimg = "../Content/images/Employee/7.png", tooltip = "CEO" });
            empl.Add(new EmployeeTool { text = "Lawrence", eimg = "../Content/images/Employee/8.png", tooltip = "President" });            
            selectExperts.ListBoxFields.Text = "text";
            selectExperts.ListBoxFields.ImageUrl = "eimg";
            selectExperts.ListBoxFields.ToolTipText = "tooltip";
            selectExperts.DataSource = empl;
        }
    }
    public class EmployeeTool
    {
        public String text, eimg, tooltip;
    }
}