﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="AngularSupport.aspx.cs" Inherits="WebSampleBrowser.Menu.AngularSupport" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ControlsSection" runat="server">
  <div ng-app="menuApp">  
    <div ng-controller="MenuCtrl">
       <ul id="menu" ej-menu e-fields-dataSource="dataList" e-fields-id="id" e-fields-parentId="parentId"
                    e-fields-text="text" e-fields-spriteCssClass="sprite">
           </ul>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ScriptSection" runat="server">
    <script src='<%= Page.ResolveClientUrl("~/Scripts/angular.min.js")%>' type="text/javascript"></script>
    <script src='<%= Page.ResolveClientUrl("~/Scripts/ej/ej.widget.angular.min.js")%>' type="text/javascript"></script>
     <script>
         var data = [
            { id: 1, text: "Mail", parentId: null },
            { id: 2, text: "Calender", parentId: null },
            { id: 3, text: "Notes", parentId: null },
            { id: 4, text: "Contacts", parentId: null },
         //first level child
            {id: 11, parentId: 1, text: "Inbox", sprite: "mailicon sprite-inbox" },
            { id: 12, parentId: 1, text: "Drafts", sprite: "mailicon sprite-drafts" },
            { id: 13, parentId: 1, text: "Sent items", sprite: "mailicon sprite-sentitems" },
            { id: 14, parentId: 1, text: "Deleted", sprite: "mailicon sprite-deleted" },
            { id: 15, parentId: 1, text: "Junk mails", sprite: "mailicon sprite-junk" },
            { id: 16, parentId: 1, text: "Personal", sprite: "mailicon sprite-folders" },
            { id: 17, parentId: 2, text: "My Calender", sprite: "mailicon sprite-calendar" },
            { id: 18, parentId: 2, text: "Team", sprite: "mailicon sprite-calendar" },
            { id: 19, parentId: 2, text: "Others", sprite: "mailicon sprite-calendar" },
            { id: 20, parentId: 3, text: "My Reference", sprite: "mailicon sprite-folder" },
            { id: 21, parentId: 3, text: "Team Meeting", sprite: "mailicon sprite-folder" },
            { id: 22, parentId: 3, text: "Others", sprite: "mailicon sprite-folder" },
            { id: 23, parentId: 4, text: "Suggested", sprite: "mailicon sprite-contacts" },
            { id: 24, parentId: 4, text: "My Team", sprite: "mailicon sprite-contacts" },
            { id: 25, parentId: 4, text: "Others", sprite: "mailicon sprite-contacts" },
         //second level child
            {id: 111, parentId: 11, text: "Development", sprite: "mailicon sprite-folders" },
            { id: 111, parentId: 11, text: "Supports", sprite: "mailicon sprite-folders" },
            { id: 111, parentId: 11, text: "HR Team", sprite: "mailicon sprite-folders" },
            { id: 112, parentId: 12, text: "Support Template", sprite: "mailicon sprite-folders" },
            { id: 112, parentId: 12, text: "Personal", sprite: "mailicon sprite-folders" }
            ];
         angular.module('menuApp', ['ejangular']).controller('MenuCtrl', function ($scope) {
             $scope.dataList = data;
         });          
    </script>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="StyleSection" runat="server">
     <style type="text/css">
        #menu{
            margin-left: 50px;
        }
        [class^="sprite-"],
        [class*="sprite-"] 
        {
            background-image: url("../Content/images/mail/mailicons.png");
            height: 25px;
            left: 2px;
            top: 4px;
            width: 24px;
        }
        .sprite-calendar
        {
            background-position: -25px -255px;
        }

        .sprite-contacts
        {
            background-position: -26px -429px;
        }

        .sprite-deleted
        {
            background-position: -24px -152px;
        }

        .sprite-drafts
        {
            background-position:-24px -83px;
        }

        .sprite-folder
        {
            background-position: -24px -464px;
        }

        .sprite-folders
        {
            background-position: -24px -222px;
        }

        .sprite-inbox
        {
            background-position: -25px -13px;
        }

        .sprite-junk
        {
            background-position: -23px -187px;
        }

        .sprite-notes
        {
            background-position: -26px -394px;
        }

        .sprite-outbox
        {
            background-position: 0 -414px;
            width: 16px;
            height: 16px;
        }

        .sprite-root
        {
            background-position: -25px -49px;
        }

        .sprite-sentitems
        {
            background-position: -26px -118px;
        }
        .e-menu-res-wrap{display:none;height:32px;overflow:hidden}
    </style>
</asp:Content>