﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="KeyboardInteraction.aspx.cs" Inherits="WebSampleBrowser.Menu.KeyboardInteraction" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ControlsSection" runat="server">
    <ej:Menu ID="keyboard" MenuType="NormalMenu" runat="server">
        <Items>
            <ej:MenuItem Text="Books">
                <Items>
                    <ej:MenuItem Text="New Releases"></ej:MenuItem>
                </Items>
                <Items>
                    <ej:MenuItem Text="New Releases audio book"></ej:MenuItem>
                </Items>
                <Items>
                    <ej:MenuItem Text="Bestsellers"></ej:MenuItem>
                </Items>
                <Items>
                    <ej:MenuItem Text="Upcoming"></ej:MenuItem>
                </Items>
                <Items>
                    <ej:MenuItem Text="Box Sets"></ej:MenuItem>
                </Items>
            </ej:MenuItem>
        </Items>
        <Items>
            <ej:MenuItem Text="Gaming">
                <Items>
                    <ej:MenuItem Text="Upcoming"></ej:MenuItem>
                </Items>
                <Items>
                    <ej:MenuItem Text="PC"></ej:MenuItem>
                </Items>
                <Items>
                    <ej:MenuItem Text="PS Vista"></ej:MenuItem>
                </Items>
                <Items>
                    <ej:MenuItem Text="PS3"></ej:MenuItem>
                </Items>
                <Items>
                    <ej:MenuItem Text="XBox"></ej:MenuItem>
                </Items>
                <Items>
                    <ej:MenuItem Text="Consoles"></ej:MenuItem>
                </Items>
            </ej:MenuItem>
        </Items>
        <Items>
            <ej:MenuItem Text="Mobiles">
                <Items>
                    <ej:MenuItem Text=""></ej:MenuItem>
                </Items>
                <Items>
                    <ej:MenuItem Text="New Arrivals"></ej:MenuItem>
                </Items>
                <Items>
                    <ej:MenuItem Text="Bestsellers"></ej:MenuItem>
                </Items>
                <Items>
                    <ej:MenuItem Text="Low Price"></ej:MenuItem>
                </Items>
                <Items>
                    <ej:MenuItem Text="Tablets"></ej:MenuItem>
                </Items>
            </ej:MenuItem>
        </Items>
        <Items>
            <ej:MenuItem Text="Cameras">
                <Items>
                    <ej:MenuItem Text="Point & Shoots"></ej:MenuItem>
                </Items>
                <Items>
                    <ej:MenuItem Text="Digital SLR"></ej:MenuItem>
                </Items>
                <Items>
                    <ej:MenuItem Text="Camcorders"></ej:MenuItem>
                </Items>
                <Items>
                    <ej:MenuItem Text="Bestsellers"></ej:MenuItem>
                </Items>
            </ej:MenuItem>
        </Items>
        <Items>
            <ej:MenuItem Text="Musics">
                <Items>
                    <ej:MenuItem Text="New Releases"></ej:MenuItem>
                </Items>
                <Items>
                    <ej:MenuItem Text="Bestsellers"></ej:MenuItem>
                </Items>
                <Items>
                    <ej:MenuItem Text="Rock Music"></ej:MenuItem>
                </Items>
                <Items>
                    <ej:MenuItem Text="Devotional & Spiritual"></ej:MenuItem>
                </Items>
                <Items>
                    <ej:MenuItem Text="Sufi & Ghazal"></ej:MenuItem>
                </Items>
            </ej:MenuItem>
        </Items>
    </ej:Menu>
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="PropertySection" runat="server">
    <div id="sampleProperties">
        <div class="prop-grid keyboard">
            <div class="row">
                <div class="col-md-3">
                    <b>Alt + j</b>
                </div>
                <div class="col-md-3">
                    Focuses the control
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>UP</b>
                </div>
                <div class="col-md-3">
                    Navigates up or previous item
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Down</b>
                </div>
                <div class="col-md-3">
                    Navigates down or next item
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Left</b>
                </div>
                <div class="col-md-3">
                    Navigates to next group
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Right</b>
                </div>
                <div class="col-md-3">
                    Navigates to previous group
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Esc</b>
                </div>
                <div class="col-md-3">
                    Closes the menu group
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Tab</b>
                </div>
                <div class="col-md-3">
                    Navigates to Next element
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Enter</b>
                </div>
                <div class="col-md-3">
                    Selects the focused item
                </div>
            </div>
        </div>
    </div>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ScriptSection" runat="server">
<script src='<%= Page.ResolveClientUrl("~/Scripts/Menu/KeyboardInteraction.js")%>' type="text/javascript"></script>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="StyleSection" runat="server">
<style type="text/css">
        #keyboard {
            margin-left: 50px;
        }

        .e-menu-res-wrap {
            display: none;
            height: 32px;
            overflow: hidden;
        }

</style>
</asp:Content>
