﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="KnockoutSupport.aspx.cs" Inherits="WebSampleBrowser.Menu.KnockoutSupport" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ControlsSection" runat="server">
    <ul id="menuko" data-bind="ejMenu :{fields:{dataSource:dataList,id:'id',text:'text',parentId:'parentId',spriteCssClass:'sprite'}}"></ul>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ScriptSection" runat="server">
  <script src='<%= Page.ResolveClientUrl("~/Scripts/knockout-min.js")%>' type="text/javascript"></script>
    <script src='<%= Page.ResolveClientUrl("~/Scripts/ej/ej.widget.ko.min.js")%>' type="text/javascript"></script>
     <script>
 $(document).ready(function () {
        // declaration
        var menu=[
            { id: 1, text: "Leafy and Salad", parentId: null },
            { id: 2, text: "Beans", parentId: null },
            { id: 3, text: "Bulb and Stem", parentId: null },
            { id: 4, text: "Root and Tuberous", parentId: null },
            //first level child
            { id: 11, parentId: 1, text: "Cabbage" },
            { id: 12, parentId: 1, text: "Pea" },
            { id: 13, parentId: 1, text: "Spinach" },
            { id: 14, parentId: 1, text: "Wheatgrass" },
            { id: 15, parentId: 1, text: "Yarrow" },
            { id: 16, parentId: 2, text: "Chickpea" },
            { id: 17, parentId: 2, text: "Green bean" },
            { id: 18, parentId: 2, text: "Horse gram" },
            { id: 19, parentId: 2, text: "Pigeon pea" },
            { id: 20, parentId: 3, text: "Garlic" },
            { id: 21, parentId: 3, text: "Garlic Chives" },
            { id: 22, parentId: 3, text: "Onion" },
            { id: 24, parentId: 3, text: "Lotus root" },
            { id: 25, parentId: 3, text: "Nopal" },
            { id: 26, parentId: 3, text: "Shallot" },
            { id: 27, parentId: 4, text: "Beetroot" },
            { id: 28, parentId: 4, text: "Carrot" },
            { id: 29, parentId: 4, text: "Ginger" },
            { id: 30, parentId: 4, text: "Potato" },
            { id: 31, parentId: 4, text: "Turmeric" },
            { id: 32, parentId: 4, text: "Radish" }
            ];

       window.viewModel = { 
                dataList: ko.observableArray(menu),               
						
            };	        		
            ko.applyBindings(viewModel);                       
        });
    </script>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        #menuko {
            margin-left: 50px;
        }

        .e-menu-res-wrap{display:none;height:32px;overflow:hidden}
    </style>
</asp:Content>