﻿<%@ Page Language="C#"  MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="KOModelBinding.aspx.cs" Inherits="WebSampleBrowser.KOModelBinding" %>

<asp:Content ID="Content4" runat="server" ContentPlaceHolderID="ControlsSection">

     <script src='<%= Page.ResolveClientUrl("~/Scripts/excanvas.min.js")%>' type="text/javascript"></script>
    <html xmlns="http://www.w3.org/1999/xhtml">
        <body>
            <div id="OlapGauge1" data-bind="ejOlapGauge: { url: url, enableTooltip: enableTooltip, backgroundColor: background, scales: scale, rowsCount: rowsCount, columnsCount: columnsCount }" />
        </body>
    </html>
</asp:Content>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="PropertySection">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3" style="line-height:3">
                    Edit Row Count
                </div>
                <div class="col-md-3 aligntop">
                    <input type="text" value="" data-bind="ejNumericTextbox: {value:rowsCount, minValue: 0 ,maxValue:3, width: '100px' }"
                            data-bind="value:rowsCount" />
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Edit Column Count
                </div>
                <div class="col-md-3 aligntop">
                    <input type="text" value="" data-bind="ejNumericTextbox: {value:columnsCount, minValue: 0 ,maxValue:3, width: '100px' }"
                            data-bind="value:columnsCount" />
                </div>
            </div>
        </div>
    </div>
</asp:Content>

<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">

      <script src='<%= Page.ResolveClientUrl("~/Scripts/knockout-min.js")%>' type="text/javascript"></script>
      <script src='<%= Page.ResolveClientUrl("~/Scripts/ej/ej.widget.ko.min.js")%>' type="text/javascript"></script>  

    <script type="text/javascript" class="jsScript">
        var scale = [{
            showRanges: true,
            radius: 150, showScaleBar: true, size: 1, border: {
                width: 0.5
            },
            showIndicators: true, showLabels: true,
            pointers: [{
                showBackNeedle: true,
                backNeedleLength: 20,
                length: 125,
                width: 7,
            },
                    {
                        type: "marker",
                        markerType: "diamond",
                        distanceFromScale: 5,
                        placement: "center",
                        backgroundColor: "#29A4D9",
                        length: 25,
                        width: 15
                    }],
            ticks: [{
                type: "major",
                distanceFromScale: 2,
                height: 16,
                width: 1, color: "#8c8c8c"
            },
            {
                type: "minor",
                height: 6,
                width: 1,
                distanceFromScale: 2,
                color: "#8c8c8c"
            }],
            labels: [{
                color: "#8c8c8c"
            }],
            ranges: [{
                distanceFromScale: -5,
                backgroundColor: "#fc0606",
                border: { color: "#fc0606" }
            }, {
                distanceFromScale: -5
            }],
            customLabels: [{
                position: { x: 180, y: 290 },
                font: { size: "10px", fontFamily: "Segoe UI", fontStyle: "Normal" }, labelColor: "#666666"
            }, {
                position: { x: 180, y: 320 },
                font: { size: "10px", fontFamily: "Segoe UI", fontStyle: "Normal" }, labelColor: "#666666"
            }, {
                position: { x: 180, y: 150 },
                font: { size: "12px", fontFamily: "Segoe UI", fontStyle: "Normal" }, labelColor: "#666666"
            }]
        }];
        window.viewModel = {
            url: ko.observable("../wcf/OlapGaugeService.svc"),
            enableTooltip: ko.observable(true),
            rowsCount: ko.observable(2),
            columnsCount: ko.observable(3),
            scales: ko.observable(scale),
            background: ko.observable("transparent")
        };
        $(function () {
            ko.applyBindings(viewModel);
            $("#sampleProperties").ejPropertiesPanel();
        });
     </script>
</asp:Content>

<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="StyleSection">
    <style type="text/css">
        #OlapGauge1{
            overflow:auto;
            width:69%;
            height:400px;
            float:left;
            position:relative;
        }
       /*.row .cols-prop-area
        {
            width: 29%;
            margin-left:713px;
            margin-top:-400px;
            float: right;
            height:156px;
            min-height:140px;
        }*/
        .row .cols-prop-area .content {
            overflow-y: visible;
        }
        .row .cols-sample-area {
            width:100%;
        }
    </style>
</asp:Content>