﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="Booklet.aspx.cs" Inherits="WebSampleBrowser.Pdf.Booklet" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">
    <p>
        A PDF booklet is very useful in viewing a book before a PDF document is printed.
        It reorders the pages so that they print in the form of a book.
        </p>
    <asp:Label ID="lb_error" runat="server" ForeColor="Orange" EnableViewState="false"
        Visible="false" Text="Label"></asp:Label><br />
    <br />
    <div>
        <table width="100%" id="PanelTable" cellspacing="0" cellpadding="0" border="0">
            <tr style="margin-top: 5px;">
                <td align="left">
                    <b>Source Document</b><br />
                    <br />
                    <div style="border: solid 1px #788DB3; padding: 10px; background-color: #EDF0F7;">
                        <asp:Label runat="server" ID="label1" Text="Path" Width="50px"></asp:Label>
                        <asp:FileUpload ID="fileUpload1" runat="server" />
                        <asp:RequiredFieldValidator ID="requiredFieldValidator" runat="server" ControlToValidate="fileUpload1"
                            ErrorMessage=" *" Width="5px" Height="16px"></asp:RequiredFieldValidator>
                    </div>
                    <br />
                    <b>Page Settings</b>
                    <div style="border: solid 1px #788DB3; padding: 10px; background-color: #EDF0F7;">
                        <asp:Label runat="server" ID="label2" Text="Page Width"></asp:Label>
                        <asp:TextBox runat="server" ID="textBoxWidth" Width="90px" AutoPostBack="false" Text="595"></asp:TextBox>
                        <asp:Label runat="server" ID="label3" Style="margin-left: 35px" Text="Page Height"></asp:Label>
                        <asp:TextBox runat="server" ID="textBoxHeight" Width="90px" AutoPostBack="false"
                            Text="550"></asp:TextBox>
                        <asp:CheckBox ID="checkBoxDoubleSide" Style="margin-left: 35px" runat="server" Text=" Double Side"
                            ToolTip="The page will be double sided" AutoPostBack="false" />
                    </div>
                    <br />
                    <div style="border: none 1px transparent; background-color: transparent;">
                        <asp:Label Width="100%" Style="text-align: justify;" ID="label4" runat="server"
                            Text="Click the button to view an PDF document generated by Essential PDF.  Please note that Adobe Reader or its equivalent is required to view the resultant document."></asp:Label>
                    </div>
                    <br />
                    <div style="border: solid 1px #788DB3; padding: 5px 7px 5px 7px; background-color: #EDF0F7;">
                        <table width="95%" cellpadding="0" cellspacing="0" border="0">
                            <tr>
                                <td valign="middle" align="left">
                                    <asp:CheckBox ID="checkBoxOpen" runat="server" Text=" Open Document inside Browser" />
                                </td>
                                <td align="right">
                                    <asp:Button Width="100px" Style="margin-right: 3px" ID="btnCreatePDF" Height="27px"
                                        runat="server" OnClick="btnCreatePDF_Click" Text="Create PDF" />
                                </td>
                            </tr>
                        </table>
                    </div>
                </td>
            </tr>
        </table>
    </div>
</asp:Content>
