﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true"
    CodeBehind="Events.aspx.cs" Inherits="WebSampleBrowser.ProgressBar.events" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ScriptSection" runat="server">
    <script src='<%= Page.ResolveClientUrl("~/Scripts/ProgressBar/events.js")%>' type="text/javascript"></script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">
    <div class="frame">
        <div class="control">

            <div id="progressBar"></div>
            <div>
                <ej:ProgressBar ID="ProgressBar1" ClientSideOnComplete="completed"
            OnComplete="ProgressBar1_Complete"        runat="server" Height="20px" ></ej:ProgressBar>
            </div>

        </div>
        <div class="startButton">
            <ej:ToggleButton ID="startButton" Type="Button" Size="Small" DefaultText="Start" ActiveText="Pause" ClientSideOnClick="startProcess" runat="server">
            </ej:ToggleButton>


        </div>
    </div>
</asp:Content>
<asp:Content ID="Content4" ContentPlaceHolderID="EventSection" runat="server">
    <asp:UpdatePanel ID="UpdatePanelProp" UpdateMode="Conditional" runat="server">
        <Triggers>
            <asp:AsyncPostBackTrigger ControlID="Clear" EventName="click" />
        </Triggers>
        <ContentTemplate>
            <div class="cols-prop-area event-tracer">
                <div>
                    <div class="heading">
                        <span>Event Trace</span>
                    </div>
                    <div class="prop-grid content">
                        <div class="eventarea">
                            <div class="EventLog" id="EventLog" runat="server">
                            </div>
                        </div>
                        <div class="evtbtn">
                            <ej:Button ID="Clear" Type="Reset" OnClick="Clear_Click" Text="Clear" CssClass="eventclear e-btn" runat="server"></ej:Button>
                        </div>
                    </div>
                </div>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        .frame {
            border: 1px solid #BBBCBB;
            border-radius: 10px 10px 10px 10px;
            padding: 50px 60px;
            margin-top: 40px;
            width: 400px;
        }

        .control {
            margin-bottom: 25px;
        }

        .txt {
            font-size: 20px;
            margin-top: 12px;
            text-align: center;
        }

        .startButton {
            margin-left: 155px;
        }
    </style>
</asp:Content>
