﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="KnockoutSupport.aspx.cs" Inherits="WebSampleBrowser.Rating.knockout" %>


<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">

    <div class="frame">
        <input id="apiRating" type="text" class="rating" data-bind="ejRating: { value: ratingValue, width: '161px', precision: 'exact' }">
    </div>

</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PropertySection" runat="server">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                    Get Current Value
                </div>
                <div class="col-md-3">
                    <ej:Button ID="btnGetValue" Type="Button" Text="GetValue" runat="server" Width="87px" ClientSideOnClick="onGetValueClck"></ej:Button>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Set Value
                </div>
                <div class="col-md-3">
                    <input type="text" id="apinum" name="rating" class="input ejinputtext" value="" data-bind="value: ratingValue" />
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
      <script src='<%= Page.ResolveClientUrl("~/Scripts/knockout-min.js")%>' type="text/javascript"></script>
    <script src='<%= Page.ResolveClientUrl("~/Scripts/ej/ej.widget.ko.min.js")%>' type="text/javascript"></script>
    <script type="text/javascript">
        var raingObj;
        $(function () {
            $("#apinum").ejNumericTextbox(
                             {
                                 width: "70px",
                                 showSpinButton: false,
                                 strictMode: true,
                                 minValue: 1,
                                 maxValue: 5,
                                 decimalPlaces: 1
                             });
            raingObj = $("#apiRating").data("ejRating");
        });
        window.viewModel = {
            ratingValue: ko.observable(3),
        };

        $(function () {
            ko.applyBindings(viewModel);
            raingObj = $("#apiRating").data("ejRating");
            $("#sampleProperties").ejPropertiesPanel();
        });
        function onGetValueClck(args) {
            var val = raingObj.getValue();
            alert("Current Value : " + val);
        }

        function onResetClck() {
            raingObj.reset();
        }
        function onShowHideRating(args) {
            if (args.isChecked)
                raingObj.hide();
            else
                raingObj.show();
        }
        function onShowHideReset(args) {
            if (args.isChecked)
                raingObj.hideResetButton();
            else
                raingObj.showResetButton();
        }


    </script>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        .input {
            height: 22px;
            text-indent: 10px;
            width: 100px;
        }

        .inputBtn {
            width: 100px;
            text-align: center;
        }

        .e-rating.e-widget.e-horizontal {
            margin: auto;
        }
    </style>
</asp:Content>
