﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="Localization.aspx.cs" Inherits="WebSampleBrowser.ReportViewer.Localization" %>

<asp:Content ID="Content1" ContentPlaceHolderID="SampleHeading" runat="server">
    <span class="sampleName">ReportViewer / Localization</span>
</asp:Content>

<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
     <div style="float:right; padding-bottom:5px;">
           <span style="font-family: 'Segoe UI'; font-size: 18px;font-weight:400;float: left;vertical-align:middle;margin-top:-12px;">Culture  </span>

                            <select name="selectIndex"  id="optPositionChange">
                                                    <option value="0">en-US</option>
                                                    <option value="1">fr-FR</option>
                                                    <option value="2">ja-JP</option>
                            </select>
        </div>     
    <div style="width:100%;height:100%;">                  
        <ej:ReportViewer ID="ReportViewer1" runat="server" ReportPath="ConditionalRowFormatting.rdl" ProcessingMode="Remote">
        </ej:ReportViewer>
    </div>   
</asp:Content>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="ScriptSection">
    <style type="text/css">
    #ReportViewer1 {
        width: 980px;
        height:665px;
    }
        #optPositionChange_wrapper {
            margin-top:-11px;
        }
</style>
    <script type="text/javascript">

        $(function () {
          $("#optPositionChange").ejDropDownList({ "change": "onChange", width: "120px", selectedItemIndex: 0 });
        });

        ej.ReportViewer.localization["ja-JP"] = {
            toolbar: {
                print: {
                    headerText: '印刷',
                    contentText: '印刷'
                },
                exportformat: {
                    headerText: '輸出',
                    contentText: 'エクスポートされたファイル形式を選択します。'
                },
                first: {
                    headerText: '最初の',
                    contentText: 'レポートの最初のページに移動します。'
                },
                previous: {
                    headerText: '前の',
                    contentText: 'レポートの前のページに移動します。'
                },
                next: {
                    headerText: '次の',
                    contentText: 'レポートの次のページに移動します。'
                },
                last: {
                    headerText: '最後の',
                    contentText: 'レポートの最後のページに移動します。'
                },
                documentMap: {
                    headerText: 'ドキュメントマップ',
                    contentText: '表示または見出しマップを非表示にする。'
                },
                parameter: {
                    headerText: 'パラメーター',
                    contentText: '表示またはパラメータペインを非表示にします。'
                },
                zoomIn: {
                    headerText: 'ズーム•イン',
                    contentText: 'レポートに拡大します。'
                },
                zoomOut: {
                    headerText: 'ズームアウト',
                    contentText: 'レポートのズームアウト。'
                },
                refresh: {
                    headerText: 'リフレッシュ',
                    contentText: 'レポートを更新します。'
                },
                printLayout: {
                    headerText: 'プレビュー',
                    contentText: '印刷レイアウトモードと通常モードとの間で変更します。'
                },
                pageIndex: {
                    headerText: 'ページ番号',
                    contentText: '現在のページ番号が表示されます。'
                },
                zoom: {
                    headerText: 'ズーム',
                    contentText: 'レポート上のズームインまたはズームアウト。'
                },
                back: {
                    headerText: 'バック',
                    contentText: 'バック親レポートに戻ります。'
                },
                fittopage: {
                    headerText: 'ページに合わせる',
                    contentText: 'コンテナにレポートページを取り付けます。'
                }
            },
            viewButton: 'レポートの表示。'
        };

        ej.ReportViewer.localization["fr-FR"] = {
            toolbar: {
                print: {
                    headerText: 'Imprimer',
                    contentText: 'Imprimer.'
                },
                exportformat: {
                    headerText: 'Export',
                    contentText: 'Sélectionnez le format de fichier exporté.'
                },
                first: {
                    headerText: 'première',
                    contentText: 'Aller à la première page du rapport.'
                },
                previous: {
                    headerText: 'précédent',
                    contentText: 'Aller à la page précédente du rapport.'
                },
                next: {
                    headerText: 'suivant',
                    contentText: 'Aller à la page suivante du rapport.'
                },
                last: {
                    headerText: 'dernier',
                    contentText: 'Aller à la dernière page du rapport.'
                },
                documentMap: {
                    headerText: 'document de Plan',
                    contentText: 'Afficher ou masquer la carte du document.'
                },
                parameter: {
                    headerText: 'paramètre',
                    contentText: 'Afficher ou masquer le volet des paramètres.'
                },
                zoomIn: {
                    headerText: 'Zoom-In',
                    contentText: 'Zoom dans le rapport.'
                },
                zoomOut: {
                    headerText: 'Zoom arrière',
                    contentText: 'Zoom sur le rapport.'
                },
                refresh: {
                    headerText: 'rafraîchir',
                    contentText: 'Actualiser le rapport.'
                },
                printLayout: {
                    headerText: 'avant-première',
                    contentText: 'Changer entre mise en page et les modes normaux.'
                },
                pageIndex: {
                    headerText: 'Nombre de page',
                    contentText: 'Numéro de page pour voir.'
                },
                zoom: {
                    headerText: 'zoom',
                    contentText: 'Zoom avant ou arrière sur le rapport.'
                },
                back: {
                    headerText: 'arrière',
                    contentText: 'Retour à létat parent.'
                },
                fittopage: {
                    headerText: 'adapter à la page',
                    contentText: 'Monter la page du rapport au conteneur.'
                }
            },
            viewButton: 'Voir Rapport'
        };


        function onChange(args) {
            if (args.itemId == 0)
                $("#ReportViewer1").ejReportViewer("model.locale", "en-US");
            else if (args.itemId == 1)
                $("#ReportViewer1").ejReportViewer("model.locale", "fr-FR");
            else
                $("#ReportViewer1").ejReportViewer("model.locale", "ja-JP");
        }    </script>
</asp:Content>
