﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="API.aspx.cs" Inherits="WebSampleBrowser.RichTextEditor.API_s" %>

<asp:Content ID="Content2" ContentPlaceHolderID="SampleHeading" runat="server">
    ClientSide API
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ControlsSection" runat="server">  
        <ej:RTE ID="rteSample" runat="server" Width="700px">
            <RTEContent>
                &lt;p&gt;&lt;b&gt;Description:&lt;/b&gt;&lt;/p&gt;
    &lt;p&gt;The Rich Text Editor (RTE) control is an easy to render in
    client side. Customer easy to edit the contents and get the HTML content for
    the displayed content. A rich text editor control provides users with a toolbar
    that helps them to apply rich text formats to the text entered in the text
    area. &lt;/p&gt;
    &lt;p&gt;&lt;b&gt;Functional
    Specifications/Requirements:&lt;/b&gt;&lt;/p&gt;
    &lt;ol&gt;&lt;li&gt;&lt;p&gt;Provide
    the tool bar support, it’s also customizable.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Options
    to get the HTML elements with styles.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Support
    to insert image from a defined path.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Footer
    elements and styles(tag / Element information , Action button (Upload, Cancel))&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Re-size
    the editor support. &lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Provide
    efficient public methods and client side events.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Keyboard
    navigation support.&lt;/p&gt;&lt;/li&gt;&lt;/ol&gt;
            </RTEContent>
        </ej:RTE>      
</asp:Content>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="PropertySection">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                    Disable Toolbar Item
                </div>
                <div class="col-md-3">                    
                    <ej:Button ID="disBtn" runat="server" CssClass="e-btn inputbtn" Type="Button" Text="Disable Bold"  ClientSideOnClick="onDisable"></ej:Button>
                </div>
                <div class="col-md-3">
                    Enable Toolbar Item
                </div>
                <div class="col-md-3">                    
                    <ej:Button ID="boldBtn" runat="server" CssClass="e-btn inputbtn" Type="Button" Text="Enable Bold" ClientSideOnClick="onEnable"></ej:Button>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Remove Toolbar Item
                </div>
                <div class="col-md-3">                    
                    <ej:Button ID="remonBtn" CssClass="e-btn inputbtn" Text="Remove Bold" Type="Button"  ClientSideOnClick="onRemove" runat="server"></ej:Button>
                </div>
                <div class="col-md-3">
                    Show / Hide
                </div>
                <div class="col-md-3">                    
                <ej:CheckBox runat="server" Id="checkshowhide" CssClass="e-chkbox-medium" Checked="true" ClientSideOnChange="onShowHide"></ej:CheckBox>                    
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Get Html Text
                </div>
                <div class="col-md-3">                    
                    <ej:Button ID="getHtmlBtn" CssClass="e-btn inputbtn" Text="Get HTML" Type="Button"  ClientSideOnClick="ongetHtmlString" runat="server"></ej:Button>
                </div>
                <div class="col-md-3">
                    Get Text
                </div>
                <div class="col-md-3">                    
                    <ej:Button ID="gettxtBtn" CssClass="e-btn inputbtn" Text="Get Text" Type="Button" ClientSideOnClick="ongetText" runat="server"></ej:Button>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Execute Bold
                </div>
                <div class="col-md-3">                    
                    <ej:Button ID="execBtn" runat="server" CssClass="e-btn inputbtn" Type="Button" Text="Execute Bold" ClientSideOnClick="onexec"></ej:Button>
                </div>
                <div class="col-md-3">
                    Command Status
                </div>
                <div class="col-md-3">                    
                    <ej:Button CssClass="e-btn inputbtn" Text="Bold Status" Type="Button" ID="boldstsBtn" runat="server" ClientSideOnClick="oncmdStatus"></ej:Button>
                </div>
            </div>        
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="ScriptSection" runat="server">
    <script type="text/javascript">
        var rte;
        $(function () {           
            rte = $("#rteSample").data("ejRTE");                      
            $("#sampleProperties").ejPropertiesPanel(); 
        });
    </script>
    <script type="text/javascript" src="../Scripts/RichTextEditor/APIJs.js"></script> 
</asp:Content>
<asp:Content ID="Content7" ContentPlaceHolderID="StyleSection" runat="server">
    <style type ="text/css">
        .inputbtn {
            width: 107px;
        }
    </style>
</asp:Content>
