﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="Events.aspx.cs" Inherits="WebSampleBrowser.RichTextEditor.Events" %>


<asp:Content ID="Content2" ContentPlaceHolderID="SampleHeading" runat="server">
    Events
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ControlsSection" runat="server">
    <div>
        <ej:RTE ID="RTEEvents" Width="696" Height="440" runat="server" ClientSideOnCreate="onCreate" ClientSideOnExecute="onExecute" ClientSideOnKeydown="onKeydown" ClientSideOnKeyup="onKeyup" ClientSideOnChange="onChange">
            <RTEContent>
                &lt;p&gt;&lt;b&gt;Description:&lt;/b&gt;&lt;/p&gt;
    &lt;p&gt;The Rich Text Editor (RTE) control is an easy to render in
    client side. Customer easy to edit the contents and get the HTML content for
    the displayed content. A rich text editor control provides users with a toolbar
    that helps them to apply rich text formats to the text entered in the text
    area. &lt;/p&gt;
    &lt;p&gt;&lt;b&gt;Functional
    Specifications/Requirements:&lt;/b&gt;&lt;/p&gt;
    &lt;ol&gt;&lt;li&gt;&lt;p&gt;Provide
    the tool bar support, it’s also customizable.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Options
    to get the HTML elements with styles.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Support
    to insert image from a defined path.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Footer
    elements and styles(tag / Element information , Action button (Upload, Cancel))&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Re-size
    the editor support. &lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Provide
    efficient public methods and client side events.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Keyboard
    navigation support.&lt;/p&gt;&lt;/li&gt;&lt;/ol&gt;
            </RTEContent>
        </ej:RTE>
    </div>
</asp:Content>

<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="EventSection">
    <div class="cols-prop-area event-tracer">
        <div>
            <div class="heading">
                <span>Event Trace</span>
                <div class="pull-right">
                            <ej:DropDownList ID="selectControls" ClientSideOnPopupShown="adjustpopupposition" ClientSideOnCheckChange="evtpropscheckedevent" ShowCheckbox="true" CheckAll="true" runat="server">
                                 <Items>
                                    <ej:DropDownListItem Value="create" Text="Create"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="execute" Text="execute"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="keydown" Text="keydown"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="keyup" Text="keyup"></ej:DropDownListItem>
                                     <ej:DropDownListItem Value="change" Text="change"></ej:DropDownListItem>
                                </Items>
                            </ej:DropDownList>
                      </div>                
            </div>
            <div class="prop-grid content">
                <div class="eventarea">
                    <div class="EventLog" id="EventLog" runat="server" clientidmode="Static">
                    </div>
                </div>
                <div class="evtbtn">
                     <ej:Button ID="Clear" Type="Button" Text="Clear" ClientSideOnClick="onClear" CssClass="eventclear e-btn" runat="server"></ej:Button>
       
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="ScriptSection" runat="server">
    <script src='<%= Page.ResolveClientUrl("~/Scripts/RichTextEditor/Events.js")%>' type="text/javascript"></script>
</asp:Content>
