﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="KeyboardInteraction.aspx.cs" Inherits="WebSampleBrowser.RichTextEditor.KeyboardInteraction" %>

<asp:Content ID="Content2" ContentPlaceHolderID="SampleHeading" runat="server">
    keyboard Interactions
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ControlsSection" runat="server">
    <ej:RTE ID="rteKey" runat="server" Width="700">
        <RTEContent>
            &lt;p&gt;&lt;b&gt;Description:&lt;/b&gt;&lt;/p&gt;
    &lt;p&gt;The Rich Text Editor (RTE) control is an easy to render in
    client side. Customer easy to edit the contents and get the HTML content for
    the displayed content. A rich text editor control provides users with a toolbar
    that helps them to apply rich text formats to the text entered in the text
    area. &lt;/p&gt;
    &lt;p&gt;&lt;b&gt;Functional
    Specifications/Requirements:&lt;/b&gt;&lt;/p&gt;
    &lt;ol&gt;&lt;li&gt;&lt;p&gt;Provide
    the tool bar support, it’s also customizable.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Options
    to get the HTML elements with styles.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Support
    to insert image from a defined path.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Footer
    elements and styles(tag / Element information , Action button (Upload, Cancel))&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Re-size
    the editor support. &lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Provide
    efficient public methods and client side events.&lt;/p&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Keyboard
    navigation support.&lt;/p&gt;&lt;/li&gt;&lt;/ol&gt;
        </RTEContent>
    </ej:RTE>
</asp:Content>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="PropertySection">
    <div id="sampleProperties">
        <div class="prop-grid">

            <div class="row">
                <div class="col-md-3">
                    <b>Alt + j</b>
                </div>
                <div class="col-md-3">
                    Focuses the control.
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Alt + Ctrl + t</b>
                </div>
                <div class="col-md-3">
                    Focuses the toolbar.
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Right</b>
                </div>
                <div class="col-md-3">
                    Selected next item.
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Left</b>
                </div>
                <div class="col-md-3">
                    Selected previous item.
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Ctrl + b</b>
                </div>
                <div class="col-md-3">
                    Bold selected text.
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Ctrl + i</b>
                </div>
                <div class="col-md-3">
                    Italic selected text.
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Ctrl + u</b>
                </div>
                <div class="col-md-3">
                    Underline selected text.
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Ctrl + l</b>
                </div>
                <div class="col-md-3">
                    Text align left.
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Ctrl + e</b>
                </div>
                <div class="col-md-3">
                    Text align center.
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Ctrl + r</b>
                </div>
                <div class="col-md-3">
                    Text align right.
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Ctrl + j</b>
                </div>
                <div class="col-md-3">
                    Text align justify.
                </div>
            </div>

        </div>
    </div>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="ScriptSection" runat="server">
    <script type="text/javascript" class="jsScript">
        $(function () {
            //Control focus key
            $(document).on("keydown", function (e) {
                if (e.altKey && e.keyCode === 74) { // j- key code.
                    var rte = $("#rteKey").data("ejRTE");
                    rte.focus();
                }
                else if (e.altKey && e.ctrlKey && e.keyCode === 84) { // Alt + T
                    e.preventDefault();
                    $("#rteKey_toolbar").focus();
                }
            });
            $("#rteKey_Iframe").contents().on("keydown", function (e) {
                if (e.altKey && e.ctrlKey && e.keyCode === 84) { // Alt + T
                    e.preventDefault();
                    $("#rteKey_toolbar").focus();
                }
            });
            $("#sampleProperties").ejPropertiesPanel();
        });
    </script>
</asp:Content>
