﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="KnockoutSupport.aspx.cs" Inherits="WebSampleBrowser.RichTextEditor.KnockoutSupport" %>

<asp:Content ID="Content2" ContentPlaceHolderID="SampleHeading" runat="server">
  Knockout Support
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="ControlsSection" runat="server">
    <div>
        <textarea id="rteSample" data-bind="ejRTE: { value: rteValue, width: width, height: height }"></textarea>
    </div>
</asp:Content>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="PropertySection">
    <div id="sampleProperties">
        <div class="prop-grid">

            <div class="row">
                <div class="col-md-3">
                    Set Value
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <textarea name="scroll" class="input ejinputtext" data-bind="value: rteValue"></textarea>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="ScriptSection" runat="server">
  <script src='<%= Page.ResolveClientUrl("~/Scripts/knockout-min.js")%>' type="text/javascript"></script>
    <script src='<%= Page.ResolveClientUrl("~/Scripts/ej/ej.widget.ko.min.js")%>' type="text/javascript"></script>

    <script type="text/javascript" class="jsScript">
        var rte;
        $(function () {
            rte = $("#rteSample").data("ejRTE");
            $("#chkShowHide").ejCheckBox({ "change": "onShowHide" });
            $("#chkDestroy").ejToggleButton({ "change": "onDestoryRestore", "defaultText": "Destory", "activeText": "Restore", "width": "96px" });
            $("#sampleProperties").ejPropertiesPanel();
        });
        window.viewModel = {
            height: ko.observable(400),
            width: ko.observable("90%"),
            rteValue: ko.observable("Description:The Rich Text Editor (RTE) control is an easy to render in client side. Customer easy to edit the contents and get the HTML content for"),
        };

        $(function () {
            ko.applyBindings(viewModel);
            rte = $("#rteSample").data("ejRTE");
        });
        function ongetText() {
            alert(rte.getText());
        }
       
    </script>
</asp:Content>
<asp:Content ID="Content7" ContentPlaceHolderID="StyleSection" runat="server">
    <style>
        .input {
            height: 170px;
            text-indent: 10px;
            width: 220px;
            resize: none;
        }

        .cols-sample-area .rteSample {
            margin: auto;
        }

        .cols-prop-area .prop-grid.content {
            height: 395px;
        }

        .cols-sample-area #rteSample_wrapper {
            margin: auto;
        }

        .inputBtn {
            width: 96px;
            text-align: center;
        }
    </style>
</asp:Content>
