﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="AppointmentSearch.aspx.cs" Inherits="WebSampleBrowser.Schedule.AppointmentSearch" %>

<asp:Content ID="Content1" ContentPlaceHolderID="SampleHeading" runat="server">
    <span class="sampleName">Schedule /Appointment Search</span>
</asp:Content>

<asp:Content ID="Header" ContentPlaceHolderID="HeadSection" runat="server">
    <script src='<%= Page.ResolveClientUrl("~/Scripts/bootstrap.min.js")%>' type="text/javascript"></script>
    <script src='<%= Page.ResolveClientUrl("~/Scripts/bootstrap-notify.js")%>' type="text/javascript"></script>
    <link href="../Content/bootstrap-notify.css" rel="stylesheet" />
</asp:Content>
<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">

    <div id="searchDiv">
        <input id="txtSearch" type="text" onkeyup="searchKeyUp()" />
    </div>
    <div style="float: left" id="Div1">
    </div>
    <!--Search Grid-->
    <div class="searchgroup">
    <div id="grid1"></div>
    </div>
    <div id="searchDialog">
        <div class="fields">
            <input type="text" id="txtSubject" />
        </div>
        <div class="fields">
            <input type="text" id="txtDes" />
        </div>
        <div class="fields">
            <input type="text" id="txtStartDate" />
        </div>
        <div class="fields">
            <input type="text" id="txtEndDate" />
        </div>
        <div class="fields">
            <input type="button" id="btnSearch" value="Search" />
            <input type="button" id="btnCancel" value="Cancel" style="margin-left: 10px;" />
        </div>
    </div>
      <div>
<ej:Schedule runat="server" ID="Schedule1" DataSourceID="SqlData" Width="100%" Height="525px" CurrentDate="5/2/2014">
    <AppointmentSettings Id="Id" Subject="Subject" AllDay="AllDay" StartTime="StartTime" EndTime="EndTime" Description="Description" Recurrence="Recurrence" RecurrenceRule="RecurrenceRule"/>
</ej:Schedule>

    </div>
    <asp:SqlDataSource ID="SqlData" runat="server" ConnectionString="<%$ ConnectionStrings:ScheduleConnectionString %>"
            SelectCommand="SELECT * FROM [DefaultSchedule]"></asp:SqlDataSource>

<%--    <div>
        <ej:Schedule runat="server" ID="Schedule1" Width="970px" Height="525px">
            <AppointmentSettings Id="Id" Subject="Subject" AllDay="AllDay" StartTime="StartTime" EndTime="EndTime" Recurrence="Recurrence" RecurrenceRule="RecurrenceRule" Description="Description" />
        </ej:Schedule>
         </div>
         <asp:SqlDataSource ID="SqlData" runat="server" ConnectionString="<%$ ConnectionStrings:ScheduleConnectionString %>"
            SelectCommand="SELECT * FROM [DefaultSchedule]"></asp:SqlDataSource>--%>
   
</asp:Content>

<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
    <script type="text/javascript">

        $(document).ready(function () {
            $("#sampleProperties").ejPropertiesPanel();

            $("#Schedule1").find("tr.e-scheduleheader td").first().append($("#searchDiv"));
            $("#searchDiv").css("display", "block");
            $("#searchDialog").css("display", "block");
            $("#txtSearch").ejAutocomplete({ width: "298", watermarkText: "Search Appointments", showEmptyResultText: false, showPopupButton: true });
            $(".searchgroup").css("display", "inline-block");
            $("#txtSearch_dropdown").bind("mousedown", $.proxy(searchOpen, this));
            $("#searchDialog").ejDialog({ showHeader: false, showOnInit: false, enableResize: false, width: "300px", position: { X: 760, Y: 50 } });
            //Search dialog 
            $("#txtSubject").ejAutocomplete({ width: "200", watermarkText: "Subject", showEmptyResultText: false });
            $("#txtDes").ejAutocomplete({ width: "200", watermarkText: "Description", showEmptyResultText: false });
            $("#txtStartDate").ejDatePicker({ width: "200" });
            $("#txtEndDate").ejDatePicker({ width: "200" });
            $("#btnSearch").ejButton({ click: "filterClick" });
            $("#btnCancel").ejButton({ click: "filterClick" });
            ///Add grid
            var tr = $("<tr></tr>").append($("#grid1"));
            $("#Schedule1").find(".e-scheduleheader").parent().append(tr);
            $("#txtSearch").keydown(function (e) {
                if (e.keyCode == 46) {
                    $("#txtSearch").val("");
                    showResult(null, "");
                }
            })

        });
        function searchOpen(args) {
            $("#searchDialog").ejDialog({ position: { X: $("#txtSearch").offset().left, Y: ($("#txtSearch").offset().top) + 29 } });
            //$("#searchDialog").ejDialog("open");
            $("#searchDialog").ejDialog("isOpened") === true ? $("#searchDialog").ejDialog("close") : $("#searchDialog").ejDialog("open");
        }
        function searchKeyUp(args) {
            var _searchString = $("#txtSearch").val();
            var schObj = $("#Schedule1").data("ejSchedule");
            var result = schObj.searchAppointments(_searchString); //schObj.filterAppointments(serch);
            showResult(result, _searchString);
        }

        function showResult(list, _searchString) {
            if (!ej.isNullOrUndefined(list) && list.length != 0 && _searchString != "") {
                $("#Schedule1").find(".e-scheduleheader").next().hide() && $("#Schedule1").find(".e-scheduleheader").next().next().hide() && $("#Schedule1").find(".e-viewsdiv").css("visibility", "hidden");
                $("#grid1").show();
				$("#grid1").data("ejGrid") && $("#grid1").ejGrid("destroy");
                $("#grid1").ejGrid({
                    dataSource: list,
                    allowPaging: true,
                    pageSettings: { pageSize: 10 },
                    recordDoubleClick: "detailsClick"
                });
				$("#grid1").find("div.e-prev").removeClass("e-prev");
            }
            else
                $("#Schedule1").find(".e-scheduleheader").next().show() && $("#Schedule1").find(".e-scheduleheader").next().next().show() && $("#grid1").hide() && $("#Schedule1").find(".e-viewsdiv").css("visibility", "");
        }

        function filterClick(args) {
            if (args.model.text == "Search") {
                var _search, _subject = $("#txtSubject").val();
                var _des = $("#txtDes").val();
                var _strDate = $("#txtStartDate").ejDatePicker("option", "value");
                var _endDate = $("#txtEndDate").ejDatePicker("option", "value");
                _search = (_subject == "" ? "" : _subject) + ", " + (_des == "" ? "" : (_des + ", ")) + (_strDate == null || _strDate == "" ? "" : (_strDate + ", ")) + (_endDate == null || _endDate == "" ? "" : _endDate);
                var schObj = $("#Schedule1").data("ejSchedule");
                var list, serch = [];
                if (_subject !== "")
                    serch.push({
                        field: "Subject",
                        operator: "contains",
                        value: _subject,
                        predicate: "or"
                    });
                if (_des !== "")
                    serch.push({
                        field: "Description",
                        operator: "contains",
                        value: _des,
                        predicate: "or"
                    });
                if (_strDate !== null)
                    serch.push({
                        field: "StartTime",
                        operator: "greaterthanorequal",
                        value: _strDate,
                        predicate: "or"
                    });
                if (_endDate !== null)
                    serch.push({
                        field: "StartTime",
                        operator: "lessthanorequal",
                        value: _endDate,
                        predicate: "or"
                    });
                serch.length > 0 && (list = schObj.filterAppointments(serch)) && showResult(list, _search);
                $("#txtSearch").val(_search);
            }
            $("#searchDialog").ejDialog("close");
            clearFields();
        }
        function clearFields() {
            $("#txtSubject").val("");
            $("#txtDes").val("");
            $("#txtStartDate").ejDatePicker({ value: "" });
            $("#txtEndDate").ejDatePicker({ value: "" });
        }
        function detailsClick(args) {
            var schObj = $("#Schedule1").data("ejSchedule");
            schObj._showAppointmentDetails(args.data.Id, false);
        }
    </script>
</asp:Content>
<asp:Content ID="styleSection" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        #searchDiv,
        #searchDialog {
            display:none;
        }
        #searchDiv .e-atc {
            margin-left: 37px;
            margin-top: 14px;
        }

        #searchDiv {
            margin-right: 20px;
            margin-top: -4px;
            float: right;
        }

        .fields {
            padding: 7px;
            margin-left: 29px;
        }
        .e-grid .e-rowcell
        {
             padding: 0.7em !important;
        }
    </style>
</asp:Content>


