﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="CustomWindow.aspx.cs" Inherits="WebSampleBrowser.Schedule.CustomWindow" %>

<asp:Content ID="Content1" ContentPlaceHolderID="SampleHeading" runat="server">
    <span class="sampleName">Schedule / Time Mode</span>
</asp:Content>
<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
    <div>
<ej:Schedule runat="server" ID="Schedule1" DataSourceID="SqlData" Width="100%" Height="525px" CurrentDate="5/2/2014" AppointmentWindowOpen="onAppointmentWindowOpen">
    <AppointmentSettings Id="Id" Subject="Subject" AllDay="AllDay" StartTime="StartTime" EndTime="EndTime" Description="Description" Recurrence="Recurrence" RecurrenceRule="RecurrenceRule"/>
</ej:Schedule>
    </div>

    <div id="customWindow" style="display: none">
        <div>
        <div id="custom">
            <table width="100%" cellpadding="5">
                <tbody>
                    <tr style="display: none">
                        <td>Id:
                        </td>
                        <td colspan="2">
                            <input id="customId" type="text" name="Id" />
                        </td>
                    </tr>
                    <tr>
                        <td>Subject:
                        </td>
                        <td colspan="2">
                            <input id="subject" type="text" value="" name="Subject" onfocus="temp()" style="width: 100%" />
                        </td>
                    </tr>
                    <tr>
                        <td>Description:
                        </td>
                        <td colspan="2">
                            <textarea id="customdescription" name="Description" rows="3" cols="50" style="width: 100%; resize: vertical"></textarea>
                        </td>
                    </tr>
                    <tr>
                        <td>StartTime:
                        </td>
                        <td>
                            <ej:DateTimePicker runat="server" ID="StartTime" Width="150"></ej:DateTimePicker>
                        </td>
                    </tr>
                    <tr>
                        <td>EndTime:
                        </td>
                        <td>
                           <ej:DateTimePicker runat="server" ID="EndTime" Width="150"></ej:DateTimePicker>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="3">
                            <div class="customcheck">AllDay:</div>
                            <div class="customcheck">
                                <input id="allday" type="checkbox" name="AllDay" />
                            </div>
                            <div class="customcheck">Recurrence:</div>
                            <div>
                                <input id="recurrence" type="checkbox" name="Recurrence" onchange="recurCheck()" />
                            </div>
                        </td>
                    </tr>
                    <tr class="recurrence" style="display: none">
                        <td>Type:
                        </td>
                        <td>
                            <select id="rType" name="freq">
                                <option value="daily">Daily</option>
                                <option value="weekly">Weekly</option>
                                <option value="monthly">Monthly</option>
                                <option value="yearly">Yearly</option>
                            </select>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div>
            <button type="submit" onclick="cancel()" id="btncancel" style="float:right;margin-right:20px;">Cancel</button>
	        <button type="submit" onclick="save()" id="btnsubmit"style="float:right;margin-right:20px;">Submit</button>
        </div>
    </div>
        </div>
    <asp:SqlDataSource ID="SqlData" runat="server" ConnectionString="<%$ ConnectionStrings:ScheduleConnectionString %>"
            SelectCommand="SELECT * FROM [DefaultSchedule]"></asp:SqlDataSource>
</asp:Content>
<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
    <script type="text/javascript">
        $(function () {
            $("#customWindow").ejDialog({
                width: 600,
                height: "auto",
                position: { X: 400, Y: 200 },
                showOnInit: false,
                enableModal: true,
                title: "Create Appointment",
                enableResize: false,
                allowKeyboardNavigation: false,
                close: "clearFields",

            });
         $("#btncancel").ejButton({width:'85px'});
		 $("#btnsubmit").ejButton({width:'85px'});
        });

        function onAppointmentWindowOpen(args) {
            args.cancel = true;
            var quickobj = $("#Schedule1AppointmentQuickWindow").data("ejDialog");
            quickobj.close();
            $("#StartTime").ejDateTimePicker({ value: args.startTime });
            $("#EndTime").ejDateTimePicker({ value: args.endTime });
            if (!ej.isNullOrUndefined(args.target)) {
                if ($(args.target.currentTarget).hasClass("e-alldaycells"))
                    $("#allday").prop("checked", true);
                else
                    args.model.currentView == "month" ? $("#allday").prop("checked", true) : $("#allday").prop("checked", false);
            }
            if (!ej.isNullOrUndefined(args.appointment)) {
                if (args.appointment.Recurrence)
                    $("#customId").val(args.appointment.ParentId);
                else
                    $("#customId").val(args.appointment.Id);
                $("#subject").val(args.appointment.Subject);
                $("#customdescription").val(args.appointment.Description);
                $("#StartTime").ejDateTimePicker({ value: new Date(args.appointment.StartTime) });
                $("#EndTime").ejDateTimePicker({ value: new Date(args.appointment.EndTime) });
                $("#allday").prop("checked", args.appointment.AllDay);
                $("#recurrence").prop("checked", args.appointment.Recurrence);
                if (args.appointment.Recurrence) {
                    $("#rType").val(args.appointment.RecurrenceRule.split(";")[0].split("=")[1].toLowerCase());
                    $("tr.recurrence").css("display", "table-row");
                }
                $("#customWindow").ejDialog("open");
            }
            else
                $("#customWindow").ejDialog("open");
        }

        function save() {
            if ($.trim($("#subject").val()) == "") {
                $("#subject").addClass("error");
                return false;
            }
            var obj = {},temp = {}, rType;
            obj["Id"] = $("#customId").val() == "" ? $("#customId").val() : parseInt($("#customId").val());
            obj["Subject"] = $("#subject")[0].value;
            obj["Description"] = $("#customdescription")[0].value;
            obj["StartTime"] = new Date($("#StartTime")[0].value);
            obj["EndTime"] = new Date($("#EndTime")[0].value);
            obj["AllDay"] = $("#allday")[0].checked;
            obj["Recurrence"] = $("#recurrence")[0].checked;
            if ($("#recurrence")[0].checked) {
                if ($("#rType")[0].value.toUpperCase() == "DAILY")
                    obj["RecurrenceRule"] = "FREQ=DAILY;INTERVAL=1;COUNT=5";
                else if ($("#rType")[0].value.toUpperCase() == "WEEKLY")
                    obj["RecurrenceRule"] = "FREQ=WEEKLY;BYDAY=MO,WE,TH;INTERVAL=1;COUNT=10";
                else if ($("#rType")[0].value.toUpperCase() == "MONTHLY")
                    obj["RecurrenceRule"] = "FREQ=MONTHLY;BYMONTHDAY=" + obj.StartTime.getDate() + ";INTERVAL=1;COUNT=5";
                else if ($("#rType")[0].value.toUpperCase() == "YEARLY")
                    obj["RecurrenceRule"] = "FREQ=YEARLY;BYMONTHDAY=" + obj.StartTime.getDate() + ";BYMONTH=" + (obj.StartTime.getMonth() + 1) + ";INTERVAL=1;COUNT=3";
            }
            else
                obj["RecurrenceRule"] = null;
            $("#customWindow").ejDialog("close");
            var object = $("#Schedule1").data("ejSchedule");
            object.saveAppointment(obj);
            clearFields();
        }

        function clearFields() {
            $("#customId").val("");
            $("#subject").val("");
            $("#customdescription").val("");
            $("#allday").prop("checked", false);
            $("#recurrence").prop("checked", false);
            document.getElementById("rType").selectedIndex = "0";
            $("tr.recurrence").css("display", "none");
        }

        function recurCheck() {
            if ($("#recurrence").get(0).checked == true)
                $("tr.recurrence").css("display", "table-row");
            else
                $("tr.recurrence").css("display", "none");
        }

        function temp() {
            $("#subject").removeClass("error");
        }

        function cancel() {
            clearFields();
            $("#customWindow").ejDialog("close");
        }
    </script>
</asp:Content>
<asp:Content runat="server" ID="Style" ContentPlaceHolderID="StyleSection">
    <style type="text/css">
    .customcheck {
            float: left;
            margin-right: 10px;
        }

        .error {
            background-color: #FF8A8A;
        }
        </style>
</asp:Content>


