﻿<%@ Page Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="ScheduleICSExport.aspx.cs" Inherits="WebSampleBrowser.Schedule.ScheduleICSExport" %>

<asp:Content ID="Content1" ContentPlaceHolderID="SampleHeading" runat="server">
    <span class="sampleName">Schedule / Import & Export</span>
</asp:Content>
<asp:Content ID="ControlContent" runat="server" ContentPlaceHolderID="ControlsSection">
     <ej:UploadBox ID="fileUpload1" runat="server" Height="30px" Width="60px" ExtensionsAllow=".ics"  SaveUrl="saveFiles.ashx" RemoveUrl="removeFiles.ashx" AutoUpload="true" ShowFileDetails="false" MultipleFilesSelection="false" OnComplete="fileUpload1_Complete">
         <UploadBoxButtonText Browse="Import" />
     </ej:UploadBox>
    
     <ej:Button ID="exportFile" Height="32px" Width="60px" Text="Export" runat="server" ShowRoundedCorner="true" ClientSideOnClick="onExportClick"></ej:Button>
<div>
<ej:Schedule runat="server" ID="Schedule1" DataSourceID="objectDataSource1" Width="100%" CurrentView="Month" CurrentDate="5/2/2014" OnServerExportICS="Schedule1_ExportICS" MenuItemClick="onMenuItemClick">
    <ContextMenuSettings Enable="true">
        <MenuItems>
            <AppointmentCollection>
                <ej:Appointment Id="open" Text="Open Appointment" />
                <ej:Appointment Id="delete" Text="Delete Appointment" />
                <ej:Appointment Id="exportApp" Text="Export Appointment" />
            </AppointmentCollection>
            <CellsCollection>
                <ej:Cells Id="new" Text="New Appointment" />
                <ej:Cells Id="recurrence" Text="New recuring Appointment" />
                <ej:Cells Id="settings" Text="Settings"/>
                <ej:Cells Id="view" Text="view" ParentId="settings"/>
                <ej:Cells Id="timemode" Text="Time Mode" ParentId="settings"/>
                <ej:Cells Id="view_Day" Text="Day" ParentId="view"/>
                <ej:Cells Id="view_Week" Text="Week" ParentId="view"/>
                <ej:Cells Id="view_Workweek" Text="Workweek" ParentId="view"/>
                <ej:Cells Id="view_Month" Text="Month" ParentId="view"/>
                <ej:Cells Id="timemode_Hour12" Text="12 Hours" ParentId="timemode"/>
                <ej:Cells Id="timemode_Hour24" Text="24 Hours" ParentId="timemode"/>
            </CellsCollection>
        </MenuItems>
    </ContextMenuSettings>
    <AppointmentSettings Id="ID" Subject="Subject" AllDay="AllDay" StartTime="StartTime" EndTime="EndTime" Description="Description" Recurrence="Recurrence" RecurrenceRule="RecurrenceRule"/>
</ej:Schedule>
    </div>
    <asp:ObjectDataSource ID="objectDataSource1" runat="server" TypeName="ScheduleAppointmentsObjDatum" SelectMethod="GetRecords">

    </asp:ObjectDataSource>
</asp:Content>
<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
    <script type="text/javascript">
        $(document).ready(function () {
            $("#sampleProperties").ejPropertiesPanel();
            $("#Schedule1").find("tr.e-scheduleheader td").first().append($("#exportFile"));
            $("#Schedule1").find("tr.e-scheduleheader td").first().append($("#fileUpload1"));
        });

        function onExportClick(Args) {
            var obj = $("#Schedule1").data("ejSchedule");
            obj.exportSchedule(null, "exportICS", null);
        }

        function onMenuItemClick(args) {
            if (args.events.ID == "exportApp") {
                var obj = $("#Schedule1").data("ejSchedule");
                obj.exportSchedule(null, "exportICS", args.targetInfo.ID);
            }
        }

    </script>
</asp:Content>
<asp:Content ID="StyleContent" ContentPlaceHolderID="StyleSection" runat="server">
      <style type="text/css">
        #fileUpload1
        {
           float: right;
           margin-top: 8px;
        }

        #exportFile
        {
           border: 1px solid #bbbcbb;
           border-radius: 0 6px 6px 0;
           float: right;
           margin-right: 20px;
           margin-top: 9px;
        }

    #fileUpload1 .e-selectpart
    {
        border: 1px solid #bbbcbb;
        border-radius: 6px 0 0 6px;
    }
    </style>
</asp:Content>