﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Sourcecodetab.ascx.cs"
    Inherits="WebSampleBrowser.Sourcecodetab" %>
<%@ Register Assembly="WebSampleBrowser" Namespace="AspSamplebrowser" TagPrefix="Sync" %>
<Sync:SourceCodeTab ID="codetabview" runat="server" />

<script type="text/javascript">
    $(document).ready(function () {
        $("#SourceTabDiv ul li a").each(function () {
            var hrefvalue = $(this).attr("href");
            hrefvalue = hrefvalue.replace("SourceCodeTab/", "");
            hrefvalue = hrefvalue.replace("../", "");
            $(this).attr("href", hrefvalue);
        });
        $("#SourceTabDiv").ejTab();
        $(".cols-source.sourcecodeTab ").addClass("selectable");
        $("<span>").attr("id", "newcodewindow").attr('title','New Window').addClass(" e-icon e-select newsrcwindow").appendTo($("#SourceTabDiv .e-header"));
        $("<span>").attr("id", "copyclipboard").attr('title','Copy To Clipboard').addClass(" e-icon e-select copycodeicon copycode").appendTo($("#SourceTabDiv .e-header"));
        $("#newcodewindow").click(function () {
            var popupWin = window.open();
            var head,title = '<title> Essential Studio for ASP.NET </title>' ;
            var meta = '<meta content="width=device-width, initial-scale=1.0" name="viewport">' + '<meta content="Essential Studio for ASP.NET" name="description">' + '<meta content="Syncfusion" name="author">' + '<meta charset="utf-8">'
            head = navigator.userAgent.indexOf("MSIE 8.0") > 0 ? title + ' <meta http-equiv="x-ua-compatible" content="IE=8">' + meta : 
            navigator.userAgent.indexOf("MSIE 9.0") > 0 ? title + ' <meta http-equiv="x-ua-compatible" content="IE=9">' + meta : title + meta;
            var links = $(document.head || document.getElementsByTagName('head')[0]).find("link");
            var serverconfig = links[0].href.substr(0, links[0].href.indexOf("Content") - 1);
            var scriptendtag = "<" + "/" + "script" + ">";
            var scripttag = '<script type="text/javascript" src="' + serverconfig + '/Scripts/jquery-1.10.2.min.js">' + scriptendtag;
            scripttag += '<script type="text/javascript" src="' + serverconfig + '/Scripts/ej/ej.web.all.min.js">' + scriptendtag;
            scripttag += '<script type="text/javascript" src="' + serverconfig + '/Scripts/jquery.easing-1.3.min.js">' + scriptendtag;
            var linkelement = $(links).clone();
            var linktag = "";
            for (i = 0; i < linkelement.length; i++) {
                linktag += $(linkelement[i]).wrap("<p>").parent().html();
            }
            var tabcontent = $(".cols-source.sourcecodeTab").clone();
            $(tabcontent).find(".newsrcwindow").each(function () { $(this).remove(); });
            $(tabcontent).find(".copycode").each(function () { $(this).remove(); });
            $(tabcontent).find("script").each(function () { $(this).remove(); });
            tabcontent = $(tabcontent).html();
            var a = $("#SourceTabDiv").ejTab("instance");
            a = parseInt(a.option("selectedItemIndex"));
            popupWin.document.writeln('<!DOCTYPE> <html><head>' + head + linktag + scripttag + '<</head><body><div id="windowOpen" style="width: 97%"><div class="cols-source sourcecodeTab">' + tabcontent + '</div></div><script type="text/Javascript"> $(function(){$("#SourceTabDiv").ejTab({  selectedItemIndex:' + a + '});});' + scriptendtag + '</body></html>');
            popupWin.document.close();
           
        });

        //Copy to clipboard behavior 
        if (!$("#clipboard").length) {
            $("<div>").insertAfter($("#SourceTabDiv")).attr("id", "clipboard");
            $("#SourceTabDiv div").each(function () {
                $("<span>").appendTo($(this)).addClass("copycode copycodedown").text("COPY TO CLIPBOARD");
            });

            $("<textarea>").attr("style", "display:none").attr("id", "copytextarea").appendTo($("#clipboard"));
        }
       
        initiateCopyHandler();
        $('#SourceTabDiv').bind("mouseover", '.copycode', function () {
            $("#copytextarea").val(copytoclip.Selector.getSelected());
        });
    });

    function initiateCopyHandler() {
      
        try {
            var client = new ZeroClipboard($('.copycode'));

            client.on('ready', function (event) {
                client.on('copy', function (event) {
                    event.clipboardData.setData('text/plain', copycontent());
                });
            });

            client.on('error', function (event) {
                console.log('ZeroClipboard error of type "' + event.name + '": ' + event.message);
                ZeroClipboard.destroy();
            });

            function copycontent(e) {
                if ($("#copytextarea").val() == "" || $("#copytextarea").val() == null) {
                    $("#copytextarea").val("");
                    $("#SourceTabDiv div:visible").each(function () { $("#copytextarea").val($("#copytextarea").val() + $(this).text().replace("COPY TO CLIPBOARD", "")); });
                }
                return $("#copytextarea").val();
            }

        }
        catch (e) { }
        if (!window.copytoclip) {
            copytoclip = {};
        }
        copytoclip.Selector = {};
        copytoclip.Selector.getSelected = function () {
            var t = '';
            if (window.getSelection) {
                t = window.getSelection();
            } else if (document.getSelection) {
                t = document.getSelection();
            } else if (document.selection) {
                t = document.selection.createRange().text;
            }
            return t;
        }
    }
</script>

