﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="APIs.aspx.cs" Inherits="WebSampleBrowser.Splitter.APIs" %>



<asp:Content ID="Content5" ContentPlaceHolderID="ControlsSection" runat="server">

    <ej:Splitter ID="outterSplitter" Height="280" Width="501" runat="server">
        <ej:SplitPane>
            <div>
                <div class="content">
                    <h3 class="h3">Tools </h3>
                    Essential Tools is an collection of user interface components used to create interactive
                                    ASP.NET MVC applications.
                </div>
            </div>
        </ej:SplitPane>
        <ej:SplitPane>
            <div>
                <div class="content">
                    <h3 class="h3">Chart </h3>
                    Essential Chart is a business-oriented charting component.
                </div>
            </div>
        </ej:SplitPane>
        <ej:SplitPane>
            <div>
                <div class="content">
                    <h3 class="h3">Grid </h3>
                    Essential Mvc Grid offers full featured a Grid control with extensive support for
                                    Grouping and the display of hierarchical data.
                </div>
            </div>
        </ej:SplitPane>
    </ej:Splitter>

</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="PropertySection" runat="server">

    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                    Pane Index
                </div>
                <div class="col-md-3">
                    <input type="text" id="paneindex" class="input ejinputtext" value="0" />
                </div>

            </div>
            <div class="row">
                <div class="col-md-3">
                    <ej:Button ID="Button2" Type="Button" ClientSideOnClick="expandpane" Text="Expand" CssClass="e-btn" runat="server"></ej:Button>
                </div>
                <div class="col-md-3">
                    <ej:Button ID="Button1" Type="Button" ClientSideOnClick="collapsepane" Text="Collapse" CssClass="e-btn" runat="server"></ej:Button>
                </div>
            </div>

            <div class="row">
                <div class="col-md-3">
                    <b>Pane Properties:</b>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <span>Pane Size</span>
                </div>
                <div class="col-md-3">
                    <input type="text" id="size" class="input ejinputtext" value="20" />
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <span>Min Size</span>
                </div>
                <div class="col-md-3">
                    <input type="text" id="min" class="input ejinputtext" value="20" />
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <span>Max Size</span>
                </div>
                <div class="col-md-3">
                    <input type="text" id="max" class="input ejinputtext" value="100" />
                </div>
            </div>

            <div class="row">
                <div class="col-md-3">
                    <ej:Button ID="adder" Type="Button" ClientSideOnClick="add" Text="Add pane" CssClass="e-btn" runat="server"></ej:Button>
                </div>
                <div class="col-md-3">
                    <ej:Button ID="remove" Type="Button" ClientSideOnClick="removepane" Text="Remove pane" CssClass="e-btn" runat="server"></ej:Button>
                </div>
            </div>
        </div>
    </div>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ScriptSection" runat="server">
    <script src="../Scripts/Splitter/API.js"></script>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        .frame {
            width: 550px;
        }

        input.e-btn {
            width: 78px;
        }

        input.ejinputtext {
            width: 89px;
            text-indent: 10px;
        }

        .h3 {
            font-size: 17px;
            margin: 0;
        }

        .content {
            padding: 15px;
        }

        #outersplitter {
            margin: 0 auto;
        }
    </style>
</asp:Content>
