﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true"
    CodeBehind="Integration.aspx.cs" Inherits="WebSampleBrowser.Splitter.Integration" %>

<asp:Content ID="Content5" ContentPlaceHolderID="ControlsSection" runat="server">
    <ej:Splitter Height="280" Width="501" ID="outersplitter" runat="server">
        <ej:SplitPane>
            <div>
                <div class="cont">
                    <h3 class="h3">ASP.NET MVC</h3>
                    <ej:TreeView ID="treeView" runat="server" ClientSideOnNodeSelected="treeClicked">
                        <Nodes>
                            <ej:TreeViewNode Text="Tools">
                                <Nodes>
                                    <ej:TreeViewNode Id="tools" Text="Description"></ej:TreeViewNode>
                                </Nodes>
                            </ej:TreeViewNode>
                            <ej:TreeViewNode Text="Chart">
                                <Nodes>
                                    <ej:TreeViewNode Id="chart" Text="Description"></ej:TreeViewNode>
                                </Nodes>
                            </ej:TreeViewNode>
                            <ej:TreeViewNode Text="Grid">
                                <Nodes>
                                    <ej:TreeViewNode Id="grid" Text="Description"></ej:TreeViewNode>
                                </Nodes>
                            </ej:TreeViewNode>
                        </Nodes>
                    </ej:TreeView>
                </div>
            </div>
        </ej:SplitPane>

        <ej:SplitPane>
            <div>
                <div class="cont">
                    <div class="_content">
                        Select any product from the tree to show the description.
                    </div>
                    <div class="tools des">
                        <h3>Tools</h3>
                        Essential Tools is an collection of user interface components used to create interactive
                    ASP.NET MVC applications.
                    </div>
                    <div class="chart des">
                        <h3>Chart</h3>
                        Essential Chart is a business-oriented charting component.
                    </div>
                    <div class="grid des">
                        <h3>Grid</h3>
                        Essential MVC Grid offers full featured a Grid control with extensive support for
                    Grouping and the display of hierarchical data.
                    </div>
                </div>
            </div>
        </ej:SplitPane>

    </ej:Splitter>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ScriptSection" runat="server">
    <script type="text/javascript">
        function treeClicked(sender, args) {
            if (sender.value == "Description") {
                var content = $('.' + sender.currentElement[0].id).html();
                $('._content').html(content);
            }
        }
    </script>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        .cont {
            padding: 20px;
            min-width: 50px;
        }

            .cont #treeView_Container {
                margin-bottom: 0;
                border: none;
            }

        .h3 {
            font-size: 14px;
            margin: 0;
        }

        .des {
            display: none;
        }
    </style>
</asp:Content>
