﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true"
    CodeBehind="Keyboard-Interaction.aspx.cs" Inherits="WebSampleBrowser.Splitter.Keyboard_Interaction" %>


<asp:Content ID="Content5" ContentPlaceHolderID="ControlsSection" runat="server">
    <ej:Splitter Height="250" Width="402" ID="outersplitter" ClientSideOnCreate="oncreate" ClientSideOnExpandCollapse="oncollapse" ClientSideOnResize="onresize" Orientation="Vertical" runat="server">
        <ej:SplitPane>
            <ej:Splitter ID="innerSplitter" runat="server" Width="402" Height="148" ClientSideOnCreate="oncreate" ClientSideOnExpandCollapse="oncollapse" ClientSideOnResize="onresize">
                <ej:SplitPane>
                    <div>
                        <div class="cont">Pane 1</div>
                    </div>
                </ej:SplitPane>
                <ej:SplitPane>
                    <div>
                        <div class="cont">Pane 2</div>
                    </div>
                </ej:SplitPane>
            </ej:Splitter>
        </ej:SplitPane>

        <ej:SplitPane PaneSize="80">
            <div>
                <div class="cont">Pane 3 </div>
            </div>
        </ej:SplitPane>

    </ej:Splitter>

</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="PropertySection" runat="server">
    <div id="sampleProperties">
        <div class="prop-grid keyboard">
            <div class="row">
                <div class="col-md-3">
                    <b>Alt + j</b>
                </div>
                <div class="col-md-3">
                    Focuses the first Splitbar
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>For Horizontal:</b>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Left</b>
                </div>
                <div class="col-md-3">
                    Moves the Splitbar in Left
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Right</b>
                </div>
                <div class="col-md-3">
                    Moves the Splitbar in Right
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Ctrl + Left</b>
                </div>
                <div class="col-md-3">
                    Collapses the left Pane
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Ctrl + Right</b>
                </div>
                <div class="col-md-3">
                    Collapses the right Pane
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>For Vertical:</b>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Up</b>
                </div>
                <div class="col-md-3">
                    Moves the Splitbar in Bottom
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Down</b>
                </div>
                <div class="col-md-3">
                    Moves the Splitbar in Right
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Ctrl + Up</b>
                </div>
                <div class="col-md-3">
                    Collapses the top Pane
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Ctrl + Down</b>
                </div>
                <div class="col-md-3">
                    Collapses the bottom Pane
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Enter</b>
                </div>
                <div class="col-md-3">
                    Resize the Pane to the current Splitbar position.
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Esc</b>
                </div>
                <div class="col-md-3">
                    Focuses out from the Splitbar
                </div>
            </div>
        </div>
    </div>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ScriptSection" runat="server">
    <script src='<%= Page.ResolveClientUrl("~/Scripts/Splitter/Keyboardinteraction.js")%>' type="text/javascript"></script>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        .cont {
            text-align: center;
            padding: 10px 0 0 10px;
        }

        #outersplitter {
            margin: 0 auto;
        }
    </style>
</asp:Content>
