﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master"  CodeBehind="ClientSideEvents.aspx.cs" Inherits="WebSampleBrowser.Tab.ClientSideEvents" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">

    <div style="width: 500px">
        <ej:Tab ID="eventTab" Collapsible="true" ClientSideOnActive="onClientActive" ClientSideOnCreate="onClientCreate" ClientSideOnBeforeActive="onClientBeforeActive" ClientSideOnAjaxLoad="onClientLoad" ClientSideOnAjaxBeforeLoad="onClientBeforeLoad" SelectedItemIndex="0" runat="server" Width="600px">
            <Items>
                <ej:TabItem Id="Tools" Text="Essential Tools">
                    <ContentSection>
                        <div>
                            Essential Tools is an collection of user interface components used to create interactive
                ASP.NET MVC applications. Essential Tools can be used to create robust and high
                performance ASP.NET MVC application interfaces using Editors (including Masked-Edit,
                Numeric and Percentage text box) and much more.

                        </div>
                    </ContentSection>
                </ej:TabItem>
                <ej:TabItem Id="Chart" Text="Essential Chart">
                    <ContentSection>
                        <div>
                            Essential Chart is a business-oriented charting component. It offers an innovative
                data object model that makes it easy to populate the chart with any kind of data
                source. Essential Chart features an advanced styles architecture that makes complex
                multi-level formatting very easy. 
                        </div>
                    </ContentSection>
                </ej:TabItem>
                <ej:TabItem Id="Grid" Url="../Tab/AjaxContents/gridcontent.html" Text="Essential Grid">
                </ej:TabItem>
            </Items>
        </ej:Tab>
    </div>


</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PropertySection" runat="server">
<%--<asp:UpdatePanel ID="UpdatePanelProp" UpdateMode="Always" runat="server">
        <ContentTemplate>--%>
    <div class="cols-prop-area event-tracer">
        <div>
            <div class="heading">
                <span>Event Trace</span>
                      <div class="pull-right">
                    <ej:DropDownList ID="selectControls" ClientSideOnPopupShown="adjustpopupposition" ClientSideOnCheckChange="evtpropscheckedevent" ShowCheckbox="true" CheckAll="true" runat="server">
                        <Items>
                            <ej:DropDownListItem Value="ajaxBeforeLoad" Text="onajaxBeforeLoad"></ej:DropDownListItem>
                            <ej:DropDownListItem Value="ajaxLoad" Text="onajaxLoad"></ej:DropDownListItem>
                            <ej:DropDownListItem Value="beforeActive" Text="onClientBeforeActive"></ej:DropDownListItem>
                            <ej:DropDownListItem Value="itemActive" Text="onClientActive"></ej:DropDownListItem>
                        </Items>
                    </ej:DropDownList>
                </div>
            </div>
            <div class="prop-grid content">
                <div class="eventarea">
                    <div class="EventLog" id="EventLog">
                    </div>
                </div>
                <div class="evtbtn">
                    <ej:Button ID="Clear" Text="Clear" Type="Button" ClientSideOnClick="onClear" CssClass="eventclear e-btn" runat="server"></ej:Button>
                </div>
            </div>
        </div>
    </div>
<%--            </ContentTemplate>
    </asp:UpdatePanel>--%>

</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
    <script type="text/javascript">
        var tabObj;
    
            // declaration
         

        // Event wire and unwire
        function evtpropscheckedevent(args) {
            tabObj = $("#eventTab").data("ejTab");
            if (args.isChecked) {
                switch (args.data.itemValue) {
                    case "ajaxBeforeLoad": tabObj.option(args.data.itemValue, "onClientBeforeLoad"); break;
                    case "ajaxLoad": tabObj.option(args.data.itemValue, "onClientLoad"); break;
                    case "beforeActive": tabObj.option(args.data.itemValue, "onClientBeforeActive"); break;
                    case "itemActive": tabObj.option(args.data.itemValue, "onClientActive"); break;
                }
            }
            else tabObj.option(args.data.itemValue, null);
        }

        function onClientBeforeLoad(e) {
            jQuery.addEventLog("<span class='eventTitle'>BeforeLoad</span> event is fired.</br>");
        }
        function onClientLoad(e) {
            jQuery.addEventLog("Ajax content has been <span class='eventTitle'>loaded</span>.</br>");
        }
        function onClientCreate(e) {
            jQuery.addEventLog("Tab is <span class='eventTitle'>created</span>. </br>");
        }
        function onClientActive(e) {
            jQuery.addEventLog("Index " + e.activeIndex + " is <span class='eventTitle'>activated</span>. </br>");
        }
        function onClientBeforeActive(e) {
            jQuery.addEventLog("<span class='eventTitle'>BeforeActive </span>event is fired. </br>");
        }
        function onClear() {
            jQuery.clearEventLog();
        }
    </script>
</asp:Content>
