﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="AngularSupport.aspx.cs" Inherits="WebSampleBrowser.Textboxes.AngularSupport" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ControlsSection" runat="server">
    <div ng-app="EditCtrl">
        <div ng-controller="EditorsCtrl">
            <div class="frame" style="width: 50%; height: 175px">
                <div id="control" style="float: left; width: 100%">
                    <table class="sample" style="margin: auto">
                        <tbody>
                            <tr>
                                <td>
                                    <label>
                                        Numeric Textbox</label>
                                </td>
                                <td>
                                    <input id="numeric" type="text" ej-numerictextbox e-value="nvalue" />
                                </td>
                                <td>
                                    <span>Value</span>
                                </td>
                                <td>
                                    <input type="text" class="input ejinputtext" ng-model="nvalue" /><br />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <label>
                                        Percentage Textbox</label>
                                </td>
                                <td>
                                    <input id="percent" type="text" ej-percentagetextbox e-value="pvalue" />
                                </td>
                                <td>
                                    <span>Value</span>
                                </td>
                                <td>
                                    <input type="text" class="input ejinputtext" ng-model="pvalue" /><br />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <label>
                                        Currency Textbox</label>
                                </td>
                                <td>
                                    <input id="currency" type="text" ej-currencytextbox e-value="cvalue" />
                                </td>
                                <td>
                                    <span>Value</span>
                                </td>
                                <td>
                                    <input type="text" class="input ejinputtext" ng-model="cvalue" /><br />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <label>
                                        MaskEdit Textbox</label>
                                </td>
                                <td>
                                    <input id="maskedit" type="text" ej-maskedit e-value="mvalue" e-inputmode="ej.inputMode.Text" e-maskformat='99-999' />
                                </td>
                                <td>
                                    <span>Value</span>
                                </td>
                                <td>
                                    <input id="maskedit2" type="text" ej-maskedit e-value="mvalue" e-inputmode="ej.inputMode.Text" e-maskformat='99-999' /><br />
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <h6><span style="font-style: italic; font-weight: normal; margin-left: 5%; position: absolute; margin-top: 15px;">Note:Two Way Angular Support</span></h6>
                </div>

            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ScriptSection" runat="server">
    <script src='<%= Page.ResolveClientUrl("~/Scripts/angular.min.js")%>' type="text/javascript"></script>
    <script src='<%= Page.ResolveClientUrl("~/Scripts/ej/ej.widget.angular.min.js")%>' type="text/javascript"></script>
    <script type="text/javascript">
        angular.module('EditCtrl', ['ejangular'])
           .controller('EditorsCtrl', function ($scope) {
               $scope.nvalue = 600;
               $scope.pvalue = 400;
               $scope.cvalue = 400;
               $scope.mvalue = "";
           });
    </script>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        .control {
            margin: 70px 110px 0;
            color: gray;
            font-family: 'Segoe UI';
            font-size: medium;
        }

        .e-widget.e-numeric, .e-widget.e-percent, .e-widget.e-currency, .e-mask.e-widget {
            width: 70%;
        }

        td {
            padding-left: 10px;
        }

        .input {
            width: 70%;
            height: 26px;
            text-indent: 10px;
        }
    </style>
</asp:Content>
