﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="Events.aspx.cs" Inherits="WebSampleBrowser.Textboxes.Events" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ControlsSection" runat="server">
    <div class="frame">
        <div class="control">
            <table>
                <tbody>
                    <tr>
                        <td>
                            <label>
                                Numeric Textbox</label>
                        </td>
                        <td>
                            <ej:NumericTextBox ID="numeric" runat="server" Name="numeric" Value="5" OnFoucsOut="numeric_foucsOut" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label>
                                Percentage Textbox</label>
                        </td>
                        <td>
                            <ej:PercentageTextBox ID="percent" Name="percentage" Value="55" runat="server" OnFoucsOut="percent_foucsOut" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label>
                                Currency Textbox</label>
                        </td>
                        <td>
                            <ej:CurrencyTextBox ID="currency" Name="currency" Value="555" runat="server" OnFoucsOut="currency_foucsOut" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <label>
                                MaskEdit Textbox</label>
                        </td>
                        <td>
                            <ej:MaskEdit runat="server" ID="maskedit" MaskFormat="99-999" InputMode="Text" Width="110px" OnFocusOut="maskedit_FocusOut" />
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ScriptSection" runat="server">
    <%--<script src='<%= Page.ResolveClientUrl("~/Scripts/TextBox/Events.js")%>' type="text/javascript"></script>--%>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        .frame {
            height: 280px;
            width: 100%;
            margin-top: 5%;
            margin-left: 0;
            padding: 0;
        }

        .control {
            margin: 70px 110px 0;
            color: gray;
            font-family: 'Segoe UI';
            font-size: medium;
        }
    </style>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="EventSection" runat="server">
    <asp:UpdatePanel ID="UpdatePanelProp" UpdateMode="Conditional" runat="server">
        <Triggers>
            <asp:AsyncPostBackTrigger ControlID="Clear" EventName="click" />
        </Triggers>
        <ContentTemplate>
            <div class="cols-prop-area event-tracer">
                <div>
                    <div class="heading">
                        <span>Event Trace</span>
                    </div>
                    <div class="prop-grid content">
                        <div class="eventarea">
                            <div class="EventLog" id="EventLog" runat="server">
                            </div>
                        </div>
                        <div class="evtbtn">
                            <ej:Button ID="Clear" Type="Reset" Text="Clear" OnClick="Clear_Click" runat="server"></ej:Button>
                        </div>
                    </div>
                </div>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
