﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true"
    CodeBehind="APIs.aspx.cs" Inherits="WebSampleBrowser.TimePicker.methods" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">
    <div class="frame">
        <div class="control">
            <ej:TimePicker ID="time" runat="server" Value="10.10 AM"></ej:TimePicker>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PropertySection" runat="server">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                    State
                </div>
                <div class="col-md-3">
                    <ej:ToggleButton ID="check21" Type="Button" ActiveText="Enable" DefaultText="Disable" ClientSideOnChange="changeState" runat="server"></ej:ToggleButton>
                </div>
                <div class="col-md-3">
                    Selected time
                </div>
                <div class="col-md-3">
                    <ej:Button ID="gettime" CssClass="e-btn inputBtn" Type="Button" ClientSideOnClick="ongettime" Text="Get Time" runat="server"></ej:Button>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    Update time
                </div>
                <div class="col-md-3">
                    <ej:Button ID="updatetime" CssClass="e-btn inputBtn" Type="Button" ClientSideOnClick="onupdatetime" Text="Time Now" runat="server"></ej:Button>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
    <script type="text/javascript">
        $(function () {
            $("#sampleProperties").ejPropertiesPanel();
        });
        var timeObj = $('#time').data("ejTimePicker");
        function ongettime(args) {
            var timeObj = $('#time').data("ejTimePicker");
            alert("Selected time is : " + timeObj.getValue());
        }
        function onupdatetime(args) {
            var timeObj = $('#time').data("ejTimePicker");
            timeObj.setCurrentTime();
        }
        function changeState(args) {
            var timeObj = $('#time').data("ejTimePicker");
            if (args.isChecked) timeObj.disable();
            else timeObj.enable();
        }
    </script>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css" class="cssStyles">
        .inputBtn, .e-togglebutton {
            width: 97px;
        }

        .control {
            margin: 0 auto;
            width: 210px;
        }
    </style>
</asp:Content>
