﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true"
    CodeBehind="Keyboard-Interaction.aspx.cs" Inherits="WebSampleBrowser.TimePicker.keyboardnavigation" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadSection" runat="server">
    <style type="text/css">
        .control {
            margin: 0 auto;
            width: 210px;
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">
    <div class="frame">
        <div class="control">
            <ej:TimePicker ID="time" runat="server"></ej:TimePicker>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PropertySection" runat="server">
    <div id="sampleProperties">
        <div class="prop-grid keyboard">
            <div class="row">
                <div class="col-md-3">
                    <b>Alt+ j </b>
                </div>
                <div class="col-md-3">
                    Focuses the control
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Alt + Down</b>
                </div>
                <div class="col-md-3">
                    Opens/Hides the popup
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Right / Left</b>
                </div>
                <div class="col-md-3">
                    Moves to the adjacent part
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Up</b>
                </div>
                <div class="col-md-3">
                    Increments the value
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Down</b>
                </div>
                <div class="col-md-3">
                    Decrements the value
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>While popup opened:</b>
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Up</b>
                </div>
                <div class="col-md-3">
                    Selects the previous time
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Down</b>
                </div>
                <div class="col-md-3">
                    Selects the next time
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Home / End</b>
                </div>
                <div class="col-md-3">
                    Moves to the first / last item
                </div>
            </div>
            <div class="row">
                <div class="col-md-3">
                    <b>Esc</b>
                </div>
                <div class="col-md-3">
                    Closes the popup
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
    <script type="text/javascript">
        $(function () {
            $("#sampleProperties").ejPropertiesPanel();
            $(document).on("keydown", function (e) {
                if (e.altKey && e.keyCode === 74) { // j- key code.
                    $("#time").focus();
                }
            });
        });
    </script>
</asp:Content>
