﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true"
    CodeBehind="Localization.aspx.cs" Inherits="WebSampleBrowser.TimePicker.localization" %>

<asp:Content ID="Content1" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        .control {
            margin: 0 auto;
            width: 210px;
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ControlsSection" runat="server">
    <div class="frame">
        <div class="control">
            <ej:TimePicker ID="time" runat="server" Locale="zh-CN"></ej:TimePicker>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="PropertySection" runat="server">
    <div id="sampleProperties">
        <div class="prop-grid">
            <div class="row">
                <div class="col-md-3">
                    Select Culture
                </div>
                <div class="col-md-3">
                    <select id="culture">
                        <option value="en-US">en-US</option>
                        <option value="vi-VN">vi-VN</option>
                        <option value="zh-CN">zh-CN</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ScriptSection" runat="server">
    <script src='<%= Page.ResolveClientUrl("~/Scripts/jquery.globalize.min.js")%>' type="text/javascript"></script>
    <script src='<%= Page.ResolveClientUrl("~/Scripts/cultures/globalize.culture.en-US.min.js")%>' type="text/javascript"></script>
    <script src='<%= Page.ResolveClientUrl("~/Scripts/cultures/globalize.culture.vi-VN.min.js")%>' type="text/javascript"></script>
    <script src='<%= Page.ResolveClientUrl("~/Scripts/cultures/globalize.culture.zh-CN.min.js")%>' type="text/javascript"></script>
    <script type="text/javascript">
        var timeobject;
        $(function () {
            timeobject = $("#time").data("ejTimePicker");

            $("#culture").ejDropDownList({ "change": "onCultureChange", width: "100px" });
            var ddObj = $("#culture").ejDropDownList("instance");
            ddObj.option({ selectedItemIndex: 0 });
            $("#sampleProperties").ejPropertiesPanel();
        });

        function onCultureChange(args) {
            timeobject.option("locale", args.value);
        }
    </script>
</asp:Content>
