﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="KnockoutSupport.aspx.cs" Inherits="WebSampleBrowser.Toolbar.KnockoutSupport" %>

<asp:Content ID="Content3" ContentPlaceHolderID="ControlsSection" runat="server">
    <div class="frame">
        <div class="control">
            <div id="toolbar1" data-bind="ejToolbar: { dataSource: dataList, fields: { id: 'edid', spriteCssClass: 'spriteCss', text: 'text' }, width: width }"></div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="ScriptSection" runat="server">
    <script src='<%= Page.ResolveClientUrl("~/Scripts/knockout-min.js")%>' type="text/javascript"></script>
    <script src='<%= Page.ResolveClientUrl("~/Scripts/ej/ej.widget.ko.min.js")%>' type="text/javascript"></script>
    <script>
        $(function () {
            var tool = [
        {
            edid: "1",
            spriteCss: "editTools cursor",
            text: "Cursor",
        }, {
            edid: "2",
            spriteCss: "editTools select",
            text: "Select",
        }, {
            edid: "3",
            spriteCss: "editTools move",
            text: "Move",
        }, {
            edid: "4",
            spriteCss: "editTools rectselect",
            text: "Rectangle Select",
        }, {
            edid: "5",
            spriteCss: "editTools roundselect",
            text: "Round Select",
        }, {
            edid: "6",
            spriteCss: "editTools brush",
            text: "Brushes",
        }, {
            edid: "7",
            spriteCss: "editTools pen",
            text: "Pen",
        }, {
            edid: "8",
            spriteCss: "editTools gradient",
            text: "Gradients",
        }, {
            edid: "9",
            spriteCss: "editTools crop",
            text: "Crop",
        }, {
            edid: "10",
            spriteCss: "editTools symbols",
            text: "Symbols",
        }

            ];

            window.viewModel = {
                dataList: ko.observableArray(tool),
                width: ko.observable("100%"),
            };
            ko.applyBindings(viewModel);
        });
    </script>
</asp:Content>
<asp:Content ID="Content7" ContentPlaceHolderID="StyleSection" runat="server">
    <link href="../Content/Toolbar/knockoutsupport.css" rel="stylesheet" />
</asp:Content>
