﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Samplebrowser.Master" AutoEventWireup="true" CodeBehind="DrillDown.aspx.cs" Inherits="WebSampleBrowser.TreeMap.DrillDown" %>

<%@ Register TagPrefix="a" Namespace="Syncfusion.JavaScript.DataVisualization.Models" Assembly="Syncfusion.EJ" %>

<asp:Content runat="server" ID="FeaturedContent" ContentPlaceHolderID="ScriptSection">

    <script>
        $(window).load(function () {

            $("#treemap").ejTreeMap("refresh");
        });
    </script>

</asp:Content>

<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="ControlsSection">
    <div style="min-height:405px">
    <ej:TreeMap ID="treemap" runat="server"  EnableDrillDown = "true" drillDownSelectionColor = "#199DAF" WeightValuePath="Population" >
        <TreeMapUniColorMapping Color = "#CCDFE3"></TreeMapUniColorMapping>
        <Levels>
            <ej:TreeMapLevel GroupPath = "Continent" ShowLabels = "true" GroupGap = "5" HeaderHeight = "25"></ej:TreeMapLevel>
            <ej:TreeMapLevel GroupPath = "Country" ShowLabels = "true" GroupGap = "0" HeaderHeight = "25"></ej:TreeMapLevel>
            <ej:TreeMapLevel GroupPath = "Name" ShowLabels = "true" GroupGap = "0" HeaderHeight = "25"></ej:TreeMapLevel>
        </Levels>
    </ej:TreeMap>
    </div>
</asp:Content>