﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="Databinding-remote.aspx.cs" Inherits="WebSampleBrowser.TreeView.Databinding_remote" %>

<asp:Content ID="Content3" ContentPlaceHolderID="ControlsSection" runat="server">
    <div id="treeView"></div>
</asp:Content>
<asp:Content ID="Content6" ContentPlaceHolderID="ScriptSection" runat="server">
    <script type="text/javascript" class="jsScript">
        $(function () {
            // DataManager creation
            var dataManger = ej.DataManager({
                url: "http://mvc.syncfusion.com/Services/Northwnd.svc/"
            });
            // Query creation
            var query = ej.Query().from("Categories").select("CategoryID,CategoryName").take(3);
            $("#treeView").ejTreeView(
              {
                  width: 300,
                  height: 300,
                  fields: {
                      dataSource: dataManger, query: query, id: "CategoryID", text: "CategoryName",
                      child: { dataSource: dataManger, tableName: "Products", id: "ProductID", parentId: "CategoryID", text: "ProductName" }
                  }
              }
          );
        });

    </script>
</asp:Content>
