﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Samplebrowser.Master" CodeBehind="ClientSideEvents.aspx.cs" Inherits="WebSampleBrowser.UploadBox.ClientSideEvents" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ScriptSection" runat="server">
    <script type="text/javascript">
        var uploadObj;
        $(function () {

            uploadObj = $("#Upload1").data("ejUploadbox");

            $('#selectControls').ejDropDownList({
                popupShown: "adjustpopupposition",
                showCheckbox: true,
                checkAll: true,
                change: "evtpropscheckedevent"
            });
        });

        function uploadload(e, ui) {
            jQuery.addEventLog("Upload box control has been <span class='eventTitle'> created </span>.");
        }
        function onfileselect(e, ui) {
            jQuery.addEventLog("Upload file has been <span class='eventTitle'>selected </span>.");
        }
        function fileuploadbegin(e, ui) {
            jQuery.addEventLog("Upload has been<span class='eventTitle'> started </span>.");
        }
        function fileuploadcancel(e, ui) {
            jQuery.addEventLog("Upload has been <span class='eventTitle'>canceled </span>.");
        }
        function fileuploadcomplete(e, ui) {
            jQuery.addEventLog("Upload has been <span class='eventTitle'>completed </span>successfully.");
        }
        function fileuploadremove(e, ui) {
            jQuery.addEventLog("Uploaded file has been <span class='eventTitle'> removed </span>successfully.");
        }
        function fileuploaderror(e, ui) {
            jQuery.addEventLog("Upload action has <span class='eventTitle'>thrown an error </span>.");
        }
        function uploadDestroy(e, ui) {
            jQuery.addEventLog("Upload control has been <span class='eventTitle'>destroyed </span>.");
        }
        function onClear() {
            jQuery.clearEventLog();
        }

        function evtpropscheckedevent(args) {
            uploadObj = $("#Upload1").data("ejUploadbox");
            if (args.isChecked) {
                switch (args.value) {
                    case "create": uploadObj.option(args.value, "uploadload"); break;
                    case "fileSelect": uploadObj.option(args.value, "onfileselect"); break;
                    case "begin": uploadObj.option(args.value, "fileuploadbegin"); break;
                    case "cancel": uploadObj.option(args.value, "fileuploadcancel"); break;
                    case "complete": uploadObj.option(args.value, "fileuploadcomplete"); break;
                    case "remove": uploadObj.option(args.value, "fileuploadremove"); break;
                    case "uploadError": uploadObj.option(args.value, "fileuploaderror"); break;
                    case "destroy": uploadObj.option(args.value, "uploadDestroy"); break;
                }
            }
            else uploadObj.option(args.value, null);
        }
    </script>
</asp:Content>
<asp:Content ID="Content3" ContentPlaceHolderID="StyleSection" runat="server">
    <style type="text/css">
        .posupload {
            margin-left: 20px;
            margin-top: 20px;
        }

        .frame {
            margin-top: 10%;
        }

        .control {
            margin-left: 10%;
        }
    </style>
</asp:Content>
<asp:Content ID="Content5" ContentPlaceHolderID="ControlsSection" runat="server">
    <div class="frame">
        <div class="control">
            <div class="posupload">
                <ej:UploadBox ID="Upload1" runat="server"  ClientSideOnDestroy="uploadDestroy" ClientSideOnError="fileuploaderror" ClientSideOnFileSelect="onfileselect" ClientSideOnRemove="fileuploadremove" ClientSideOnComplete="fileuploadcomplete" ClientSideOnCancel="fileuploadcancel" ClientSideOnBegin="fileuploadbegin" ClientSideOnCreate="uploadload" SaveUrl="saveFiles.ashx" RemoveUrl="removeFiles.ashx"></ej:UploadBox>
            </div>
        </div>
    </div>
</asp:Content>
<asp:Content ID="Content7" ContentPlaceHolderID="EventSection" runat="server">
    <div class="cols-prop-area event-tracer">
        <div>
            <div class="heading">
                <span>Event Trace</span>
                   <div class="pull-right">
                            <ej:DropDownList ID="selectControls" ClientSideOnPopupShown="adjustpopupposition" ClientSideOnSelect="fileselect" ClientSideOnCheckChange="evtpropscheckedevent" ShowCheckbox="true" CheckAll="true" runat="server">
                                <Items>
                                    <ej:DropDownListItem Value="create" Text="create"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="fileSelect" Text="uploadFileSelect"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="begin" Text="uploadBegin"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="cancel" Text="uploadCancel"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="complete" Text="uploadComplete"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="remove" Text="uploadRemove"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="uploadError" Text="uploadError"></ej:DropDownListItem>
                                    <ej:DropDownListItem Value="destroy" Text="destroy"></ej:DropDownListItem>
                                </Items>
                            </ej:DropDownList>
                        </div>
            </div>
            <div class="prop-grid content">
                <div class="eventarea">
                    <div class="EventLog" id="EventLog">
                    </div>
                </div>
                <div class="evtbtn">
                    <ej:Button ID="Clear" Type="Button" ClientSideOnClick="onClear" Text="Clear" CssClass="eventclear e-btn" runat="server"></ej:Button>
                </div>
            </div>
        </div>
    </div>
</asp:Content>